<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');


if ( JFile::exists( $path = dirname(__FILE__) . DS . 'defines.php' ) ) {
	require_once($path);
} else {
	JError::raiseError( 404, 'Restaurant Guide Framework cannot find the defines file, located at : ' . $path );
}

if ( JFile::exists( $path = RESTAURANTGUIDE_CONTROLLER ) ) {
	require_once($path);
} else {
	JError::raiseError( 404, 'Restaurant Guide Framework cannot find the generic controller file, located at : ' . $path );
}

require_once (JPATH_COMPONENT_SITE.DS.'classes'.DS.'restaurantguide.helper.php');
require_once (JPATH_COMPONENT_SITE.DS.'classes'.DS.'restaurantguide.events.php');
require_once (JPATH_COMPONENT_SITE.DS.'classes'.DS.'restaurantguide.menus.php');
require_once (JPATH_COMPONENT_SITE.DS.'classes'.DS.'restaurantguide.recipes.php');
require_once (JPATH_COMPONENT_SITE.DS.'classes'.DS.'restaurantguide.city.php');
require_once (JPATH_COMPONENT_SITE.DS.'classes'.DS.'restaurantguide.state.php');

$version = new JVersion();
$joomla_version = $version->RELEASE;
if ($joomla_version >= '1.6')
	JHtml::_('behavior.framework');
	
// Set the table directory
JTable::addIncludePath(JPATH_COMPONENT.DS.'tables');

//Set filepath
$params =& JComponentHelper::getParams('com_restaurantguide');


if ( $controller = JRequest::getCmd('controller') ) {
	if ( JFile::exists( $path = RESTAURANTGUIDE_CONTROLLERS . DS . $controller . '.php' ) ) {
		require_once($path);
	} else {
		JError::raiseError( 404, JText::_("Restaurant Guide Framework cannot find the specified controller '" . $controller . "' : unknown controller.") );
	}
}


if ( JFile::exists( $path = RESTAURANTGUIDE_CLASSES . DS . 'util.php' ) ) {
	require_once($path);
} else {
	JError::raiseError( 404, JText::_("Restaurant Guide Framework cannot find the utility class file.") );
}

if ( JFile::exists( $path = RESTAURANTGUIDE_HELPERS . DS . 'select.php' ) ) {
	require_once($path);
} else {
	JError::raiseError( 404, JText::_("Restaurant Guide Framework cannot find the select file.") );
}

if ( JFile::exists( $path = RESTAURANTGUIDE_HELPERS . DS . 'html' . DS . 'list.php' ) ) {
	require_once($path);
} else {
	JError::raiseError( 404, JText::_("Restaurant Guide Framework cannot find the list file.") );
}

global $rgconf;
$rgconf		= RGUtil::config();

//Create the controller
$classname  = 'restaurantguideController'.$controller;
$controller = new $classname( );
$controller->registerTask('saveandnew', 'save');
// Perform the Request task
$controller->execute( JRequest::getWord('task'));
$controller->redirect();
?>