<?php
/**
 * @version 1.0 $Id: util.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );
  

class RGUtil {
	function introtext($text, $number) {
		$text = htmlspecialchars($text);
		if (strlen($text) > $number) {
			$pos = strpos($text, ' ', $number);
			if ((!$pos) || ($pos > $number)) {
				$pos = $number;
			}
	    	$text = substr($text, 0, $pos + 1) . "....";
	    	return $text;
		}else{
			return $text;
		}
	}

	function footer( )
	{
		echo '<div style="font-size: 11px; text-align:center">';
		echo 'Powered by <a href="http://www.eazytour.com/" target="_blank">Restaurant Guide v.'.RG_VERSION . '&nbsp;' . RESTAURANTGUIDE_RELEASE.'</a>';
		echo '</div>';
		echo '<div style="clear:both;padding-bottom:20px;"></div>' . "\n";
	}

	function autoreadmore( $item, $max_chars )
	{
  		if (strlen(strip_tags($item->description)) > $max_chars) {
			// First, remove all new lines
			$item->description = preg_replace("/\r\n|\r|\n/", "", $item->description);
			// Next, replace <br /> tags with \n
			$item->description = preg_replace("/<BR[^>]*>/i", "\n", $item->description);
			// Replace <p> tags with \n\n
			$item->description = preg_replace("/<P[^>]*>/i", "\n\n", $item->description);
			// Strip all tags
			$item->description = strip_tags($item->description);
			// Truncate
			$item->description = substr($item->description, 0, $max_chars);
			// Pop off the last word in case it got cut in the middle
			$item->description = preg_replace("/[.,!?:;]? [^ ]*$/", "", $item->description);
			// Add a few new lines to the end of the article, and ...
			$item->description = trim($item->description) . "...\n\n";
			// Replace \n with <br />
//			$item->description = str_replace("\n", "<br />", $item->description);

			echo $item->description;
		}
		else {
			echo $item->description;
		}
	}
	
	function config()
	{
		$db =& JFactory::getDBO();

		$sql = 'SELECT * FROM #__rg_settings WHERE id = 1';
		$db->setQuery($sql);
		$config = $db->loadObject();

		return $config;
	}

}
?>