<?php
/**
 * @version 1.0 $Id: ajax.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * RestaurantGuide Component AJAX Controller
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 0.9
 */
class restaurantguideControllerAjax extends restaurantguideController
{
	function __construct()
	{
		parent::__construct();

	}

	/* Menu */
	function ChangeResto() {
		$city = JRequest::getVar('city');

		if ($city > 0) {
			$db 	=& JFactory::getDBO();
			
			$query = 'SELECT i.id AS value, i.title AS text'
					. ' FROM #__rg_restaurantitems AS i'
					. ' WHERE i.city = '.$city 
					. ' ORDER BY i.title ASC'
					;
						
			$db->setQuery($query);
			$results = $db->loadObjectList();
			
			// get list of active languages
			$restooption[] = JHTML::_('select.option',  '-1', '- '.JText::_('RG_SELECT_RESTAURANT').' -' );
		
			if ( count($results)>0 ) {
				$javascript = 'onChange="ChangeParent(this.value)"';
				$restooption = @array_merge($restooption, $results);
				$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
			} else {
				$restooption[] = JHTML::_('select.option',  0, JText::_('RG_NO_RESTAURANT') );
				$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );
			}
		} else {
			$restooption[] = JHTML::_('select.option', 0, JText::_('RG_NO_RESTAURANT'), 'id', 'name' );
			$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'id', 'name' );
		}
	
		echo $output;
	}
	
	function ChangeParent() {
		$resto = JRequest::getVar('resto');
		
		$javascript = 'onChange="ChangePrice(this.value)"';
		$menus = restaurantguide_menus::getMenusTree(1, $resto);
		$output = restaurantguide_menus::buildmenuselect($menus, 'parent_id', 0, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript); 
		
		echo $output;
	}
	
	function ChangePrice() {
		$resto = JRequest::getVar('resto');
		

		
		echo $resto;
	}
	
	/* Menu, Gallery */
	function selectStates() {
		$country = (int)JRequest::getVar('country_id');

		$db	=& JFactory::getDBO();

		$query = 'SELECT id AS value, name AS text'
				.' FROM #__rg_states'
				.' WHERE published = 1'
				.' AND country = '.$country
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();
		
		if ( count($rows)>0 ) {
			$stateoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_STATES').' -' );
			$stateoption = @array_merge($stateoption, $rows);
			$javascript = 'onChange="secondCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		} else {
			$stateoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );
			
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
			
		echo $output;
	}

	function selectCity()
	{
		$country = JRequest::getVar('country_id');

		$db	=& JFactory::getDBO();

		$query = 'SELECT DISTINCT id AS value, name AS text'
				.' FROM #__rg_cities'
				.' WHERE published = 1'
				.' AND country = '.$country
				.' AND parent_id = 0'
				;

		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ( count($rows)>0 ) {
			$cityoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_CITY').' -' );
			$javascript = 'onChange="secondResto(this.value)"';
			$cityoption = @array_merge($cityoption, $rows);
			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		} else {
			$cityoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
		
		echo $output;
	}
	
	function secondCity()
	{
		$states = JRequest::getVar('states');

		$db	=& JFactory::getDBO();

		$query = 'SELECT DISTINCT id AS value, name AS text'
				.' FROM #__rg_cities'
				.' WHERE published = 1'
				.' AND states = '.$states
				.' AND parent_id = 0'
				;

		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ( count($rows)>0 ) {
			$cityoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_CITY').' -' );
			$javascript = 'onChange="secondResto(this.value)"';
			$cityoption = @array_merge($cityoption, $rows);
			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		} else {
			$cityoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
		
		echo $output;
	}
	
	function selectResto() {
		$country = JRequest::getVar('country_id');

		if ($country > 0) {
			$db 	=& JFactory::getDBO();
			
			$query = 'SELECT i.id AS value, i.title AS text'
					. ' FROM #__rg_restaurantitems AS i'
					. ' WHERE i.country = '.$country 
					. ' ORDER BY i.title ASC'
					;
						
			$db->setQuery($query);
			$results = $db->loadObjectList();
		
			if ( count($results)>0 ) {
				$restooption[] = JHTML::_('select.option',  '-1', '- '.JText::_('RG_SELECT_RESTAURANT').' -' );
				$restooption = @array_merge($restooption, $results);
				$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', 0 );
			} else {
				$restooption[] = JHTML::_('select.option',  0, JText::_('RG_NO_RESTAURANT') );
				$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );
			}
		} else {
			$restooption[] = JHTML::_('select.option', 0, JText::_('RG_NO_RESTAURANT'), 'id', 'name' );
			$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'id', 'name' );
		}
	
		echo $output;
	}
	
	function secondResto() {
		$city = JRequest::getVar('city');

		if ($city > 0) {
			$db 	=& JFactory::getDBO();
			
			$query = 'SELECT i.id AS value, i.title AS text'
					. ' FROM #__rg_restaurantitems AS i'
					. ' WHERE i.city = '.$city 
					. ' ORDER BY i.title ASC'
					;
						
			$db->setQuery($query);
			$results = $db->loadObjectList();
		
			if ( count($results)>0 ) {
				$restooption[] = JHTML::_('select.option',  '-1', '- '.JText::_('RG_SELECT_RESTAURANT').' -' );
				$restooption = @array_merge($restooption, $results);
				$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', 0 );
			} else {
				$restooption[] = JHTML::_('select.option',  0, JText::_('RG_NO_RESTAURANT') );
				$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );
			}
		} else {
			$restooption[] = JHTML::_('select.option', 0, JText::_('RG_NO_RESTAURANT'), 'id', 'name' );
			$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'id', 'name' );
		}
	
		echo $output;
	}
	
	function selectStatesLocal() {
		$country = (int)JRequest::getVar('country_id');

		$db	=& JFactory::getDBO();

		$query = 'SELECT id AS value, name AS text'
				.' FROM #__rg_states'
				.' WHERE published = 1'
				.' AND country = '.$country
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();
		
		if ( count($rows)>0 ) {
			$stateoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_STATES').' -' );
			$stateoption = @array_merge($stateoption, $rows);
			$javascript = 'onChange="secondCityLocal(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		} else {
			$stateoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );
			
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
			
		echo $output;
	}
	
	function selectCityLocal()
	{
		$country = JRequest::getVar('country_id');

		$db	=& JFactory::getDBO();

		$query = 'SELECT DISTINCT id AS value, name AS text'
				.' FROM #__rg_cities'
				.' WHERE published = 1'
				.' AND country = '.$country
				.' AND parent_id = 0'
				;

		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ( count($rows)>0 ) {
			$cityoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_CITY').' -' );
			$javascript = 'onChange="selectLocal(this.value)"';
			$cityoption = @array_merge($cityoption, $rows);
			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		} else {
			$cityoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
		
		echo $output;
	}
	
	function secondCityLocal()
	{
		$states = JRequest::getVar('states');

		$db	=& JFactory::getDBO();

		$query = 'SELECT DISTINCT id AS value, name AS text'
				.' FROM #__rg_cities'
				.' WHERE published = 1'
				.' AND states = '.$states
				.' AND parent_id = 0'
				;

		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ( count($rows)>0 ) {
			$cityoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_CITY').' -' );
			$javascript = 'onChange="selectLocal(this.value)"';
			$cityoption = @array_merge($cityoption, $rows);
			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		} else {
			$cityoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
		
		echo $output;
	}
	
	function selectLocal()
	{
		$city = JRequest::getVar('city');

		$db	=& JFactory::getDBO();

		$query = 'SELECT DISTINCT id AS value, name AS text'
				.' FROM #__rg_cities'
				.' WHERE published = 1'
				.' AND parent_id = '.$city
				;

		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ( count($rows)>0 ) {
			$cityoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_CITY').' -' );
			$cityoption = @array_merge($cityoption, $rows);
			$output = JHTML::_('select.genericlist', $cityoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', 0 );
		} else {
			$cityoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $cityoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
		
		echo $output;
	}
	
	/* Menu */
	function ChangeCity()
	{
		$city = JRequest::getVar('city');
	
		$locals = restaurantguide_city::getCityTree($city, 1);

		$javascript = 'onChange="ChangeLocal(this.value)"';
		$output = restaurantguide_city::buildcityselect($locals, 'city', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);

		echo $output;
	}
	
	/* Menu */
	function changeStatesCity()
	{
		$states = JRequest::getVar('states'); 
	
		if ($states > 0) {
			$citylist = restaurantguide_city::getStateCityTree($states);
	
			if ( count($citylist)>0 ) {
				$javascript = 'onChange="ChangeResto(this.value);"';
				$output = restaurantguide_city::buildcityselect($citylist, 'city', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
			} else {
				$output = restaurantguide_city::buildcityselect($citylist, 'city', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled');
			}
		} else {
			$citylist = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE'), 'id', 'name' );
			$output = JHTML::_('select.genericlist', $citylist, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'id', 'name' );
		}

		echo $output;
	}
	
	function ChangeCityNoState() {
		$country = (int)JRequest::getVar('country');

		$cityoption = restaurantguide_city::getCityTree($country);

		$javascript = '';
		$output = restaurantguide_city::buildcityselect($cityoption, 'city', 0, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript); 

		echo 'jfweoip';
	}
	
	//	Restaurant
	function ChangeLocal()
	{
		$parent_id = JRequest::getVar('parent_id');
	
		$db	=& JFactory::getDBO();

		$where = ' WHERE published = 1';
		$where .= ' AND parent_id = '.$parent_id;

		$query = 'SELECT *, id AS value, name AS text'
				.' FROM #__rg_cities'
				.$where
				.' ORDER BY parent_id, name ASC'
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();

		// get list of active languages
		$localoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_LOCAL_AREA').' -' );
	
		if ( count($rows)>0 ) 
			$localoption = @array_merge($localoption, $rows);
		else
			$localoption[] = JHTML::_('select.option',  0, JText::_('RG_NO_LOCAL_AREA') );

		$output = JHTML::_('select.genericlist', $localoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', 0 );
		
		echo $output;
	}
	
	function ChangeLocalResto()
	{
		$city = JRequest::getVar('city');
	
		$cities = restaurantguide_city::getCityTree($city, 1);

		$javascript = 'onChange="ChangeResto(this.value)"';
		$output = restaurantguide_city::buildcityselect($cities, 'city', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);

		echo $output;
	}
	
	
	
	function changeStates_list() {
		$country = (int)JRequest::getVar('country');

		$states = restaurantguide_state::getStateTree($country);

		if ( count($states)>0 ) {
			$javascript = 'onChange="changeStatesCity_list(this.value)"';
			$output = restaurantguide_state::buildstateselect($states, 'states', 0, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		} else {
			$stateoption[] = JHTML::_('select.option', 0, JText::_('RG_NO_STATES') );

			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
			
		echo $output;
	}
	
	
	
	//	Restaurant
	function changeStatesCity_list()
	{
		$states = JRequest::getVar('states');
	
		if ($states > 0) {
			$citylist = restaurantguide_city::getStateCityTree($states);
	
			if ( count($citylist)>0 ) {
				$javascript = 'onChange="changeLocal_list(this.value); changeAlternatives(this.value);"';
				$output = restaurantguide_city::buildcityselect($citylist, 'city', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
			} else {
				$output = restaurantguide_city::buildcityselect($citylist, 'city', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled');
			}
		} else {
			$citylist[] = JHTML::_('select.option', 0, JText::_('RG_SELECT_CITY'), 'id', 'name' );
			$output = JHTML::_('select.genericlist', $citylist, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'id', 'name' );
		}

		echo $output;
	}
	
	//	Restaurant
	function changeCity_list()
	{
		$city = JRequest::getVar('city');
	
		$locals = restaurantguide_city::getCityTree($city, 1);

		if ( count($locals)>0 ) {
			$javascript = 'onChange="changeCityLocal_list(this.value); changeAlternatives(this.value);"';
			$output = restaurantguide_city::buildcityselect($locals, 'parent_id', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		} else {
			$output = restaurantguide_city::buildcityselect($locals, 'parent_id', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled');
		}

		echo $output;
	}
	
	//	Restaurant
	function changeCityLocal_list()
	{
		$city = JRequest::getVar('city');
	
		if ($city > 0) {
			$db	=& JFactory::getDBO();
	
			$where = ' WHERE published = 1';
			$where .= ' AND parent_id = '.$city;
	
			$query = 'SELECT *, id AS value, name AS text'
					.' FROM #__rg_cities'
					.$where
					.' ORDER BY name ASC'
					;
	
			$db->setQuery($query);
	
			$rows = $db->loadObjectList();
	
			// get list of active languages
			$localoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_LOCAL_AREA').' -' );
		
			if ( count($rows)>0 ) {
				$localoption = @array_merge($localoption, $rows);
				$output = JHTML::_('select.genericlist', $localoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', 0 );
			} else {
				$localoption[] = JHTML::_('select.option',  0, JText::_('RG_NOT_AVAILABLE') );
				$output = JHTML::_('select.genericlist', $localoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );
			}
		} else {
			$localoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE'), 'id', 'name' );
			$output = JHTML::_('select.genericlist', $localoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'id', 'name' );
		}
		
		echo $output;
	}
	
	//	Restaurant
	function changeLocal_list()
	{
		$country = JRequest::getVar('country');
	
		if ($country > 0) {
			$db	=& JFactory::getDBO();
	
			$where = ' WHERE published = 1';
			$where .= ' AND country = '.$country;
	
			$query = 'SELECT *, id AS value, name AS text'
					.' FROM #__rg_cities'
					.$where
					.' ORDER BY name ASC'
					;
	
			$db->setQuery($query);
	
			$rows = $db->loadObjectList();
	
			// get list of active languages
			$localoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_LOCAL_AREA').' -' );
		
			if ( count($rows)>0 ) {
				$localoption = @array_merge($localoption, $rows);
				$output = JHTML::_('select.genericlist', $localoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', 0 );
			} else {
				$localoption[] = JHTML::_('select.option',  0, JText::_('RG_NOT_AVAILABLE') );
				$output = JHTML::_('select.genericlist', $localoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );
			}
		} else {
			$localoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE'), 'id', 'name' );
			$output = JHTML::_('select.genericlist', $localoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'id', 'name' );
		}
		
		echo $output;
	}
	
	/* Fot Restaurant Item
	/* Support the commercial version
	*/
	function changeAlternatives()
	{
		$city = JRequest::getVar('city');

		$db 	=& JFactory::getDBO();
		$query = 'SELECT i.id AS value, i.title AS text'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_cities AS c on c.id = i.city'
				. ' WHERE i.state = 1'
				. ' AND c.published = 1'
				. ' AND i.city = '.$city
				. ' ORDER BY i.title'
				;
				
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		$alters[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_ALTERNATIVES').' -' );
		if ( count($results) > 0 ) {
			$alters = @array_merge($alters, $results);
			$output = JHTML::_('select.genericlist', $alters, 'alternatives[]', 'class="inputbox" multiple="multiple" size="10" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', 0 );
		} else {
			$alters[] = JHTML::_('select.option',  0, JText::_('RG_NOT_AVAILABLE') );
			$output = JHTML::_('select.genericlist', $alters, 'alternatives[]', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"disabled', 'value', 'text', 0 );
		}

		echo $output;
	}

}
?>