<?php
/**
 * @version 1.0 $Id: callus.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * RestaurantGuide Component CallUs Controller
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 0.9
 */
class restaurantGuideControllerCallUs extends restaurantguideController
{
	/**
	 * Constructor
	 *
	 * @access public
	 * @return void
	 * @since 0.9
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra task
		$this->registerTask( 'apply', 		'save' );
	}

	/**
	 * logic for cancel an action
	 *
	 * @access public
	 * @return void
	 * @since 0.9
	 */
	function cancel()
	{
		global $option;

		$model = $this->getModel('callus');

		$model->checkin();

		$this->setRedirect( 'index.php?option='.$option.'&view=restaurantguide' );
	}

	/**
	 * logic to create the edit venue view
	 *
	 * @access public
	 * @return void
	 * @since 0.9
	 */
	function edit( )
	{
		JRequest::setVar( 'view', 'callus' );

		parent::display();

		$model = $this->getModel('callus');

		$model->checkout();
	}

	/**
	 * saves the venue in the database
	 *
	 * @access public
	 * @return void
	 * @since 0.9
	 */
	function save()
	{
		// Check for request forgeries
		JRequest::checkToken() or die( 'Invalid Token' );
		
		// Sanitize
		$task	= JRequest::getVar('task');
		$post 	= JRequest::get( 'post' );
		$post['intro'] = JRequest::getVar('intro', '', 'POST', 'string', JREQUEST_ALLOWRAW);

		$post['region'] = array_filter($post['region'], 'strlen');
		$post['phone'] = array_filter($post['phone'], 'strlen');
		$post['region'] = implode(", ",$post['region']);
		$post['phone'] = implode(", ", $post['phone']);

		//get model
		$model 	= $this->getModel('callus');
		
		if ($model->store($post)) {
			$msg	= JText::_( 'RG_CALLUS_SAVED');
		} else {
			$msg	= JText::_( 'RG_SAVING_CALLUS_FAILED');
		}

		switch ($task)
		{
			case 'apply':
				$link = 'index.php?option=com_restaurantguide&controller=callus&task=edit';
				break;

			default:
				$link = 'index.php?option=com_restaurantguide&view=restaurantguide';
				break;
		}
		$model->checkin();

		$this->setRedirect( $link, $msg );
	}
}
?>