<?php
/**
 * @version 1.1.0 $Id: filemanager.php
 * @package Joomla
 * @subpackage Restaurant Guide
 * @copyright (C) 2009 - 2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * Restaurant Guide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Restaurant Guide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Restaurant Guide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');


class restaurantguideControllerFilemanager extends restaurantguideController
{
	function __construct()
	{
		parent::__construct();
		
		$this->registerTask( 'batchupload', 'batchupload' );
	}

	function batchupload()
	{
		JRequest::checkToken( 'request' ) or jexit( 'Invalid Token' );
		
		global $mainframe;

		$db 	= & JFactory::getDBO();
		$user 	= & JFactory::getUser();

		if (JFolder::exists(RESTAURANTGUIDE_TEMP)) 
		{
			$temp_dir = RESTAURANTGUIDE_TEMP;
			
			//make temp path writeable if it is not, workaround for servers with wwwrun-problem
			if(!is_writeable($temp_dir))
			{
				change_chmod($temp_dir, 0777);
				$permissions_changed = true;
			}
		} 
		else 
		{
			$mainframe->redirect('index.php?option=com_restaurantguide&view=filemanager', JText::_('UPLOAD_ERROR_TEMP_MISSING'), 'error');
		}

		$post = JRequest::get( 'post' );
		$catid  = JRequest::getVar('catid', 0);
		$restaurant  = JRequest::getVar('restaurant', 0);
		$title = JRequest::getVar( 'title' );
		$startno = JRequest::getVar( 'startnumber' );
		$description = JRequest::getVar( 'description' );
	
		$this->addModelPath( JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
		$model = $this->getModel('galleryitem', 'restaurantguideModel');
		
//		$data = $model->getFile($post['id']);
			
		$directory = 'restaurant_'.$post['restaurant'];
		
//		JError::raiseWarning(500, $data->filename );
		
		jimport('joomla.filesystem.file');
		jimport('joomla.filesystem.archive');
		require_once (RESTAURANTGUIDE_ADMINISTRATOR.DS.'lib'.DS.'class.upload.php');
		require_once (JPATH_ADMINISTRATOR . DS . 'includes' . DS . 'pcl' . DS . 'pclzip.lib.php');

		if (isset($_FILES['zippack'])){
			$zipfile = $_FILES['zippack'];
		}
		else {
			$mainframe->redirect('index.php?option=com_restaurantguide&view=filemanager', JText::_('CANNOT_FIND_FILE'), 'error');
		}
		
		//check existence of uploaded zip
		if (!JFile::exists($_FILES['zippack']['tmp_name'])) 
		{
			$mainframe->redirect('index.php?option=com_restaurantguide&view=filemanager', JText::_('ERROR_FILE_NOT_UPLOADED'), 'error');
		}

		$zipfile = new PclZip($_FILES['zippack']['tmp_name']);
	  
		$ziplist = $zipfile->extract(PCLZIP_OPT_PATH, $temp_dir,
								PCLZIP_OPT_REMOVE_ALL_PATH,
								PCLZIP_OPT_BY_PREG, "/^(.*).((jpg)|(JPG)|(jpeg)|(JPEG)|(jpe)|(JPE)|(png)|(PNG)|(gif)|(GIF))$/");

		//check error code of extraction
		if ($zipfile->error_code != 1) 
		{
			$ziperror = str_replace("'","",$zipfile->errorInfo());
			$msg = JText::_( 'ZIPFILE ERROR' );
			$this->setRedirect('index.php?option=com_restaurantguide&view=filemanager', $msg);
		}
	
	  	$sizeofzip = sizeof($ziplist);

		$ziplist = array_reverse($ziplist);

		for ($i = 0; $i < $sizeofzip; $i++) {
			$filepathinfos = pathinfo($ziplist[$i]['filename']);
			$origfilename = $filepathinfos["basename"];

			$handle = new Upload($temp_dir.DS.$origfilename);

			if ($handle->uploaded) {

				$album_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'album'.DS;
				$resize_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'resize'.DS;
				$thumb_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'thumb'.DS;

				if (!file_exists($album_dir)) {
					mkdir($album_dir, 0777);
				}
				if (!file_exists($resize_dir)) {
					mkdir($resize_dir, 0777);
				}
				if (!file_exists($thumb_dir)) {
					mkdir($thumb_dir, 0777);
				}

				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = $file_body;
				$width = $handle->image_src_x;
				$height = $handle->image_src_y;
				$handle->Process($album_dir);

				$post['filename'] = $handle->file_dst_name;	
				$post['imagewidth'] = $width;
				$post['imageheight'] = $height;
				
				$handle->image_resize = true;
				if ($height < $width) {
					$handle->image_ratio_y = true;
					$handle->image_x = 240;
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = 240;
				}
				$handle->jpeg_quality = 85;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = $file_body;
				
				$handle->Process($resize_dir);
				
				$handle->image_resize = true;
				
				if ($height < $width) {
					$handle->image_ratio_y = true;
					$handle->image_x = 64;
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = 64;
				}
				$handle->jpeg_quality = 85;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = $file_body;
				
				$handle->Process($thumb_dir);
				
				$handle->Clean();
			
				if (!$startno)
					$startno = 0;
				$no = $startno + $i; 
//				$post['catid'] = $cid[0];
	
				if ($no)
					$post['title'] = $title . '-' . $no;
				else
					$post['title'] = $title;
//				$post['created'] = mktime( );
//				$post['created_by'] = $user->username;
			}
		
			if ( $model->store($post) ) {
				$link 	= 'index.php?option=com_restaurantguide&view=galleryitems';
				$msg = JText::_( 'ZIP FILE SAVED' );
						
				$cache = &JFactory::getCache('com_restaurantguide');
				$cache->clean();
			} else {
				$msg = JText::_( 'ERROR SAVING ZIP FILE' );
				JError::raiseError( 500, $model->getError() );
				$link 	= 'index.php?option=com_restaurantguide&view=galleryitems';
			}
			
			$model->checkin();
		
			$this->setRedirect($link, $msg);
		} 
	}

	/**
	 * logic for cancel an action
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function cancel()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=filemanager' );
	}
}