<?php
/**
 * @version 1.0 $Id: recipes.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * RestaurantGuide Component Recipe Controller
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideControllerRecipes extends restaurantguideController
{
	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra task
		$this->registerTask( 'add'  ,		 	'edit' );
		$this->registerTask( 'apply', 			'save' );
		$this->registerTask( 'saveandnew', 		'save' );
		$this->registerTask( 'accesspublic', 	'access' );
		$this->registerTask( 'accessregistered','access' );
		$this->registerTask( 'accessspecial', 	'access' );
	}

	/**
	 * Logic to save an event
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function save()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		jimport('joomla.filesystem.file');
		jimport('joomla.filesystem.archive');
		require_once (RESTAURANTGUIDE_ADMINISTRATOR.DS.'lib'.DS.'class.upload.php');
		
		$task		= JRequest::getVar('task');

		//Sanitize
		$post = JRequest::get( 'post' );
		$post['description'] = JRequest::getVar( 'description', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$post['ingredients'] = JRequest::getVar( 'ingredients', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$post['methods'] = JRequest::getVar( 'methods', '', 'post', 'string', JREQUEST_ALLOWRAW );

		$model = $this->getModel('recipe');
		$data = $model->getFile($post['id']);

		if(JRequest::getVar('id')){ $id_image = JRequest::getVar('id', 0);}
	
		if (isset($_FILES['file_upload'])){
			$handle = new Upload($_FILES['file_upload']);

			if ($handle->uploaded) {
				// Original image
				$directory = 'recipe';

				$dir =  RESTAURANTGUIDE_IMAGES_RECIPE.DS.'album'.DS;
		
				if (!file_exists($dir)) {
					mkdir($dir, 0777);
				}

				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$width = $handle->image_src_x;
				$height = $handle->image_src_y;
				$handle->file_new_name_body = $file_body;
				$handle->Process($dir);

				$post['image'] = $handle->file_dst_name;	
				
				// resized image
				$resize_dir =  RESTAURANTGUIDE_IMAGES_RECIPE.DS.'resize'.DS;
	
				if (!file_exists($resize_dir)) {
					mkdir($resize_dir, 0777);
				}
		
				$handle->image_resize = true;
				if ($height < $width) {
					$handle->image_ratio_y = true;
					$handle->image_x = 180;//$imageWidth;
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = 180;//$imageHeight;
				}
				$handle->jpeg_quality = 85;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = $file_body;

				$handle->Process($resize_dir);
				
				$imagewidth = $handle->image_dst_x;
				$imageheight = $handle->image_dst_y;
				$post['imagewidth'] = $imagewidth;
				$post['imageheight'] = $imageheight;
				
				// thumbnail image
				$thumb_dir =  RESTAURANTGUIDE_IMAGES_RECIPE.DS.'thumb'.DS;
	
				if (!file_exists($thumb_dir)) {
					mkdir($thumb_dir, 0777);
				}
		
				$handle->image_resize = true;
				if ($height < $width) {
					$handle->image_ratio_y = true;
					$handle->image_x = 64;//$imageWidth;
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = 64;//$imageHeight;
				}
				$handle->jpeg_quality = 85;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = $file_body;
				
				$handle->Process($thumb_dir);
				
				// crop image
				$crop_dir =  RESTAURANTGUIDE_IMAGES_RECIPE.DS.'crop'.DS;
	
				if (!file_exists($crop_dir)) {
					mkdir($crop_dir, 0777);
				}
		
				$handle->image_resize = true;
				$handle->image_ratio_crop = true;
				if ($hgconf->crop_size) {
					$handle->image_y = $hgconf->crop_size;
					$handle->image_x = $hgconf->crop_size;
				} else {
					$handle->image_y = 170;
					$handle->image_x = 170;
				}
				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = $file_body;
				
				$handle->Process($crop_dir);
				
				$handle->Clean();
			}
		}
			
		if ( $model->store($post) ) {

			switch ($task)
			{
				case 'apply' :
					$link = 'index.php?option=com_restaurantguide&view=recipe&cid[]='.(int) $model->get('id');
					break;
					
				case 'saveandnew' :
					$link = 'index.php?option=com_restaurantguide&view=recipe';
					break;

				default :
					$link = 'index.php?option=com_restaurantguide&view=recipes';
					break;
			}
			$msg = JText::_( 'RECIPE SAVED' );
			
			//Take care of access levels and state
			$recipesmodel = & $this->getModel('recipes');
			$recipesmodel->access($model->get('id'), $model->get('access'));
			
			$pubid = array();
			$pubid[] = $model->get('id');
			if($model->get('published') == 1) {
				$recipesmodel->publish($pubid, 1);
			} else {
				$recipesmodel->publish($pubid, 0);
			}
			if (!empty($typeimg)) {	
				
			}
			
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();

		} else {

			$msg 	= JText::_( 'ERROR SAVING RECIPE' );
			$link 	= 'index.php?option=com_restaurantguide&view=recipe';
		}

		$model->checkin();

		$this->setRedirect($link, $msg);
	}

	/**
	 * Logic to publish evnet
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function publish()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			$msg = '';
			JError::raiseWarning(500, JText::_( 'SELECT ITEM PUBLISH' ) );
		} else {

			$model = $this->getModel('recipes');

			if(!$model->publish($cid, 1)) {
				JError::raiseError(500, $model->getError());
			}

			$msg 	= JText::_( 'RECIPE PUBLISHED');
		
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=recipes', $msg );
	}

	/**
	 * Logic to unpublish event
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function unpublish()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			$msg = '';
			JError::raiseWarning(500, JText::_( 'SELECT ITEM UNPUBLISH' ) );
		} else {

			$model = $this->getModel('recipes');

			if(!$model->publish($cid, 0)) {
				JError::raiseError(500, $model->getError());
			}

			$msg 	= JText::_( 'RECIPE UNPUBLISHED');
		
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}
		
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=recipes', $msg );
	}

	/**
	 * Logic to orderup an event
	 *
	 * @access public
	 * @return void;
	 * @since 1.0
	 */
	function orderup()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$model = $this->getModel('recipes');
		$model->move(-1);
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();
		
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=recipes');
	}

	/**
	 * Logic to orderdown an event
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function orderdown()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$model = $this->getModel('recipes');
		$model->move(1);
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=recipes');
	}

	/**
	 * Logic to mass ordering events
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function saveorder()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$order 	= JRequest::getVar( 'order', array(0), 'post', 'array' );

		$model = $this->getModel('recipes');
		if(!$model->saveorder($cid, $order)) {
			$msg = '';
			JError::raiseWarning(500, $model->getError());
		}
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		$msg = 'RG_NEW_ORDERING_SAVED';
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=recipes', $msg );
	}

	/**
	 * Logic to delete events
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function remove()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );

		$cid		= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			$msg = '';
			JError::raiseWarning(500, JText::_( 'SELECT ITEM DELETE' ) );
		} else {

			$model = $this->getModel('recipes');

			$msg = $model->delete($cid);

			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}
		
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=recipes', $msg );
	}

	/**
	 * logic for cancel an action
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function cancel()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$recipe = & JTable::getInstance('rg_recipes', '');
		$recipe->bind(JRequest::get('post'));
		$recipe->checkin();

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=recipes' );
	}

	/**
	 * Logic to set the category access level
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function access( )
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid		= JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$id			= (int)$cid[0];
		$task		= JRequest::getVar( 'task' );

		if ($task == 'accesspublic') {
			$access = 0;
		} elseif ($task == 'accessregistered') {
			$access = 1;
		} else {
			$access = 2;
		}

		$model = $this->getModel('recipes');
		
		if(!$model->access( $id, $access )) {
			JError::raiseError(500, $model->getError());
		} else {
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}
		
		$this->setRedirect('index.php?option=com_restaurantguide&view=recipes' );
	}

	/**
	 * Logic to create the view for the edit eventscreen
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function edit( )
	{	
		// Check for request forgeries
		//JRequest::checkToken() or jexit( 'Invalid Token' );
		
		JRequest::setVar( 'view', 'recipe' );
		JRequest::setVar( 'hidemainmenu', 1 );

		$model 	= $this->getModel('recipe');
		$user	=& JFactory::getUser();

		// Error if checkedout by another administrator
		if ($model->isCheckedOut( $user->get('id') )) {
			$this->setRedirect( 'index.php?option=com_restaurantguide&view=recipes', JText::_( 'RG_EDITED_BY_ANOTHER_ADMIN' ) );
		}

		$model->checkout( $user->get('id') );
		
		parent::display();
	}

	function gettags()
	{
		$id 	= JRequest::getInt('id', 0);
		$type 	= JRequest::getInt('type', 0);
		$model 	= $this->getModel('recipe');
		$tags 	= $model->gettags($type);

		$used = null;

		if ($id) {
			$used 	= $model->getusedtags($id);
		}
		if(!is_array($used)){
			$used = array();
		}

		$rsp = '<div class="rg_tagbox">';
		$n = count($tags);
		for( $i = 0, $n; $i < $n; $i++ ){
			$tag = $tags[$i];

			if( ( $i % 5 ) == 0 ){
				if( $i != 0 ){
					$rsp .= '</div>';
				}
				$rsp .=  '<div class="rg_tagline">';
			}
			$rsp .=  '<span class="rg_tag"><span class="rg_tagidbox"><input type="checkbox" name="tag[]" value="'.$tag->id.'"' . (in_array($tag->id, $used) ? 'checked="checked"' : '') . ' /></span>'.$tag->name.'</span>';
		}
		$rsp .= '</div>';
		$rsp .= '</div>';
		$rsp .= '<div class="clear"></div>';
		$rsp .= '<div class="rg_addtag">';
		$rsp .= '<label for="addtags">'.JText::_('RG_ADD_TAG').'</label>';
		$rsp .= '<input type="text" id="tagname" class="inputbox" size="30" />';
		$rsp .=	'<input type="button" class="button" value="'.JText::_('RG_ADD').'" onclick="addtag()" />';
		$rsp .= '</div>';

		echo $rsp;
	}
}