<?php
/**
 * @version 1.0 $Id: restaurantitems.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * Restaurant Guide Component Item Controller
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideControllerRestaurantItems extends restaurantguideController
{
	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra task
		$this->registerTask( 'add'  ,		 	'edit' );
		$this->registerTask( 'apply', 			'save' );
		$this->registerTask( 'saveandnew', 		'save' );
	}

	/**
	 * Logic to save an item
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function save()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );

		jimport('joomla.filesystem.file');
		jimport('joomla.filesystem.archive');
		require_once (RESTAURANTGUIDE_ADMINISTRATOR.DS.'lib'.DS.'class.upload.php');
		
		global $rgconf;
		
		$task		= JRequest::getVar('task');

		$post = JRequest::get( 'post' );
		$post['introduction'] = JRequest::getVar('introduction', '', 'POST', 'string', JREQUEST_ALLOWRAW);
		$post['branches'] = JRequest::getVar('branches', '', 'POST', 'string', JREQUEST_ALLOWRAW);
		$post['eat'] = JRequest::getVar('eat', '', 'POST', 'string', JREQUEST_ALLOWRAW);
		$post['drink'] = JRequest::getVar('drink', '', 'POST', 'string', JREQUEST_ALLOWRAW);
		$post['menu_desc'] = JRequest::getVar('menu_desc', '', 'POST', 'string', JREQUEST_ALLOWRAW);
		$post['service'] = JRequest::getVar('service', '', 'POST', 'string', JREQUEST_ALLOWRAW);
		$post['promotions'] = JRequest::getVar('promotions', '', 'POST', 'string', JREQUEST_ALLOWRAW);
		$post['contact'] = JRequest::getVar('contact', '', 'POST', 'string', JREQUEST_ALLOWRAW);

		$post['alternatives'] =  JRequest::getVar('alternatives', '', 'POST', 'string', JREQUEST_ALLOWRAW);
		$post['alternatives'] = implode(", ", $post['alternatives']);
		
		$model = $this->getModel('restaurantitem');
		$post['rate'] = $model->getRate($post['id']);
		$post['rate_sum'] = $model->getRateSum($post['id']);
		
		if (isset($_FILES['file_upload'])){
			$typeimg = $_FILES['file_upload']['type'];
			if (!empty($typeimg)) {	
				if($typeimg == 'image/jpeg'){$ext='.jpg';}else{$ext= '.'.substr($typeimg, strlen($typeimg) - 3); }
				$filename = 'logo_'.$post['id'].$ext;
				$post['logoimage'] = $filename;		
			}
		
			$handle = new Upload($_FILES['file_upload']);
			
			if ($handle->uploaded) {
				// Original image
				$directory = 'restaurant_'.$post['id'];

				$dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS;
		
				if (!file_exists($dir)) {
					mkdir($dir, 0777);
				}

				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->image_resize = true;
				$handle->image_ratio_x = true;
				$handle->image_y = 50;
				$handle->file_new_name_body = 'logo_'.$post['id'];
				$handle->Process($dir);

				$handle->Clean();
			}
		}

		
		if (isset($_FILES['upload_file'])){
			$imgtype = $_FILES['upload_file']['type'];
			if (!empty($imgtype)) {	
				if($imgtype == 'image/jpeg'){$ext='.jpg';}else{$ext= '.'.substr($imgtype, strlen($imgtype) - 3); }
				$mainfilename = 'main_'.$post['id'].$ext;
				$post['mainimage'] = $mainfilename;		
			}
		
			$handle = new Upload($_FILES['upload_file']);
			
			if ($handle->uploaded) {
				// Original image
				$directory = 'restaurant_'.$post['id'];

				$dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'album'.DS;
		
				if (!file_exists($dir)) {
					mkdir($dir, 0777);
				}

				$handle->mime_check = true;
				$handle->dir_chmod = 0777;
				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = 'main_'.$post['id'];
				$handle->Process($dir);
				$width = $handle->image_dst_x;
				$height = $handle->image_dst_y;

				// resized image
				$resize_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'resize'.DS;
	
				if (!file_exists($resize_dir)) {
					mkdir($resize_dir, 0777);
				}
		
				$handle->mime_check = true;
				$handle->image_resize = true;
				if ($height < $width) {
					$handle->image_ratio_y = true;
					$handle->image_x = $rgconf->mainimage_size;
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = $rgconf->mainimage_size;
				}
				$handle->jpeg_quality = 85;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = 'main_'.$post['id'];

				$handle->Process($resize_dir);

				$imagewidth = $handle->image_dst_x;
				$imageheight = $handle->image_dst_y;
				$post['imagewidth'] = $imagewidth;
				$post['imageheight'] = $imageheight;
				
				// square image
				$square_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'square'.DS;
	
				if (!file_exists($square_dir)) {
					mkdir($square_dir, 0777);
				}

				$handle->image_resize = true;
				$handle->image_ratio_crop = true;
				$handle->image_y = 120;
				$handle->image_x = 120;
				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = 'main_'.$post['id'];
				
				$handle->Process($square_dir);
				
				// square crop image
				$crop_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'crop'.DS;
	
				if (!file_exists($crop_dir)) {
					mkdir($crop_dir, 0777);
				}

				$handle->image_resize = true;
				$handle->image_ratio_crop = true;
				$handle->image_y = 75;
				$handle->image_x = 75;
				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = 'main_'.$post['id'];
				
				$handle->Process($crop_dir);
				
				// thumbnail image
				$thumb_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'thumb'.DS;
	
				if (!file_exists($thumb_dir)) {
					mkdir($thumb_dir, 0777);
				}
		
				$handle->mime_check = true;
				$handle->image_resize = true;
				if ($imageheight < $imagewidth) {
					$handle->image_ratio_y = true;
					$handle->image_x = $rgconf->mainthumb_size;
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = $rgconf->mainthumb_size;
				}
				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = 'main_'.$post['id'];
				
				$handle->Process($thumb_dir);
				
				$scrop_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'scrop'.DS;
	
				if (!file_exists($scrop_dir)) {
					mkdir($scrop_dir, 0777);
				}
		
				$handle->image_resize = true;
				$handle->image_ratio_crop = true;
				$handle->image_y = 20;
				$handle->image_x = 20;
				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body = 'main_'.$post['id'];
				
				$handle->Process($scrop_dir);
				
				$handle->Clean();
				
				if (JFile::exists($dir.$data->filename)) {
					JFile::delete($dir.$data->filename);
				}
				
				if (JFile::exists($resize_dir.$data->filename)) {
					JFile::delete($resize_dir.$data->filename);
				}
				
				if (JFile::exists($square_dir.$data->filename)) {
					JFile::delete($square_dir.$data->filename);
				}
				
				if (JFile::exists($thumb_dir.$data->filename)) {
					JFile::delete($thumb_dir.$data->filename);
				}
				
				if (JFile::exists($scrop_dir.$data->filename)) {
					JFile::delete($scrop_dir.$data->filename);
				}
			}
		}
		
		if ( $model->store($post) ) {

			switch ($task)
			{
				case 'apply' :
					$link = 'index.php?option=com_restaurantguide&view=restaurantitem&cid[]='.(int) $model->get('id');
					break;

				case 'saveandnew' :
					$link = 'index.php?option=com_restaurantguide&view=restaurantitem';
					break;
					
				default :
					$link = 'index.php?option=com_restaurantguide&view=restaurantitems';
					break;
			}
			$msg = JText::_( 'RG_ITEM_SAVED' );

			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();

		} else {
			$msg = JText::_( 'RG_ERROR_SAVING_ITEM' );
			JError::raiseError( 500, $model->getError() );
			$link 	= 'index.php?option=com_restaurantguide&view=restaurantitem';
		}
		
		$model->checkin();

		$this->setRedirect($link, $msg);
	}

	/**
	 * Logic to orderup an item
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function orderup()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$model = $this->getModel('restaurantitems');
		$model->move(-1);

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=restaurantitems');
	}

	/**
	 * Logic to orderdown an item
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function orderdown()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$model = $this->getModel('restaurantitems');
		$model->move(1);

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=restaurantitems');
	}

	/**
	 * Logic to mass ordering items
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function saveorder()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$order 	= JRequest::getVar( 'order', array(0), 'post', 'array' );

		$model = $this->getModel('restaurantitems');
		if(!$model->saveorder($cid, $order)) {
			$msg = '';
			JError::raiseError(500, $model->getError());
		} else {
			$msg = JText::_( 'RG_NEW_ORDERING_SAVED' );
		}

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=restaurantitems', $msg );
	}

	/**
	 * Logic to change the state
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function setitemstate()
	{
		$id 	= JRequest::getInt( 'id', 0 );
		$state 	= JRequest::getVar( 'published', 0 );

		$model = $this->getModel('restaurantitems');

		if(!$model->setitemstate($id, $state)) {
			JError::raiseError(500, $model->getError());
		}
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();
	}

	/**
	 * Logic to delete items
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function remove()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid		= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			JError::raiseError(500, JText::_( 'RG_SELECT_ITEM_DELETE' ) );
		}

		$model = $this->getModel('restaurantitems');

		if(!$model->delete($cid)) {
			$msg = '';
			JError::raiseError(500, $model->getError());
		} else {
			$total 	= count( $cid );
			$msg 	= $total.' '.JText::_('RG_ITEMS_DELETED');

			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=restaurantitems', $msg );
	}

	/**
	 * logic for cancel an action
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function cancel()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );

		$item = & JTable::getInstance('rg_restaurantitems', '');
		$item->bind(JRequest::get('post'));
		$item->checkin();

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=restaurantitems' );
	}

	/**
	 * Logic to create the view for the edit categoryscreen
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function edit( )
	{		
		JRequest::setVar( 'view', 'RestaurantItem' );
		JRequest::setVar( 'hidemainmenu', 1 );

		$model 	= $this->getModel('restaurantitem');
		$user	=& JFactory::getUser();

		// Error if checkedout by another administrator
		if ($model->isCheckedOut( $user->get('id') )) {
			$this->setRedirect( 'index.php?option=com_restaurantguide&view=restaurantitems', JText::_( 'RG_EDITED_BY_ANOTHER_ADMIN' ) );
		}

		$model->checkout( $user->get('id') );

		parent::display();
	}

	/**
	 * Method to reset hits
	 * 
	 * @since 1.0
	 */
	function resethits()
	{
		$id		= JRequest::getInt( 'id', 0 );
		$model = $this->getModel('restaurantitem');

		$model->resetHits($id);
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		echo 0;
	}

	/**
	 * Method to reset votes
	 * 
	 * @since 1.0
	 */
	function resetvotes()
	{
		$id		= JRequest::getInt( 'id', 0 );
		$model = $this->getModel('restaurantitem');

		$model->resetVotes($id);
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		echo '+ 0 | - 0';
	}

	/**
	 * Method to fetch the tags form
	 * 
	 * @since 1.0
	 */
	function gettags()
	{
		$id 	= JRequest::getInt('id', 0);
		$type 	= JRequest::getInt('type', 0);
		$model 	= $this->getModel('restaurantitem');
		$tags 	= $model->gettags($type);

		$used = null;

		if ($id) {
			$used 	= $model->getusedtags($id);
		}
		if(!is_array($used)){
			$used = array();
		}

		$rsp = '<div class="rg_tagbox">';
		$n = count($tags);
		for( $i = 0, $n; $i < $n; $i++ ){
			$tag = $tags[$i];

			if( ( $i % 5 ) == 0 ){
				if( $i != 0 ){
					$rsp .= '</div>';
				}
				$rsp .=  '<div class="rg_tagline">';
			}
			$rsp .=  '<span class="rg_tag"><span class="rg_tagidbox"><input type="checkbox" name="tag[]" value="'.$tag->id.'"' . (in_array($tag->id, $used) ? 'checked="checked"' : '') . ' /></span>'.$tag->name.'</span>';
		}
		$rsp .= '</div>';
		$rsp .= '</div>';
		$rsp .= '<div class="clear"></div>';
		$rsp .= '<div class="rg_addtag">';
		$rsp .= '<label for="addtags">'.JText::_('RG_ADD_TAG').'</label>';
		$rsp .= '<input type="text" id="tagname" class="inputbox" size="30" />';
		$rsp .=	'<input type="button" class="button" value="'.JText::_('RG_ADD').'" onclick="addtag()" />';
		$rsp .= '</div>';

		echo $rsp;
	}

	/**
	 * Method to fetch the votes
	 * 
	 * @since 1.0
	 */
	function getvotes()
	{
		$id 	= JRequest::getInt('id', 0);
		$model 	= $this->getModel('restaurantitem');
		$votes 	= $model->getvotes($id);

		if ($votes) {
			echo '+ '.(int)$votes[0]->plus.' | - '.(int)$votes[0]->minus;
		} else {
			echo '+ 0 | - 0';
		}
	}

	/**
	 * Method to get hits
	 * 
	 * @since 1.0
	 */
	function gethits()
	{
		$id 	= JRequest::getInt('id', 0);
		$model 	= $this->getModel('restaurantitem');
		$hits 	= $model->gethits($id);

		if ($hits) {
			echo $hits;
		} else {
			echo 0;
		}
	}
}