<?php
/**
 * @version 1.0 $Id: list.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * List HTML Helper
 * 
 * To call a method from this helper : JTHML:_( 'restaurantguide.list', $args )
 *
 * @package		RestaurantGuide.Framework
 * @subpackage	Helper
 * @author		Oh-Taek Im
 * @since		1.0
 */

require_once ( JPATH_LIBRARIES . DS . 'joomla' . DS . 'html' . DS . 'html' . DS . 'list.php' );

class restaurantguideList extends JHTMLList
{
	function salutation( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$salutation[] = JHTML::_('select.option',  0, JText::_( 'RG_SELECT' ) );
		$salutation[] = JHTML::_('select.option',  1, JText::_( 'RG_MR' ) );
		$salutation[] = JHTML::_('select.option',  2, JText::_( 'RG_MS' ) );
		$salutation[] = JHTML::_('select.option',  3, JText::_( 'RG_MRS' ) );
		$salutation[] = JHTML::_('select.option',  4, JText::_( 'RG_DR' ) );

		$salutation = JHTML::_('select.genericlist', $salutation, $name, '', 'value', 'text', intval($selected) );

		return $salutation;
	}
	
	function frontpage( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$front[] = JHTML::_('select.option',  0, JText::_( 'RG_NONE' ) );
		$front[] = JHTML::_('select.option',  1, JText::_( 'RG_RESTAURANT_PAGE' ) );
		$front[] = JHTML::_('select.option',  2, JText::_( 'RG_WORLD_PAGE' ) );
		$front[] = JHTML::_('select.option',  3, JText::_( 'RG_CONTINENT_PAGE' ) );
		$front[] = JHTML::_('select.option',  4, JText::_( 'RG_COUNTRY_PAGE' ) );
		$front[] = JHTML::_('select.option',  5, JText::_( 'RG_STATES_PAGE' ) );
		$front[] = JHTML::_('select.option',  6, JText::_( 'RG_CITY_PAGE' ) );

		$front = JHTML::_('select.genericlist', $front, 'frontpage', '', 'value', 'text', intval($selected) );

		return $front;
	}
	
	function slideshowpage( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$slideshow[] = JHTML::_('select.option',  0, JText::_( 'RG_NONE' ) );
		$slideshow[] = JHTML::_('select.option',  1, JText::_( 'RG_RESTAURANT_PAGE' ) );
		$slideshow[] = JHTML::_('select.option',  2, JText::_( 'RG_WORLD_PAGE' ) );
		$slideshow[] = JHTML::_('select.option',  3, JText::_( 'RG_CONTINENT_PAGE' ) );
		$slideshow[] = JHTML::_('select.option',  4, JText::_( 'RG_COUNTRY_PAGE' ) );
		$slideshow[] = JHTML::_('select.option',  5, JText::_( 'RG_STATES_PAGE' ) );
		$slideshow[] = JHTML::_('select.option',  6, JText::_( 'RG_CITY_PAGE' ) );

		$slideshow = JHTML::_('select.genericlist', $slideshow, 'slideshow', '', 'value', 'text', intval($selected) );

		return $slideshow;
	}
	
	/**
	 * Select list of restaurant type
	 * 
	 * @access	public
	 * @param	string	Name and id of the select list
	 * @param	array	Attributes associative array
	 * @param	int		The id of the selected type
	 * @param	string	The id tag
	 * @param	boolean
	 * @return	string
	 */
	function restotype( $name, $selected = null, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$db =& JFactory::getDBO();	
		
		$query = "SELECT id, name FROM #__rg_restauranttypes WHERE published = 1 ORDER BY name ASC"; 
		$db->setQuery($query);

		$typelist[]	= JHTML::_('select.option', '0', '- '. JText::_('RG_SELECT_A_RESTAURANT_TYPE') .' -', 'id', 'name' );
		$typelist	= array_merge( $typelist, $db->loadObjectList() );

		$output  	= JHTML::_('select.genericlist', $typelist, 'tid', 'class="inputbox" size="1"', 'id', 'name', $selected );
		
		return $output;
	}

	function restaurantchain( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT i.id, i.name'
				. ' FROM #__rg_chains AS i'
				. ' WHERE i.published = 1'
				;	

		$db->setQuery($query);

		$chainlist[]	= JHTML::_('select.option',  '0', '- '. JText::_('RG_SELECT_A_CHAIN') .' -', 'id', 'name' );
		$chainlist	    = array_merge( $chainlist, $db->loadObjectList() );
		$restaurantchain  = JHTML::_('select.genericlist', $chainlist, 'chain', 'class="inputbox" size="1" ', 'id', 'name', intval($selected));
		
		return $restaurantchain;
	}
	
	function adtype( $name, $selected = null, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$db =& JFactory::getDBO();	
		
		$query = "SELECT id, name FROM #__rg_adtypes WHERE published = 1 ORDER BY name ASC"; 
		$db->setQuery($query);

		$typelist[]	= JHTML::_('select.option', '0', '- '. JText::_('RG_SELECT_AD_TYPE') .' -', 'id', 'name' );
		$typelist	= array_merge( $typelist, $db->loadObjectList() );

		$output  	= JHTML::_('select.genericlist', $typelist, 'adtypeid', 'class="inputbox" size="1"', 'id', 'name', $selected );
		
		return $output;
	}
	
	function frontadtype( $name, $selected = null, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$db =& JFactory::getDBO();	
		
		$query = "SELECT id, name FROM #__rg_adtypes WHERE published = 1 ORDER BY name ASC"; 
		$db->setQuery($query);

		$typelist[]	= JHTML::_('select.option', '0', '- '. JText::_('RG_SELECT_AD_TYPE') .' -', 'id', 'name' );
		$typelist	= array_merge( $typelist, $db->loadObjectList() );

		$javascript = 'onChange="changeAdType()"';
		$output  	= JHTML::_('select.genericlist', $typelist, 'adtypeid', 'class="inputbox" size="1"'.$javascript, 'id', 'name', $selected );
		
		return $output;
	}
	
	function adunit( $name, $selected = null, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$unitlist[]	= JHTML::_('select.option', '0', '- '. JText::_('RG_SELECT_AD_TYPE') .' -', 'id', 'name' );
		$unitlist[]	= JHTML::_('select.option', '1', JText::_('RG_LIST'), 'id', 'name' );
		$unitlist[]	= JHTML::_('select.option', '2', JText::_('RG_IMAGE'), 'id', 'name' );

		$output  	= JHTML::_('select.genericlist', $unitlist, 'adunit', 'class="inputbox" size="1"', 'id', 'name', $selected );
		
		return $output;
	}
	
	function pricerange( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		global $rgconf;
		
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$pricerange[] = JHTML::_('select.option',  0, '- '. JText::_( 'RG_SELECT_PRICE_RANGE' ) .' -' );		
		$pricerange[] = JHTML::_('select.option',  1, JText::_( 'RG_VV' ).': '.$rgconf->minprice.' '.JText::_( 'RG_AND_UNDER' ) );
		$pricerange[] = JHTML::_('select.option',  2, JText::_( 'RG_VVV' ).': '.$rgconf->normalprice.' '.JText::_( 'RG_TO' ).' '.$rgconf->hiprice );
		$pricerange[] = JHTML::_('select.option',  3, JText::_( 'RG_VVVV' ).': '.$rgconf->hiprice.' '.JText::_( 'RG_AND_OVER' ) );

		$pricerange = JHTML::_('select.genericlist', $pricerange, 'pricerange', '', 'value', 'text', intval($selected) );
		
		return $pricerange;
	}
	
	function searchcuisines( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		global $rgconf;
		
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$db 	=& JFactory::getDBO();
		$db->setQuery( "SELECT id AS value, name AS text FROM #__rg_cuisines WHERE published = 1 AND atmosphere = 0 ORDER BY text ASC");
		$results = $db->loadObjectList();

		$cuisines[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_CUISINE') .' -');
		$cuisines = @array_merge($cuisines, $results);
		$cuisines = JHTML::_('select.genericlist', $cuisines, 'filter_cuisines',  '', 'value', 'text', intval($selected));
		
		return $cuisines;
	}
	
	function searchpricerange( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		global $rgconf;
		
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$pricerange[] = JHTML::_('select.option',  0, '- '. JText::_( 'RG_SELECT_PRICE_RANGE' ) .' -' );		
		$pricerange[] = JHTML::_('select.option',  1, JText::_( 'RG_VV' ).': '.$rgconf->minprice.' '.JText::_( 'RG_AND_UNDER' ) );
		$pricerange[] = JHTML::_('select.option',  2, JText::_( 'RG_VVV' ).': '.$rgconf->normalprice.' '.JText::_( 'RG_TO' ).' '.$rgconf->hiprice );
		$pricerange[] = JHTML::_('select.option',  3, JText::_( 'RG_VVVV' ).': '.$rgconf->hiprice.' '.JText::_( 'RG_AND_OVER' ) );

		$pricerange = JHTML::_('select.genericlist', $pricerange, 'filter_price', '', 'value', 'text', intval($selected) );
		
		return $pricerange;
	}
	
	function currency( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_currency AS c'
				. ' WHERE c.published = 1'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$currency[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_CURRENCY') .' -');
		$currency = @array_merge($currency, $result);
		$currency = JHTML::_('select.genericlist', $currency, 'currency',  '', 'value', 'text', $selected);

		return $currency;
	}
	
	function modulecurrency( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text, c.symbol, c.countrycode_1'
				. ' FROM #__rg_currency AS c'
				. ' WHERE c.published = 1'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		$value = 0;
		$currency[] 	= JHTML::_('select.option', $value, JText::_('RG_RESTAURANTS_CURRENCY'));
		foreach( $results as $result )
		{
			if ($result->value == $selected) 
				$currency[] = JHTML::_('select.option', $result->value.'" selected="selected" title="'. JURI::root(true) . '/images/restaurantguide/country/flags/'.$result->countrycode_1.'.png', $result->text.' ('.$result->symbol.')' );
			else 
				$currency[] = JHTML::_('select.option', $result->value.'" title="'. JURI::root(true) . '/images/restaurantguide/country/flags/'.$result->countrycode_1.'.png', $result->text.' ('.$result->symbol.')' );
		}
		
		$javascript = 'onChange="submit();"'; 

		$currency = JHTML::_('select.genericlist', $currency, 'currency', 'class="inputbox" size="1" style="font-size: 11px; width:100%;" '.$javascript, 'value', 'text', $selected); 
	
		return $currency;
	}
	
	function currencyformat( $name, $selected = null, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$format[] = JHTML::_('select.option',  0, JText::_( 'RG_SELECT_CURRENCY_FORMAT' ) );
		$format[] = JHTML::_('select.option',  1, JText::_( 'RG_SYM_VALUE' ) );
		$format[] = JHTML::_('select.option',  2, JText::_( 'RG_SYMVALUE' ) );
		$format[] = JHTML::_('select.option',  3, JText::_( 'RG_CODE_VALUE' ) );
		$format[] = JHTML::_('select.option',  4, JText::_( 'RG_CODEVALUE' ) );
		$format[] = JHTML::_('select.option',  5, JText::_( 'RG_VALUE_SYM' ) );
		$format[] = JHTML::_('select.option',  6, JText::_( 'RG_VALUESYM' ) );
		$format[] = JHTML::_('select.option',  7, JText::_( 'RG_VALUE_CODE' ) );
		$format[] = JHTML::_('select.option',  8, JText::_( 'RG_VALUECODE' ) );

		$output = JHTML::_('select.genericlist', $format, 'currencyformat', '', 'value', 'text', intval($selected) );
		
		return $output;
	}
	
	function continent( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT i.id, i.name'
				. ' FROM #__rg_continents AS i'
				. ' WHERE i.published = 1'
				. ' ORDER BY i.name ASC'
				;	

		$db->setQuery($query);
		
		$continent[]	= JHTML::_('select.option',  '0', '- '. JText::_('RG_SELECT_A_CONTINENT') .' -', 'id', 'name' );
		$continent	    = array_merge( $continent, $db->loadObjectList() );
		$continent  	= JHTML::_('select.genericlist',  $continent, 'continent', 'class="inputbox" size="1" ', 'id', 'name', intval($selected));

		return $continent;
	}
/*	
	function search_country( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_countries AS c ON c.id = i.country'
				. ' WHERE i.state = 1'
				. ' AND i.country > 0'
				. ' GROUP BY i.country'
				;
	
		$db->setQuery( $query );
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="ChangeState(this.value); ChangeCity(this.value)"';
		$country = JHTML::_('select.genericlist', $country, 'filter_country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $selected);

		return $country;
	}
*/	
	function country( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$country = JHTML::_('select.genericlist', $country, 'country',  '', 'value', 'text', $selected);

		return $country;
	}
	
	function AjaxCountryCity( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="ChangeStateCity(this.value)"';
		$output = JHTML::_('select.genericlist', $country, 'country', 'class="inputbox" size="1" style="font-size: 10px; width: auto;"'.$javascript,'value', 'text',  $selected); 

		return $output;
	}

	

	
	
	
	function country_list( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' WHERE c.published = 1'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="changeStates_list(this.value); changeLocal_list(this.value); changeCity_list(this.value);"';
		$country = JHTML::_('select.genericlist', $country, 'country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px;"'.$javascript,'value', 'text', $selected); 

		return $country;
	}
	
	function front_country_list( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' WHERE c.published = 1'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="changeStates_list(this.value); changeCity_list(this.value);"';
		$country = JHTML::_('select.genericlist', $country, 'country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px;"'.$javascript,'value', 'text', $selected); 

		return $country;
	}
	
/*	
	function general_country_list( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' WHERE c.published = 1'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="changeStates_list(this.value); changeLocal_list(this.value); changeCity_list(this.value);"';
		$country = JHTML::_('select.genericlist', $country, 'country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px;"'.$javascript,'value', 'text', $selected); 

		return $country;
	} */
	
	
	
	/*	Front-end editing	*/
	function change_country_list( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' WHERE c.published = 1'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="change_states_list(this.value); change_city_list(this.value); change_local_list(this.value);"';
		$country = JHTML::_('select.genericlist', $country, 'country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px;"'.$javascript,'value', 'text', $selected); 

		return $country;
	}
	
	
	
	
	/* Menu, gallery */
	function selectCountry( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db = & JFactory::getDBO();
		
		$query = 'SELECT id AS value, name AS text'
				. ' FROM #__rg_countries'
				. ' WHERE published = 1'
				. ' ORDER BY id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();

		$javascript = 'onChange="selectStates(this.value);"';
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$country = JHTML::_('select.genericlist', $country, 'country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px;"'.$javascript,'value', 'text', $selected); 

		return $country;
	}
	
	function selectCountryLocal( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db = & JFactory::getDBO();
		
		$query = 'SELECT id AS value, name AS text'
				. ' FROM #__rg_countries'
				. ' WHERE published = 1'
				. ' ORDER BY id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();

		$javascript = 'onChange="selectStatesLocal(this.value);"';
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('RG_SELECT_A_COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$country = JHTML::_('select.genericlist', $country, 'country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px;"'.$javascript,'value', 'text', $selected); 

		return $country;
	}
}
?>
