<?php
/**
 * @version 1.0 $Id: admanagers.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Select HTML Helper
 * 
 * To call a method from this helper : JTHML:_( 'restaurantguide.select', $args )
 *
 * @package		RestaurantGuide.Framework
 * @subpackage	Helper
 * @author		Oh-Taek Im
 * @since		1.0
 */

require_once ( JPATH_LIBRARIES . DS . 'joomla' . DS . 'html' . DS . 'html' . DS . 'select.php' );

class restaurantguideSelect extends JHTMLSelect
{
	/**
	* Generates an HTML radio list
	* 
	* Overloads Joomla's one to unsure id attribute only contains valid characters
	*
	* @param array An array of objects
	* @param string The value of the HTML name attribute
	* @param string Additional HTML attributes for the <select> tag
	* @param mixed The key that is selected
	* @param string The name of the object variable for the option value
	* @param string The name of the object variable for the option text
	* @returns string HTML for the select list
	*/
/*	function radiolist( $arr, $name, $attribs = null, $key = 'value', $text = 'text', $selected = null, $idtag = false, $translate = false )
	{
		reset( $arr );
		$html = '';

		if (is_array($attribs)) {
			$attribs = JArrayHelper::toString($attribs);
		 }

		$id_text = $name;
		if ( $idtag ) {
			$id_text = $idtag;
		}
		
		$id_text	= str_replace('[','',$id_text);
		$id_text	= str_replace(']','',$id_text);

		for ($i=0, $n=count( $arr ); $i < $n; $i++ )
		{
			$k	= $arr[$i]->$key;
			$t	= $translate ? JText::_( $arr[$i]->$text ) : $arr[$i]->$text;
			$id	= ( isset($arr[$i]->id) ? @$arr[$i]->id : null);

			$extra	= '';
			$extra	.= $id ? " id=\"" . $arr[$i]->id . "\"" : '';
			if (is_array( $selected ))
			{
				foreach ($selected as $val)
				{
					$k2 = is_object( $val ) ? $val->$key : $val;
					if ($k == $k2)
					{
						$extra .= " selected=\"selected\"";
						break;
					}
				}
			} else {
				$extra .= ($k == $selected ? " checked=\"checked\"" : '');
			}
			$html .= "\n\t<input type=\"radio\" name=\"$name\" id=\"$id_text$k\" value=\"".$k."\"$extra $attribs />";
			$html .= "\n\t<label for=\"$id_text$k\">$t</label>";
		}
		$html .= "\n";
		return $html;
	}
*/	
	/**
	 * Generates a yes/no radio list
	 *
	 * @param string The value of the HTML name attribute
	 * @param string Additional HTML attributes for the <select> tag
	 * @param mixed The key that is selected
	 * @returns string HTML for the radio list
	 */
/*	function booleanlist( $name, $attribs = null, $selected = null, $yes='yes', $no='no', $id=false )
	{	
		$arr = array(
			JHTML::_('select.option', '0', JText::_( $no ) ),
			JHTML::_('select.option', '1', JText::_( $yes ) )
		);
		return JHTML::_('restaurantguide.select.radiolist', $arr, $name, $attribs, 'value', 'text', (int) $selected, $id );
	}
*/	
	function positionlist( $name, $attribs = null, $selected = null, $yes='Bottoom', $no='Top', $id=false )
	{	
		$arr = array(
			JHTML::_('select.option', '0', JText::_( $no ) ),
			JHTML::_('select.option', '1', JText::_( $yes ) )
		);
		return JHTML::_('restaurantguide.select.radiolist',  $arr, $name, $attribs, 'value', 'text', (int) $selected, $id );
	}
	
	function floatlist( $name, $attribs = null, $selected = null, $yes='Left', $no='Right', $id=false )
	{	
		$arr = array(
			JHTML::_('select.option',  '0', JText::_( $no ) ),
			JHTML::_('select.option',  '1', JText::_( $yes ) )
		);
		return JHTML::_('restaurantguide.select.radiolist',  $arr, $name, $attribs, 'value', 'text', (int) $selected, $id );
	}
}