<?php
/**
 * @version 1.0 $Id: sidemenu.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class restaurantguideSidemenu
{
	/**
	 * A method to play the __construct() role since JHTML::_() doesn't instantiate the class
	 * 
	 * @access	public
	 * @return	void
	 */
	function general()
	{
		global $mainframe;
		
		// Load the restaurantguide's general css file
		$css = RESTAURANTGUIDE_ASSETS_CSS_URL . 'sidemenu.css';
		
		$document =& JFactory::getDocument();
		$document->addStyleSheet($css);

		JHTML::_('restaurantguide.sidemenu.sidemenu');
	}
	

	/**
	 * The Side Menu
	 * 
	 * @access	public
	 * @return	void
	 */
	function sidemenu()
	{
		$view = JRequest::getCmd('view');
		$task = JRequest::getCmd('task');
		?>
		<div id="sidemenu">
			<div class="t">
				<div class="t">
					<div class="t"></div>
				</div>
			</div>
			<div class="m">
				<center><?php echo JHTML::_( 'image', RESTAURANTGUIDE_ASSETS_IMAGES_URL . 'logo.png', JText::_('RG_RESTAURANT_GUIDE') ); ?></center>
				<dl>
					<dt><?php echo JText::_('RG_GENERAL'); ?></dt>
                    <dd class="zebra<?php echo ( $view == 'restaurantguide' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=restaurantguide'); ?>">
							<?php echo JText::_('RG_DASHBOARD'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'continents' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=continents'); ?>">
							<?php echo JText::_('RG_CONTINENT'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'countries' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=countries'); ?>">
							<?php echo JText::_('RG_COUNTRY'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'states' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=states'); ?>">
							<?php echo JText::_('RG_STATES'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'cities' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=cities'); ?>">
							<?php echo JText::_('RG_CITY'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'restaurantitems' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=restaurantitems'); ?>">
							<?php echo JText::_('RG_RESTAURANT'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'galleryitems' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=galleryitems'); ?>">
							<?php echo JText::_('RG_GALLERY'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'filemanager' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=filemanager'); ?>">
							<?php echo JText::_('RG_BATCH_UPLOAD'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'chains' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=chains'); ?>">
							<?php echo JText::_('RG_CHAIN'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'restauranttypes' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=restauranttypes'); ?>">
							<?php echo JText::_('RG_RESTAURANT_TYPE'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'cuisines' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=cuisines'); ?>">
							<?php echo JText::_('RG_CUISINE'); ?>
						</a>
					</dd>
					<dd class="zebra<?php echo ( $view == 'facilities' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=facilities'); ?>">
							<?php echo JText::_('RG_FACILITY'); ?>
						</a>
					</dd>
					<dd class="zebra<?php echo ( $view == 'menus' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=menus'); ?>">
							<?php echo JText::_('RG_MENU_MANAGER'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'recipes' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=recipes'); ?>">
							<?php echo JText::_('RG_RECIPE_MANAGER'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'promotions' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=promotions'); ?>">
							<?php echo JText::_('RG_PROMOTION'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'events' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=events'); ?>">
							<?php echo JText::_('RG_EVENT'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'currencies' && empty($task) ) ? ' active' : ''; ?>">
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=currencies'); ?>">
							<?php echo JText::_('RG_CURRENCY'); ?>
						</a>
					</dd>
                    <dd class="zebra<?php echo ( $view == 'testimonials' && empty($task) ) ? ' active' : ''; ?>">
                        <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=testimonials'); ?>">
                            <?php echo JText::_('RG_REVIEW'); ?>
                        </a>
                    </dd>
                    <dd class="zebra<?php echo ( $view == 'restaurantlinks' && empty($task) ) ? ' active' : ''; ?>">
                        <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=restaurantlinks'); ?>">
                            <?php echo JText::_('RG_LINKED_ARTICLE'); ?>
                        </a>
                    </dd>
                    <dd class="zebra<?php echo ( $view == 'adtypes' && empty($task) ) ? ' active' : ''; ?>">
                        <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=adtypes'); ?>">
                            <?php echo JText::_('RG_AD_TYPE'); ?>
                        </a>
                    </dd>
                    <dd class="zebra<?php echo ( $view == 'admanagers' && empty($task) ) ? ' active' : ''; ?>">
                        <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=admanagers'); ?>">
                            <?php echo JText::_('RG_ADMANAGER'); ?>
                        </a>
                    </dd>
                    <dd class="zebra<?php echo ( $view == 'tags' && empty($task) ) ? ' active' : ''; ?>">
                        <a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=tags'); ?>">
                            <?php echo JText::_('RG_TAG'); ?>
                        </a>
                    </dd>

					<dt><?php echo JText::_('RG_MORE...'); ?></dt>
					<dd <?php echo ( $view == 'configurations' ) ? 'class="active"' : ''; ?>>
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=settings'); ?>">
							<?php echo JText::_('RG_CONFIGURATIONS'); ?>
						</a>
					</dd>
                    <dd <?php echo ( $view == 'callus' ) ? 'class="active"' : ''; ?>>
						<a href="<?php echo JRoute::_('index.php?option=com_restaurantguide&view=callus'); ?>">
							<?php echo JText::_('RG_CALL_US'); ?>
						</a>
					</dd>
					<dd>
						<a href="<?php echo JRoute::_('http://joomla.eazytour.com/index.php?option=com_kunena&view=listcat&catid=1&Itemid=37&lang=en'); ?>">
							<?php echo JText::_('RG_SUPPORT_FORUM'); ?>
						</a>
					</dd>
					<dd class="last<?php echo ( $view == 'about' ) ? ' active' : ''; ?>">
						<a href="http://www.eazytour.com">
							<?php echo JText::_('RG_ABOUT_RESTAURANT_GUIDE'); ?>
						</a>
					</dd>
				</dl>
				<a class="credits" href="http://www.eazytour.com" target="_blank"><center><?php echo JHTML::_( 'image', RESTAURANTGUIDE_ASSETS_IMAGES_URL . 'credit.png', JText::_('Powered by Restaurant Guide') ); ?></center></a>
				<div class="clr"></div>
			</div>
			<div class="b">
				<div class="b">
					<div class="b"></div>
				</div>
			</div>
		</div>
		<?php
	}
	/**
	 * Displays the publishing state legend for properties
	 * 
	 * @access	public
	 * @return	void
	 */
	function legend()
	{
		?>
		<table cellspacing="0" cellpadding="4" border="0" align="center">
			<tr align="center">
				<td>
					<img src="images/publish_y.png" border="0" alt="<?php echo JText::_( 'Pending' ); ?>" />
				</td>
				<td>
					<?php echo JText::_( 'Published, but is' ); ?> <u><?php echo JText::_( 'Pending' ); ?></u> |
				</td>
				<td>
					<img src="images/publish_g.png" border="0" alt="<?php echo JText::_( 'Visible' ); ?>" />
				</td>
				<td>
					<?php echo JText::_( 'Published and is' ); ?> <u><?php echo JText::_( 'Current' ); ?></u> |
				</td>
				<td>
					<img src="images/publish_r.png" border="0" alt="<?php echo JText::_( 'Finished' ); ?>" />
				</td>
				<td>
					<?php echo JText::_( 'Published, but has' ); ?> <u><?php echo JText::_( 'Expired' ); ?></u> |
				</td>
				<td>
					<img src="images/publish_x.png" border="0" alt="<?php echo JText::_( 'Finished' ); ?>" />
				</td>
				<td>
					<?php echo JText::_( 'Not Published' ); ?> |
				</td>
			</tr>
			<tr>
				<td colspan="10" align="center">
					<?php echo JText::_( 'Click on icon to toggle state.' ); ?>
				</td>
			</tr>
		</table>
		<?php
	}
	
	function footer()
    {
		echo '<p align="center">Powered by<a href="http://www.eazytour.com" target="_blank"> Restaurant Guide</a></p></div>';
    }
}
?>
