<?php
/**
 * @version 1.0 $Id: select.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

/**
 * @package		Joomla
 * @subpackage	RestaurantGuide
 */
class rgSelectHelper
{
	function SelectClient( $id )
	{
		$db =& JFactory::getDBO();
		$query = 'SELECT * ' .
				' FROM #__users' .								
				' ORDER BY name';				
		$db->setQuery( $query );
		$items = $db->loadObjectList();

		$output = JHTML::_('select.genericlist', $items, 'id', 'class="inputbox" size="1"', 'id', 'name', $id );

		return $output;
	}

	function SelectAgent( &$row )
	{
		$db =& JFactory::getDBO();
		$query = 'SELECT * ' .
				' FROM #__rg_agents' .									
				' ORDER BY name';				
		$db->setQuery( $query );
		$items = $db->loadObjectList();
		$javascript = 'onChange="ChangeAgent(this.value)"';
		$output = JHTML::_('select.genericlist',   $items, 'agid', 'class="inputbox" size="1" '.$javascript, 'mid', 'name', $row->agid );
		//print_r($mitems);
		return $output;
	}
	
	function TagParent()
	{
		$parent_type[] = JHTML::_('select.option',  0, JText::_( 'RG_SELECT_PARENT' ) );		
		$parent_type[] = JHTML::_('select.option',  1, JText::_( 'RG_CONTINENT' ) );
		$parent_type[] = JHTML::_('select.option',  2, JText::_( 'RG_COUNTRY' ) );
		$parent_type[] = JHTML::_('select.option',  3, JText::_( 'RG_STATES' ) );
		$parent_type[] = JHTML::_('select.option',  4, JText::_( 'RG_CITY' ) );
		$parent_type[] = JHTML::_('select.option',  5, JText::_( 'RG_RESTAURANT' ) );
		$parent_type[] = JHTML::_('select.option',  6, JText::_( 'RG_RECEIPE' ) );
		$parent_type[] = JHTML::_('select.option',  7, JText::_( 'RG_EVENT' ) );

		return $parent_type;
	}
	
	function hours()
	{
		$text = '';
		for($i=0; $i<=24; $i++){ 			
			if ($i < 10)
				$text = '0'.$i;
			else
				$text = $i;
			$output[] = JHTML::_('select.option', $i, $text );
		}
		$lists = array();
		$lists['hr'] = JHTML::_('select.genericlist', $output, 'hr', '', 'value', 'text', 0 );

		return $lists['hr'];
	}
	
	function mins()
	{
		$output[] = JHTML::_('select.option',  0, JText::_( '00' ) );
		$output[] = JHTML::_('select.option',  1, JText::_( '15' ) );
		$output[] = JHTML::_('select.option',  2, JText::_( '30' ) );
		$output[] = JHTML::_('select.option',  3, JText::_( '45' ) );
		$lists = array();
		$lists['min'] = JHTML::_('select.genericlist', $output, 'min', '', 'value', 'text', 0);

		return $lists['min'];
	}

	function hour($name, $hour)
	{
		$text = '';
		for($i=0; $i<=24; $i++){ 			
			if ($i < 10)
				$text = '0'.$i;
			else
				$text = $i;
			$output[] = JHTML::_('select.option', $i, $text );
		}
		$lists = array();
		$lists = JHTML::_('select.genericlist', $output, $name, 'class="inputbox" size="1"', 'value', 'text', $hour );

		return $lists;
	}
	
	function minu($name, $min)
	{
		$output[] = JHTML::_('select.option',  0, JText::_( '00' ) );
		$output[] = JHTML::_('select.option',  1, JText::_( '15' ) );
		$output[] = JHTML::_('select.option',  2, JText::_( '30' ) );
		$output[] = JHTML::_('select.option',  3, JText::_( '45' ) );
		$lists = array();
		$lists = JHTML::_('select.genericlist', $output, $name, 'class="inputbox" size="1"', 'value', 'text', $min );

		return $lists;
	}
/*	
	function SelectAjaxResto( $row, $city )
	{
		$db 	=& JFactory::getDBO();

		$query = 'SELECT i.id AS value, i.title AS text'
				. ' FROM #__rg_restaurantitems AS i'
				. ' WHERE i.published = 1'
				. ' AND i.city = '.$city
				. ' ORDER BY i.title ASC'
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// get list of active languages	
		if ( count($results)>0 ) {
			$restooption[] = JHTML::_('select.option', '-1', JText::_('RG_SELECT_A_RESTAURANT') );
			$restooption = @array_merge($restooption, $results);
			$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', $row->resto);
		} else {
			$restooption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );
			$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', $row->resto);
		}		
		
		echo $output;
	}
	
	function SelectAjaxState( $row, $country )
	{
		$db 	=& JFactory::getDBO();

		$query = 'SELECT id, name'
				. ' FROM #__rg_states'
				. ' WHERE country = '.$country
				. ' AND published = 1'
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// get list of active languages
		$stateoption[] = JHTML::_('select.option',  '-1', '- '.JText::_('RG_SELECT_A_STATES').' -' );
	
		if ( count($results)>0 ) {
			foreach( $results as $result )
			{
				$stateoption[] = JHTML::_('select.option',  $result->id, $result->name );
			}
			$javascript = 'onChange="changeStatesCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $row->states);
		} else {
			$stateoption[] = JHTML::_('select.option',  '0', JText::_('RG_NOT_AVAILABLE') );
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', $row->states);
		}
	
		echo $output;
	}
	
	function SelectAjaxCity( $row, $country )
	{
		if (!$country)
			$country = 0;
			
		$cities = restaurantguide_city::getCityTree($country, 1);

		if ( count($cities)>0 ) {
			$javascript = 'onChange="changeCityLocal_list(this.value); changeAlternatives(this.value);"';
			$output = restaurantguide_city::buildcityselect($cities, 'city', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		} else {
			$output = restaurantguide_city::buildcityselect($cities, 'city', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled');
		}

		return $output;
	}

	function SelectAjaxCityResto( $row, $country )
	{
		if (!$country)
			$country = 0;
			
		$cities = restaurantguide_city::getCityTree($country, 2);

		if (count($cities) > 0) {
			$javascript = 'onChange="ChangeResto(this.value)"';
			$output = restaurantguide_city::buildcityselect($cities, 'city', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		} else {
			$output = restaurantguide_city::buildcityselect($cities, 'city', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled');
		}

		return $output;
	}
	
	function SelectAjaxParentCity( $row, $country )
	{
		if (!$country)
			$country = 0;
			
		$cities = restaurantguide_city::getCityTree($country, 1);

		$output = restaurantguide_city::buildcityselect($cities, 'parent_id', $row->parent_id, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"');
		
		return $output;
	}
*/	
	/* Fot Accommodation Item
	/* Support the commercial version
	*/
	function SelectAjaxAlternatives( $row, $city )
	{
		$db = & JFactory::getDBO();
		
		$query = 'SELECT i.id AS value, i.title AS text'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_cities AS c on c.id = i.city'
				. ' WHERE i.published = 1'
				. ' AND c.published = 1'
				. ' AND i.city = '.$city
				. ' ORDER BY i.title'
				;
				
		$db->setQuery($query);
		$results = $db->loadObjectList();

		$aSelected = explode(",", $row->alternatives );
		
		$alters[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_ALTERNATIVES').' -' );
		if ( count($results)>0 ) {
			$alters = @array_merge($alters, $results);
			$output = JHTML::_('select.genericlist', $alters, 'alternatives[]', 'class="inputbox" multiple="multiple" size="10" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', $aSelected );
		} else {
			$alters[] = JHTML::_('select.option',  0, JText::_('RG_NOT_AVAILABLE') );
			$output = JHTML::_('select.genericlist', $alters, 'alternatives[]', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"disabled', 'value', 'text', $aSelected );
		}

		return $output;
	} 
/*	
	function SelectAjaxCityResto( $row, $country )
	{
		$cities = restaurantguide_city::getCityTree($country);

		$javascript = 'onChange="ChangeResto(this.value)"';
		$output = restaurantguide_city::buildcityselect($cities, 'parent_id', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);

		return $output;
	}
*/	
	function ContinentMenu()
	{
		global $rgconf;
		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT id AS value, name AS text,'
				. ' CASE WHEN CHAR_LENGTH( alias ) THEN CONCAT_WS( \':\', id, alias ) ELSE id END AS slug'
				. ' FROM #__rg_continents'
				. ' WHERE published = 1'
				;
	
		$db->setQuery( $query );
		$continents = $db->loadObjectList();

		$count = count($continents);

		for($i=0;$i < $count; $i++){
			$query = 'SELECT c.id, c.name, c.code_1,'
					. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
						. ' ('
						. ' SELECT COUNT( DISTINCT i.id )'
						. ' FROM #__rg_restaurantitems AS i'
						. ' LEFT JOIN #__rg_countries AS cc ON cc.id = i.country'
						. ' WHERE i.country = c.id'
						. ')' 
						. ' AS assignedrestos'
					. ' FROM #__rg_countries AS c'
					. ' WHERE c.published = 1'
					. ' AND c.continent = '.$continents[$i]->value
					;
					
			$db->setQuery( $query );
			$continents[$i]->countries = $db->loadObjectList();
		}
		
		$menulist = '<ul id="menu" style="background: -moz-linear-gradient(top, '.$rgconf->menubarcolorone.',  '.$rgconf->menubarcolortwo.'); background: -webkit-gradient(linear, 0% 0%, 0% 100%, from('.$rgconf->menubarcolorone.'), to('.$rgconf->menubarcolortwo.'));">' . "\n";

		foreach ( $continents as $continent ) {
			if (count($continent->countries) > 0) {
				$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
				$menulist .= '<li><a href='.$wlink.'>'.$continent->text.'</a>' . "\n";
				$menulist .= '<div class="dropdown_4columns">' . "\n";
				$i = 0;
				foreach ( $continent->countries as $country ) {
					$tlink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
					$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
					
					$menulist .= '<div class="col_1">';
					if (strlen(strip_tags($country->name)) > 22) {
						$menulist .= '<p style="line-height:14px"><a href="'.$tlink.'"><img src="'.$imagelink.'" width="22px" class="img_left imgshadow" align="left" alt="'.$country->name.'" />';
					} else {
						$menulist .= '<p style="line-height:28px"><a href="'.$tlink.'"><img src="'.$imagelink.'" width="22px" class="img_left imgshadow" align="left" alt="'.$country->name.'" />';
					}
					$menulist .= $country->name.'</a></p></div>';
					
					$i++;
					if ($i == 4) {
						$menulist .= '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					}  
				}
				$menulist .= '</div></li>' . "\n";
			}
		}
		$menulist .= '</ul>' . "\n";
		
		return $menulist;
	} 
	
	function CountryMenu($maincountry)
	{
		global $rgconf;
		
		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT s.id AS value, s.name AS text, s.image, cc.continent AS continent, cc.name AS countryname,'
				. ' CASE WHEN CHAR_LENGTH( s.alias ) THEN CONCAT_WS( \':\', s.id, s.alias ) ELSE s.id END AS slug'
				. ' FROM #__rg_states AS s'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = s.country'
				. ' WHERE s.published = 1'
				. ' AND s.country = '.$maincountry->id
				. ' ORDER BY s.name ASC'
				;
				
		$db->setQuery( $query );
		$states = $db->loadObjectList();
		
		if (count($states) > 0) {
			$i = 0;
			foreach($states as $row) :
				$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.continent AS continent, cc.name AS countryname,'
						. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
						. ' FROM #__rg_cities AS c'
						. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
						. ' WHERE c.published = 1'
						. ' AND c.states = '.$row->value
						. ' AND c.parent_id = 0'
						. ' ORDER BY c.name ASC'
						;
					
				$db->setQuery( $query );
				$states[$i]->cities = $db->loadObjectList();
				
				$i ++;
			endforeach;
				
			$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.continent AS continent, cc.name AS countryname,'
					. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
					. ' FROM #__rg_cities AS c'
					. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
					. ' WHERE c.published = 1'
					. ' AND c.country = '.$maincountry->id
					. ' AND c.parent_id = 0'
					. ' ORDER BY c.name ASC'
					;
				
			$db->setQuery( $query );
			$cities = $db->loadObjectList();
		} else {
			$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.continent AS continent, cc.name AS countryname,'
					. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
					. ' FROM #__rg_cities AS c'
					. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
					. ' WHERE c.published = 1'
					. ' AND c.country = '.$maincountry->id
					. ' AND c.parent_id = 0'
					. ' ORDER BY c.name ASC'
					;
				
			$db->setQuery( $query );
			$cities = $db->loadObjectList();
		}

		$where = ' WHERE c.published = 1';		
		$where .= ' AND c.continent = '.$maincountry->continent;

		$query = 'SELECT c.id AS value, c.name AS text, c.code_1, cc.name AS continentname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
				. ' FROM #__rg_countries AS c'
				. ' LEFT JOIN #__rg_continents AS cc ON cc.id = c.continent'
				. $where
				;		
		
		$db->setQuery( $query );
		$countries = $db->loadObjectList();

			
		if ($rgconf->frontpage == 2) {					
			$query = 'SELECT id AS value, name AS text, image,'
					. ' CASE WHEN CHAR_LENGTH( alias ) THEN CONCAT_WS( \':\', id, alias ) ELSE id END AS slug'
					. ' FROM #__rg_continents'
					. ' WHERE published = 1'
					;		
			
			$db->setQuery( $query );
			$continents = $db->loadObjectList();
		}
	
		
		$menulist = '<ul id="menu">' . "\n";
		if (isset($continents) && $rgconf->frontpage == 2) {

			$clink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=restaurantguide');
			$menulist .= '<li><a href="'.$clink.'">'.JText::_('RG_CONTINENTS').'</a>' . "\n";
			$menulist .= '<div class="dropdown_4columns">' . "\n";
				
			$i = 0;
			foreach ( $continents as $continent ) {
				$continentlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
				
				if ($continent->image)
					$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$continent->image;
				else
					$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
				
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($continent->text)) > 20) {
					$continent->text = substr($continent->text, 0, 30);
					$continent->text = trim($continent->text) . "...\n\n";
					$menulist .= '<p style="line-height:16px"><a href="'.$continentlink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" alt="'.$continent->text.'" />';
				} else {
					$menulist .= '<p style="line-height:32px"><a href="'.$continentlink.'"><img src="'.$imagelink.'" width="20px" class="worldimgshadow" alt="'.$continent->text.'" />';
				}
				$menulist .= $continent->text.'</a></p></div>';
				$i++;

				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				} 
			}
			$menulist .= '</div></li>' . "\n";
		}	

		if (isset($countries) && $rgconf->frontpage != 4) {
			$rlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=restaurantguide');
			$menulist .= '<li><a href="'.$rlink.'">'.$countries[0]->continentname.'</a>' . "\n";
			$menulist .= '<div class="dropdown_4columns">' . "\n";

			$i = 0;
			foreach ( $countries as $country ) {
				$countrylink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
				$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
					
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($country->text)) > 20) {
					$country->text = substr($country->text, 0, 30);
					$country->text = trim($country->text) . "...\n\n";
					$menulist .= '<p style="line-height:14px"><a href="'.$countrylink.'"><img src="'.$imagelink.'" width="22px" class="rg_img_left imgshadow" alt="'.$country->text.'" />';
				} else {
					$menulist .= '<p style="line-height:28px"><a href="'.$countrylink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->text.'" />';
				}
				$menulist .= $country->text.'</a></p></div>';

				$i++;

				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		}
	
		if (count($states) > 0) {
			$tlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=country&amp;id='.$maincountry->id);
			$menulist .= '<li><a href="'.$tlink.'">'.$states[0]->countryname.'</a>' . "\n";
			$menulist .= '<div class="dropdown_4columns">' . "\n";
			$i = 0;
			foreach ( $states as $state ) {
				$stateslink =  JRoute::_( restaurantguideHelperRoute::getStatesRoute($state->slug));
				
				if ($state->image)
					$imagelink = JURI::base() .'images/restaurantguide/states/scrop/' .$state->image;
				else
					$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
					
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($state->text)) > 20) {
					$state->text = substr($state->text, 0, 30);
					$state->text = trim($state->text) . "...\n\n";
					$menulist .= '<p style="line-height:16px"><a href="'.$stateslink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" alt="'.$state->text.'" />';
				} else {
					$menulist .= '<p style="line-height:32px"><a href="'.$stateslink.'"><img src="'.$imagelink.'" width="20px" class="worldimgshadow" alt="'.$state->text.'" />';
				}
				$menulist .= $state->text.'</a></p></div>';

				$i++;
	
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		}
	
		if (isset($cities) && count($states) <= 0) {
			if (count($cities) > 0) {
				$tlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=country&amp;id='.$maincountry->id);
				$menulist .= '<li><a href="'.$tlink.'">'.$cities[0]->countryname.'</a>' . "\n";
				$menulist .= '<div class="dropdown_4columns">' . "\n";
				$i = 0;
				foreach ( $cities as $city ) {
					$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($city->slug));
					
					if ($city->image)
						$imagelink = JURI::base() .'images/restaurantguide/city/scrop/' .$city->image;
					else
						$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
						
					$menulist .= '<div class="col_1">';
					if (strlen(strip_tags($city->text)) > 20) {
						$city->text = substr($city->text, 0, 30);
						$city->text = trim($city->text) . "...\n\n";
						$menulist .= '<p style="line-height:16px"><a href="'.$citylink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" align="left" alt="'.$city->text.'" />';
					} else {
						$menulist .= '<p style="line-height:32px"><a href="'.$citylink.'"><img src="'.$imagelink.'" width="20px" class="worldimgshadow" alt="'.$city->text.'" />';
					}
					$menulist .= $city->text.'</a></p></div>';
	
					$i++;
		
					if ($i == 4) {
						$menulist .= '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					}  
				}
				$menulist .= '</div></li>' . "\n";
			}
		}

		$menulist .= '</ul>' . "\n";

		return $menulist;

	} 
	
	function StatesMenu($data)
	{
		global $rgconf;
		$db 	=& JFactory::getDBO();
		
		$where = ' WHERE c.published = 1';
		if ($data->id > 0)
			$where .= ' AND c.states = '.$data->id;
		
		$query = 'SELECT c.id AS value, c.name AS text, c.image, s.name AS statesname, cc.name AS countryname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
				. ' CASE WHEN CHAR_LENGTH( s.alias ) THEN CONCAT_WS( \':\', s.id, s.alias ) ELSE s.id END AS statesslug,'
				. ' CASE WHEN CHAR_LENGTH( cc.alias ) THEN CONCAT_WS( \':\', cc.id, cc.alias ) ELSE cc.id END AS countryslug'
				. ' FROM #__rg_cities AS c'
				. ' LEFT JOIN #__rg_states AS s ON s.id = c.states'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
				. $where
				. ' AND c.parent_id = 0'
				. ' ORDER BY c.name ASC'
				;
				
		$db->setQuery( $query );
		$cities = $db->loadObjectList();
		
		$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.continent AS continent, cc.name AS countryname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
				. ' CASE WHEN CHAR_LENGTH( cc.alias ) THEN CONCAT_WS( \':\', cc.id, cc.alias ) ELSE cc.id END AS countryslug'
				. ' FROM #__rg_states AS c'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
				. ' WHERE c.published = 1'
				. ' AND c.country = '.$data->country
				;
				
		$db->setQuery( $query );
		$states = $db->loadObjectList();
			
		$query = 'SELECT c.id AS value, c.name AS text, c.code_1, cc.name AS continentname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
				. ' FROM #__rg_countries AS c'
				. ' LEFT JOIN #__rg_continents AS cc ON cc.id = c.continent'
				. ' WHERE c.published = 1'
				. ' AND c.continent = '.$states[0]->continent
//				. ' AND c.id != '.$city->country
				;		
		
		$db->setQuery( $query );
		$countries = $db->loadObjectList();
			
		if ($rgconf->frontpage == 2) {						
			$query = 'SELECT id AS value, name AS text, image,'
					. ' CASE WHEN CHAR_LENGTH( alias ) THEN CONCAT_WS( \':\', id, alias ) ELSE id END AS slug'
					. ' FROM #__rg_continents'
					. ' WHERE published = 1'
					;		
			
			$db->setQuery( $query );
			$continents = $db->loadObjectList();
		}
	
		$menulist = '<ul id="menu">' . "\n";
		
		if (isset($continents) && $rgconf->frontpage == 2) {
			$clink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=restaurantguide');
			$menulist .= '<li><a href="'.$clink.'">'.JText::_('RG_CONTINENTS').'</a>' . "\n";
			$menulist .= '<div class="dropdown_4columns">' . "\n";
			
			$i = 0;
			foreach ( $continents as $continent ) {
				$continentlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
				
				if ($continent->image)
					$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$continent->image;
				else
					$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
					
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($continent->text)) > 20) {
					$continent->text = substr($continent->text, 0, 30);
					$continent->text = trim($continent->text) . "...\n\n";
					$menulist .= '<p style="line-height:16px"><a href="'.$continentlink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" alt="'.$continent->text.'" />';
				} else {
					$menulist .= '<p style="line-height:32px"><a href="'.$continentlink.'"><img src="'.$imagelink.'" width="20px" class="worldimgshadow" alt="'.$continent->text.'" />';
				}
				$menulist .= $continent->text.'</a></p></div>';

				$i++;
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		} 

		if (count($countries) > 0 && ( $rgconf->frontpage == 2 || $rgconf->frontpage == 3)) {
			$i = 0;
			$rlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=restaurantguide');
			$menulist .= '<li><a href="'.$rlink.'">'.$countries[0]->continentname.'</a>' . "\n";
			$menulist .= '<div class="dropdown_4columns">' . "\n";
			
			foreach ( $countries as $country ) {
				$countrylink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
				$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
					
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($country->text)) > 20) {
					$country->text = substr($country->text, 0, 30);
					$country->text = trim($country->text) . "...\n\n";
					$menulist .= '<p style="line-height:14px"><a href="'.$countrylink.'"><img src="'.$imagelink.'" width="22px" class="rg_img_left imgshadow" alt="'.$country->text.'" />';
				} else {
					$menulist .= '<p style="line-height:28px"><a href="'.$countrylink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->text.'" />';
				}
				$menulist .= $country->text.'</a></p></div>';
	
				$i++;
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		}
		
		if ( $rgconf->frontpage == 2 || $rgconf->frontpage == 3 || $rgconf->frontpage == 4) {
			$clink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($states[0]->countryslug));
			$menulist .= '<li><a href="'.$clink.'">'.$states[0]->countryname.'</a>' . "\n";
			$menulist .= '<div class="dropdown_4columns">' . "\n";
				
			$i = 0;
			foreach ( $states as $state ) {
				$stateslink =  JRoute::_( restaurantguideHelperRoute::getStatesRoute($state->slug));
				
				if ($state->image)
					$imagelink = JURI::base() .'images/restaurantguide/states/scrop/' .$state->image;
				else
					$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
					
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($state->text)) > 20) {
					$state->text = substr($state->text, 0, 30);
					$state->text = trim($state->text) . "...\n\n";
					$menulist .= '<p style="line-height:16px"><a href="'.$stateslink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" alt="'.$state->text.'" />';
				} else {
					$menulist .= '<p style="line-height:32px"><a href="'.$stateslink.'"><img src="'.$imagelink.'" width="20px" class="worldimgshadow" alt="'.$state->text.'" />';
				}
				$menulist .= $state->text.'</a></p></div>';
				
				$i++;
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		}
		
		if (count($cities) > 0) {
			$stateslink =  JRoute::_( restaurantguideHelperRoute::getStatesRoute($cities[0]->statesslug));
			$menulist .= '<li><a href="'.$stateslink.'">'.$cities[0]->statesname.'</a>' . "\n";
			$menulist .= '<div class="dropdown_4columns">' . "\n";
			$i = 0;
			foreach ( $cities as $city ) {
				$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($city->slug));
				
				if ($city->image)
					$imagelink = JURI::base() .'images/restaurantguide/city/scrop/' .$city->image;
				else
					$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
				
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($city->text)) > 20) {
					$city->text = substr($city->text, 0, 30);
					$city->text = trim($city->text) . "...\n\n";
					$menulist .= '<p style="line-height:16px"><a href="'.$citylink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" alt="'.$city->text.'" />';
				} else {
					$menulist .= '<p style="line-height:32px"><a href="'.$citylink.'"><img src="'.$imagelink.'" width="20px" class="worldimgshadow" alt="'.$city->text.'" />';
				}
				$menulist .= $city->text.'</a></p></div>';

				$i++;	
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		}
		$menulist .= '</ul>' . "\n";

		return $menulist;
	} 
	

	function CityMenu($data)
	{
		global $rgconf;

		$menulist = '<ul id="menu">' . "\n";
		
		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT s.id AS value, s.name AS text, s.image, cc.continent AS continent, cc.name AS countryname,'
				. ' CASE WHEN CHAR_LENGTH( s.alias ) THEN CONCAT_WS( \':\', s.id, s.alias ) ELSE s.id END AS slug'
				. ' FROM #__rg_states AS s'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = s.country'
				. ' WHERE s.published = 1'
				. ' AND s.country = '.$data->country
				;
				
		$db->setQuery( $query );
		$states = $db->loadObjectList();
		
		$where = ' WHERE c.published = 1';
		if ($data->parent_id <= 0)
			$where .= ' AND c.id = '.$data->id;
		else
			$where .= ' AND c.id = '.$data->parent_id;
		$where .= ' AND c.states = '.$data->states;
		
		$query = 'SELECT c.id, c.name, s.name AS statesname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS cityslug,'
				. ' CASE WHEN CHAR_LENGTH( s.alias ) THEN CONCAT_WS( \':\', s.id, s.alias ) ELSE s.id END AS statesslug'
				. ' FROM #__rg_cities AS c'
				. ' LEFT JOIN #__rg_states AS s ON s.id = c.states'
				. $where
				;
			
		$db->setQuery( $query );
		$maincity = $db->loadObject();
			
		if (count($states) > 0) {
			$query = 'SELECT c.id AS value, c.name AS text, c.image, s.name AS statesname,'
					. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
					. ' FROM #__rg_cities AS c'
					. ' LEFT JOIN #__rg_states AS s ON s.id = c.states'
					. ' WHERE c.published = 1'
					. ' AND c.states = '.$data->states
					. ' AND c.parent_id = 0'
					;
				
			$db->setQuery( $query );
			$statecities = $db->loadObjectList();
		} else {
/*			$where = ' WHERE c.published = 1';
			if ($data->parent_id <= 0)
				$where .= ' AND c.id = '.$data->id;
			else
				$where .= ' AND c.id = '.$data->parent_id;
			
			$query = 'SELECT c.id, c.name,'
					. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS cityslug'
					. ' FROM #__rg_cities AS c'
					. $where
					;
				
			$db->setQuery( $query );
			$maincity = $db->loadObject(); */
		}
		
		
		$where = ' WHERE c.published = 1';
		if ($data->parent_id <= 0)
			$where .= ' AND c.parent_id = '.$data->id;
		else
			$where .= ' AND c.parent_id = '.$data->parent_id;
			
		$query = 'SELECT c.id AS value, c.name AS text, c.image,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
				. ' FROM #__rg_cities AS c'
				. $where
				. ' ORDER BY c.name ASC'
				;
				
		$db->setQuery( $query );
		$locals = $db->loadObjectList();
		
		$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.continent AS continent, cc.name AS countryname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
				. ' CASE WHEN CHAR_LENGTH( cc.alias ) THEN CONCAT_WS( \':\', cc.id, cc.alias ) ELSE cc.id END AS countryslug'
				. ' FROM #__rg_cities AS c'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
				. ' WHERE c.published = 1'
				. ' AND c.country = '.$data->country
				. ' AND c.parent_id = 0'
				. ' ORDER BY c.name ASC'
				;
				
		$db->setQuery( $query );
		$cities = $db->loadObjectList();
			
		if ($rgconf->frontpage != 6) {
			$query = 'SELECT c.id AS value, c.name AS text, c.code_1, cc.name AS continentname,'
					. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
					. ' CASE WHEN CHAR_LENGTH( cc.alias ) THEN CONCAT_WS( \':\', cc.id, cc.alias ) ELSE cc.id END AS continentslug'
					. ' FROM #__rg_countries AS c'
					. ' LEFT JOIN #__rg_continents AS cc ON cc.id = c.continent'
					. ' WHERE c.published = 1'
					. ' AND c.continent = '.$cities[0]->continent
					. ' ORDER BY c.name ASC'
					;		
			
			$db->setQuery( $query );
			$countries = $db->loadObjectList();
				
			if ($rgconf->frontpage == 2) {						
				$query = 'SELECT id AS value, name AS text, image,'
						. ' CASE WHEN CHAR_LENGTH( alias ) THEN CONCAT_WS( \':\', id, alias ) ELSE id END AS slug'
						. ' FROM #__rg_continents'
						. ' WHERE published = 1'
						;		
				
				$db->setQuery( $query );
				$continents = $db->loadObjectList();
		
				$nocontinent = count($continents);
			}
			
			if (isset($continents) && $rgconf->frontpage == 2) {
				$clink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=restaurantguide');
				$menulist .= '<li><a href="'.$clink.'">'.JText::_('rg_CONTINENTS').'</a>' . "\n";
				$menulist .= '<div class="dropdown_4columns">' . "\n";
				
				$i = 0;
				foreach ( $continents as $continent ) {
					$continentlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
					
					if ($continent->image)
						$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$continent->image;
					else
						$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
					
					$menulist .= '<div class="col_1">';
					if (strlen(strip_tags($continent->text)) > 20) {
						$continent->text = substr($continent->text, 0, 30);
						$continent->text = trim($continent->text) . "...\n\n";
						$menulist .= '<p style="line-height:16px"><a href="'.$continentlink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" alt="'.$continent->text.'" />';
					} else {
						$menulist .= '<p style="line-height:32px"><a href="'.$continentlink.'"><img src="'.$imagelink.'" width="20px" class="worldimgshadow" alt="'.$continent->text.'" />';
					}
					$menulist .= $continent->text.'</a></p></div>';

					$i++;
					if ($i == 4) {
						$menulist .= '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					}  
				}
				$menulist .= '</div></li>' . "\n";
			} 
			
			if ( $rgconf->frontpage == 2 || $rgconf->frontpage == 3) {
				$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($countries[0]->continentslug));
				$menulist .= '<li><a href="'.$wlink.'">'.$countries[0]->continentname.'</a>' . "\n";
				$menulist .= '<div class="dropdown_4columns">' . "\n";
			
				$i = 0;
				foreach ( $countries as $country ) {
					$countrylink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
					$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
					
					$menulist .= '<div class="col_1">';
					if (strlen(strip_tags($country->text)) > 20) {
						$country->text = substr($country->text, 0, 30);
						$country->text = trim($country->text) . "...\n\n";
						$menulist .= '<p style="line-height:14px"><a href="'.$countrylink.'"><img src="'.$imagelink.'" width="22px" class="rg_img_left imgshadow" alt="'.$country->text.'" />';
					} else {
						$menulist .= '<p style="line-height:28px"><a href="'.$countrylink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->text.'" />';
					}
					
					$menulist .= $country->text.'</a></p></div>';
	
					$i++;
					if ($i == 4) {
						$menulist .= '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					}  
				}
				$menulist .= '</div></li>' . "\n";
			}
			
			if (count($states) > 0 && ( $rgconf->frontpage == 2 || $rgconf->frontpage == 3 || $rgconf->frontpage == 4)) {
				$tlink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($cities[0]->countryslug));
				$menulist .= '<li><a href="'.$tlink.'">'.$states[0]->countryname.'</a>' . "\n";
				$menulist .= '<div class="dropdown_4columns">' . "\n";
				$i = 0;
				foreach ( $states as $state ) {
					$stateslink =  JRoute::_( restaurantguideHelperRoute::getStatesRoute($state->slug));
					
					if ($state->image)
						$imagelink = JURI::base() .'images/restaurantguide/states/scrop/' .$state->image;
					else
						$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
						
					$menulist .= '<div class="col_1">';
					if (strlen(strip_tags($state->text)) > 20) {
						$state->text = substr($state->text, 0, 30);
						$state->text = trim($state->text) . "...\n\n";
						$menulist .= '<p style="line-height:16px"><a href="'.$stateslink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" alt="'.$state->text.'" />';
					} else {
						$menulist .= '<p style="line-height:32px"><a href="'.$stateslink.'"><img src="'.$imagelink.'" width="20px" class="worldimgshadow" alt="'.$state->text.'" />';
					}
					$menulist .= $state->text.'</a></p></div>';
	
					$i++;
		
					if ($i == 4) {
						$menulist .= '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					}  
				}
				$menulist .= '</div></li>' . "\n";
			}
				
			if (isset($statecities) && ( $rgconf->frontpage == 2 || $rgconf->frontpage == 3 || $rgconf->frontpage == 4 || $rgconf->frontpage == 5)) {
				$slink =  JRoute::_( restaurantguideHelperRoute::getStatesRoute($maincity->statesslug));
				$menulist .= '<li><a href="'.$slink.'">'.$maincity->statesname.'</a>' . "\n";
				$menulist .= '<div class="dropdown_4columns">' . "\n";
				$i = 0;
				foreach ( $statecities as $city ) {
					$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($city->slug));
					
					if ($city->image)
						$imagelink = JURI::base() .'images/restaurantguide/city/scrop/' .$city->image;
					else
						$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
					
					$menulist .= '<div class="col_1">';
					if (strlen(strip_tags($city->text)) > 20) {
						$city->text = substr($city->text, 0, 35);
						$city->text = trim($city->text) . "...\n\n";
						$menulist .= '<p style="line-height:16px"><a href="'.$citylink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" alt="'.$city->text.'" />';
					} else {
						$menulist .= '<p style="line-height:32px"><a href="'.$citylink.'"><img src="'.$imagelink.'" width="20px" class="iworldimgshadow"alt="'.$city->text.'" />';
					}
					$menulist .= $city->text.'</a></p></div>';
	
					$i++;	
					if ($i == 4) {
						$menulist .= '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					}  
				}
				$menulist .= '</div></li>' . "\n";
			}

			if (count($states) == 0 && ( $rgconf->frontpage == 2 || $rgconf->frontpage == 3 || $rgconf->frontpage == 4)) {
				$tlink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($cities[0]->countryslug));
				$menulist .= '<li><a href="'.$tlink.'">'.$cities[0]->countryname.'</a>' . "\n";
				$menulist .= '<div class="dropdown_4columns">' . "\n";
				$i = 0;
				foreach ( $cities as $citylist ) {
					$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($citylist->slug));
					
					if ($citylist->image)
						$imagelink = JURI::base() .'images/restaurantguide/city/scrop/' .$citylist->image;
					else
						$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
						
					$menulist .= '<div class="col_1">';
					if (strlen(strip_tags($citylist->text)) > 20) {
						$citylist->text = substr($citylist->text, 0, 35);
						$citylist->text = trim($citylist->text) . "...\n\n";
						$menulist .= '<p style="line-height:16px"><a href="'.$citylink.'"><img src="'.$imagelink. '" width="20px" class="rg_img_left imgshadow" alt="'.$citylist->text.'" />';
					} else {
						$menulist .= '<p style="line-height:32px"><a href="'.$citylink.'"><img src="'.$imagelink. '" width="20px" class="worldimgshadow" alt="'.$citylist->text.'" />';
					}
					$menulist .= $citylist->text.'</a></p></div>';
	
					$i++;
		
					if ($i == 4) {
						$menulist .= '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
					}  
				}
				$menulist .= '</div></li>' . "\n";
			}
		} 
		
		if (count($locals) > 0) {	
			$maincitylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($maincity->cityslug));	
			$menulist .= '<li><a href="'.$maincitylink.'">'.$maincity->name.'</a>' . "\n";	
			$menulist .= '<div class="dropdown_4columns">' . "\n";
			$i = 0;
			foreach ( $locals as $local ) {
				$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($local->slug));
				
				if ($local->image)
					$imagelink = JURI::base() .'images/restaurantguide/city/scrop/' .$local->image;
				else
					$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
				
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($local->text)) > 25) {
					$local->text = substr($local->text, 0, 36);
					$local->text = trim($local->text) . "...\n\n";
					$menulist .= '<p style="line-height:16px"><a href="'.$citylink.'"><img src="'.$imagelink. '" width="20px" class="rg_img_left imgshadow" alt="'.$local->text.'" />';
				} else {
					$menulist .= '<p style="line-height:32px"><a href="'.$citylink.'"><img src="'.$imagelink. '" width="20px" class="worldimgshadow" alt="'.$local->text.'" />';
				}
				$menulist .= $local->text.'</a></p></div>';

				$i++;
	
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		}		
		$menulist .= '</ul>' . "\n";

		return $menulist;
	} 
	
	function RestoMenu($city, $country, $item, $name, $countryslug, $cityslug, $user, $favoured)
	{
		global $rgconf;
		
		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT s.id AS value, s.name AS text, s.image, cc.continent AS continent, cc.name AS countryname,'
				. ' CASE WHEN CHAR_LENGTH( s.alias ) THEN CONCAT_WS( \':\', s.id, s.alias ) ELSE s.id END AS slug'
				. ' FROM #__rg_states AS s'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = s.country'
				. ' WHERE s.published = 1'
				. ' AND s.country = '.$country
				;
				
		$db->setQuery( $query );
		$states = $db->loadObjectList();
		
		
		$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.continent AS continent, cc.name AS countryname, s.name AS statesname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
				. ' CASE WHEN CHAR_LENGTH( s.alias ) THEN CONCAT_WS( \':\', s.id, s.alias ) ELSE s.id END AS statesslug'
				. ' FROM #__rg_cities AS c'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
				. ' LEFT JOIN #__rg_states AS s ON s.id = c.states'
				. ' WHERE c.published = 1'
				. ' AND c.country = '.$country
				. ' AND c.parent_id = 0'
				. ' ORDER BY c.name ASC'
				;
				
		$db->setQuery( $query );
		$cities = $db->loadObjectList();
			
		if ($cities && ($rgconf->frontpage == 2 || $rgconf->frontpage == 3)) {
			$query = 'SELECT c.id AS value, c.name AS text, c.image, c.code_1, cc.name AS continentname,'
					. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
					. ' FROM #__rg_countries AS c'
					. ' LEFT JOIN #__rg_continents AS cc ON cc.id = c.continent'
					. ' WHERE c.published = 1'
					. ' AND c.continent = '.$cities[0]->continent
					;		
			
			$db->setQuery( $query );
			$countries = $db->loadObjectList();
		}
		
		if (!$cities && ($rgconf->frontpage == 2 || $rgconf->frontpage == 3)) {
			$query = 'SELECT c.continent'
					. ' FROM #__rg_countries AS c'
					. ' WHERE c.published = 1'
					. ' AND c.id = '.$country
					;		
			
			$db->setQuery( $query );
			$continent_id = $db->loadObject();
			
			$query = 'SELECT c.id AS value, c.name AS text, c.image, c.code_1, cc.name AS continentname,'
					. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
					. ' FROM #__rg_countries AS c'
					. ' LEFT JOIN #__rg_continents AS cc ON cc.id = c.continent'
					. ' WHERE c.published = 1'
					. ' AND c.continent = '.$continent_id->continent
					;		
			
			$db->setQuery( $query );
			$countries = $db->loadObjectList();
		}
			
		if ($rgconf->frontpage == 2) {					
			$query = 'SELECT id AS value, name AS text, image,'
					. ' CASE WHEN CHAR_LENGTH( alias ) THEN CONCAT_WS( \':\', id, alias ) ELSE id END AS slug'
					. ' FROM #__rg_continents'
					. ' WHERE published = 1'
					;		
			
			$db->setQuery( $query );
			$continents = $db->loadObjectList();
		}
	
		$query = "SELECT id, name FROM #__rg_restauranttypes WHERE published = 1 ORDER BY name ASC"; 
		$db->setQuery($query);

		$types = $db->loadObjectList();
		
		if ($city) {
			$query = 'SELECT DISTINCT i.id, i.title, i.tid, i.mainimage,'
					. ' CASE WHEN CHAR_LENGTH(i.alias) THEN CONCAT_WS(\':\', i.id, i.alias) ELSE i.id END as slug'
					. ' FROM #__rg_restaurantitems AS i'
					. ' LEFT JOIN #__rg_cities AS c ON c.id = i.city'
					. ' WHERE c.id = '.$city
					. ' AND i.id != '.$item->id
					;
					
			$db->setQuery($query);
			$restos = $db->loadObjectList();
		}
		if (!$city && $country) {
			$query = 'SELECT DISTINCT i.id, i.title, i.tid, i.mainimage,'
					. ' CASE WHEN CHAR_LENGTH(i.alias) THEN CONCAT_WS(\':\', i.id, i.alias) ELSE i.id END as slug,'
					. ' CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(\':\', c.id, c.alias) ELSE c.id END as countryslug'
					. ' FROM #__rg_restaurantitems AS i'
					. ' LEFT JOIN #__rg_countries AS c ON c.id = i.country'
					. ' WHERE i.country = '.$country
					. ' AND i.id != '.$item->id
					;
					
			$db->setQuery($query);
			$restos = $db->loadObjectList();
		}
		
		$menulist = '<ul id="menu">' . "\n";
/*
		if ($rgconf->frontpage == 2) {
			if (count($continents) > 1) {
				$clink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=continent');
				$menulist .= '<li><a href="'.$clink.'">'.JText::_('RG_CONTINENTS').'</a>' . "\n";
			}
			$menulist .= '<div class="dropdown_4columns">' . "\n";
			
			$i = 0;
			foreach ( $continents as $continent ) {
				$continentlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
				
				if ($continent->image)
					$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$continent->image;
				else
					$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';
					
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($continent->text)) > 20) {
					$continent->text = substr($continent->text, 0, 30);
					$continent->text = trim($continent->text) . "...\n\n";
					$menulist .= '<p style="line-height:16px"><a href="'.$continentlink.'"><img src="'.$imagelink.'" width="20px" class="rg_img_left imgshadow" alt="'.$continent->text.'" />';
				} else {
					$menulist .= '<p style="line-height:32px"><a href="'.$continentlink.'"><img src="'.$imagelink.'" width="20px" class="worldimgshadow" alt="'.$continent->text.'" />';
				}
				$menulist .= $continent->text.'</a></p></div>';

				$i++;
	
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
						$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		}
*/		
		if (isset($countries)) {
			$rlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continents[0]->slug));
			$menulist .= '<li><a href="'.$rlink.'">'.$countries[0]->continentname.'</a>' . "\n";
			$menulist .= '<div class="dropdown_4columns">' . "\n";
	
			$i = 0;
			foreach ( $countries as $country ) {
				$countrylink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
				
				$imagelink = JURI::base() .'images/restaurantguide/country/flags/' .$country->code_1.'.png';
					
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($country->text)) > 20) {
					$country->text = substr($country->text, 0, 30);
					$country->text = trim($country->text) . "...\n\n";
					$menulist .= '<p style="line-height:14px"><a href="'.$countrylink.'"><img src="'.$imagelink.'" width="22px" class="rg_img_left imgshadow" alt="'.$country->text.'" />';
				} else {
					$menulist .= '<p style="line-height:28px"><a href="'.$countrylink.'"><img src="'.$imagelink.'" width="22px" class="worldimgshadow" alt="'.$country->text.'" />';
				}
				
				$menulist .= $country->text.'</a></p></div>';
	
				$i++;
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
							$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		}

		if (count($states) > 0 ) {
			$tlink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($countryslug));
			$menulist .= '<li><a href="'.$tlink.'">'.$cities[0]->countryname.'</a>' . "\n";
			$menulist .= '<div class="dropdown_4columns">' . "\n";
	
			$i = 0;
			$iconlink = '';
			foreach ( $states as $stateitem ) {
				$stateslink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($stateitem->slug));
				
				if ($stateitem->image != '') {
					$iconlink = JURI::base() .'images/restaurantguide/states/scrop/' .$stateitem->image;
				} else {
					$iconlink = JURI::base() .'components/com_restaurantguide/assets/images/no_list.gif';
				}
					
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($stateitem->text)) > 20) {
					$stateitem->text = substr($stateitem->text, 0, 35);
					$stateitem->text = trim($stateitem->text) . "...\n\n";
					$menulist .= '<p style="line-height:16px"><a href="'.$stateslink.'"><img src="'.$iconlink. '" width="20px" class="rg_img_left imgshadow" alt="'.$citylist->text.'" />';
				} else {
					$menulist .= '<p style="line-height:32px"><a href="'.$stateslink.'"><img src="'.$iconlink. '" width="20px" class="worldimgshadow" alt="'.$stateitem->text.'" />';
				}
				$menulist .= $stateitem->text.'</a></p></div>';
	
				$i++;
	
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				}  
			}

			$menulist .= '</div></li>' . "\n";
		}
		
		if (count($cities) > 0) {
			if ($cities[0]->statesslug) {
				$tlink =  JRoute::_( restaurantguideHelperRoute::getStatesRoute($cities[0]->statesslug));
				$menulist .= '<li><a href="'.$tlink.'">'.$cities[0]->statesname.'</a>' . "\n";
			} else {
				$tlink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($countryslug));
				$menulist .= '<li><a href="'.$tlink.'">'.$cities[0]->countryname.'</a>' . "\n";
			}
			$menulist .= '<div class="dropdown_4columns">' . "\n";

			$i = 0;
			$iconlink = '';
			foreach ( $cities as $cityitem ) {
				$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($cityitem->slug));
				
				if ($cityitem->image != '') {
					$iconlink = JURI::base() .'images/restaurantguide/city/scrop/' .$cityitem->image;
				} else {
					$iconlink = JURI::base() .'components/com_restaurantguide/assets/images/no_list.gif';
				}
					
				$menulist .= '<div class="col_1">';
				if (strlen(strip_tags($cityitem->text)) > 20) {
					$cityitem->text = substr($cityitem->text, 0, 35);
					$cityitem->text = trim($cityitem->text) . "...\n\n";
					$menulist .= '<p style="line-height:16px"><a href="'.$citylink.'"><img src="'.$iconlink. '" width="20px" class="rg_img_left imgshadow" alt="'.$citylist->text.'" />';
				} else {
					$menulist .= '<p style="line-height:32px"><a href="'.$citylink.'"><img src="'.$iconlink. '" width="20px" class="worldimgshadow" alt="'.$cityitem->text.'" />';
				}
				$menulist .= $cityitem->text.'</a></p></div>';
	
				$i++;
	
				if ($i == 4) {
					$menulist .= '<div style="clear:both;"></div>' . "\n"; 
					$i = 0;
				}  
			}
			$menulist .= '</div></li>' . "\n";
		}
		
		if ($city || $country) {
			if ($city) {
				$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($cityslug));
			}
			if ($country) {
				$citylink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($countryslug));
			}
			$menulist .= '<li><a href="'.$citylink.'">'.$name.'</a>' . "\n";	
			$menulist .= '<div class="dropdown_4columns">' . "\n";
			
			$n = count($restos);
			foreach ( $types as $type ) {
				$i = 0;
				foreach ( $restos as $resto ) {
					if ($type->id == $resto->tid) $i = 1;
				}
				if ($i == 1) {
					$menulist .= '<h4 style="font-size:11px; margin: 3px 0px;">'.JText::_( strtoupper($type->name)).'</h4>' . "\n";
	
					foreach ( $restos as $resto )
					{					
						$j = 0;
						if ($type->id != $resto->tid) continue;
						$link =  JRoute::_( restaurantguideHelperRoute::getItemRoute($resto->slug) );
	
						if ($resto->mainimage)
							$imagelink = JURI::base() .'images/restaurantguide/gallery/restaurant_'.$resto->id.'/scrop/' .$resto->mainimage;
						else
							$imagelink = JURI::base() .'components/com_restaurantguide/assets/images/no_list.gif';
						
						$menulist .= '<div class="col_1">';
						if (strlen(strip_tags($resto->title)) > 18) {
							$resto->title = substr($resto->title, 0, 36);
							$resto->title = trim($resto->title) . "...\n\n";
							$menulist .= '<p style="line-height:16px"><a href="'.$link.'"><img src="'.$imagelink. '" width="20px" class="rg_img_left imgshadow" alt="'.$resto->title.'" />';
						} else {
							$menulist .= '<p style="line-height:32px"><a href="'.$link.'"><img src="'.$imagelink. '" width="20px" class="worldimgshadow" alt="'.$resto->title.'" />';
						}
						$menulist .= $resto->title.'</a></p></div>';

						$i++;
						$j++;
						if ($i == 5 || $j == $n) {
							$menulist .= '<div style="clear:both;"></div>' . "\n"; 
							$i = 1;
						}  
					}
				}
				$menulist .= '<div style="clear:both;"></div>' . "\n"; 
			}		
			$menulist .= '</div></li>' . "\n";
		}
		
		if ($user->id > 0) {
			$menulist .= '<li>'.rg_html::favoure( $item, $favoured ).'</li>' . "\n";
			$menulist .= '<li>'.rg_html::favourites().'</li>' . "\n";
		}
		$menulist .= '</ul>' . "\n";

		return $menulist;
	} 

	function search_cuisine($cuisine_search)
	{
		if ( empty($cuisine_search) ) {
			$cuisine_search = array();
		} 
		
		$db 	=& JFactory::getDBO();
		$db->setQuery( "SELECT id AS value, name AS text FROM #__rg_cuisines WHERE published = 1 AND atmosphere = 0 ORDER BY text ASC");
		$cuisines = $db->loadObjectList();

		if ($db->getErrorNum()) 
		{
			return $db->getErrorMsg();
		}

		$bCuisine = false;
		
		if ( in_array( -1, $cuisine_search ) )
		{
			$bCuisine = true;
		}

		$html = '<div class="rg_tagbox">';

		$html .= '<span class="rg_tag" style="width:48%"><span class="rg_tagidbox"><input type="checkbox" name="filter_cuisines[]" value="-1" '.( $bCuisine ? " checked" : "" ).' onClick="uncheckAll(true)"/></span>'.JText::_('RG_ALL').'</span>';
				
		foreach ( $cuisines as $k=> $row ) {
			$bCuisine = false;
			if ( in_array( $row->value, $cuisine_search ) )
			{
				$bCuisine = true;
			}

			$html .= '<span class="rg_tag" style="width:48%"><span class="rg_tagidbox"><input type="checkbox" name="filter_cuisines[]" value="'. $row->value .'" '.( $bCuisine ? " checked" : "" ).' onClick="uncheck(true)"/></span>'.$row->text.'</span>';
		}
		$html .= "</div>\n" ;
		
		return $html;
	}
	
	function search_atmosphere($atmo_search)
	{
		if ( empty($atmo_search) ) {
			$atmo_search = array();
		} 
		
		$db 	=& JFactory::getDBO();
		$db->setQuery( "SELECT id AS value, name AS text FROM #__rg_cuisines WHERE published = 1 AND atmosphere = 1 ORDER BY text ASC");
		$atmos = $db->loadObjectList();

		if ($db->getErrorNum()) 
		{
			return $db->getErrorMsg();
		}

		$bAtmo = false;
		if ( in_array( -1, $atmo_search ) )
		{
			$bAtmo = true;
		}

		$html = '<div class="rg_tagbox">';

		$html .= '<span class="rg_tag" style="width:48%"><span class="rg_tagidbox"><input type="checkbox" name="filter_atmo[]" value="-1" '.( $bAtmo ? " checked" : "" ).' onClick="uncheckAll(false)"/></span>'.JText::_('RG_ALL').'</span>';
				
		foreach ( $atmos as $k=> $row ) {
			$bAtmo = false;
			if ( in_array( $row->value, $atmo_search ) )
			{
				$bAtmo = true;
			}
		
			$html .= '<span class="rg_tag" style="width:48%"><span class="rg_tagidbox"><input type="checkbox" name="filter_atmo[]" value="'. $row->value .'" '.( $bAtmo ? " checked" : "" ).' onClick="uncheck(false)"/></span>'.$row->text.'</span>';
		}
		$html .= "</div>\n" ;
		
		return $html;
	}
	
	function showtags($tags)
	{
		$html = '';
		$html .= '<div class="tags">';
		$html .= '<span class="tag_label">'. JText::_('RG_TAGS').': </span>';
		
		$count = count($tags);
		$i = 1;
		foreach ($tags as $tag){
			$html .= '<span class="tag">';
			$html .= '<a href="'.JRoute::_(restaurantguideHelperRoute::getTagRoute($tag->slug)).'">';
			$html .= htmlspecialchars($tag->name).'</a></span>';
			
			if ($i < $count)
				$html .= ' | ';
			$i ++;
		}
		$html .= '</div>' ;
		
		return $html;
	}
	
	function showtopmenu( $item, $favoured )
	{
		$html = '<div class="tags" style="position:relative;">';
		
		$html .= '<span class="tag">';
		$html .= '<a href="javascript:history.go(-1)">'.JText::_('RG_GO_BACK').'</a></span>';
		$html .= ' | ';
		
		$html .= '<span class="tag">';
		$html .= rg_html::favoure( $item, $favoured ).'</span>';
		$html .= ' | ';
			
		$html .= '<span class="tag">';
		$html .= rg_html::favourites().'</span>';
		
		$html .= '<span style="position:absolute; right:2px;">';
		$html .= JText::_('RG_HITS').':&nbsp;'.$item->hits;
		$html .= '</span></div>';
	
		return $html;
	}
	
	
	function SelectAjaxState( $row, $country )
	{
		$db 	=& JFactory::getDBO();

		$query = 'SELECT id, name'
				. ' FROM #__rg_states'
				. ' WHERE country = '.$country
				. ' AND published = 1'
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// get list of active languages
		$stateoption[] = JHTML::_('select.option',  '-1', '- '.JText::_('RG_SELECT_A_STATES').' -' );
	
		if ( count($results)>0 ) {
			foreach( $results as $result )
			{
				$stateoption[] = JHTML::_('select.option',  $result->id, $result->name );
			}
			$javascript = 'onChange="changeStatesCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $row->states);
		} else {
			$stateoption[] = JHTML::_('select.option',  '0', JText::_('RG_NOT_AVAILABLE') );
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', $row->states);
		}
	
		echo $output;
	}
	
	function SelectAjaxCity( $row, $country )
	{
		if (!$country)
			$country = 0;
			
		$cities = restaurantguide_city::getCityTree($country, 1);

		if ( count($cities)>0 ) {
			$javascript = 'onChange="changeCityLocal_list(this.value); changeAlternatives(this.value);"';
			$output = restaurantguide_city::buildcityselect($cities, 'city', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		} else {
			$output = restaurantguide_city::buildcityselect($cities, 'city', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled');
		}

		return $output;
	}
	
	function SelectAjaxLocal( $row, $country )
	{	
		$cities = restaurantguide_city::getCityTree($country, 2);

		$javascript = '';
		$output = restaurantguide_city::buildcityselect($cities, 'parent_id', $row->parent_id, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);

		return $output;
	} 
	
	function SelectAjaxParentCity( $row, $country )
	{
		if (!$country)
			$country = 0;
			
		$cities = restaurantguide_city::getCityTree($country, 1);

		$output = restaurantguide_city::buildcityselect($cities, 'parent_id', $row->parent_id, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"');
		
		return $output;
	}
	
	function SelectAjaxCityResto( $row, $country )
	{
		if (!$country)
			$country = 0;
			
		$cities = restaurantguide_city::getCityTree($country, 2);

		if (count($cities) > 0) {
			$javascript = 'onChange="ChangeResto(this.value)"';
			$output = restaurantguide_city::buildcityselect($cities, 'city', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		} else {
			$output = restaurantguide_city::buildcityselect($cities, 'city', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled');
		}

		return $output;
	}
	
	function SelectAjaxResto( $row, $city )
	{
		$db 	=& JFactory::getDBO();

		$query = 'SELECT i.id AS value, i.title AS text'
				. ' FROM #__rg_restaurantitems AS i'
				. ' WHERE i.published = 1'
				. ' AND i.city = '.$city
				. ' ORDER BY i.title ASC'
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// get list of active languages	
		if ( count($results)>0 ) {
			$restooption[] = JHTML::_('select.option', '-1', JText::_('RG_SELECT_A_RESTAURANT') );
			$restooption = @array_merge($restooption, $results);
			$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', $row->resto);
		} else {
			$restooption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );
			$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', $row->resto);
		}		
		
		echo $output;
	}
}


