<?php
/**
 * @version 1.0 $Id: continentelement.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

/**
 * RestaurantGuide Component ContinentElement Model
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since		1.0
 */
class restaurantguideModelContinentElement extends JModel
{
	var $_app = null;	
	/**
	 * Continent data
	 *
	 * @var array
	 */
	var $_data = null;

	/**
	 * Continent total
	 *
	 * @var integer
	 */
	var $_total = null;

	/**
	 * Pagination object
	 *
	 * @var object
	 */
	var $_pagination = null;

	/**
	 * Continent id
	 *
	 * @var int
	 */
	var $_id = null;

	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();

		$this->_app = &JFactory::getApplication();
		
		$array = JRequest::getVar('cid',  0, '', 'array');
		$this->setId((int)$array[0]);

	}

	/**
	 * Method to set the menu identifier
	 *
	 * @access	public
	 * @param	int Menu identifier
	 */
	function setId($id)
	{
		// Set id and wipe data
		$this->_id	 = $id;
		$this->_data = null;
	}

	/**
	 * Method to get menus item data
	 *
	 * @access public
	 * @return array
	 */
	function getData()
	{
		$limit				= $this->_app->getUserStateFromRequest( 'com_restaurantguide.limit', 'limit', $this->_app->getCfg('list_limit'), 'int');
		$limitstart 		= $this->_app->getUserStateFromRequest( 'com_restaurantguide.limitstart', 'limitstart', 0, 'int' );
		$filter_order		= $this->_app->getUserStateFromRequest( 'com_restaurantguide.continents.filter_order', 'filter_order', 'c.ordering', 'cmd' );
		$filter_order_Dir	= $this->_app->getUserStateFromRequest( 'com_restaurantguide.continents.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		$filter_state 		= $this->_app->getUserStateFromRequest( 'com_restaurantguide.continents.filter_state', 'filter_state', '', 'word' );
		$search 			= $this->_app->getUserStateFromRequest( 'com_restaurantguide.continents.search', 'search', '', 'string' );
		$search 			= $this->_db->getEscaped( trim(JString::strtolower( $search ) ) );
		
		$orderby 	= ' ORDER BY '.$filter_order.' '.$filter_order_Dir.', c.ordering';
		
		$where = array();

		$where[] = 'c.published = 1';

		$where 	= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );
		
		//select the records
		//note, since this is a tree we have to do the limits code-side
		if ($search) {			
			
			$query = 'SELECT c.id'
					. ' FROM #__rg_continents AS c'
					. ' WHERE LOWER(c.name) LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $search, true ).'%', false )
					. $where
					;
			$this->_db->setQuery( $query );
			$search_rows = $this->_db->loadResultArray();					
		}
		
		$query = 'SELECT c.*'
					. ' FROM #__rg_continents AS c'
					. $where
	//				. $orderby
					;
		$this->_db->setQuery( $query );
		$rows = $this->_db->loadObjectList();

		$list = array();
		
    	$total = count( $rows );

		jimport('joomla.html.pagination');
		$this->_pagination = new JPagination( $total, $limitstart, $limit );

		// slice out elements based on limits
		$list = array_slice( $rows, $this->_pagination->limitstart, $this->_pagination->limit );
		
		return $list;
	}

	/**
	 * Method to get a pagination object for the menus
	 *
	 * @access public
	 * @return object
	 */
	function getPagination()
	{
		if ($this->_pagination == null) {
			$this->getData();
		}
		return $this->_pagination;
	}
}
?>