<?php
/**
 * @version 1.0 $Id: restaurantlinks.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

/**
 * EventList Component restaurantlinks Model
 *
 * @package Joomla
 * @subpackage EventList
 * @since		0.9
 */
class restaurantguideModelRestaurantlinks extends JModel
{
	var $_data = null;
	var $_total = null;
	var $_id = null;
	
	function __construct()
	{
		parent::__construct();

		$array = JRequest::getVar('cid',  0, '', 'array');
		$this->setId((int)$array[0]);

	}
	
	function setId($id)
	{
		// Set id and wipe data
		$this->_id	 = $id;
		$this->_data = null;
	}

	function _buildQuery($search, $filter_order, $filter_order_Dir)
    {
		$LikeCondition = " WHERE restaurant LIKE '%$search%'";
		$orderby = ' ORDER BY '. $filter_order .' '. $filter_order_Dir;

		$query = 'SELECT l.*, i.title AS restaurant, c.title AS article'
				. ' FROM #__rg_links AS l'
				. ' LEFT JOIN #__rg_restaurantitems AS i ON i.id = l.resto'	
				. ' LEFT JOIN #__content AS c ON c.id = l.contentid'	
		//		. $LikeCondition 
		//		. $orderby
				;

		return $query;
    }
	
	function GetLinkFromDB($limitstart, $limit, $search, $filter_order, $filter_order_Dir)
	{
        // Lets load the data if it doesn't already exist
        if (empty( $this->_data ))
        {
            $query = $this->_buildQuery($search, $filter_order, $filter_order_Dir);
			$this->_data = $this->_getList( $query, $limitstart, $limit );
        }

        return $this->_data;
	}

	function GetRowNumbers($search = '')
	{
		$database = &JFactory::getDBO();

		$LikeCondition = "";
		if ($search != '')
			$LikeCondition = " WHERE restaurant LIKE '%$search%'";

		$query = 'SELECT COUNT(id) FROM #__rg_links '.$LikeCondition;
		$database->setQuery( $query );
		$total = $database->loadResult(); 

		return $total;
	}
	
	function publish($cid = array(), $publish = 1)
	{
		$user 	=& JFactory::getUser();

		if (count( $cid ))
		{
			$cids = implode( ',', $cid );

			$query = 'UPDATE #__rg_links'
				. ' SET published = ' . (int) $publish
				. ' WHERE id IN ('. $cids .')'
			;
			$this->_db->setQuery( $query );
			if (!$this->_db->query()) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
		}
		return true;
	}
}

?> 

