<?php
/**
 * @version 1.0 $Id: rg_admanagers.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * RestaurantGuide admanager table class
 *
 * @package Joomla
 * @subpackage AdManagers
 * @since 0.9
 */
class rg_admanagers extends JTable
{
	/**
	 * Unique Key
	 * @var int
	 */
	var $id 			= null;
	var $adtypeid 		= null;
	var $country		= 0;
	var $states			= 0;
	var $city			= 0;
	var $title 			= null;
	var $published 		= 0;
	var $resto			= null;
	var $adunit			= 0;
	var $sdate			= null;
	var $edate			= null;
	var $url			= null;
	var $ordering		= null;
	var $checked_out	= null;

	function rg_admanagers(& $db) {
		parent::__construct('#__rg_admanagers', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{
		// Not typed in a name?
		if (trim( $this->title ) == '') {
			$this->_error = JText::_( 'ADD NAME' );
			JError::raiseWarning('SOME_ERROR_CODE', $this->_error );
			return false;
		}

		$query = 'SELECT id'
				.' FROM #__rg_admanagers'
				.' WHERE title = '.$this->_db->Quote($this->title)
				;
		$this->_db->setQuery($query);

		$xid = intval($this->_db->loadResult());
		if ($xid && $xid != intval($this->id)) {
			JError::raiseWarning('SOME_ERROR_CODE', JText::sprintf('AD ALREADY EXIST', $this->title));

			return false;
		}
	
		return true;
	}
}
?>