<?php
/**
 * @version 1.0 $Id: rg_continents.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * RestaurantGuide table class
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class rg_continents extends JTable
{
	/**
	 * Primary Key
	 * @var int
	 */
	var $id 				= null;
	/** @var string */
	var $name				= '';
	var $alias				= '';
	/** @var int */
	var $published			= null;
	var $image 				= '';
	var $imagewidth			= 0;
	var $imageheight		= 0;
	var $titleimage 		= '';
	var $titleimagewidth	= 0;
	var $titleimageheight	= 0;
	var $lat				= '';
	var $lon				= '';
	var $zoom				= '';
	var $maptype			= '';
	var $mapheight			= 0;
	var $description	 	= '';
	var $meta_title	 		= '';
	var $meta_description	= '';
	var $meta_keywords	 	= '';
	/** @var int */
	var $checked_out 		= 0;
	/** @var date */
	var $checked_out_time	= '';
	/** @var int */
	var $access 			= 0;


	function rg_continents(& $db) {
		parent::__construct('#__rg_continents', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{
		// Not typed in a name?
		if (trim( $this->name ) == '') {
			$this->_error = JText::_( 'ADD_NAME' );
			JError::raiseWarning('SOME_ERROR_CODE', $this->_error );
			return false;
		}

		$alias = JFilterOutput::stringURLSafe($this->name);

		if(empty($this->alias) || $this->alias === $alias ) {
			$this->alias = $alias;
		}
		
		/** check for existing name */
		$query = 'SELECT id'
				.' FROM #__rg_continents'
				.' WHERE name = '.$this->_db->Quote($this->name)
				;
		$this->_db->setQuery($query);

		$xid = intval($this->_db->loadResult());
		if ($xid && $xid != intval($this->id)) {
			JError::raiseWarning('SOME_ERROR_CODE', JText::sprintf('CONTINENT_NAME_ALREADY_EXIST', $this->name));
			return false;
		}
	
		return true;
	}
}
?>