<?php
/**
 * @version 1.0 $Id: tablefile.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * RestaurantGuide table class
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class rg_currency extends JTable
{
	/**
	 * Primary Key
	 * @var int
	 */
	var $id 				= null;
	/** @var string */
	var $name				= '';
	/** @var string */
	var $code				= '';
	var $countrycode_1		= '';
	var $symbol				= '';
	var $decimals			= 0;
	var $decimalsymbol		= '';
	var $separator			= '';
	var $format				= 0;
	/** @var int */
	var $published			= null;
	/** @var int */
	var $checked_out 		= 0;
	/** @var date */
	var $checked_out_time	= '';
	/** @var int */
	var $access 			= 0;

	function rg_currency(& $db) {
		parent::__construct('#__rg_currency', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{
		// Not typed in a name?
		if (trim( $this->name ) == '') {
			$this->_error = JText::_( 'ADD_NAME' );
			JError::raiseWarning('SOME_ERROR_CODE', $this->_error );
			return false;
		}

		/** check for existing code */
		$query = 'SELECT id'
				.' FROM #__rg_currency'
				.' WHERE code = '.$this->_db->Quote($this->code)
				;
		$this->_db->setQuery($query);

		$xid = intval($this->_db->loadResult());
		if ($xid && $xid != intval($this->id)) {
			JError::raiseWarning('SOME_ERROR_CODE', JText::sprintf('RG_CURRENCY_ALREADY_EXIST', $this->code));
			return false;
		}
	
		return true;
	}
}
?>