<?php
/**
 * @version 1.0 $Id: rg_links.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * EventList settings table class
 *
 * @package Joomla
 * @subpackage EventList
 * @since 0.9
 */
class rg_links extends JTable
{
	/**
	 * Unique Key
	 * @var int
	 */
	var $id = null;
	var $country = null;
	var $states = null;
	var $city = null;
	var $resto = null;
	var $contentid = null;
	var $published = 0;
	/** @var int */
	var $checked_out 		= 0;
	/** @var date */
	var $checked_out_time	= '';
	/** @var int */
	var $ordering 			= null;

	function rg_links(& $db) {
		parent::__construct('#__rg_links', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{
		// Not typed in a name?
		if (trim( $this->contentid ) == '') {
			$this->_error = JText::_( 'SELECT AN ARTICLE' );
			JError::raiseWarning('SOME_ERROR_CODE', $this->_error );
			return false;
		}

		$query = 'SELECT id'
				.' FROM #__rg_links'
				.' WHERE id = '.$this->_db->Quote($this->id)
				;
		$this->_db->setQuery($query);

		$xid = intval($this->_db->loadResult());
		if ($xid && $xid != intval($this->id)) {
			JError::raiseWarning('SOME_ERROR_CODE', JText::sprintf('LINK ALREADY EXIST', $this->id));

			return false;
		}
	
		return true;
	}
}
?>