<?php
/**
 * @version 1.0 $Id: rg_restaurantitems.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * RestaurantGuide table class
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class rg_restaurantitems extends JTable
{
	/**
	 * Primary Key
	 * @var int
	 */
	var $id 				= null;
	var $user_id			= null;
	/** @var string */
	var $title 				= '';
	/** @var string */
	var $alias	 			= '';
	var $mainimage	 		= '';
	var $logoimage	 		= '';
	var $imagewidth	 		= '';
	var $imageheight	 	= '';
	var $states				= 0;
	var $address			= '';
	var $parent_id			= 0;
	var $city				= 0;
	var $country			= 0;
	var $zipcode			= '';
	var $phone				= '';
	var $fax				= '';
	var $chain				= 0;
	var $dresscode			= '';
	var $businesshr			= '';
	var $holiday			= '';
	var $seats				= '';
	var $payment			= '';
	var $language			= '';
	var $diningstyle		= '';
	var $executivechef		= '';
	var $parking			= '';
	var $parkingdetails		= '';
	var $additionaldetails	= '';
	var $catering			= '';
	var $privateparty		= '';
	var $roominfo			= '';
	var $seating			= '';
	var $alternatives		= '';
	var $currency			= 0;
	var $pricerange			= 0;
	var $branches			= '';
	/** @var int */
	var $rate				= 0;
	/** @var int */
	var $rate_sum			= 0;
	/** @var int */
	var $hits				= 0;
	var $post_hits			= 0;
	var $version			= 0;
	var $booking			= null;
	var $website			= null;
	var $email				= null;
	var $urldata			= null;
	/** @var string */
	var $meta_title			= null;
	/** @var string */
	var $meta_keywords		= null;
	/** @var string */
	var $meta_description 	= null;
	/** @var string */
	var $metadata			= null;
	/** @var date */
	var $created			= '';
	/** @var int */
	var $created_by			= '';
	var $created_by_alias	= '';
	/** @var date */
	var $modified			= '';
	/** @var int */
	var $modified_by		= '';
	/** @var int */
	var $published			= 0;
	/** @var string */
	var $attribs	 		= null;
	/** @var int */
	var $checked_out 		= 0;
	/** @var date */
	var $checked_out_time	= '';
	/** @var int */
	var $ordering 			= null;
	var $tid				= 0;
	var $gid				= 0;
	var $featured			= 0;
	var $facilities			= '';
	var $cuisines			= '';
	var $atmos				= '';
	var $checklists			= '';
	var $menus				= '';
	var $menu_desc			= '';
	var $service			= '';
	var $activity			= '';
	var $bookingtime		= '';
	var $introduction		= '';
	var $eat				= '';
	var $drink				= '';
	var $price				= '';
	var $promotions			= '';
	var $venue				= '';
	/** @var string */
	var $lat 				= '';
	var $lon 				= '';
	var $slideshow			= '';
	var $slideshowposition	= '';
	var $slideshowfloat		= '';
	var $slideshowwidth		= '';
	var $slideshowheight	= '';
	var $infoheight			= '';
	var $delay				= '';
	var $contact			= '';

	function rg_restaurantitems(& $db) {
		parent::__construct('#__rg_restaurantitems', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{
		// Not typed in a title?
		if (trim( $this->title ) == '') {
			$this->_error = JText::_( 'ADD TITLE' );
			JError::raiseWarning('SOME_ERROR_CODE', $this->_error );
			return false;
		}

		$alias = JFilterOutput::stringURLSafe($this->title);

		if(empty($this->alias) || $this->alias === $alias ) {
			$this->alias = $alias;
		}
		
		/** check for existing name with same city*/
/*		$query = 'SELECT city'
				.' FROM #__rg_restaurantitems'
				.' WHERE title = '.$this->_db->Quote($this->title)
				;
		$this->_db->setQuery($query);

		$xcity = intval($this->_db->loadResult());
		if ($xcity && $xcity != intval($this->city)) {
			JError::raiseWarning('SOME_ERROR_CODE', JText::sprintf('RESTAURANTITEM NAME ALREADY EXIST', $this->title));
			return false;
		}
	*/
		return true;
	}
}
?>