<?php
/**
 * @version 1.0 $Id: rg_settings.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * Restaurant Guide settings table class
 *
 * @package Joomla
 * @subpackage Restaurant Guide
 * @since 0.9
 */
class rg_settings extends JTable
{
	/**
	 * Unique Key
	 * @var int
	 */
	var $id						= 1;
	/** @var string */
	var $frontpage				= 0;
	var $siteslogan				= '';
	var $showintrotext			= 0;
	var $introdescription 		= '';
	var $titleimage				= '';
	var $titleimagewidth		= '';
	var $titleimageheight		= '';
	var $pdf_icon				= 0;
	var $print_icon				= 0;
	var $api_key 				= null;
	var $lat					= '';
	var $lon					= '';
	var $zoom					= '';
	var $maptype				= '';
	var $mapheight				= '';
	var $logoimage				= '';
	var $logowidth				= '';
	var $logoheight				= '';
	var $googlethumb_width 		= null;	
	var $map_adsense			= 0;
	var $map_publisher_id		= null;
	var $map_ad_slot			= null;
	var $currencyformat			= 0;
	var $currency				= 0;
	var $panelcolor				= '';
	var $mainimage_size			= 0;
	var $mainthumb_size			= 0;
	var $slide_width			= 0;
	var $slide_height			= 0;
	var $gall_thumb_width		= 0;
	var $max_upload_size		= 0;
	var $box					= null;	
	var $menubarcolorone		= null;
	var $menubarcolortwo		= null;
	var $titlecolor				= null;
	var $restotypecolor			= null;
	var $bordercolor			= null;
	var $backcolor_box			= null;
	var $linecolor_box			= null;
	var $cuisineboxcolor		= null;
	var $cuisinebordercolor		= null;
	var $listheight_resto		= '';
	var $max_char_restaurant	= '';
	
	var $world_slogan			= null;
	var $world_slidewidth		= null;
	var $world_slideheight		= null;
	var $world_infoheight		= null;
	var $world_delay			= null;
	var $world_menu				= 0;
	var $world_links			= 0;
	var $world_adsense			= 0;
	var $world_publisher_id		= null;
	var $world_ad_slot			= null;
	var $world_ad_width			= 0;
	var $world_ad_height		= 0;
	var $world_topdesti			= 0;
	var $world_top_limit		= 0;
	var $world_top_color		= null;
	var $world_top_border		= null;
	var $world_desti			= 0;
	var $world_city_limit		= 0;
	var $world_resto_limit		= 0;
	
	var $conti_slidewidth		= 0;
	var $conti_slideheight		= 0;
	var $conti_infoheight		= 0;
	var $conti_delay			= 0;
	var $conti_menu				= 0;
	var $conti_links			= 0;
	var $conti_adsense			= 0;
	var $conti_publisher_id		= null;
	var $conti_ad_slot			= null;
	var $conti_ad_width			= 0;
	var $conti_ad_height		= 0;
	var $conti_topdesti			= 0;
	var $conti_top_limit		= 0;
	var $conti_top_color		= null;
	var $conti_top_border		= null;
	var $conti_desti			= 0;
	var $conti_city_limit		= 0;
	var $conti_resto_limit		= 0;
	
	var $country_slidewidth		= 0;
	var $country_slideheight	= 0;
	var $country_infoheight		= 0;
	var $country_delay			= 0;
	var $country_menu			= 0;
	var $country_links			= 0;
	var $country_adsense		= 0;
	var $country_publisher_id	= null;
	var $country_ad_slot		= null;
	var $country_ad_width		= 0;
	var $country_ad_height		= 0;
	var $country_topdesti		= 0;
	var $country_top_limit		= 0;
	var $country_top_color		= null;
	var $country_top_border		= null;
	var $country_desti			= 0;
	var $country_city_limit		= 0;
	var $country_resto_limit	= 0;
	
	var $states_showslide		= 0;
	var $states_slidewidth		= 0;
	var $states_slideheight		= 0;
	var $states_infoheight		= 0;
	var $states_delay			= 0;
	var $states_menu			= 0;
	var $states_links			= 0;
	var $states_adsense			= 0;
	var $states_publisher_id	= null;
	var $states_ad_slot			= null;
	var $states_ad_width		= 0;
	var $states_ad_height		= 0;
	var $states_topdesti		= 0;
	var $states_top_limit		= 0;
	var $states_top_color		= null;
	var $states_top_border		= null;
	var $states_desti			= 0;
	var $states_city_limit		= 0;
	var $states_resto_limit		= 0;
	
	var $city_slidewidth		= 0;
	var $city_slideheight		= 0;
	var $city_infoheight		= 0;
	var $city_delay				= 0;
	var $city_menu				= 0;
	var $city_links				= 0;
	var $city_adsense			= 0;
	var $city_publisher_id		= null;
	var $city_ad_slot			= null;
	var $city_ad_width			= 0;
	var $city_ad_height			= 0;
	var $city_topdesti			= 0;
	var $city_top_limit			= 0;
	var $city_top_color			= null;
	var $city_top_border		= null;
	var $city_desti				= 0;
	var $city_city_limit		= 0;
	var $city_resto_limit		= 0;

	var $search_menu			= 0;
	var $search_links			= 0;
	var $search_adsense			= 0;
	var $search_publisher_id	= null;
	var $search_ad_slot			= null;
	var $search_ad_width		= 0;
	var $search_ad_height		= 0; 
	var $search_limit			= 0;
	var $search_topdesti		= 0;
	var $search_top_limit		= 0;
	var $search_top_color		= null;
	var $search_top_border		= null;
	var $search_desti			= 0;
	var $search_city_limit		= 0;
	var $search_resto_limit		= 0;
	
	var $mainbackcolor			= null;
	var $mainbordercolor		= null;
	var $maintitlecolor			= null;
	var $mainrestotypecolor		= null;
	var $resto_menu				= 0;
	var $rating					= 0;
	var $weather				= 0;
	var $wboxcolor				= null;
	var $wbordercolor			= null;
	var $social					= 0;
	var $showtags				= 0;
	var $showficon				= 0;
	var $resto_adsense			= 0;
	var $resto_publisher_id		= null;
	var $resto_ad_slot			= null;
	var $resto_ad_width			= 0;
	var $resto_ad_height		= 0;
	
	
	var $tag_menu				= 0;
	var $tag_links				= 0;
	var $tag_adsense			= 0;
	var $tag_publisher_id		= null;
	var $tag_ad_slot			= null;
	var $tag_ad_width			= 0;
	var $tag_ad_height			= 0;
	var $tag_topdesti			= 0;
	var $tag_top_limit			= 0;
	var $tag_top_color			= null;
	var $tag_top_border			= null;
	var $tag_desti				= 0;
	var $tag_city_limit			= 0;
	var $tag_resto_limit		= 0;
	
	var $max_char_resto			= 0;
	var $facilityicon			= 0;
	var $showrestotype			= 0;
	var $showhit				= 0;
	var $showtag				= 0;
	var $showrating				= 0;
	var $showfearued			= 0;
	var $restos					= 0;
	var $offercolor				= '';
	
	var $maxeventlist			= 0;
	var $autoplay				= 0;
	var $delay					= 0;
	var $maxlist				= 0;
	
	var $listheight_des			= 0;
	var $max_char_des			= 0;
	var $eventlinks				= 0;
	var $no_sponsorrow			= 0;
	
	var $colm_no				= 0;
	var $height_box				= 0;
	var $favcolor_box			= null;
	var $favlinecolor_box		= null;
	var $reservation			= 0;
	var $faceshare				= 0;
	var $facelike				= 0;
	var $twitter				= 0;
	var $plusone				= 0;
	var $linkedin				= 0;
	var $conversionguide		= '';
	var $minprice 				= '';
	var $normalprice 			= '';
	var $hiprice				= '';
	var $pricedesc				= '';
	var $sponsor				= '';
	var $registerintro			= '';
	var $registerlogo			= '';
	var $registerlogowidth		= 0;
	var $registerlogoheight		= 0;
	

	function rg_settings(& $db) {
		parent::__construct('#__rg_settings', 'id', $db);
	}
}
?>