<?php
/**
 * @version 1.0 $Id: rg_states.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * RestaurantGuide table class
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class rg_states extends JTable
{
	/**
	 * Primary Key
	 * @var int
	 */
	var $id 				= null;
	var $parent_id 			= null;
	/** @var string */
	var $name				= '';
	var $alias	 			= '';
	/** @var string */
	var $country			= '';
	var $code_1				= '';
	var $code_2				= '';
	/** @var int */
	var $published			= null;
	var $image 				= '';
	var $imagewidth			= 0;
	var $imageheight		= 0;
	var $titleimage 		= '';
	var $titleimagewidth	= 0;
	var $titleimageheight	= 0;
	var $lat				= '';
	var $lon				= '';
	var $description	 	= '';
	var $meta_title		 	= '';
	var $meta_description	= '';
	var $meta_keywords	 	= '';
	/** @var int */
	var $checked_out 		= 0;
	/** @var date */
	var $checked_out_time	= '';
	/** @var int */
	var $access 			= 0;


	function rg_states(& $db) {
		parent::__construct('#__rg_states', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{
		// Not typed in a name?
		if (trim( $this->name ) == '') {
			$this->_error = JText::_( 'RG_ADD_NAME' );
			JError::raiseWarning('SOME_ERROR_CODE', $this->_error );
			return false;
		}

		$alias = JFilterOutput::stringURLSafe($this->name);

		if(empty($this->alias) || $this->alias === $alias ) {
			$this->alias = $alias;
		}

		/** check for existing name */
		$query = 'SELECT id'
				.' FROM #__rg_states'
				.' WHERE name = '.$this->_db->Quote($this->name)
				.' AND parent_id = '.$this->_db->Quote($this->parent_id)
				;
		$this->_db->setQuery($query);

		$xid = intval($this->_db->loadResult());
		if ($xid && $xid != intval($this->id)) {
			JError::raiseWarning('RG_SOME_ERROR_CODE', JText::sprintf('RG_STATES_NAME_ALREADY_EXIST', $this->name));
			return false;
		}
	
		return true;
	}
}
?>