<?php
/**
 * @version 1.0 $Id: rg_testimonial.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Hello Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class rg_testimonial extends JTable
{
	/*  Primary Key *  * @var int  */
	var $id = null;
	
	/*  Foriegn Key *  * @var int  */
	var $userid = null;

	/*  Foriegn Key *  * @var int  */
	var $post_id = null;

	/* @var string */
	var $title = null;
	
	var $alias = null;
	
	/* @var string */
	var $description = null;
	
 	/* @var Date time */
	var $date = null;

	/* @var date time */
	var $update = null;
 	
	/* @var int */
	var $service = null;

	/* @var int */
	var $food = null;
	var $ambience = null;
	var $location = null;
	var $value = null;

	/* @var int */
	var $checked_out = null;
	
	/* @var int */
	var $checked_out_time = null;

	/* String */
	var $published = null;
  
	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function rg_testimonial(& $db) {
		parent::__construct('#__rg_testimonial', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{
		// Not typed in a category name?
		if (trim( $this->title ) == '') {
			$this->_error = JText::_( 'ADD NAME RECIPE' );
			JError::raiseWarning('SOME_ERROR_CODE', $this->_error );
			return false;
		}

		$alias = JFilterOutput::stringURLSafe($this->title);

		if(empty($this->alias) || $this->alias === $alias ) {
			$this->alias = $alias;
		}

		return true;
	}
}
?>