<?php
/**
 * @version 1.0 $Id: view.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

class restaurantguideView extends Jview
{

	function __construct( $config = array() )
	{
		global $mainframe, $option;

		JHTML::addIncludePath( RESTAURANTGUIDE_HELPERS_HTML );

		$lang 	  = & JFactory::getLanguage();
		$document =& JFactory::getDocument();
		$document->addStyleSheet('components/com_restaurantguide/assets/css/restaurantguidebackend.css');
		if ($lang->isRTL()) {
			$document->addStyleSheet('components/com_restaurantguide/assets/css/restaurantguidebackend_rtl.css');
    	}
		
		parent::__construct($config);
	}

	function display( $tpl = null )
	{
		$method = 'display' . ucfirst( $layout = $this->getLayout() );
		if( method_exists( $this, $method ) ) {
			if ( JRequest::getVar('tmpl') != 'component' )
				JHTML::_('restaurantguide.sidemenu.general');
			
			if ( $layout == 'form' ) {
				JHTML::_('behavior.keepalive');
				JHTML::_('restaurant.behavior.formvalidation');
				
				$this->limitstart = 0;
				$this->limit = 0;
			}
			
			$this->{$method}();
		} else {
			JError::raiseError( 500, sprintf( get_class($this) . "::display() : Invalid call, cannot find the '%s' method in '%s' class.", $method, 'restaurantguideView' . ucfirst($this->getName()) ) );
			return false;
		}
	
		parent::display($tpl);
	}
}
?>