<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

if ($this->row->lat)
	$lat = $this->row->lat;
else
	$lat = $this->rgconf->lat;
	
if ($this->row->lon)
	$lon = $this->row->lon;
else
	$lon = $this->rgconf->lon;
	
if ($this->row->zoom)
	$zoom = $this->row->zoom;
else
	$zoom = $this->rgconf->zoom;
	
if ($this->row->maptype)
	$type = $this->row->maptype;
else
	$type = $this->rgconf->maptype;

switch ($type) {
	case 'map':
		$map_type='google.maps.MapTypeId.ROADMAP';
		break;
	case 'satellite':
		$map_type='google.maps.MapTypeId.SATELLITE';
		break;
	case 'hybrid':
		$map_type='google.maps.MapTypeId.HYBRID';
		break;
	case 'terrain':
		$map_type='google.maps.MapTypeId.TERRAIN';
		break;
	default :
		$map_type='google.maps.MapTypeId.ROADMAP';
}
?> 
    

<script language="javascript" type="text/javascript">
    var map;

    function handleApiReady() {
		var latlng = new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lon ?>);

		var myOptions = {
			zoom: <?php echo $zoom ?>,
			center: latlng,
			scaleControl: true,
			mapTypeControl: true,
			mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
			navigationControl: true,
			navigationControlOptions: {style: google.maps.NavigationControlStyle.ZOOM_PAN},
			mapTypeId: <?php echo $map_type ?>
		};
		
		map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
		google.maps.event.addListener(map, 'click', function(me){
			codeLatLng(me.latLng);
		});
		
		google.maps.event.addListener(map, 'zoom_changed', function() {
			document.adminForm.zoom.value=map.getZoom();
		});

		google.maps.event.addListener(map, 'maptypeid_changed', function() {
			document.adminForm.maptype.value= map.getMapTypeId();
		});
		
		google.maps.event.addListener(map, 'center_changed', centerChanged);
	}
	
	function centerChanged() {
		document.adminForm.lat.value=map.getCenter().lat();
		document.adminForm.lon.value=map.getCenter().lng();
	}
	
	function appendBootstrap() {
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = "http://maps.google.com/maps/api/js?sensor=false&callback=handleApiReady";
		document.body.appendChild(script);
	}
</script>

<form action = "index.php" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div id="restaurant" class="restaurant">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
                	<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CONTINENT_NAME', 'name' ); ?></td>
						<td>
							<input id="name" name="name" class="required" value="<?php echo $this->row->name; ?>" size="50" maxlength="100" />
						</td>
                    </tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_ALIAS', 'alias' ); ?></td>
						<td>
							<input id="alias" name="alias" class="required" value="<?php echo $this->row->alias; ?>" size="50" maxlength="100" />
						</td>
                    </tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHED', 'published' ); ?></td>
						<td>
							<?php
							$html = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );
							echo $html;
							?>
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CONTINENT_IMAGE', '' ); ?></td>
                        <td><input type="file" name="file_upload" size="30" /></td> 
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PREVIEW', 'preview' ); ?></td>
						<td>
                        	<div class="photogrid" style="width:400px">
								<?php
                                if ($this->row->image) { ?>
                                    <img src="../images/restaurantguide/country/thumb/<?php echo $this->row->image; ?>" /><br />
                                    <input class="text_area" type="text" disabled name="image" id="image" size="40" maxlength="255" value="<?php echo $this->row->image; ?>" />
                                    <input class="text_area" type="text" disabled name="imagewidth" id="imagewidth" size="10" maxlength="50" value="<?php echo $this->row->imagewidth; ?>" />
                                    <input class="text_area" type="text" disabled name="imageheight" id="imageheight" size="10" maxlength="50" value="<?php echo $this->row->imageheight; ?>" />
                                <?php } else {?>
                                    <img src="../components/com_restaurantguide/assets/images/no_thumb_list.gif" /><br />
                                    <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                                <?php } ?>
                                
                            </div>
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_TITLE_IMAGE', '' ); ?></td>
                        <td><input type="file" name="title_upload" size="50" /></td> 
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PREVIEW', 'preview' ); ?></td>
						<td>
                        	<div class="photogrid" style="width:400px">
								<?php
                                if ($this->row->titleimage) { ?>
                                    <img src="../images/restaurantguide/country/thumb/<?php echo $this->row->titleimage; ?>" /><br />
                                    <input class="text_area" type="text" disabled name="titleimage" id="titleimage" size="40" maxlength="255" value="<?php echo $this->row->titleimage; ?>" />
                                    <input class="text_area" type="text" disabled name="titleimagewidth" id="titleimagewidth" size="10" maxlength="50" value="<?php echo $this->row->titleimagewidth; ?>" />
                                    <input class="text_area" type="text" disabled name="titleimageheight" id="titleimageheight" size="10" maxlength="50" value="<?php echo $this->row->titleimageheight; ?>" />
                                <?php } else {?>
                                    <img src="../components/com_restaurantguide/assets/images/no_thumb_list.gif" /><br />
                                    <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                                <?php } ?>
                                
                            </div>
						</td>
					</tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MAP', 'showmap' ); ?></td>
                        <td valign="top">
                            <input type="button" value="showmap" onclick="appendBootstrap()"/>    
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LATITUDE_LONGITUDE', 'lat' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="lat" value="<?php echo $this->row->lat ?>" /><input type="text" size="20" name="lon" value="<?php echo $this->row->lon ?>" />
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_ZOOM', 'zoom' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="zoom" value="<?php echo $this->row->zoom ?>" /> 
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_MAP_TYPE', 'maptype' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="maptype" value="<?php echo $this->row->maptype ?>" /> 
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_HEIGHT_OF_MAP', 'mapheight' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="mapheight" value="<?php echo $this->row->mapheight ?>" />&nbsp;px 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SELECT_MAP_COORD', 'map' ); ?></td>
                       <td><div id="map"><div id="map_canvas" style="height: 400px"></div><div id="crosshair"></div></div></td>
                    </tr>  	
                </table>	
                <table class="adminform">
                    <tr>
                        <td>
                            <?php
                            echo $this->editor->display( 'description',  $this->row->description, '100%;', '350', '75', '20', array('pagebreak', 'readmore') ) ;
                            ?>
                        </td>
                    </tr>
                </table>
                <table class="adminform">
                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_TITLE', 'meta_title' ); ?></td>
						<td>
                        	<input class="text_area" type="text" name="meta_title" id="meta_title" size="100" maxlength="255" value="<?php echo $this->row->meta_title; ?>" />
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_DESCRIPTION', 'meta_description' ); ?></td>
                        <td>
							<textarea class="inputbox" cols="100%" rows="5" name="meta_description" id="metadesc" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_description); ?></textarea>
						</td>
					</tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_KEYWORDS', 'meta_keywords' ); ?></td>
                        <td>
							<textarea class="inputbox" cols="80" rows="5" name="meta_keywords" id="metakey" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_keywords); ?></textarea>
						</td>
					</tr>
                </table>		
			</td>
		</tr>
	</table>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="continents" />
<input type="hidden" name="view" value="continent" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="image" value="<?php echo $this->row->image; ?>" />
<input type="hidden" name="imagewidth" value="<?php echo $this->row->imagewidth; ?>" />
<input type="hidden" name="imageheight" value="<?php echo $this->row->imageheight; ?>" />
<input type="hidden" name="titleimage" value="<?php echo $this->row->titleimage; ?>" />
<input type="hidden" name="titleimagewidth" value="<?php echo $this->row->titleimagewidth; ?>" />
<input type="hidden" name="titleimageheight" value="<?php echo $this->row->titleimageheight; ?>" />
</div>
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>