<?php
/**
 * @version 1.0 $Id: view.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class restaurantguideViewCountry extends restaurantguideView {

	function __construct( $config = array() )
	{
		parent::__construct($config);

	}
	
	function displayDefault()
	{
		global $mainframe, $rgconf;

		//initialise variables
		$document	= & JFactory::getDocument();
		$user 		= & JFactory::getUser();
		$editor 	= & JFactory::getEditor();

		JHTML::_('behavior.tooltip');

		//get vars
		$cid 		= JRequest::getVar( 'cid' );

		$document->addScript( JURI::base().'components/com_restaurantguide/assets/js/itemscreen.js' );
		
		//create the toolbar
		if ( $cid ) {
			JToolBarHelper::title( JText::_( 'RG_EDIT_COUNTRY' ), 'country' );
		} else {
			JToolBarHelper::title( JText::_( 'RG_ADD_COUNTRY' ), 'country' );
		}
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::custom( 'saveandnew', 'savenew.png', 'savenew.png', 'RG_SAVE_AND_NEW', false );
		JToolBarHelper::cancel();


		//Get data from the model
		$model		= & $this->getModel();
		$row     	= & $this->get( 'Country' );

		//clean data
		JFilterOutput::objectHTMLSafe( $row, ENT_QUOTES );

		//assign data to template
		$this->assignRef('rgconf', 		$rgconf);
		$this->assignRef('row', 		$row);
		$this->assignRef('editor', 		$editor);
		$this->assignRef('user', 		$user);
/*		
		echo "<pre>";
		echo "view=";
		print_r($row);
		echo "</pre>";*/
	}
}
?>