<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


class restaurantguideViewCuisines extends restaurantguideView
{
	function __construct( $config = array() )
	{
		parent::__construct($config);

	}

	function displayDefault()
	{
		//initialise variables
		$app 		= &JFactory::getApplication();
		$user 		= & JFactory::getUser();
		$db  		= & JFactory::getDBO();
		$document	= & JFactory::getDocument();
		$lang 		= & JFactory::getLanguage();

		$filter_order		= $app->getUserStateFromRequest( RG_OPTION.'.cuisines.filter_order', 'filter_order', 'c.ordering','cmd' );
		$filter_order_Dir	= $app->getUserStateFromRequest( RG_OPTION.'.cuisines.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		$filter_state 		= $app->getUserStateFromRequest( RG_OPTION.'.cuisines.filter_state', 'filter_state', '*', 'word' );
		if ($filter_order != 'name')
			$filter_order = 'name';

		$search 			= $app->getUserStateFromRequest( RG_OPTION.'.cuisines.search', 'search', '', 'string' );
		$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );
		$this->assignRef( 'search', $search );

		$model =& $this->getModel();

		JToolBarHelper::title( JText::_( 'RG_CUISINE_MANAGER' ), 'cuisine' );
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::addNew();
		JToolBarHelper::editList();
		JToolBarHelper::deleteList('RG_ARE_YOU_SURE_YOU_WNAT_TO_DELETE_THE_RECORD');

		$limit		= $app->getUserStateFromRequest( 'global.list.limit', 'limit', $app->getCfg('list_limit'), 'int' );
		$limitstart = $app->getUserStateFromRequest( RG_OPTION.'.limitstart', 'limitstart', 0, 'int' );
		$total = $model->GetRowNumbers($search);

		jimport('joomla.html.pagination');

		$pagination = new JPagination( $total, $limitstart, $limit );
		$this->assignRef( 'pagination', $pagination );

		$items = $model->GetCuisinesFromDB($pagination->limitstart, $pagination->limit, $search, $filter_order, $filter_order_Dir);
		$this->assignRef( 'items', $items );

		//publish unpublished filter
		$lists['state']	= JHTML::_('grid.state', $filter_state );
		
		$lists['order_Dir']	= $filter_order_Dir;
		$lists['order']		= $filter_order;

		$ordering = ($lists['order'] == 'c.ordering');
		
		// search filter
		$lists['search']= $search;
		$this->assignRef( 'lists', $lists );
		$this->assignRef('ordering', $ordering);
	}
}