<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');



if ($this->row->lat)
	$lat = $this->row->lat;
else
	$lat = $this->rgconf->lat;
	
if ($this->row->lon)
	$lon = $this->row->lon;
else
	$lon = $this->rgconf->lon;
	
if ($this->row->zoom)
	$zoom = $this->row->zoom;
else
	$zoom = $this->rgconf->zoom;
	
if ($this->row->maptype)
	$type = $this->row->maptype;
else
	$type = $this->rgconf->maptype;

switch ($type) {
	case 'map':
		$map_type='google.maps.MapTypeId.ROADMAP';
		break;
	case 'satellite':
		$map_type='google.maps.MapTypeId.SATELLITE';
		break;
	case 'hybrid':
		$map_type='google.maps.MapTypeId.HYBRID';
		break;
	case 'terrain':
		$map_type='google.maps.MapTypeId.TERRAIN';
		break;
	default :
		$map_type='google.maps.MapTypeId.ROADMAP';
} 
?>

<script language="javascript" type="text/javascript">

	var map;

    function handleApiReady() {
		var latlng = new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lon ?>);

		var myOptions = {
			zoom: <?php echo $zoom ?>,
			center: latlng,
			scaleControl: true,
			mapTypeControl: true,
			mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
			navigationControl: true,
			navigationControlOptions: {style: google.maps.NavigationControlStyle.ZOOM_PAN},
			mapTypeId: <?php echo $map_type ?>
		};
		
		map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
		google.maps.event.addListener(map, 'click', function(me){
			codeLatLng(me.latLng);
		});
		
		google.maps.event.addListener(map, 'zoom_changed', function() {
			document.adminForm.zoom.value=map.getZoom();
		});

		google.maps.event.addListener(map, 'maptypeid_changed', function() {
			document.adminForm.maptype.value= map.getMapTypeId();
		});
		
		google.maps.event.addListener(map, 'center_changed', centerChanged);
	}
	
	function centerChanged() {
		document.adminForm.lat.value=map.getCenter().lat();
		document.adminForm.lon.value=map.getCenter().lng();
	}
	
	function appendBootstrap() {
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = "http://maps.google.com/maps/api/js?sensor=false&callback=handleApiReady";
		document.body.appendChild(script);
	}

function selectStates(a){var b=$('progressL');var c=new Request.HTML({url:'<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=selectStates',method:'get',onRequest:function(){b.setStyle('visibility','visible')},onComplete:function(){b.setStyle('visibility','hidden');selectCity(a)},update:$('AjaxState'),data:'country_id='+a}).send();alert()}function selectCity(a){var b=$('progressM');var c=new Request.HTML({url:'<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=selectCity',method:'get',onRequest:function(){b.setStyle('visibility','visible')},onComplete:function(){b.setStyle('visibility','hidden');selectResto(a)},update:$('AjaxCity'),data:'country_id='+a}).send()}function secondCity(a){var b=$('progressM');var c=new Request.HTML({url:'<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=secondCity',method:'get',onRequest:function(){b.setStyle('visibility','visible')},onComplete:function(){b.setStyle('visibility','hidden');selectResto(a)},update:$('AjaxCity'),data:'states='+a}).send()}function selectResto(a){var b=$('progressN');var c=new Request.HTML({url:'<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=selectResto',method:'get',onRequest:function(){b.setStyle('visibility','visible')},onComplete:function(){b.setStyle('visibility','hidden')},update:$('AjaxResto'),data:'country_id='+a}).send()}function secondResto(a){var b=$('progressN');var c=new Request.HTML({url:'<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=secondResto',method:'get',onRequest:function(){b.setStyle('visibility','visible')},onComplete:function(){b.setStyle('visibility','hidden')},update:$('AjaxResto'),data:'city='+a}).send()}


function submitbutton(pressbutton) {
	var form = document.adminForm;
	if (pressbutton == 'cancel') {
		submitform( pressbutton );
		return;
	}

	// do field validation
	if (form.title.value == ""){
		alert( "<?php echo JText::_( 'RG_ADD_EVENT_NAME' ); ?>" );
	} else {
		<?php echo $this->editor->save( 'description' ); ?>
		submitform( pressbutton );
	}
}
</script>

<form action = "index.php" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div id="restaurant" class="restaurant">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_EVENT', 'title', true ); ?></td>
						<td>
                            <input name="title" value="<?php echo $this->row->title; ?>" size="70" maxlength="255" />
						</td>
					</tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_ALIAS', 'alias' ); ?></td>
						<td>
                            <input name="alias" value="<?php echo $this->row->alias; ?>" size="70" maxlength="255" />
						</td>
					</tr>
                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PARENT', 'parent_id' ); ?></td>
						<td>
							<?php				
								echo $this->Lists['parent_id'];
							?>
						</td>
                    </tr>
                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PUBLISHED', 'published' ); ?></td>
						<td>
                        	<?php echo JHTML::_( 'restaurantguide.select.booleanlist', 'published', null, $this->row->published ); ?>
						</td>
                    </tr>
                 	<tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COUNTRY', 'country' ); ?></td>
                        <td>
                            <?php echo JHTML::_( 'restaurantguide.list.selectCountry', 'country', $this->row->country, NULL ); ?>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_STATES', 'states' ); ?></td>
                        <td colspan='2' align='left'>
                            <div id="AjaxState" style="float:left">
                            <?php 
                            $row->id=0;
                            $row->states = $this->row->states;
                            echo rgSelectHelper::SelectAjaxState( $row, $this->row->country ); 
                            ?>
                            </div>
                            <div id="progressL"></div> 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_CITY', 'city' ); ?></td>
                        <td colspan='2' align='left'>
                            <div id="AjaxCity" style="float:left">
                            <?php 
                            $row->id=0;
                            $row->city = $this->row->city;
                            echo rgSelectHelper::SelectAjaxCityResto( $row, $this->row->country ); 
                            ?>
                            </div>
                            <div id="progressM"></div>
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_RESTAURANT', 'resto', true); ?></td>	
                        <td colspan='2' align='left'>
                            <div id="AjaxResto" style="float:left">
                            <?php 
                            $row->id=0;
                            $row->resto = $this->row->resto;
                            echo rgSelectHelper::SelectAjaxResto( $row, $this->row->city ); 
                            ?>
                            </div>
                            <div id="progressN"></div>
                        </td>
                    </tr>
                    <tr>
						<td class="key">
                            <?php echo JHTML::_('tooltip', JText::_( 'RG_UPLOAD_EVENT_IMAGE' ), null , null, JText::_( 'RG_EVENT_IMAGE' ).':'); ?>
                        </td>
                        <td><input type="file" name="file_upload" size="30" /></td> 
					</tr>
                    <tr>
						<td class="key">
                            <?php echo JHTML::_('tooltip', JText::_( 'RG_MAX_SIZE_OF_IMAGE' ), null , null, JText::_( 'RG_MAX_SIZE_OF_IMAGE' ).':'); ?>
                        </td>
                        <td><input name="image_size" value="<?php echo $this->row->image_size; ?>" size="20" />px</td> 
					</tr>
					<tr>
						<td>
							<label for="image">
								<?php echo JText::_( 'RG_PREVIEW' ).':'; ?>
							</label>
						</td>
						<td>
                        	<div class="photogrid" style="width:400px">
								<?php
                                if ($this->row->image) { ?>
                                    <img src="../images/restaurantguide/event/thumb/<?php echo $this->row->image; ?>" /><br />
                                    <input class="text_area" type="text" name="image" id="image" size="40" maxlength="255" value="<?php echo $this->row->image; ?>" />
                                    <input class="text_area" type="text" name="imagewidth" id="imagewidth" size="10" maxlength="50" value="<?php echo $this->row->imagewidth; ?>" />
                                    <input class="text_area" type="text" name="imageheight" id="imageheight" size="10" maxlength="50" value="<?php echo $this->row->imageheight; ?>" />
                                <?php } else {?>
                                    <img src="../components/com_restaurantguide/assets/images/no_thumb_list.gif" /><br />
                                    <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                                <?php } ?>
                                
                            </div>
						</td>
					</tr>
					<tr>
                        <td>
                            <label for="startdates">
                                <?php echo JText::_( 'RG_START_DATE' ).':'; ?>
                            </label>
                        </td>
                        <td>
                            <?php echo JHTML::_('calendar', $this->row->startdates, "startdates", "startdates"); ?>
                        </td>
					</tr>
                    <tr>
                    	<td>
                            <label for="enddates">
                            <?php echo JText::_( 'RG_END_DATE' ).':'; ?>
                            </label>
                        </td>
                        <td>
                            <?php echo JHTML::_('calendar', $this->row->enddates, "enddates", "enddates"); ?>
                        </td>
                    </tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_TAB_TITLE', 'tabtitle', true ); ?></td>
						<td>
                            <input name="tabtitle" value="<?php echo $this->row->tabtitle; ?>" size="50" maxlength="255" />
						</td>
					</tr>
					<tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DESCRIPTION', 'description', true ); ?></td>
						<td>
							<?php
							// parameters : areaname, content, hidden field, width, height, rows, cols
							echo $this->editor->display( 'description',  $this->row->description, '100%;', '350', '75', '20', array('pagebreak', 'readmore') ) ;
							?>
						</td>
					</tr>
                	<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_TITLE', 'meta_title', true ); ?></td>
						<td>
                            <input name="meta_title" value="<?php echo $this->row->meta_title; ?>" size="70" maxlength="255" />
						</td>
					</tr>
					<tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_DESCRIPTION', 'meta_description', true ); ?></td>
                        <td>
							<textarea class="inputbox" cols="100%" rows="5" name="meta_description" id="metadesc" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_description); ?></textarea>
						</td>
					</tr>
					<tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_KEYWORDS', 'meta_keywords', true ); ?></td>
                        <td>
							<textarea class="inputbox" cols="80" rows="5" name="meta_keywords" id="metakey" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_keywords); ?></textarea>
						</td>
					</tr>
					<tr>
                    	<td>
                        </td>
						<td>
							<input type="button" class="button" value="<?php echo JText::_( 'RG_ADD_EVENT_NAME' ); ?>" onclick="f=document.adminForm;f.metakey.value=f.title.value;" />
						</td>
					</tr>

                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MAP', 'showmap' ); ?></td>
                        <td valign="top">
                            <input type="button" value="showmap" onclick="appendBootstrap()"/>    
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LATITUDE_LONGITUDE', 'lat' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="lat" value="<?php echo $this->row->lat ?>" /><input type="text" size="20" name="lon" value="<?php echo $this->row->lon ?>" />
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_ZOOM', 'zoom' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="zoom" value="<?php echo $this->row->zoom ?>" /> 
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_MAP_TYPE', 'maptype' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="maptype" value="<?php echo $this->row->maptype ?>" /> 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SELECT_MAP_COORD', 'map' ); ?></td>
                       <td><div id="map"><div id="map_canvas" style="width: 100%; height: 400px"></div><div id="crosshair"></div></div></td>
                    </tr>  	
				</table>
			</td>
		</tr>
	</table>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="events" />
<input type="hidden" name="view" value="event" />
<input type="hidden" name="task" value="" />
</div>
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>