<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access'); 

JHTML::_('behavior.tooltip');
	
?>
<form action="index.php?option=com_restaurantguide&amp;view=facilities" method="post" name="adminForm">
    <table>
        <tr>
            <td align="left" width="100%">
                <?php echo JText::_( 'RG_FILTER' ); ?>:
                <input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
                <button onclick="this.form.submit();"><?php echo JText::_( 'RG_GO' ); ?></button>
                <button onclick="document.getElementById('search').value='';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_( 'RG_RESET' ); ?></button>
            </td>
            <td nowrap="nowrap">
                <?php echo $this->lists['state']; ?>
            </td>
        </tr>
    </table>

    <div id="editcell">
        <table class="adminlist">
            <thead>
                <tr>
                    <th width="5">
                        <?php echo JText::_( 'RG_NUM' ); ?>
                    </th>
                    <th  width="5%">
                        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
                    </th>
                    <th class="preview" width="82"><div align="center"><span class="key"><?php echo JText::_( 'RG_PREVIEW' ); ?></span></div></th>
                    <th  class="title">
                        <?php echo JHTML::_('grid.sort', 'RG_NAME', 'name', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
                    </th>
                    <th  class="description">
                        <?php echo JHTML::_('grid.sort', 'RG_DESCRIPTION', 'description', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
                    </th>
                    <th width="5%" align="center">
                        <?php echo JHTML::_('grid.sort', 'RG_PUBLISHED', 'published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
                    </th>		
                    <th width="1%" nowrap="nowrap">
                        <?php echo JHTML::_('grid.sort', 'ID', 'id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
                    </th>
                </tr>
            </thead>

            <tbody>
			<?php
            $k = 0;
            for ($i=0, $n=count( $this->items ); $i < $n; $i++)
            {
                $row = &$this->items[$i];
                $published 	= JHTML::_('grid.published', $row, $i );
                $checked    = JHTML::_('grid.id', $i, $row->id );
                $link 		= JRoute::_( 'index.php?option=' .RG_OPTION. '&controller=facilities&task=edit&cid='.$row->id.'' );
                $delete     = 'index.php?option=' .RG_OPTION. '&controller=facilities&task=remove&cid='.$row->id;		
            ?>
                <tr class="<?php echo "row$k"; ?>">
                    <td width="5%">
                        <?php echo $this->pagination->getRowOffset( $i ); ?>
                    </td>
                    <td width="5%">
                        <?php echo $checked; ?>
                    </td>
                    <td align="center" valign="top">
						<?php if ($row->pictogram) { ?>
                            <img src="../images/restaurantguide/pictogram/<?php echo $row->pictogram; ?>" />
                        <?php } 
                        else { ?>
                            <img src="../administrator/components/com_restaurantguide/assets/images/no_listthumb.png" />
                        <?php } ?>
                    </td>
                    <td>
                        <span class="editlinktip hasTip" title="<?php echo JText::_( 'RG_FACILITY_NAME' );?>::<?php echo $row->name; ?>">
                        <a href="<?php echo $link  ?>"><?php echo $row->name; ?></a></span>
                    </td>
                    <td>
                        <div align="left"><a href="<?php echo $link  ?>"><?php echo $row->description; ?></a></div>
                    </td>
                    <td align="center">
                        <?php echo $published;?>
                    </td>				
                    <td align="center">
                        <?php echo $row->id; ?>
                    </td>
                </tr>
                <?php
                    $k = 1 - $k;
                }
                ?>
            </tbody>     

            <tfoot>
                <tr>
                    <td colspan="13"><?php echo $this->pagination->getListFooter(); ?></td>
                </tr>
            </tfoot>
        </table>
    </div>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<input type="hidden" name="controller" value="facilities" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
