<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * View class for the RestaurantGuide gallery screen
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewGalleryitems extends restaurantguideView {

	function __construct( $config = array() )
	{
		parent::__construct($config);

	}
	
	function displayDefault()
	{
		//initialise variables
		$user 		= & JFactory::getUser();
		$db  		= & JFactory::getDBO();
		$document	= & JFactory::getDocument();
		$lang 		= & JFactory::getLanguage();
		
		JHTML::_('behavior.tooltip');

		//create the toolbar
		JToolBarHelper::title( JText::_( 'RG_GALLERY' ), 'gallery' );
		JToolBarHelper::publishList();
		JToolBarHelper::spacer();
		JToolBarHelper::unpublishList();
		JToolBarHelper::spacer();
		JToolBarHelper::addNew();
		JToolBarHelper::spacer();
		JToolBarHelper::editList();
		JToolBarHelper::spacer();
		JToolBarHelper::deleteList();

		//Get data from the model
		$model		= & $this->getModel();
		$rows      	= & $this->get( 'Data');
		$states  	= & $this->get( 'States');
		$cities  	= & $this->get( 'Cities');
		$pageNav 	= & $this->get( 'Pagination' );
		
		$limitstart = JRequest::getVar('limitstart', '0', '', 'int');

		$lists = $this->_getLists($states, $cities);

		$ordering = ($lists['order'] == 'i.ordering');
		
		//assign data to template
		$this->assignRef('lists'      	, $lists);
		$this->assignRef('rows'      	, $rows);
		$this->assignRef('pageNav' 		, $pageNav);
		$this->assignRef('ordering'		, $ordering);
		$this->assignRef('user'			, $user);
		$this->assignRef('direction'	, $lang);
	/*	
		echo "<pre>";
		echo "view=";
		print_r($rows);
		echo "</pre>";
		*/
	}
	
	function _getLists($states, $cities)
	{
		$app 		= &JFactory::getApplication();

		// Initialize variables
		$db		= &JFactory::getDBO();
		
		// Get some variables from the request
		$filter_order		= $app->getUserStateFromRequest( RG_OPTION.'.galleryitems.filter_order', 'filter_order', 'i.ordering', 'cmd' );
		$filter_order_Dir	= $app->getUserStateFromRequest( RG_OPTION.'.galleryitems.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		$filter_state 		= $app->getUserStateFromRequest( RG_OPTION.'.galleryitems.filter_state', 'filter_state', '*', 'word' );
		$filter_country 	= $app->getUserStateFromRequest( RG_OPTION.'.galleryitems.filter_country', 'filter_country', 0, 'int');
		$filter_states 		= $app->getUserStateFromRequest( RG_OPTION.'.galleryitems.filter_states', 'filter_states', 0, 'int');
		$filter_city 		= $app->getUserStateFromRequest( RG_OPTION.'.galleryitems.filter_city', 'filter_city', 0, 'int');
		$limit				= $app->getUserStateFromRequest('global.list.limit', 'limit', $app->getCfg('list_limit'), 'int');
		$limitstart			= $app->getUserStateFromRequest( RG_OPTION.'.galleryitems.limitstart', 'limitstart', 0, 'int');
		$search 			= $app->getUserStateFromRequest( RG_OPTION.'.galleryitems.search', 'search', '', 'string' );
		$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );

		// build the categories select list for filter
		$javascript = 'onchange="this.form.getElementById(\'countries\').value=\'-1\'; document.adminForm.getElementById(\'states\').value=\'0\'; document.adminForm.getElementById(\'filter_city\').value=\'0\'; document.adminForm.submit();"';
			
		// get list of countries for dropdown filter
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' WHERE c.published = 1'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onchange="document.adminForm.getElementById(\'filter_category\').value=\'0\'; document.adminForm.submit();"';
		$lists['countries'] = JHTML::_('select.genericlist', $country, 'filter_country', $javascript, 'value', 'text', $filter_country);

		// get list of cities for dropdown filter
		if ( $states )
			$states_option[]=JHTML::_('select.option', 0, '- '. JText::_('SELECTSTATES') .' -');
		else
			$states_option[]=JHTML::_('select.option', 0, JText::_('NO STATES'));
		$states_option=@array_merge($states_option, $states);
		$lists['states'] = JHTML::_('select.genericlist', $states_option, 'filter_states', $javascript, 'value', 'text', $filter_states);
		
		// get list of cities for dropdown filter
		$cities_option[]=JHTML::_('select.option', 0, '- '. JText::_('SELECT CITY') .' -');
		$cities_option=@array_merge($cities_option, $cities);
		$lists['filter_city'] = JHTML::_('select.genericlist', $cities_option, 'filter_city', $javascript, 'value', 'text', $filter_city);

		$filter_state_options[] = JHTML::_('select.option', -1, '- '. JText::_( 'SELECT STATE' ) .' -' );
		$filter_state_options[] = JHTML::_('select.option', 1, JText::_('PUBLISHED'));
		$filter_state_options[] = JHTML::_('select.option', 0, JText::_('UNPUBLISHED'));
		$lists['state'] = JHTML::_('select.genericlist', $filter_state_options, 'filter_state', $javascript, 'value', 'text', $filter_state);
		
		// search filter
		$lists['search']= $search;

		// table ordering
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;

		
		
		return $lists;
	}
}
?>