<?php
/**
 * @version 1.0 $Id: default.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access'); ?>


<div class="restaurantguide">
<form action="index.php" method="post" name="adminForm">

	<table class="adminform">
		<tr>
			<td width="100%">
			  	<?php echo JText::_( 'RG_SEARCH' ); ?>
				<input type="text" name="search" id="search" value="<?php echo $this->lists['search']; ?>" class="text_area" onChange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'RG_GO' ); ?></button>
				<button onclick="this.form.getElementById('search').value='';this.form.getElementById('filter_resto').value='0';this.form.submit();"><?php echo JText::_( 'RG_RESET' ); ?></button>
			</td>
			<td nowrap="nowrap">
            	<?php echo "{$this->lists['resto']}&nbsp;&nbsp;&nbsp;{$this->lists['state']}"; ?>
			</td>
		</tr>
	</table>

	<table class="adminlist" cellspacing="1">
	<thead>
		<tr>
			<th width="5"><?php echo JText::_( 'RG_NUM' ); ?></th>
			<th width="5"><input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count( $this->rows ); ?>);" /></th>
            <th class="preview" width="82"><div align="center"><span class="key"><?php echo JText::_( 'RG_PREVIEW' ); ?></span></div></th>
			<th class="title"><?php echo JHTML::_('grid.sort', 'RG_PROMOTION_TITLE', 'i.title', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
			<th width="20%"><?php echo JText::_('RG_RESTAURANT'); ?></th>
            <th width="1%" nowrap="nowrap"><?php echo JText::_('RG_SLIDESHOW'); ?></th>
			<th width="1%" nowrap="nowrap"><?php echo JHTML::_('grid.sort', JText::_('Published'), 'i.published', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
			<th width="80"><?php echo JHTML::_('grid.sort', 'RG_REORDER', 'i.ordering', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
			<th width="1%"><?php echo JHTML::_('grid.order', $this->rows, 'filesave.png', 'saveorder' ); ?></th>
			<th width="1%" nowrap="nowrap"><?php echo JHTML::_('grid.sort', 'ID', 'i.id', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
		</tr>
	</thead>

	<tfoot>
		<tr>
			<td colspan="11">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>

	<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++) {
			$row = $this->rows[$i];

			$link 		= 'index.php?option=com_restaurantguide&amp;controller=promotions&amp;task=edit&amp;cid[]='. $row->id;
			$checked 	= JHTML::_('grid.checkedout', $row, $i );
			$published 	= JHTML::_('grid.published', $row, $i );
   		?>
		<tr class="<?php echo "row$k"; ?>">
			<td><?php echo $this->pageNav->getRowOffset( $i ); ?></td>
			<td width="7"><?php echo $checked; ?></td>
            <td align="center" valign="top">
				<?php if ($row->filename) { ?>
                    <img src="../images/restaurantguide/gallery/restaurant_<?php echo $row->resto; ?>/thumb/<?php echo $row->filename; ?>" />
                <?php } 
                else { ?>
                    <img src="../components/com_restaurantguide/assets/images/no_listthumb.png" />
                <?php } ?>
            </td>
			<td>
				<?php
				if ( $row->checked_out && ( $row->checked_out != $this->user->get('id') ) ) {
					echo htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8');
				} else {
				?>
					<span class="editlinktip hasTip" title="<?php echo JText::_( 'EDIT PROMOTION' );?>::<?php echo $row->title; ?>">
					<a href="<?php echo $link; ?>">
					<?php echo htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8'); ?>
					</a></span>
				<?php
				}
				?>
			</td>
			<td>
				<?php 
				$restolink = 'index.php?option=com_restaurantguide&amp;controller=restaurantitems&amp;task=edit&amp;cid[]='. $row->resto;
				?>
                <span class="editlinktip hasTip" title="<?php echo JText::_( 'EDIT RESTAURANT' );?>::<?php echo $row->restoname; ?>">
                <a href="<?php echo $restolink; ?>">
                    <?php 
                    if (JString::strlen($row->restoname) > 20) {
                        echo JString::substr( $row->restoname , 0 , 20).'...';
                    } else {
                        echo $row->restoname;
                    }
                    ?></a></span>
			</td>
            <td align="center"><?php 
				if ($row->slideshow) { ?>
					<img src="<?php echo JURI::base() ?>components/com_restaurantguide/assets/images/slideshow.gif" /> <?php
				} else  {?>
					<img src="<?php echo JURI::base() ?>components/com_restaurantguide/assets/images/no.gif" /> <?php
				} ?>
			</td>
			<td align="center">
				<?php echo $published; ?>
			</td>	
			<td class="order" colspan="2">
				<span><?php echo $this->pageNav->orderUpIcon( $i, true, 'orderup', 'Move Up', $this->ordering ); ?></span>

				<span><?php echo $this->pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $this->ordering );?></span>

				<?php $disabled = $this->ordering ?  '' : '"disabled=disabled"'; ?>

				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align: center" />
			</td>
			<td align="center"><?php echo $row->id; ?></td>
		</tr>
		<?php $k = 1 - $k; } ?>
	</tbody>

	</table>
	

	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="option" value="com_restaurantguide" />
	<input type="hidden" name="controller" value="promotions" />
	<input type="hidden" name="view" value="promotions" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
</div>