<?php
/**
 * @version 1.0 $Id: view.html.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * View class for the RestaurantGuide Promotions screen
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewPromotions extends restaurantguideView {

	function __construct( $config = array() )
	{
		parent::__construct($config);

	}
	
	function displayDefault()
	{
		//initialise variables
		$app 		= &JFactory::getApplication();
		$user 		= & JFactory::getUser();
		$db  		= & JFactory::getDBO();
		$document	= & JFactory::getDocument();
		$lang 		= & JFactory::getLanguage();
		
		JHTML::_('behavior.tooltip');

		//get vars
		$filter_order		= $app->getUserStateFromRequest( RG_OPTION.'.promotions.filter_order', 'filter_order', 'i.ordering', 'cmd' );
		$filter_order_Dir	= $app->getUserStateFromRequest( RG_OPTION.'.promotions.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		$filter_state 		= $app->getUserStateFromRequest( RG_OPTION.'.promotions.filter_state', 'filter_state', '*', 'word' );
		$filter_resto 		= $app->getUserStateFromRequest( RG_OPTION.'.promotions.filter_resto', 'filter_resto',0, 'int');
		$search 			= $app->getUserStateFromRequest( RG_OPTION.'.promotions.search', 'search', '', 'string' );
		$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );

		//create the toolbar
		JToolBarHelper::title( JText::_( 'RG_PROMOTION' ), 'promotion' );
		JToolBarHelper::publishList();
		JToolBarHelper::spacer();
		JToolBarHelper::unpublishList();
		JToolBarHelper::spacer();
		JToolBarHelper::addNew();
		JToolBarHelper::spacer();
		JToolBarHelper::editList();
		JToolBarHelper::spacer();
		JToolBarHelper::deleteList();

		//Get data from the model
		$model		= & $this->getModel();
		$rows      	= & $this->get( 'Data');
		$restos		= & $this->get( 'Restos');
		$pageNav 	= & $this->get( 'Pagination' );
		
		//publish unpublished filter
		$filter_state_options[] = JHTML::_('select.option', -1, JText::_('RG_SELECT_STATE'));
		$filter_state_options[] = JHTML::_('select.option', 1, JText::_('RG_PUBLISHED'));
		$filter_state_options[] = JHTML::_('select.option', 0, JText::_('RG_UNPUBLISHED'));
		$lists['state'] = JHTML::_('select.genericlist', $filter_state_options, 'filter_state', 'onchange="this.form.submit();"', 'value', 'text', $filter_state);
/*		
		$query = 'SELECT i.id, i.title'
				. ' FROM #__rg_restaurantitems AS i'
				. ' INNER JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
				. ' INNER JOIN #__rg_categories AS c ON c.id = rel.catid' 
				. ' WHERE i.published = 1'
				. ' ORDER BY i.title ASC'
				;
				
		$db->setQuery($query);
		$results = $db->loadObjectList();
*/		
		// get list of active languages
		$filter_resto_options[] = JHTML::_('select.option',  '-1', JText::_('RG_SELECT_RESTAURANT') );
	
		if ( count($restos)>0 ) {
			foreach( $restos as $resto )
			{
				$filter_resto_options[] = JHTML::_('select.option',  $resto->id, $resto->title );
			}
		} else {
			$filter_resto_options[] = JHTML::_('select.option',  0, JText::_('RG_NO_RESTAURANT') );
		}
		
		$lists['resto'] = JHTML::_('select.genericlist', $filter_resto_options, 'filter_resto', 'onchange="this.form.submit();"', 'value', 'text', $filter_resto );
		
		// search filter
		$lists['search']= $search;

		// table ordering
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;

		$ordering = ($lists['order'] == 'i.ordering');
	
		//assign data to template
		$this->assignRef('lists'      	, $lists);
		$this->assignRef('rows'      	, $rows);
		$this->assignRef('pageNav' 		, $pageNav);
		$this->assignRef('ordering'		, $ordering);
		$this->assignRef('user'			, $user);
		$this->assignRef('direction'	, $lang);
/*	
		echo "<pre>";
		echo "view=";
		print_r($restos);
		echo "</pre>"; */
	}
}
?>