<?php
/**
 * @version 1.0 $Id: RestaurantGuide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * View class for the RestaurantGuide Reservation screen
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewReservation extends restaurantguideView {

	function __construct( $config = array() )
	{
		parent::__construct($config);

	}
	
	function displayDefault()
	{
		global $mainframe, $rgconf;

		//initialise variables
		$document	= & JFactory::getDocument();
		$user 		= & JFactory::getUser();
		$db  		= & JFactory::getDBO();
		$lang 		= & JFactory::getLanguage();

		JHTML::_('behavior.tooltip');

		//get vars
		$cid 		= JRequest::getVar( 'cid' );

		//create the toolbar
		if ( $cid ) {
			JToolBarHelper::title( JText::_( 'RG_RESERVATION_MANAGER' ), 'reservation' );

		} else {
			JToolBarHelper::title( JText::_( 'RG_RESERVATION_MANAGER' ), 'reservation' );
		}
		JToolBarHelper::apply();
		JToolBarHelper::spacer();
		JToolBarHelper::save();
		JToolBarHelper::spacer();
		JToolBarHelper::cancel();

		//Get data from the model
		$model		= & $this->getModel();
		$row 		= & $this->get('Item');
		$rooms 		= $model->getRooms($row->restaurant);

		// fail if checked out not by 'me'
		if ($row->id) {
			if ($model->isCheckedOut( $user->get('id') )) {
				JError::raiseWarning( 'RG_SOME_ERROR_CODE', $row->title.' '.JText::_( 'RG_EDITED_BY_ANOTHER ADMIN' ));
				$mainframe->redirect( 'index.php?option=com_restaurantguide&view=reservations' );
			}
		}

		//clean data
		JFilterOutput::objectHTMLSafe( $row, ENT_QUOTES );

		//assign data to template
		$this->assignRef('rgconf', 		$rgconf);
		$this->assignRef('rooms', 		$rooms);
		$this->assignRef('row', 		$row);
/*
		echo "<pre>";
		echo "view=";
		print_r($rooms);
		echo "</pre>";
*/
	}
/*	
	function getBedType ( $id )
	{
		$db  		= & JFactory::getDBO();

		$query = 'SELECT id, bedtype, breakfast'
					. ' FROM #__rg_roomrates'
					. ' WHERE room_id = '.$id
					;

		$db->setQuery( $query );
		$type = $db->loadObjectList();
  	
		return $type;
	} */
}
?>