<?php
/**
 * @version 1.0 $Id: hotelguide_files.php 
 * @package Joomla
 * @subpackage HotelGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * HotelGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * HotelGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HotelGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access'); ?>


<div class="hotelguide">
<form action="index.php" method="post" name="adminForm">

	<table class="adminform">
		<tr>
			<td width="160px">
			  	<?php echo JText::_( 'HG_SEARCH' ); ?>
				<input type="text" name="search" id="search" value="<?php echo $this->lists['search']; ?>" class="text_area" onChange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'HG_GO' ); ?></button>
				<button onclick="this.form.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'HG_RESET' ); ?></button>
			</td>
			<td width="auto" align="right">
            	<div style="float:right">
				<?php echo JText::_( 'HG_STATE' ).":{$this->lists['state']}"; ?>
                </div>
			</td>
		</tr>
	</table>

	<table class="adminlist" cellspacing="1">
	<thead>
		<tr>
			<th width="5"><?php echo JText::_( 'HG_NUM' ); ?></th>
			<th width="5"><input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count( $this->rows ); ?>);" /></th>
            <th width="60" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', JText::_( 'HG_BOOKING_STATUS' ), 'status', @$this->filter_order_Dir, @$this->filter_order ); ?>
            </th>
            <th width="10%"><?php echo JText::_('HG_GUEST'); ?></th>
            
            <th width="20%"><?php echo JText::_('HG_ACCOMMODATION'); ?></th>
            <th class="title" width="20%"><?php echo JText::_('HG_ROOM'); ?></th>			
            <th width="10%"><?php echo JText::_('HG_BED_TYPE'); ?></th>
            <th width="2%"><?php echo JText::_('HG_NO_ROOMS'); ?></th>
            <th width="2%"><?php echo JText::_('HG_ADULTS'); ?></th>
            <th width="2%"><?php echo JText::_('HG_CHILDREN'); ?></th>
            <th width="10%"><?php echo JText::_('HG_CHECKIN'); ?></th>
            <th width="10%"><?php echo JText::_('HG_CHECKOUT'); ?></th>
            <th width="10%"><?php echo JText::_('HG_AMOUNT_TOTAL'); ?></th>
            <th width="10%"><?php echo JText::_('HG_AMOUNT_PAID'); ?></th>
            <th width="10%"><?php echo JText::_('HG_AMOUNT_DUE'); ?></th>
            <th width="50"><?php echo JHTML::_('grid.sort', 'HG_REORDER', 'i.ordering', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
			<th width="1%"><?php echo JHTML::_('grid.order', $this->rows, 'filesave.png', 'saveorder' ); ?></th>
            <th width="1%" nowrap="nowrap"><?php echo JHTML::_('grid.sort', 'ID', 't.id', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
			
		</tr>
	</thead>

	<tfoot>
		<tr>
			<td colspan="18">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>

	<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++) {
			$row = $this->rows[$i];

			$link 		= 'index.php?option=com_hotelguide&amp;controller=reservation&amp;task=edit&amp;cid[]='. $row->id;
			$checked 	= JHTML::_('grid.checkedout', $row, $i );
			
			$status = '';
			switch ($row->status) {
				case 1:
					$status = JText::_( 'HG_CANCELLED' );
					break;
				case 2:
					$status = JText::_( 'HG_PENDING' );
					break;
				case 3:
					$status = JText::_( 'HG_CONFIRMED' );
					break;
				case 4:
					$status = JText::_( 'HG_CONFIRMED_PAID' );
					break;
			}
   		?>
		<tr class="<?php echo "row$k"; ?>">
            <td><?php echo $this->pageNav->getRowOffset( $i ); ?></td>
            <td width="7"><?php echo $checked; ?></td>
            <td width="7"><a href="<?php echo $link; ?>"><?php echo $status; ?></a></td>
            <td>

                <span class="editlinktip hasTip" title="<?php echo JText::_( 'EDIT RESERVATION ITEM' );?>::<?php echo $row->firstname.' '.$row->lastname ?>">
                <a href="<?php echo $link; ?>">
                <?php echo htmlspecialchars($row->firstname.' '.$row->lastname, ENT_QUOTES, 'UTF-8'); ?>
                </a></span>

			</td>
			<td>
                <span class="editlinktip hasTip" title="<?php echo JText::_( 'EDIT HOTEL' );?>::<?php echo $row->hotel; ?>">

                    <?php 
                    if (JString::strlen($row->hotelname) > 20) {
                        echo JString::substr( $row->hotelname, 0 , 20).'...';
                    } else {
                        echo $row->hotelname;
                    }
                    ?></a></span>
			</td>
            <td align="center">
				<?php echo $row->roomtitle; ?>
			</td>
            <td align="center">
				<?php echo $row->bedname; ?>
			</td>
            <td align="center">
				<?php echo $row->rooms; ?>
			</td>
            <td align="center">
				<?php echo $row->adult; ?>
			</td>
            <td align="center">
				<?php echo $row->children; ?>
			</td>
            <td>
				<?php echo JHTML::_('date', $row->checkin, JText::_('DATE_FORMAT_LC4') ); ?>
			</td>
            <td>
				<?php echo JHTML::_('date', $row->checkout, JText::_('DATE_FORMAT_LC4') ); ?>
			</td>	
			<td align="left"><?php echo $row->tamount; ?></td>
            <td align="left"><?php echo $row->pamount; ?></td>
            <td align="left"><?php echo $row->damount; ?></td>
			<td class="order" colspan="2">
				<span><?php echo $this->pageNav->orderUpIcon( $i, true, 'orderup', 'Move Up', $this->ordering ); ?></span>

				<span><?php echo $this->pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $this->ordering );?></span>

				<?php $disabled = $this->ordering ?  '' : '"disabled=disabled"'; ?>

				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align: center" />
			</td>
			<td align="center"><?php echo $row->id; ?></td>
		</tr>
		<?php $k = 1 - $k; } ?>
	</tbody>

	</table>
	

	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="option" value="com_hotelguide" />
	<input type="hidden" name="controller" value="reservation" />
	<input type="hidden" name="view" value="reservations" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
</div>