<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access'); ?>


<div class="restaurantguide">
<form action="index.php" method="post" name="adminForm">

	<table class="adminform">
		<tr>
			<td width="160px">
			  	<?php echo JText::_( 'RG_SEARCH' ); ?>
				<input type="text" name="search" id="search" value="<?php echo $this->lists['search']; ?>" class="text_area" onChange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'RG_GO' ); ?></button>
				<button onclick="this.form.getElementById('search').value='';this.form.getElementById('filter_country').value='0';this.form.getElementById('filter_city').value='0';this.form.getElementById('filter_type').value='0';this.form.getElementById('state').value='0';this.form.submit();"><?php echo JText::_( 'RG_RESET' ); ?></button>
			</td>
			<td width="auto" align="right">
            	<div style="float:right">
				<?php echo JText::_( 'RG_COUNTRY' ).":{$this->lists['countries']}&nbsp;&nbsp;&nbsp;&nbsp;".JText::_( 'RG_STATES' ).":{$this->lists['states']}<br/>".JText::_( 'RG_CITY' ).":{$this->lists['filter_city']}&nbsp;&nbsp;&nbsp;&nbsp;".JText::_( 'RG_TYPE' ).":{$this->lists['filter_type']}&nbsp;&nbsp;&nbsp;&nbsp;".JText::_( 'RG_STATE' ).":{$this->lists['state']}"; ?>
                </div>
			</td>
		</tr>
	</table>

	<table class="adminlist" cellspacing="1">
	<thead>
		<tr>
			<th width="5"><?php echo JText::_( 'RG_NUM' ); ?></th>
			<th width="5"><input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count( $this->rows ); ?>);" /></th>
            <th class="preview" width="82"><div align="center"><span class="key"><?php echo JText::_( 'RG_PREVIEW' ); ?></span></div></th>
			<th width="20%"><?php echo JHTML::_('grid.sort', 'RG_TITLE', 'i.title', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
			<th width="10%"><?php echo JHTML::_('grid.sort', 'RG_COUNTRY', 'i.country', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
            <th width="10%"><?php echo JHTML::_('grid.sort', 'RG_CITY', 'i.cityname', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
			<th width="1%" nowrap="nowrap"><?php echo JHTML::_('grid.sort', JText::_('RG_STATE'), 'i.published', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
			<th width="1%" nowrap="nowrap"><?php echo JHTML::_('grid.sort', 'RG_RATING', 'votes', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
			<th width="1%" nowrap="nowrap"><?php echo JHTML::_('grid.sort', 'RG_HITS', 'i.hits', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
			<th width="80"><?php echo JHTML::_('grid.sort', 'RG_REORDER', 'i.ordering', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
			<th width="1%"><?php echo JHTML::_('grid.order', $this->rows, 'filesave.png', 'saveorder' ); ?></th>
			<th width="1%" nowrap="nowrap"><?php echo JHTML::_('grid.sort', 'ID', 'i.id', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
		</tr>
	</thead>

	<tfoot>
		<tr>
			<td colspan="13">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>

	<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++) {
			$row = $this->rows[$i];

			$link 		= 'index.php?option=com_restaurantguide&amp;controller=restaurantitems&amp;task=edit&amp;cid[]='. $row->id;
			$checked 	= JHTML::_('grid.checkedout', $row, $i );
			$published 	= JHTML::_('grid.published', $row, $i );
   		?>
		<tr class="<?php echo "row$k"; ?>">
			<td><?php echo $this->pageNav->getRowOffset( $i ); ?></td>
			<td width="7"><?php echo $checked; ?></td>
            <td align="center" valign="top">
            	<?php if ($row->mainimage) { ?>
                    <img src="../images/restaurantguide/gallery/restaurant_<?php echo $row->id; ?>/thumb/<?php echo $row->mainimage; ?>" />
                <?php } 
                else { ?>
                    <img src="../components/com_restaurantguide/assets/images/no_listthumb.png" />
                <?php } ?>
            </td>
			<td>
				<?php
				if ( $row->checked_out && ( $row->checked_out != $this->user->get('id') ) ) {
					echo htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8');
				} else {
				?>
					<span class="editlinktip hasTip" title="<?php echo JText::_( 'RG_EDIT_RESTAURANT' );?>::<?php echo $row->title; ?>">
					<a href="<?php echo $link; ?>">
					<?php echo htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8'); ?>
					</a><?php 
                    if ($row->typename) {
						echo '<br/>['.htmlspecialchars($row->typename, ENT_QUOTES, 'UTF-8').']'; 
					} ?></span>
				<?php
				}
				?>
			</td>
			<td><?php echo $row->countryname; ?></td>
            <td><?php echo $row->cityname; ?></td>
			<td align="center">
				<?php echo $published; ?>
			</td>
			<td><?php /*echo rg_html::ratingbar( $row );*/ ?></td>
			<td align="center"><?php echo $row->hits; ?></td>
			
			<td class="order" colspan="2">
				<span><?php echo $this->pageNav->orderUpIcon( $i, true, 'orderup', 'Move Up', $this->ordering ); ?></span>

				<span><?php echo $this->pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $this->ordering );?></span>

				<?php $disabled = $this->ordering ?  '' : '"disabled=disabled"'; ?>

				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align: center" />
			</td>
			<td align="center"><?php echo $row->id; ?></td>
		</tr>
		<?php $k = 1 - $k; } ?>
	</tbody>

	</table>


	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="option" value="com_restaurantguide" />
	<input type="hidden" name="controller" value="restaurantitems" />
	<input type="hidden" name="view" value="restaurantitems" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
</div>