<?php
/**
 * @version 1.0 $Id: view.html.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die();


jimport( 'joomla.application.component.view' );


class restaurantguideViewRestaurantlinkEdit extends restaurantguideView
{
	function __construct( $config = array() )
	{
		parent::__construct($config);

	}

	function displayDefault()
	{
		$app 		= &JFactory::getApplication();
		
		$document	= & JFactory::getDocument();
		$user 		= & JFactory::getUser();
		$db  		= & JFactory::getDBO();
		$lang 		= & JFactory::getLanguage();
		
		$model		= & $this->getModel();
		$row        = & $this->get('Data');
		$isNew      = ($row->id < 1);

		$text = $isNew ? JText::_( 'RG_NEW' ) : JText::_( 'RG_EDIT' );
		JToolBarHelper::title(   JText::_( 'RG_LINK' ).': <small><small>[ ' . $text.' ]</small></small>', 'articles.png' );
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::custom( 'saveandnew', 'savenew.png', 'savenew.png', 'RG_SAVE_AND_NEW', false );
		JToolBarHelper::cancel();

		$contentConfig = & JComponentHelper :: getParams('com_content');
//		$access = !$contentConfig->get('shownoauth');

		$gid = $user->get('gid');
		$now = date('Y-m-d H:i:s', time() + $app->getCfg('offset') * 60 * 60);

		$got_JoomFish = file_exists($app->getCfg('absolute_path') . '/administrator/components/com_joomfish/joomfish.php') ? true : false;
		
		$nullDate = $db->getNullDate();
		
		$query = "SELECT c.id AS id, c.title AS title, c.alias as title_alias
  				FROM #__content AS c
				INNER JOIN #__categories AS cat
				ON(c.catid = cat.id)
  				WHERE c.state = '1'";

//		if ($access) {
//			$query .= " AND c.access <= $gid \n";
//		}
/*		if ($sections != '') {
			$query .= "AND sec.id in ($sections) \n";
		}
		if ($categories != '') {
			$query .= "AND cat.id in ($categories) \n";
		}
		if (!$got_JoomFish) {
			if ($title_field == 0) {
				$query .= "ORDER BY c.title";
			} else {
				$query .= "ORDER BY c.alias";
			}
		} */
		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ($got_JoomFish) {
			if ($title_field == 0) {
				sortArrayObjects($rows, 'title');
			} else {
				sortArrayObjects($rows, 'title_alias');
			}
		}

		$lists = array();
		
		$articlelist[]	= JHTML::_('select.option',  '0', '- '.JText::_( 'RG_SELECT_ARTICLE' ).' -', 'id', 'title' );
		$articlelist	= array_merge( $articlelist, $rows );
		$lists['contentid']  = JHTML::_('select.genericlist',  $articlelist, 'contentid', 'class="inputbox" size="1" ', 'id', 'title', intval($row->contentid));
				
		$this->assignRef('row', $row);
		$this->assignRef('lists', $lists);
	}
}

