<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

if ($this->row->lat)
	$lat = $this->row->lat;
else
	$lat = $this->rgconf->lat;
	
if ($this->row->lon)
	$lon = $this->row->lon;
else
	$lon = $this->rgconf->lon;

?> 
    

<script language="javascript" type="text/javascript">
    var map;

    function handleApiReady() {
		var latlng = new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lon ?>);

		var myOptions = {
			zoom: 4,
			center: latlng,
			scaleControl: true,
			mapTypeControl: true,
			mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
			navigationControl: true,
			navigationControlOptions: {style: google.maps.NavigationControlStyle.ZOOM_PAN},
			mapTypeId:google.maps.MapTypeId.ROADMAP
		};
		
		map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
		google.maps.event.addListener(map, 'click', function(me){
			codeLatLng(me.latLng);
		});
		
		google.maps.event.addListener(map, 'center_changed', centerChanged);
	}
	
	function centerChanged() {
		document.adminForm.lat.value=map.getCenter().lat();
		document.adminForm.lon.value=map.getCenter().lng();
	}
	
	function appendBootstrap() {
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = "http://maps.google.com/maps/api/js?sensor=false&callback=handleApiReady";
		document.body.appendChild(script);
	}

	window.addEvent( "domready", function()
	{  
		var tags = new itemscreen('tags', {id:<?php echo $this->row->id ? $this->row->id : 0; ?>, type: 4, script_url :'index.php?option=com_restaurantguide&controller=states&format=raw', task:'gettags'});
		tags.fetchscreen();
	});
	
	function addtag()
	{
		var tagname = document.adminForm.tagname.value;
		var type = 4;
		var agent = <?php echo $this->user->id; ?>;
		
		if(tagname == ''){
			alert('<?php echo JText::_('RG_ENTER TAG', true); ?>');
			return;
		}
	
		var tag = new itemscreen();
		tag.addtag( tagname, type, agent );
		var tags = new itemscreen('tags', {id:<?php echo $this->row->id ? $this->row->id : 0; ?>, type: 4, script_url :'index.php?option=com_restaurantguide&controller=states&format=raw', task:'gettags'});
		tags.fetchscreen();
	}

</script>

<form action = "index.php" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div id="restaurant" class="restaurant">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
                	<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_STATES_NAME', 'name' ); ?></td>
						<td>
							<input id="name" name="name" class="required" value="<?php echo $this->row->name; ?>" size="50" maxlength="255" />
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_ALIAS', 'alias' ); ?></td>
						<td>
                        	<input name="alias" value="<?php echo $this->row->alias; ?>" size="50" maxlength="255" />
						</td>
					</tr>
                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_STATES_CODE_1', 'code_1' ); ?></td>
						<td>
							<input id="code_1" name="code_1" value="<?php echo $this->row->code_1; ?>" size="50" maxlength="3" />
						</td>
					</tr>
                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_STATES_CODE_2', 'code_2' ); ?></td>
						<td>
							<input id="code_2" name="code_2" value="<?php echo $this->row->code_2; ?>" size="50" maxlength="3" />
						</td>
					</tr>
                	<tr>
                        <?php 
						$row->id=0;
						$row->country = $this->row->country;
						?>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_COUNTRY', 'country' ); ?></td>
						<td>
							<?php echo JHTML::_( 'restaurantguide.list.selectCountry', 'country', $this->row->country, NULL ); ?>
						</td>
                    </tr>
					<tr>
						<td class="key">
							<label for="published">
								<?php echo JText::_( 'RG_PUBLISHED' ).':'; ?>
							</label>
						</td>
						<td>
							<?php
							$html = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );
							echo $html;
							?>
						</td>
					</tr>
                    <tr>
                    	<td class="key">
							<label for="tags">
								<?php echo JText::_( 'RG_PLEASE_SELECT_TAGS' ).':'; ?>
							</label>
						</td>
                        <td>
                            <div id="tags"></div>
                        </td>
                    </tr>
                    <tr>
						<td class="key">
                            <?php echo JHTML::_('tooltip', JText::_( 'RG_UPLOAD_STATES_IMAGE' ), null , null, JText::_( 'RG_STATES_IMAGE' ).':'); ?>
                        </td>
                        <td><input type="file" name="file_upload" size="30" /></td> 
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_PREVIEW', 'image' ); ?></td>
						<td>
                        	<div class="photogrid" style="width:400px">
								<?php
                                if ($this->row->image) { ?>
                                    <img src="../images/restaurantguide/states/thumb/<?php echo $this->row->image; ?>" /><br />
                                    <input class="text_area" type="text" name="image" id="image" size="40" maxlength="255" value="<?php echo $this->row->image; ?>" />
                                    <input class="text_area" type="text" name="imagewidth" id="imagewidth" size="10" maxlength="50" value="<?php echo $this->row->imagewidth; ?>" />
                                    <input class="text_area" type="text" name="imageheight" id="imageheight" size="10" maxlength="50" value="<?php echo $this->row->imageheight; ?>" />
                                <?php } else {?>
                                    <img src="../components/com_restaurantguide/assets/images/no_thumb_list.gif" /><br />
                                    <?php echo JText::_( 'RG_NO_IMAGE' ); ?>
                                <?php } ?>
                                
                            </div>
						</td>
					</tr>

                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SHOW_MAP', 'showmap' ); ?></td>
                        <td valign="top">
                            <input type="button" value="showmap" onclick="appendBootstrap()"/>    
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_LATITUDE_LONGITUDE', 'lat' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="lat" value="<?php echo $this->row->lat ?>" /><input type="text" size="20" name="lon" value="<?php echo $this->row->lon ?>" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_SELECT_MAP_COORD', 'map' ); ?></td>
                       <td><div id="map"><div id="map_canvas" style="width: 100%; height: 400px"></div><div id="crosshair"></div></div></td>
                    </tr>  	

                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_DESCRIPTION', 'description' ); ?></td>
                        <td>
                            <?php
                            echo $this->editor->display( 'description',  $this->row->description, '100%;', '350', '75', '20', array('pagebreak', 'readmore') ) ;
                            ?>
                        </td>
                    </tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_TITLE', 'meta_title' ); ?></td>
                        <td valign="top">
                            <input id="meta_title" name="meta_title" class="required" value="<?php echo $this->row->meta_title; ?>" size="80" maxlength="255" />
						</td>
					</tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_DESCRIPTION', 'metadesc' ); ?></td>
						<td valign="top">
							<textarea class="inputbox" cols="100%" rows="5" name="meta_description" id="metadesc" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_description); ?></textarea>
						</td>
					</tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'RG_META_KEYWORDS', 'metakey' ); ?></td>
                        <td valign="top">
							<textarea class="inputbox" cols="80" rows="5" name="meta_keywords" id="metakey" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_keywords); ?></textarea>
						</td>
					</tr>
				</table>	
			</td>
		</tr>
	</table>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="states" />
<input type="hidden" name="view" value="state" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="image" value="<?php echo $this->row->image; ?>" />
<input type="hidden" name="imagewidth" value="<?php echo $this->row->imagewidth; ?>" />
<input type="hidden" name="imageheight" value="<?php echo $this->row->imageheight; ?>" />
</div>
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>