<?php
/**
 * @version 1.0 $Id: view.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * View class for the RestaurantGuide tag screen
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewTag extends restaurantguideView {

	function __construct( $config = array() )
	{
		parent::__construct($config);

	}
	
	function displayDefault()
	{
		global $mainframe;

		//initialise variables
		$document	= & JFactory::getDocument();
		$user 		= & JFactory::getUser();

		//get vars
		$cid 		= JRequest::getVar( 'cid' );

		//create the toolbar
		if ( $cid ) {
			JToolBarHelper::title( JText::_( 'RG_EDIT_TAG' ), 'tagedit' );

		} else {
			JToolBarHelper::title( JText::_( 'RG_ADD_TAG' ), 'tagedit' );

		}
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::cancel();


		//Get data from the model
		$model		= & $this->getModel();
		$row     	= & $this->get( 'Tag' );

		// fail if checked out not by 'me'
		if ($row->id) {
			if ($model->isCheckedOut( $user->get('id') )) {
				JError::raiseWarning( 'SOME_ERROR_CODE', $row->name.' '.JText::_( 'EDITED BY ANOTHER ADMIN' ));
				$mainframe->redirect( 'index.php?option=com_restaurantguide&view=tags' );
			}
		}

		if ($row->userid)
			$agent = JFactory::getUser($row->userid);
		else {
			$agent = $user;
			$row->userid = $agent->id;
		}
		
		//clean data
		JFilterOutput::objectHTMLSafe( $row, ENT_QUOTES );

		//build type list
		$lists = array();

		$parent_type = rgSelectHelper::TagParent();
		$lists['type'] = JHTML::_('select.genericlist', $parent_type, 'type', '', 'value', 'text', $row->type );
		
		//assign data to template
		$this->assignRef('row', 		$row);
		$this->assignRef('agent', 		$agent);
		$this->assignRef('lists', 		$lists);	
	}
}
?>