<?php
/**
 * @version 1.0 $Id: view.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * View class for the RestaurantGuide comments screen
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewTestimonials extends restaurantguideView {

	function __construct( $config = array() )
	{
		parent::__construct($config);

	}
	
	function displayDefault()
	{
		$app 		= &JFactory::getApplication();
		$db  		= & JFactory::getDBO();
		
		$filter_order		= $app->getUserStateFromRequest( RG_OPTION.'.testimonials.filter_order', 'filter_order', 't.name', 'cmd' );
		$filter_order_Dir	= $app->getUserStateFromRequest( RG_OPTION.'.testimonials.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		
		if ($filter_order != 'title')
			$filter_order = 'title';

		$search 	= $app->getUserStateFromRequest( RG_OPTION.'.testimonials.search', 'search', '', 'string' );
		$search 	= $db->getEscaped( trim(JString::strtolower( $search ) ) );

		$this->assignRef( 'search', $search );

		$model =& $this->getModel();

		JToolBarHelper::title( JText::_( 'RG_REVIEW_MANAGER' ), 'testimonial' );
		JToolBarHelper::publishList();
		JToolBarHelper::spacer();
		JToolBarHelper::unpublishList();
		JToolBarHelper::spacer();
		JToolBarHelper::editList();
		JToolBarHelper::spacer();
		JToolBarHelper::deleteList('RG_ARE_YOU_SURE_YOU_WNAT_TO_DELETE_THE_REVIEW');

//		$limit		= $app->getUserStateFromRequest( 'global.list.limit', 'limit', $app->getCfg('list_limit'), 'int' );
		$limit		= 20;
		$limitstart = $app->getUserStateFromRequest( RG_OPTION.'.limitstart', 'limitstart', 0, 'int' );
		$total = $model->GetRowNumbers($search);

		jimport('joomla.html.pagination');

		$pagination = new JPagination( $total, $limitstart, $limit );
		$this->assignRef( 'pagination', $pagination );

		$rows = $model->GetTestimonials($pagination->limitstart, $pagination->limit, $search, $filter_order, $filter_order_Dir);
		$this->assignRef( 'rows', $rows );

		$lists['order_Dir']	= $filter_order_Dir;
		$lists['order']		= $filter_order;

		// search filter
		$lists['search']= $search;
		$this->assignRef( 'lists', $lists );
	}
}
?>