<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


class restaurantguide_city
{
	/**
	 * Parent City
	 * @var array
	 */
	var $id = null;
	
	/**
	 * Parent City
	 * @var array
	 */
	var $parentcity = array();
	
	var $local = array();
	
	/**
	 * Constructor
	 * @param int $cid
	 * @return restaurantguide_city
	 */
	function restaurantguide_city($cid)
	{
		$this->id = $cid;
		$this->buildParentCity($this->id);
		$this->getParentCity();
	}
    
	function getParentCity()
	{
		$db	=& JFactory::getDBO();
		
		$this->parentcity = array_reverse($this->parentcity);
				
		foreach($this->parentcity as $cid) {
			
			$query = 'SELECT id, name'
					.' FROM #__rg_cities'
					.' WHERE id ='. (int)$cid 
					.' AND published = 1'
					;
			
			$db->setQuery($query);
			$this->city[] 	= $db->loadObject();
		}
	}
	
	function buildParentCity($cid)
	{
		$db = JFactory::getDBO();
		
		$query = 'SELECT parent_id FROM #__rg_cities WHERE id = '.(int)$cid;
		$db->setQuery( $query );

		if($cid != 0) {
			array_push($this->parentcity, $cid);
		}

		//if we still have results
		if(sizeof($db->loadResult()) != 0) {
			$this->buildParentCity($db->loadResult());
		}
	}
	
	function getParentlist()
	{
		return $this->local;
	}
	
	/**
    * Get the city tree
    *
    * @return array
    */
	function getStateCityTree($state)
	{
		$db	=& JFactory::getDBO();

		$where = ' WHERE published = 1';
		$where .= ' AND states = '.$state;

		$query = 'SELECT *, id AS value, name AS text'
				.' FROM #__rg_cities'
				.$where
				.' ORDER BY name ASC'
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();
		
		//set depth limit
		$levellimit = 10;
		
		//get children
    	$children = array();  	
    	foreach ($rows as $child) {
        	$parent = $child->parent_id;
       		$list = @$children[$parent] ? $children[$parent] : array();
        	array_push($list, $child);
        	$children[$parent] = $list;
    	}
    	//get list of the items
    	$list = restaurantguide_city::treerecurse(0, '', array(), $children, true, max(0, $levellimit-1));
    	
		return $list;
	}
	
	function getCityTree($country, $limit)
	{
		$db	=& JFactory::getDBO();

		$where = ' WHERE published = 1';
		$where .= ' AND country = '.$country;

		$query = 'SELECT *, id AS value, name AS text'
				.' FROM #__rg_cities'
				.$where
				.' ORDER BY parent_id, name ASC'
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();
		
		//set depth limit
		$levellimit = $limit;
		
		//get children
    	$children = array();  	
    	foreach ($rows as $child) {
        	$parent = $child->parent_id;
       		$list = @$children[$parent] ? $children[$parent] : array();
        	array_push($list, $child);
        	$children[$parent] = $list;
    	}
    	//get list of the items
    	$list = restaurantguide_city::treerecurse(0, '', array(), $children, true, max(0, $levellimit-1));
    	
		return $list;
	}

	function getLocalTree($parent_id)
	{
		$db	=& JFactory::getDBO();

		$where = ' WHERE published = 1';
		$where .= ' AND parent_id = '.$parent_id;

		$query = 'SELECT *, id AS value, name AS text'
				.' FROM #__rg_cities'
				.$where
				.' ORDER BY name ASC'
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();
		
		//set depth limit
		$levellimit = 2;
		
		//get children
    	$children = array();  	
    	foreach ($rows as $child) {
        	$parent = $child->parent_id;
       		$list = @$children[$parent] ? $children[$parent] : array();
        	array_push($list, $child);
        	$children[$parent] = $list;
    	}
    	//get list of the items
    	$list = restaurantguide_city::treerecurse(0, '', array(), $children, true, max(0, $levellimit-1));
    	
		return $list;
	}
	
	/**
    * Get the city tree
    * based on the joomla 1.0 treerecurse 
    *
    * @access public
    * @return array
    */
	function treerecurse( $id, $indent, $list, &$children, $title, $maxlevel=9999, $level=0, $type=1 )
	{
		if (@$children[$id] && $level <= $maxlevel) {
			foreach ($children[$id] as $v) {
				$id = $v->id;

				if ( $type ) {
					$pre    = '<sup>|_</sup>&nbsp;';
					$spacer = '.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
				} else {
					$pre    = '- ';
					$spacer = '&nbsp;&nbsp;';
				}

				if ($title) {
					if ( $v->parent_id == 0 ) {
						$txt    = ''.$v->name;
					} else {
						$txt    = $pre.$v->name;
					}
				} else {
					if ( $v->parent_id == 0 ) {
						$txt    = '';
					} else {
						$txt    = $pre;
					}
				}
				$pt = $v->parent_id;
				$list[$id] = $v;
				$list[$id]->treename = "$indent$txt";
				$list[$id]->children = count( @$children[$id] );

				$list = restaurantguide_city::treerecurse( $id, $indent . $spacer, $list, $children, $title, $maxlevel, $level+1, $type );
			}
		}
		return $list;
	}

	/**
	 * Build city select list
	 *
	 * @param array $list
	 * @param string $name
	 * @param array $selected
	 * @param bool $top
	 * @param string $class
	 * @return void
	 */
	function buildcityselect($list, $name, $selected, $top, $class = 'class="inputbox"')
	{
		$citylist 	= array();

		if ( count($list)>0 ) {
			$citylist[] = JHTML::_( 'select.option', '0', '- '.JText::_( 'RG_SELECT_A_CITY' ).' -' );
			foreach ($list as $item) {
				$citylist[] = JHTML::_( 'select.option', $item->id, $item->treename);
			}
		} else {
			$citylist[] = JHTML::_('select.option',  0, JText::_('RG_NOT_AVAILABLE') );
		}
		return JHTML::_('select.genericlist', $citylist, $name, $class, 'value', 'text', $selected );
	}
}
?>