<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

//TODO: Refactor this mess completely!!!
class restaurantguide_menus
{
	/**
	 * Parent Menu
	 *
	 * @var array
	 */
	var $id = null;
	
	/**
	 * Parent Menus
	 *
	 * @var array
	 */
	var $parentmenus = array();
	
	var $menu = array();
	
	/**
	 * Constructor
	 *
	 * @param int $cid
	 * @return restaurantguide_menus
	 */
	function restaurantguide_menus($cid)
	{
		$this->id = $cid;
		$this->buildParentMenus($this->id);
		$this->getParentMenus();
	}
    
	function getParentMenus()
	{
		$db	=& JFactory::getDBO();
		
		$this->parentmenus = array_reverse($this->parentmenus);
				
		foreach($this->parentmenus as $cid) {
			
			$query = 'SELECT id, title,'
					.' CASE WHEN CHAR_LENGTH(alias) THEN CONCAT_WS(\':\', id, alias) ELSE id END as slug'
					.' FROM #__rg_menus'
					.' WHERE id ='. (int)$cid 
					.' AND published = 1'
					;
			
			$db->setQuery($query);
			$this->menu[] 	= $db->loadObject();
		}
	}
	
	function buildParentMenus($cid)
	{
		$db = JFactory::getDBO();
		
		$query = 'SELECT parent_id FROM #__rg_menus WHERE id = '.(int)$cid;
		$db->setQuery( $query );

		if($cid != 0) {
			array_push($this->parentmenus, $cid);
		}

		//if we still have results
		if(sizeof($db->loadResult()) != 0) {
			$this->buildParentMenus($db->loadResult());
		}
	}
	
	function getParentlist()
	{
		return $this->menu;
	}
	
	/**
    * Get the menus tree
    *
    * @return array
    */
	function getMenusTree($published, $resto)
	{
		$db	=& JFactory::getDBO();
		
		if ($published) {
			$where = ' WHERE published = 1';
		} else {
			$where = '';
		}
		
		$query = 'SELECT *, id AS value, title AS text'
				.' FROM #__rg_menus'
				.$where
				.' AND resto = '.$resto
				.' ORDER BY ordering'
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();
		
		//set depth limit
		$levellimit = 10;
		
		//get children
    	$children = array();  	
    	foreach ($rows as $child) {
        	$parent = $child->parent_id;
       		$list = @$children[$parent] ? $children[$parent] : array();
        	array_push($list, $child);
        	$children[$parent] = $list;
    	}
    	//get list of the items
    	$list = restaurantguide_menus::treerecurse(0, '', array(), $children, true, max(0, $levellimit-1));
    	
		return $list;
	}
	
	/**
    * Get the menus tree
    * based on the joomla 1.0 treerecurse 
    *
    * @access public
    * @return array
    */
	function treerecurse( $id, $indent, $list, &$children, $title, $maxlevel=9999, $level=0, $type=1 )
	{
		if (@$children[$id] && $level <= $maxlevel) {
			foreach ($children[$id] as $v) {
				$id = $v->id;

				if ( $type ) {
					$pre    = '<sup>|_</sup>&nbsp;';
					$spacer = '.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
				} else {
					$pre    = '- ';
					$spacer = '&nbsp;&nbsp;';
				}

				if ($title) {
					if ( $v->parent_id == 0 ) {
						$txt    = ''.$v->title;
					} else {
						$txt    = $pre.$v->title;
					}
				} else {
					if ( $v->parent_id == 0 ) {
						$txt    = '';
					} else {
						$txt    = $pre;
					}
				}
				$pt = $v->parent_id;
				$list[$id] = $v;
				$list[$id]->treename = "$indent$txt";
				$list[$id]->children = count( @$children[$id] );

				$list = restaurantguide_menus::treerecurse( $id, $indent . $spacer, $list, $children, $title, $maxlevel, $level+1, $type );
			}
		}
		return $list;
	}

	function recurse( $id, $indent, $list, &$children, $title, $maxlevel=9999, $level=0, $type=1 )
	{
		if (@$children[$id] && $level <= $maxlevel) {
			foreach ($children[$id] as $v) {
				$id = $v->id;

				$list[$id] = $v;
				$list[$id]->children = count( @$children[$id] );

				$list = restaurantguide_menus::treerecurse( $id, $indent, $list, $children, $title, $maxlevel, $level+1, $type );
			}
		}
		return $list;
	}
	
	/**
	 * Build Menus select list
	 *
	 * @param array $list
	 * @param string $name
	 * @param array $selected
	 * @param bool $top
	 * @param string $class
	 * @return void
	 */
	function buildmenuselect($list, $name, $selected, $top, $class = 'class="inputbox"')
	{
		$menulist = array();
		
		if($top) {
			$menulist[] = JHTML::_( 'select.option', '0', JText::_( 'RG_TOPLEVEL' ) );
		}
		
		foreach ($list as $item) {
			$menulist[] = JHTML::_( 'select.option', $item->id, $item->treename);
		}
		return JHTML::_('select.genericlist', $menulist, $name, $class, 'value', 'text', $selected );
	}
}
?>