<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * RestaurantGuide Component Controller
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideController extends JController
{
	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		//clear search session if there is not a search
		if( ( JRequest::getVar( 'task' ) != 'search' ) &&  ( isset( $_SESSION['rg_search'] ) ) ) {
			unset( $_SESSION['rg_search'] );
		}
		parent::__construct();
	}

	/**
	 * Display the view
	 */
	function display()
	{
		global $rgconf;
		$user = &JFactory::getUser();
		$lang 		= & JFactory::getLanguage();
		$document 	= & JFactory::getDocument();

		if (JRequest::getVar('view') == 'recipes') {
			$view = & $this->getView('recipes', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'recipe', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'event') {
			$view = & $this->getView('event', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'event', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'testimonial') {
			$view = & $this->getView('testimonial', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'testimonials', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'tags') {
			$view = & $this->getView('tags', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'tags', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'restaurantguide') {
			$view = & $this->getView('restaurantguide', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ), true );
	
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'search', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'restaurant') {
			$view = & $this->getView('restaurant', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'restaurant', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'city', 'restaurantguideModel' ));
			$view->setModel( $this->getModel( 'testimonials', 'restaurantguideModel' ));
			$view->setModel( $this->getModel( 'tags', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'search') {
			$view = & $this->getView('search', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'search', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'favourites') {
			$view = & $this->getView('favourites', 'html');

			$view->setModel( $this->getModel( 'favourites', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'type') {
			$view = & $this->getView('type', 'html');

			$view->setModel( $this->getModel( 'type', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'continent') {
			$view = & $this->getView('continent', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'continent', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'country') {
			$view = & $this->getView('country', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'country', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'states') {
			$view = & $this->getView('states', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'states', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'city') {
			$view = & $this->getView('city', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'city', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'conversionguide') {
			$view = & $this->getView('conversionguide', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} else if (JRequest::getVar('view') == 'callus') {
			$view = & $this->getView('callus', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'callus', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
		} 

		$document->addStyleSheet($view->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide.css');
		if ($rgconf->box == 'White')
			$document->addStyleSheet($view->baseurl.'/components/com_restaurantguide/assets/css/resto_white.css');
		else if ($rgconf->box == 'Black')
			$document->addStyleSheet($view->baseurl.'/components/com_restaurantguide/assets/css/resto_black.css');
		else if ($rgconf->box == 'Lightblue')
			$document->addStyleSheet($view->baseurl.'/components/com_restaurantguide/assets/css/resto_lightblue.css');
		else if ($rgconf->box == 'Blue')
			$document->addStyleSheet($view->baseurl.'/components/com_restaurantguide/assets/css/resto_blue.css');
		else if ($rgconf->box == 'Green')
			$document->addStyleSheet($view->baseurl.'/components/com_restaurantguide/assets/css/resto_green.css');
		else if ($rgconf->box == 'Warmbrown')
			$document->addStyleSheet($view->baseurl.'/components/com_restaurantguide/assets/css/resto_warmbrown.css');
		else if ($rgconf->box == 'Coolbrown')
			$document->addStyleSheet($view->baseurl.'/components/com_restaurantguide/assets/css/resto_coolbrown.css');
		if ($lang->isRTL()) {
			$document->addStyleSheet($view->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide_rtl.css');
		}

		JHTML::_('behavior.mootools'); 
		
		$key = $rgconf->api_key;
		$a_lang = explode('-', $document->getLanguage());
		$document->addScript( 'http://maps.google.com/maps?file=api&amp;v=2.x&amp;key=' . $key . '&amp;hl=' . $a_lang[0] );
		$document->addScript( $view->baseurl.'/components/com_restaurantguide/assets/js/resto_cluster.js');
		$document->addScript( $view->baseurl.'/components/com_restaurantguide/assets/js/slimbox.js');

		define('RESTAURANTGUIDE',1);
		 
		$view->display();
	}

	/**
	* Edits an item
	*
	* @access	public
	* @since	1.0
	*/
	function edit()
	{
		$user	=& JFactory::getUser();

		// Create the view
		$view = & $this->getView('restaurant', 'html');

		//general access check
		if (!($user->authorize('com_restaurantguide', 'edit') || $user->authorize('com_content', 'edit', 'content', 'own'))) {
			JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
		}

		// Get/Create the model
		$model = & $this->getModel('restaurant');

		//check if we have an id(edit) and check if we have global edit rights or if we are allowed to edit own items.
		if( $model->get('id') > 1 && !($user->authorize('com_restaurantguide', 'edit') || ($user->authorize('com_content', 'edit', 'content', 'own') && $model->get('created_by') == $user->get('id')) ) ) {
			JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
		}

		//checked out?
		if ( $model->isCheckedOut($user->get('id')))
		{
			$msg = JText::sprintf('DESCBEINGEDITTED', JText::_('The item'), $model->get('title'));
			$this->setRedirect(JRoute::_('index.php?view=restaurant&id='.$model->get('id'), false), $msg);
			return;
		}

		//Checkout the item
		$model->checkout();

		// Push the model into the view (as default)
		$view->setModel($model, true);

		// Set the layout
		$view->setLayout('form');

		// Display the view
		$view->display();
	}
	
	/**
	* adds an item
	*
	* @access	public
	* @since	1.0
	*/
	function add()
	{
		$user	=& JFactory::getUser();

		// Create the view
		$view = & $this->getView('restaurant', 'html');

		//general access check
		if (!$user->authorize('com_restaurantguide', 'add')) {
			JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
		}

		// Get/Create the model
		$model = & $this->getModel('restaurant');

		// Push the model into the view (as default)
		$view->setModel($model, true);

		// Set the layout
		$view->setLayout('form');

		// Display the view
		$view->display();
	}

	/**
	* Saves the item
	*
	* @access	public
	* @since	1.0
	*/
	function save()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );

		// Initialize variables
		$db			= & JFactory::getDBO();
		$user		= & JFactory::getUser();

		//get model
		$model = $this->getModel('restaurant');

		//get data from request
		$post = JRequest::get('post');

		//perform access checks
		$isNew = ((int) $post['id'] < 1);

		// Must be logged in
		if ($user->get('id') < 1) {
			JError::raiseError( 403, JText::_('ALERTNOTAUTH') );
			return;
		}

		//access checks
		if ( !(($user->authorize('com_restaurantguide', 'edit') || $user->authorize('com_content', 'edit', 'content', 'own')) || $user->authorize('com_restaurantguide', 'add'))) {
			JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
		}

		if ($model->store($post)) {
			if($isNew) {
				$post['id'] = (int) $model->get('id');
			}
		} else {
			$msg = JText::_( 'ERROR STORING ITEM' );
			JError::raiseError( 500, $model->getError() );
		}

		$model->checkin();

		if ($isNew) {

			//Get categories for information mail
			$query = 'SELECT DISTINCT c.id, c.title,'
					. ' CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(\':\', c.id, c.alias) ELSE c.id END as slug'
					. ' FROM #__rg_categories AS c'
					. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.catid = c.id'
					. ' WHERE rel.itemid = '.(int) $model->get('id')
					;

			$db->setQuery( $query );

			$categories = $db->loadObjectList();

			//loop through the categories to create a string
			$n = count($categories);
			$i = 0;
			$catstring = '';
			foreach ($categories as $category) {
				$catstring .= $category->title;
				$i++;
				if ($i != $n) {
					$catstring .= ', ';
				}
			}

			//get list of admins who receive system mails
			$query = 'SELECT id, email, name' .
			' FROM #__users' .
			' WHERE sendEmail = 1';
			$db->setQuery($query);
			if (!$db->query()) {
				JError::raiseError( 500, $db->stderr(true));
				return;
			}
			$adminRows = $db->loadObjectList();

			require_once (JPATH_ADMINISTRATOR.DS.'components'.DS.'com_messages'.DS.'tables'.DS.'message.php');

			// send email notification to admins
			foreach ($adminRows as $adminRow) {

				//Not really  needed cause in com_message you can set to be notified about new messages by email
				//JUtility::sendAdminMail($adminRow->name, $adminRow->email, '', JText::_('NEW FAQ ITEM'), $post['title'], $user->get('username'), JURI::base());

				//Send a message to the admins personal message boxes
				$message = new TableMessage($db);
				$message->send($user->get('id'), $adminRow->id, JText::_('NEW RESTAURANT ITEM'), JText::sprintf('ON NEW ITEM', $post['title'], $user->get('username'), $catstring));
			}

		} else {
			// If the item isn't new, then we need to clean the cache so that our changes appear realtime
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}

		if ($user->authorize('com_restaurantguide', 'state') )
		{
			$msg = JText::_( 'ITEM SAVED' );
		}
		else
		{
			$msg = $isNew ? JText::_('THANKS SUBMISSION') : JText::_('ITEM SAVED');
		}

		$link = JRequest::getString('referer', JURI::base(), 'post');
		$this->setRedirect($link, $msg);
	}
	
	/**
	* Cancels an edit item operation
	*
	* @access	public
	* @since	1.0
	*/
	function cancel()
	{
		// Initialize some variables
		$user	= & JFactory::getUser();

		// Get an item table object and bind post variabes to it
		$item = & JTable::getInstance('rg_restaurantitems', '');
		$item->bind(JRequest::get('post'));

		// todo: add task checks
		if ($user->authorize('com_restaurantguide', 'edit') || $user->authorize('com_restaurantguide', 'edit', 'own')) {
			$item->checkin();
		}

		// If the task was edit or cancel, we go back to the item
		$referer = JRequest::getString('referer', JURI::base(), 'post');
		$this->setRedirect($referer);
	}

	function sendmail()
	{
		global $rgconf;
		jimport('joomla.mail.helper');
		jimport('joomla.utilities.utility');
		$config =& JFactory::getConfig();
		$db =& JFactory::getDBO();
		
		$cc = null;
		$bcc = null;
		
		$email = JMailHelper::cleanAddress( JRequest::getVar('email', '') );
		$subject = JRequest::getVar('subject', '') . ' [' .$config->getValue('fromname', '') . ']';
		$message = JRequest::getVar('e_message', '');			

		$guestname = JRequest::getVar('firstname', '').' '.JRequest::getVar('lastname', '');
		$date = JRequest::getVar('date', '');	
		$hr = JRequest::getVar('hr', '');	
		$min = JRequest::getVar('min', '');	
		$phone = JRequest::getVar('phone', '');
		$party = JRequest::getVar('number', '');
		$request = JRequest::getVar('request', '');
		if ($min == 0)
			$minu = '00';
		else if ($min == 1)
			$minu = '15';
		else if ($min == 2)
			$minu = '30';
		else if ($min == 3)
			$minu = '45';
		
		$id = (int)JRequest::getVar('id', 0, '', 'int');
		
		$query = 'SELECT r.title, r.address, r.created_by, co.name AS countryname, c.name AS cityname'
				. ' FROM #__rg_restaurantitems AS r' 
				. ' LEFT JOIN #__rg_countries AS co ON co.id = r.country'
				. ' LEFT JOIN #__rg_cities AS c ON c.id = r.city'
				. ' WHERE r.id = '.$id
				;
		$db->setQuery($query);
		if (!$db->query()) {
			JError::raiseError( 500, $db->stderr(true));
			return;
		}
		$infos = $db->loadObject();
		
		
		/*verification */
		if ( empty($guestname) ) {
			JError::raiseWarning( 500, JText::_( 'You must to specify your name'));
			
		} elseif ( !JMailHelper::isEmailAddress($email) ) {
			JError::raiseWarning( 500, JText::sprintf( 'Invalid email', $email ));
			
		} else {
			$subject = JText::sprintf('RG_RESERVATION_FOR_S', $infos->title);
			
			
			$reciptient = $rgconf->default_mail;
		    
	//	    if($rgconf->send_form_to_agent == 1){
		        
		  //      $created_by = JRequest::getInt('created_by', 0);
		        $query = 'SELECT `name, email` FROM `#__users` WHERE `id`=' . $infos->created_by;
		        $db->setQuery($query);
		        $agent = $db->loadResult();
	//	    }
		    
		    if (empty($reciptient)) {
		        // webmaster email
		        $reciptient = $config->getValue('mailfrom', '');
		    }
			
			$body = '<div>';
			$body .= '<p>'.JText::_( 'RG_DEAR' ).',&nbsp;'.$agent->name.'</p>';
		//	$body .= '<p>'.$rgconf->form_greeting.'</p>';
			$body .= '</div>';
			$body .= '<div style="width:500px; border:2px solid #FFBD32; padding: 0;">';
			$body .= '<table width="100%" border="0" cellpadding="0" cellspacing="0">';
			$body .= '<tr><th width="100%" bgcolor="#FFBD32" colpadding="15" colspan="0">'.JText::_( 'RG_RESERVATION_INFORMATION').'</th></tr>';
			$body .= '<table border="0" cellpadding="3" cellspacing="2">';
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_LEAD_GUEST' ).':</strong></span></td><td>&nbsp;</td><td>'.$guestname.'</td></tr>';
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_EMAIL' ).':</strong></span></td><td>&nbsp;</td><td>'.$email.'</td></tr>';
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_PHONE' ).':</strong></span></td><td>&nbsp;</td><td>'.$phone.'</td></tr>';
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_RESTAURANT' ).':</strong></span></td><td>&nbsp;</td><td>'.$infos->title.'</td></tr>';
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_ADDRESS' ).':</strong></span></td><td>&nbsp;</td><td>'.$infos->address.'</td></tr>';
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_CITY_COUNTRY' ).':</strong></span></td><td>&nbsp;</td><td>'.$infos->cityname.',&nbsp;'.$infos->countryname.'</td></tr>';
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_DATE' ).':</strong></span></td><td>&nbsp;</td><td>'.$date.'</td></tr>';
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_TIME' ).':</strong></span></td><td>&nbsp;</td><td>'.$hr.':'.$minu.'</td></tr>';
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_PARTY' ).':</strong></span></td><td>&nbsp;</td><td>'.$party.'</td></tr>';
			
			$body .= '<tr><td><span><strong>'.JText::_( 'RG_SPECIAL_REQUEST' ).':</strong></span></td><td>&nbsp;</td><td>'.$request.'</td></tr>';
			$body .= '</table>';
			$body .= '</table>';
			
			$mode = 1;

			$sendOk = JUtility::sendMail($email, $name, $reciptient, $subject, $body, $mode, $cc, $bcc);
//			$sendOk = JUtility::sendMail($email, $name, $agent, $subject, $body, $mode, $cc, $bcc);
		   
			if( $sendOk ) {
				
				$mainframe =& JFactory::getApplication();
				$mainframe->enqueueMessage(JText::_('RG_RESERVATION_SUCCESSFULLY_SENT'));
				
				JRequest::setVar('name' , '');
				JRequest::setVar('subject', '');
				JRequest::setVar('email', '');
				JRequest::setVar('e_message', '');
			} else {
				JError::raiseWarning( 500, JText::_( 'SENDMAIL_ERROR_MSG'));
				
			}
		}		
		$this->display();
	}
	
	
	/**
	 * Logic to change the state
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function setstate()
	{
		$id 	= JRequest::getInt( 'id', 0 );
		$state 	= JRequest::getInt( 'state', 0 );

		$model = $this->getModel('restaurant');

		if(!$model->setitemstate($id, $state)) {
			JError::raiseError( 500, $model->getError() );
		}

		if ( $state == 1 ) {
			$img = 'tick.png';
			$alt = JText::_( 'Published' );
		} else if ( $state == 0 ) {
			$img = 'publish_x.png';
			$alt = JText::_( 'Unpublished' );
		} else if ( $state == -1 ) {
			$img = 'disabled.png';
			$alt = JText::_( 'ARCHIVED' );
		} else if ( $state == -2 ) {
			$img = 'publish_r.png';
			$alt = JText::_( 'PENDING' );
		} else if ( $state == -3 ) {
			$img = 'publish_y.png';
			$alt = JText::_( 'OPEN QUESTION' );
		} else if ( $state == -4 ) {
			$img = 'publish_g.png';
			$alt = JText::_( 'IN PROGRESS' );
		}
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		echo JHTML::image('components/com_restaurantguide/assets/images/'.$img, $alt );
	}

	function save_Testimonial()
	{
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$db			= & JFactory::getDBO();
		//get model
		JModel::addIncludePath(JPATH_BASE.DS.'components'.DS.'com_restaurantguide'.DS.'models');
		$model = $this->getModel('testimonials');
		
		//get data from request
		$post = JRequest::get('post');

		$id = JRequest::getVar( 'id', 0, 'post', 'int' );
		$cid = JRequest::getVar( 'cid', 0, 'post', 'int' );
		$pid = JRequest::getVar( 'post_id', 0, 'post', 'int' );
		$cmtid = JRequest::getVar( 'cmtid', 0, 'post', 'int' );
		$service = JRequest::getVar( 'rate_1', 0, 'post', 'int' );
		$food = JRequest::getVar( 'rate_2', 0, 'post', 'int' );
		$ambience = JRequest::getVar( 'rate_3', 0, 'post', 'int' );
		$location = JRequest::getVar( 'rate_4', 0, 'post', 'int' );
		$value = JRequest::getVar( 'rate_5', 0, 'post', 'int' );
//		$oldrating = JRequest::getVar( 'oldrating', 0, 'post', 'int' );
		
		$post['pid'] = $pid;
		$post['id'] = $cmtid;
		$post['service'] = $service;
		$post['food'] = $food;
		$post['ambience'] = $ambience;
		$post['location'] = $location;
		$post['value'] = $value;
		$rating = ($service + $food + $ambience + $location + $value) / 5;
		
		$wheres[] = 't.id = ' . (int) $cmtid;
				
		$query	= 'SELECT t.*
				FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON t.userid = user.id
				WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date ASC';
		$db->setQuery($query);
 		$edittestimonial = $db->loadObject();
		
		$oldrating = ($edittestimonial->service + $edittestimonial->food + $edittestimonial->ambience + $edittestimonial->location + $edittestimonial->value)/5;
		
		$add = 0;
		if ($oldrating > 0)
			$rating = $rating - $oldrating;
		else
			$add = 1;
			
		if ($model->store($post)) {
			if(!$id || $id <= 0){
				$id = $db->insertId();
			}
			
			$query = "UPDATE #__rg_restaurantitems SET rate = rate + ".$add.", rate_sum = rate_sum + " . (int) $rating . " WHERE id = " . (int) $pid;
			$db->setQuery($query);
			$db->query() or die($db->stderr());
				
  			$msg = JText::_( 'REVIEW SAVED' );
			$link = JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$pid, false);
			$this->setRedirect($link, $msg);
		} else {
			$msg = JText::_( 'ERROR SAVING REVIEW' );
			$link = JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$pid, false);
			$this->setRedirect($link, $msg);
		}
	}

	function delete_testimonial()
	{
		$id 	= JRequest::getInt( 'id', 0 );
		$cmtid 	= JRequest::getInt( 'cmtid', 0 );
//		$pid = JRequest::getVar( 'post_id', 0, 'post', 'int' );
//		$oldrating = JRequest::getVar( 'oldrating', 0, 'post', 'int' );
 		// Initialize variables
		$db		=& JFactory::getDBO();

		$wheres[] = 't.id = ' . (int) $cmtid;
				
		$query	= 'SELECT t.*
				FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON t.userid = user.id
				WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date ASC';
		$db->setQuery($query);
 		$edittestimonial = $db->loadObject();
		
		$oldrating = ($edittestimonial->service + $edittestimonial->food + $edittestimonial->ambience + $edittestimonial->location + $edittestimonial->value)/5;
		
		$query = 'DELETE FROM #__rg_testimonial WHERE id = '.$cmtid;
		$db->setQuery( $query );
		if (!$db->query()) {
			JError::raiseWarning( 500, $db->getError() );
		} 

		$query = "UPDATE #__rg_restaurantitems SET rate = rate - 1, rate_sum = rate_sum - " . (int) $oldrating . " WHERE id = " . (int) $id;
		$db->setQuery($query);
		$db->query() or die($db->stderr());
			
		$this->setRedirect(JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$id) );
		$this->setMessage( JText::sprintf( 'REVIEW REMOVED', $n ) );
	}
	
	function ajaxfav()
	{
		global $mainframe;
		$user 	=& JFactory::getUser();
		$id 	=  JRequest::getInt('id', 0);
		$db  	=& JFactory::getDBO();
		$model 	=  $this->getModel('restaurant');

		if (!$user->get('id'))
		{
			echo 'login';
		}
		else
		{
			$isfav = $model->getFavoured();

			if ($isfav)
			{
				$model->removefav();
				$favs 	= $model->getFavourites();
				if ($favs == 0) {
					echo 'removed';
				} else {
					echo '-'.$favs;
				}
			}
			else
			{
				$model->addfav();
				$favs 	= $model->getFavourites();
				if ($favs == 0) {
					echo 'added';
				} else {
					echo '+'.$favs;
				}
			}
		}
	}

 	function addfavourite()
	{
		$cid 	= JRequest::getInt('catid', 0);
		$id	= JRequest::getInt('itemid', 0);
		
		$model 	= & $this->getModel('restaurant');
		if ($model->addfav($id)) {
			$msg = JText::_('FAVOURITE ADDED');
		} else {
			JError::raiseError( 500, $model->getError() );
			$msg = JText::_('FAVOURITE NOT ADDED');
		}
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		$this->setRedirect(JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$id), $msg );

		return;
	}
	
	function removefavourite()
	{
		$catid 	= JRequest::getInt('catid', 0);
		$itemid	= JRequest::getInt('itemid', 0);

		$model 	= $this->getModel('restaurant');
		if ($model->removefav($itemid)) {
			$msg = JText::_( 'FAVOURITE_REMOVED' );
		} else {
			JError::raiseError( 500, $model->getError() );
			$msg = JText::_( 'FAVOURITE_NOT_REMOVED' );
		}
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();
		
		if ($catid) {
			$this->setRedirect(JRoute::_('index.php?view=restaurant&cid='.$catid.'&id='. $itemid, false), $msg );
		} else {
			$this->setRedirect(JRoute::_('index.php?view=favourites', false), $msg );
		}
				
		return;
	}





	/*	list for front-end editing	*/
/*	function change_states_list() {
		$country = (int)JRequest::getVar('country');

//		$states = restaurantguide_state::getStateTree($country);

		$db	=& JFactory::getDBO();

		$query = 'SELECT id AS value, name AS text'
				.' FROM #__rg_states'
				.' WHERE published = 1'
				.' AND country = '.$country
				.' ORDER BY name ASC'
				;

		$db->setQuery($query);

		$raw = $db->loadObjectList();
		
		if ( count($raw) >= 1 ) {
			$javascript = 'onChange="change_states_city_list(this.value)"';
			$output = restaurantguide_state::buildstateselect($raw, 'states', 0, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		} else {
			$stateoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
			
		echo $output.$country;
	}
	
	function change_city_list() {
		$country = (int)JRequest::getVar('country');
		$cities = restaurantguide_city::getCityTree($country, 1);

		if ( count($cities)>0 ) {
			$javascript = 'onChange="change_local_list(this.value)"';
			$output = restaurantguide_city::buildcityselect($cities, 'city', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		} else {
			$cityoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );
			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
		
		echo $output.$country;
	}
	
	function change_local_list() {
		$city = (int)JRequest::getVar('city');
		$localoption = restaurantguide_city::getLocalTree($city);

		$output = restaurantguide_city::buildcityselect($localoption, 'parent_id', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"');
		
		echo $output;
	}
	
	function change_states_city_list()
	{
		$states = JRequest::getVar('states');
	
		if ($states > 0) {
			$citylist = restaurantguide_city::getStateCityTree($states);
	
			if ( count($citylist)>0 ) {
				$output = restaurantguide_city::buildcityselect($citylist, 'city', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"');
			} else {
				$output = restaurantguide_city::buildcityselect($citylist, 'city', 0, true, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled');
			}
		} else {
			$citylist[] = JHTML::_('select.option', 0, JText::_('RG_SELECT_A_CITY'), 'id', 'name' );
			$output = JHTML::_('select.genericlist', $citylist, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'id', 'name' );
		}

		echo $output;
	}
*/	
	
	
		
	function changeSearchStates() {
		$country = (int)JRequest::getVar('country');
		
		$results = restaurantguide_state::getStateTree($country);

		if ( count($results)>0 ) {
			$stateoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_STATES').' -' );
			$stateoption = @array_merge($stateoption, $results);

			$javascript = 'onChange="ChangeStateCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'filter_states', 'class="inputbox" size="1" style="font-size: 10px; width: 100%; text-align:left;"'.$javascript);
			
		} else {
			$stateoption[] = JHTML::_('select.option',  0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $stateoption, 'filter_states', 'class="inputbox" size="1" style="font-size: 10px; width: 100%; text-align:left;"'.'disabled');
		}

		echo $output;
	}
	
	function changeSearchCity() {
		$country = (int)JRequest::getVar('country');
		$cityoption = restaurantguide_city::getCityTree($country, 2);
		
		if ( count($cityoption)>0 ) {
			$output = restaurantguide_city::buildcityselect($cityoption, 'filter_city', 0, 0, 'class="inputbox" size="1" style="font-size: 10px; width: 100%; text-align:left;"');
		} else {
			$output = restaurantguide_city::buildcityselect($cityoption, 'filter_city', 0, 0, 'class="inputbox" size="1" style="font-size: 10px; width: 100%; text-align:left;"'.'disabled');
		}
	
		echo $output;
	}
	
	
/*	
	function ChangeState() {
		$country = (int)JRequest::getVar('country');
		
		$results = restaurantguide_state::getStateTree($country);

		if ( count($results)>0 ) {
			$stateoption[] = JHTML::_('select.option',  '0', '- '.JText::_('SELECT STATE').' -' );
			$stateoption = @array_merge($stateoption, $results);

			$javascript = 'onChange="ChangeStateCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'filter_states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
			
		} else {
			$stateoption[] = JHTML::_('select.option',  0, JText::_('NO STATE') );

			$javascript = 'onChange="ChangeCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'filter_states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		}

		echo $output;
	}
	
	function ChangeStateCity() {
		$states = (int)JRequest::getVar('states');
		$cityoption = restaurantguide_city::getStateCityTree($states);
		
		$javascript = '';
		$output = restaurantguide_city::buildcityselect($cityoption, 'filter_city', 0, 0, 'class="inputbox" size="1" style="font-size: 10px; width: 100%; text-align:left;"'.$javascript);
		
		echo $output;
	}
*/
	function getrecipe()
	{
		global $rgconf;

		$id		= JRequest::getInt('id');
		if ($id > 0) {
		$model 	= $this->getModel('recipe');
		$recipe 	= $model->getRecipe($id);

		$rsp = '';
		
		$rsp .= rg_html::boxtop();

		if (($recipe->title)<>'')	{
			$rsp .= '<h3 class="title">';  
			$rsp .= stripslashes($recipe->title); 
			$rsp .= '</h3>';
		}

		if ($recipe->image) {
			$rsp .= '<a href="'.JURI::base().'images/restaurantguide/recipes/album/'.$recipe->image.'" onclick="Slimbox.open("'.JURI::base().'images/restaurantguide/recipes/album/'.$recipe->image.'"); return false;" rel="lightbox" title="'.$recipe->title.'"><img class="catimage" style="margin: 10px 10px 0px 0px;" src="'.JURI::base() .'images/restaurantguide/recipes/resize/' . $recipe->image .'" align="left" width="'. $recipe->imagewidth.'px" height="'.$recipe->imageheight.'px" alt="'.htmlentities($recipe->title).'" /></a>';
		}
		
		if ($recipe->description)	{
			$rsp .= '<p style="padding-top:8px;">';
			$rsp .= $recipe->description;
			$rsp .= '</p><br />';
		}
		
		if ($recipe->ingredients)	{
			$rsp .= '<div class="clear"></div>' . "\n"; 
			$rsp .= '<p class="ingredient">';
			$rsp .= '<strong>'.JText::_('RG_INGREDIENTS').'</strong>';	
			$rsp .= '</p>';	
			$rsp .= '<p style="padding-top:8px;">';
			$rsp .= $recipe->ingredients;	
			$rsp .= '</p><br />';		
			$rsp .= '<div class="clear"></div>' . "\n"; 
			$rsp .= '<p style="text-align:right;">';
			$link = JRoute::_( restaurantguideHelperRoute::getConversionRoute());
			$rsp .= '<a href="'. $link.'">'.JText::_('RG_MEASUREMENT_GUIDE').'&nbsp;&raquo</a>';
			$rsp .= '</p>';		
		}

		if ($recipe->methods)	{
			$rsp .= '<p class="howto">';
			$rsp .= '<strong>'.JText::_('RG_METHODS').'</strong>';
			$rsp .= '</p>';	
			$rsp .= '<p>';
			$rsp .= $recipe->methods;
			$rsp .= '</p>';
		}

		$link = JRoute::_( restaurantguideHelperRoute::getRecipeRoute($recipe->slug) );
		$rsp .= '<iframe id="FaceBookLikeIFrame" class="fbook-like" scrolling="no" frameborder="0" style="border:none; overflow:hidden;width:335px;height:30px;" allowTransparency="true" src="http://www.facebook.com/widgets/like.php?width=335&amp;show_faces=1&amp;layout=standard&amp;href='.$link.'&amp;amp;action=like&amp;amp;font&amp;amp;colorscheme=light&amp;amp;height=30">
</iframe>';
		$rsp .= rg_html::boxbottom();

		echo $rsp;
		}
	}

	
	function showSponsorPopUp() {
		global $rgconf;
		
		echo '<div style="margin-top:20px"><img src="'.JURI::base().'administrator/components/com_restaurantguide/assets/images/'.$rgconf->logoimage.'" width="'.$rgconf->logowidth.'px" height="'.$rgconf->logoheight.'px" alt=""/>';
		echo '<div style="clear:both; margin-bottom: 20px"></div>';
		echo '<p style="background-color:#768b52; height:30px; line-height: 30px; font-weight:bold; padding-left:10px; margin-bottom:20px">'.JText::_('RG_INTRODUCTION_TO_SPONSOR_LINK').'</p>';
		echo '<div style="margin: 0 10px">'.$rgconf->sponsor.'</div>';
		echo '</div>';
	}
	
	function search() {
		JRequest::checkToken() or jexit( 'Invalid Token' );
		$quicksearch = JRequest::getVar('quicksearch', '');
//		JError::raiseWarning( 500,  JRequest::getVar( 'filter_cuisines', '' ));
		$model = & $this->getModel('search');
	
		$session =& JFactory::getSession();
		
		$type = 0;
		$sid = 0;
		if ($quicksearch == 1) {
			$type = JRequest::getVar( 'type', '' );
			$sid = JRequest::getVar( 'sid', '' );
			$cuisine = JRequest::getVar('cuisine', '');
		}
			
		$filter_cuisines	= JRequest::getVar('filter_cuisines', array(), '', 'array');
		$filter_atmo		= JRequest::getVar('filter_atmo', array(), '', 'array');	
		$params = array(
			'filter_resto'		=> JRequest::getInt('filter_resto', 0),
			'filter_search'		=> JRequest::getVar('filter_search', '', 'string'),
			'filter_country'	=> JRequest::getInt('filter_country', 0),
			'filter_states'		=> JRequest::getInt('filter_states', 0),
			'filter_city'		=> JRequest::getInt('filter_city', 0),
			'filter_rate'		=> JRequest::getVar('filter_rate', '', 'string'),
			'filter_price'		=> JRequest::getVar('filter_price', '', 'string'),
			'filter_cuisines'	=> implode(', ', $filter_cuisines),				
			'filter_atmo'		=> implode(', ', $filter_atmo)	
		);
		
		$session->set('params', $params, 'rg_search');

		$params = $session->get('params', array(), 'rg_search');
		
		if ($quicksearch == 1) {
			if ($type == 'c' && $sid > 0) {
				$params['filter_city'] = $sid;
				$session->set('params', $params, 'rg_search');
			} else if ($type == 'r' && $sid > 0) {
				$params['filter_resto'] = $sid;
				$session->set('params', $params, 'rg_search');
			}
			$params['filter_cuisines'] = $cuisine;
			$session->set('params', $params, 'rg_search');
		}
		
		// Bug correction on search pagination
		if ($limit = $model->getState('limit', 0)){		    
		    $params['limit'] = $limit;
		    $session->set('params', $params, 'rg_search');
		}
		
		if ($limitstart = $model->getState('limitstart', 0)){		    
		    $params['limitstart'] = $limitstart;
		    $session->set('params', $params, 'rg_search');
		}
		
		JRequest::set( $params, 'POST');

		if ($quicksearch == 1 && $type == 'r') {
			$this->setRedirect(JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$sid) );
		} else {
			$this->display();
		}
	}

	
	function addtag(){
		$name 	= JRequest::getString('name', '');
		$type 	= JRequest::getString('type', '');
		$agent 	= JRequest::getString('agent', '');
		$model 	= $this->getModel('tags');
		$model->addtag($name, $type, $agent);
	}
	
	function gettags()
	{
		$id 	= JRequest::getInt('id', 0);
		$type 	= JRequest::getInt('type', 0);
		$model 	= $this->getModel('restaurant');
		$tags 	= $model->gettags($type);

		$used = null;

		if ($id) {
			$used 	= $model->getusedtaglist($id);
		}
		if(!is_array($used)){
			$used = array();
		}

		$rsp = '<div class="rg_tagbox">';
		$n = count($tags);
		for( $i = 0, $n; $i < $n; $i++ ){
			$tag = $tags[$i];

			if( ( $i % 5 ) == 0 ){
				if( $i != 0 ){
					$rsp .= '</div>';
				}
				$rsp .=  '<div class="rg_tagline">';
			}
			$rsp .=  '<span class="rg_tag"><span class="rg_tagidbox"><input type="checkbox" name="tag[]" value="'.$tag->id.'"' . (in_array($tag->id, $used) ? 'checked="checked"' : '') . ' /></span>'.$tag->name.'</span>';
		}
		$rsp .= '</div>';
		$rsp .= '</div>';
		$rsp .= '<div class="clear"></div>';
		$rsp .= '<div class="rg_addtag">';
		$rsp .= '<label for="addtags">'.JText::_('RG_ADD_TAG').'</label>';
		$rsp .= '<input type="text" id="tagname" class="inputbox" size="30" />';
		$rsp .=	'<input type="button" class="button" value="'.JText::_('RG_ADD').'" onclick="addtag()" />';
		$rsp .= '</div>';

		echo $rsp;
	}
	
	function delete_restaurant()
	{
		$cid 	= JRequest::getInt('cid', 0);
		
		$db = & JFactory::getDBO();
		
		$model = $this->getModel('restaurateur');
		$data = $model->getMenuFiles($cid);
		$directory = 'restaurant_'.$cid;

		if ($data->image) {
			$dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'album'.DS;
			$resize_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'resize'.DS;
			$thumb_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'thumb'.DS;
			$crop_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'crop'.DS;
			$smallcrop_dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS.'smallcrop'.DS;
			
			if (JFile::exists($dir.$data->image)) {
				JFile::delete($dir.$data->image);
			}
			
			if (JFile::exists($resize_dir.$data->mainimage)) {
				JFile::delete($resize_dir.$data->mainimage);
			}
			
			if (JFile::exists($thumb_dir.$data->mainimage)) {
				JFile::delete($thumb_dir.$data->mainimage);
			}
			
			if (JFile::exists($crop_dir.$data->mainimage)) {
				JFile::delete($crop_dir.$data->mainimage);
			}
			
			if (JFile::exists($smallcrop_dir.$data->mainimage)) {
				JFile::delete($smallcrop_dir.$data->mainimage);
			}
		}
			
		if ($data->logoimage) {
			$post['logoimage'] = null;
			
			$dir =  RESTAURANTGUIDE_IMAGES_GALLERY.DS.$directory.DS;
			
			if (JFile::exists($dir.$data->logoimage)) {
				JFile::delete($dir.$data->logoimage);
			}
		}
		
		$query = 'DELETE FROM #__rg_restaurantitems'
				. ' WHERE id = '. $cid
				;

		$db->setQuery( $query );
		
		if(!$db->query()) {
			$this->setError($db->getErrorMsg());
			return false;
		}
		
		//remove assigned tag references
		$query = 'DELETE FROM #__rg_tags_item_relations'
				.' WHERE itemid = '. $cid
				;
		$db->setQuery($query);

		if(!$db->query()) {
			$this->setError($db->getErrorMsg());
			return false;
		}
		
		return true;
	}
	
	function delete_menu()
	{
		$id 	= JRequest::getInt('menuid', 0);
		
		$db = & JFactory::getDBO();
		
		$model = $this->getModel('restaurateur');
		$data = $model->getMenuFile($id);
		$child = $model->getChildMenu($id);
	
		if ($child->number > 0) {
//			JError::raiseWarning( 500, JText::_( 'RG_CANNOT_DELETE_SELECTED_MENU'));

		} else {
		
			$directory = 'restaurant_'.$data->resto;
	
			if ($data->image) {
	
				$dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'album'.DS;
				$resize_dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'resize'.DS;
				$thumb_dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'thumb'.DS;
				
				if (JFile::exists($dir.$data->image)) {
					JFile::delete($dir.$data->image);
				}
				
				if (JFile::exists($resize_dir.$data->image)) {
					JFile::delete($resize_dir.$data->image);
				}
				
				if (JFile::exists($thumb_dir.$data->image)) {
					JFile::delete($thumb_dir.$data->image);
				}
			}
	
			$query = 'DELETE FROM #__rg_menus'
					. ' WHERE id = '. $id
					;
	
			$db->setQuery( $query );
			
			if(!$db->query()) {
				$this->setError($db->getErrorMsg());
				return false;
			}
		}

		$link = JRoute::_('index.php?option=com_restaurantguide&view=register&cid='.$data->resto.'&page=step6', false);
		$this->setRedirect($link, '');
		
		return true;
	}
	
	function delete_image()
	{
		$id 	= JRequest::getInt('id', 0);
		
		$db = & JFactory::getDBO();
		
		$model = $this->getModel('restaurateur');
		$data = $model->getGalleryFile($id);

		$directory = 'restaurant_'.$data->resto;

		if ($data->filename) {

			$dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'album'.DS;
			$resize_dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'resize'.DS;
			$thumb_dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'thumb'.DS;
			
			if (JFile::exists($dir.$data->filename)) {
				JFile::delete($dir.$data->filename);
			}
			
			if (JFile::exists($resize_dir.$data->filename)) {
				JFile::delete($resize_dir.$data->filename);
			}
			
			if (JFile::exists($thumb_dir.$data->filename)) {
				JFile::delete($thumb_dir.$data->filename);
			}
		}

		$query = 'DELETE FROM #__rg_galleryitems'
				. ' WHERE id = '. $id
				;

		$db->setQuery( $query );
		
		if(!$db->query()) {
			$this->setError($db->getErrorMsg());
			return false;
		}

		$link = JRoute::_('index.php?option=com_restaurantguide&view=register&id='.$data->resto.'&page=step7', false);
		$this->setRedirect($link, '');
		
		return true;
	}
	
	
	
	function selectStates() {
		$country = (int)JRequest::getVar('country_id');

		$db	=& JFactory::getDBO();

		$query = 'SELECT id AS value, name AS text'
				.' FROM #__rg_states'
				.' WHERE published = 1'
				.' AND country = '.$country
				;

		$db->setQuery($query);

		$rows = $db->loadObjectList();
		
		if ( count($rows)>0 ) {
			$stateoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_STATES').' -' );
			$stateoption = @array_merge($stateoption, $rows);
			$javascript = 'onChange="secondCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		} else {
			$stateoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );
			
			$output = JHTML::_('select.genericlist', $stateoption, 'states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
			
		echo $output;
	}

	function selectCity()
	{
		$country = JRequest::getVar('country_id');

		$db	=& JFactory::getDBO();

		$query = 'SELECT DISTINCT id AS value, name AS text'
				.' FROM #__rg_cities'
				.' WHERE published = 1'
				.' AND country = '.$country
				.' AND parent_id = 0'
				;

		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ( count($rows)>0 ) {
			$cityoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_CITY').' -' );
			$javascript = 'onChange="selectLocal(this.value)"';
			$cityoption = @array_merge($cityoption, $rows);
			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		} else {
			$cityoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
		
		echo $output;
	}
	
	function secondCity()
	{
		$states = JRequest::getVar('states');

		$db	=& JFactory::getDBO();

		$query = 'SELECT DISTINCT id AS value, name AS text'
				.' FROM #__rg_cities'
				.' WHERE published = 1'
				.' AND states = '.$states
				.' AND parent_id = 0'
				;

		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ( count($rows)>0 ) {
			$cityoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_CITY').' -' );
			$javascript = 'onChange="selectLocal(this.value)"';
			$cityoption = @array_merge($cityoption, $rows);
			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		} else {
			$cityoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
		
		echo $output;
	}
	
	function selectLocal()
	{
		$city = JRequest::getVar('city');

		$db	=& JFactory::getDBO();

		$query = 'SELECT DISTINCT id AS value, name AS text'
				.' FROM #__rg_cities'
				.' WHERE published = 1'
				.' AND parent_id = '.$city
				;

		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ( count($rows)>0 ) {
			$cityoption[] = JHTML::_('select.option',  '0', '- '.JText::_('RG_SELECT_A_CITY').' -' );
			$cityoption = @array_merge($cityoption, $rows);
			$output = JHTML::_('select.genericlist', $cityoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', 0 );
		} else {
			$cityoption[] = JHTML::_('select.option', 0, JText::_('RG_NOT_AVAILABLE') );

			$output = JHTML::_('select.genericlist', $cityoption, 'parent_id', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.'disabled', 'value', 'text', 0 );	
		}
		
		echo $output;
	}
}
?>