<?php
/**
 * @version 1.0 $Id: helper.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * Guide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Guide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Guide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');
jimport( 'joomla.application.component.view');

class restaurantguide{
	function getDate($time = 0,$format = '%d %B %Y %H:%M'){
		if(empty($time)) return '';
		static $timeoffset = null;
		if($timeoffset === null){
			$config =& JFactory::getConfig();
			$timeoffset = $config->getValue('config.offset');
		}

		if(is_numeric($format)) $format = JText::_('DATE_FORMAT_LC'.$format);
		return JHTML::_('date',$time- date('Z'),$format,$timeoffset);
	}
	function isAllowed($allowedGroups,$id=null,$type='user'){
		if($allowedGroups == 'all') return true;
		if($allowedGroups == 'none') return false;
		if(!is_array($allowedGroups)) $allowedGroups = explode(',',$allowedGroups);
		if(version_compare(JVERSION,'1.6.0','<')){
			if($type=='user'){
				$my =& JFactory::getUser($id);
				if(empty($my->id)){
					$group = 29;
				}else{
					$group = $my->gid;
				}
			}else{
				$group = $id;
			}
			return in_array($group,$allowedGroups);
		}
	}
	
	function addACLFilters(&$filters,$field,$table='',$level=2){
		if(hikashop::level($level)){
			$my =& JFactory::getUser();
			if(version_compare(JVERSION,'1.6.0','<')){
				if(empty($my->id)){
					$userGroups = array(29);
				}else{
					$userGroups = array($my->gid);
				}
			}
			if(!empty($userGroups)){
				if(!empty($table)){
					$table.='.';
				}
				$acl_filters = array($table.$field." = 'all'");
				foreach($userGroups as $userGroup){
					$acl_filters[]=$table.$field." LIKE '%,".(int)$userGroup.",%'";
				}
				$filters[]='('.implode(' OR ',$acl_filters).')';
			}
		}
	}
	function currentURL($checkInRequest=''){
		if(!empty($checkInRequest)){
			$url = JRequest::getVar($checkInRequest,'');
			if(!empty($url)){
				if($checkInRequest=='return_url'){
					$url = base64_decode(urldecode($url));
				}elseif($checkInRequest=='url'){
					$url = urldecode($url);
				}
				return $url;
			}
		}
		if(isset($_SERVER["REQUEST_URI"])){
			$requestUri = $_SERVER["REQUEST_URI"];
		}else{
			$requestUri = $_SERVER['PHP_SELF'];
			if (!empty($_SERVER['QUERY_STRING'])) $requestUri = rtrim($requestUri,'/').'?'.$_SERVER['QUERY_STRING'];
		}
		return ((empty($_SERVER['HTTPS']) OR strtolower($_SERVER['HTTPS']) != "on" ) ? 'http://' : 'https://').$_SERVER["HTTP_HOST"].$requestUri;
	}
	function getTime($date){
		static $timeoffset = null;
		if($timeoffset === null){
			$config =& JFactory::getConfig();
			$timeoffset = $config->getValue('config.offset');
			if(version_compare(JVERSION,'1.6.0','>=')){
				$dateC = JFactory::getDate($date,$timeoffset);
				$timeoffset = $dateC->getOffsetFromGMT(true);
			}
		}
		return strtotime($date) - $timeoffset *60*60 + date('Z');
	}
	function getIP(){
		$ip = '';
		if( !empty($_SERVER['HTTP_X_FORWARDED_FOR']) AND strlen($_SERVER['HTTP_X_FORWARDED_FOR'])>6 ){
	        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	    }elseif( !empty($_SERVER['HTTP_CLIENT_IP']) AND strlen($_SERVER['HTTP_CLIENT_IP'])>6 ){
			 $ip = $_SERVER['HTTP_CLIENT_IP'];
		}elseif(!empty($_SERVER['REMOTE_ADDR']) AND strlen($_SERVER['REMOTE_ADDR'])>6){
			 $ip = $_SERVER['REMOTE_ADDR'];
	    }//endif
		return strip_tags($ip);
	}
	function encode(&$data,$type='order') {
		if(is_object($data)){
			$id = $data->order_id;
		}else{
			$id = $data;
		}
		if(is_object($data) && $type=='order' && hikashop::level(1)){
			$config =& hikashop::config();
			$format = $config->get('order_number_format','{automatic_code}');
			if(preg_match('#\{id *(?:size="(.*)")? *\}#Ui',$format,$matches)){
				$copy = $id;
				if(!empty($matches[1])){
					$copy = sprintf('%0'.$matches[1].'d', $copy);
				}
				$format = str_replace($matches[0],$copy,$format);
			}
			$matches=null;
			if(preg_match('#\{date *format="(.*)" *\}#Ui',$format,$matches)){
				$format = str_replace($matches[0],date($matches[1],$data->order_created),$format);
			}
			if(strpos($format,'{automatic_code}')!==false){
			    $format = str_replace('{automatic_code}',hikashop::base($id),$format);
			}
			if(preg_match_all('#\{user ([a-z_0-9]+)\}#i',$format,$matches)){
				if(empty($data->customer)){
					$class = hikashop::get('class.user');
					$data->customer = $class->get($data->order_customer_id);
				}
				foreach($matches[1] as $match){
					if(isset($data->customer->$match)){
						$format = str_replace('{user '.$match.'}',$data->customer->$match,$format);
					}else{
						$format = str_replace('{user '.$match.'}','',$format);
					}
				}
			}
			if(preg_match_all('#\{([a-z_0-9]+)\}#i',$format,$matches)){
				foreach($matches[1] as $match){
					if(isset($data->$match)){
						$format = str_replace('{'.$match.'}',$data->$match,$format);
					}else{
						$format = str_replace('{'.$match.'}','',$format);
					}
				}
			}
			return $format;
		}
		return hikashop::base($id);
	}
	function base($id){
		$base=23;
		$chars='ABCDEFGHJKLMNPQRSTUWXYZ';
	    $str = '';
	    $val2=(string)$id;
	    do {
	        $i = $id % $base;
	        $str = $chars[$i].$str;
	        $id = ($id - $i) / $base;
	    } while($id > 0);
	    $str2='';
	    $size = strlen($val2);
	    for($i=0;$i<$size;$i++){
	    	if(isset($str[$i]))$str2.=$str[$i];
	    	$str2.=$val2[$i];
	    }
	    if($i<strlen($str)){
	    	$str2.=substr($str,$i);
	    }
	    return $str2;
	}
	function decode($str,$type='order') {
		$config =& hikashop::config();
		if($type=='order' && hikashop::level(1)){
			$format = $config->get('order_number_format','{automatic_code}');
			$format = str_replace(array('^','$','.','[',']','|','(',')','?','*','+'),array('\^','\$','\.','\[','\]','\|','\(','\)','\?','\*','\+'),$format);
			if(preg_match('#\{date *format="(.*)" *\}#Ui',$format,$matches)){
				$format = str_replace($matches[0],'(?:'.preg_replace('#[a-z]+#i','[0-9a-z]+',$matches[1]).')',$format);
			}
			if(preg_match('#\{id *(?:size="(.*)")? *\}#Ui',$format,$matches)){
				$format = str_replace($matches[0],'([0-9]+)',$format);
			}
			if(strpos($format,'{automatic_code}')!==false){
			    $format = str_replace('{automatic_code}','([0-9a-z]+)',$format);
			}
			if(preg_match_all('#\{([a-z_0-9]+)\}#i',$format,$matches)){
				foreach($matches[1] as $match){
					if(isset($data->$match)){
						$format = str_replace('{'.$match.'}','.*',$format);
					}else{
						$format = str_replace('{'.$match.'}','',$format);
					}
				}
			}
			$format = str_replace(array('{','}'),array('\{','\}'),$format);
			if(preg_match('#'.$format.'#i',$str,$matches)){
				foreach($matches as $i => $match){
					if($i){
						return ltrim(preg_replace('#[^0-9]#','',$match),'0');
					}
				}
			}
		}
		return preg_replace('#[^0-9]#','',$str);
	}
	function &array_path(&$array, $path) {
	   settype($path, 'array');
	   $offset =& $array;
	   foreach ($path as $index) {
	       if (!isset($offset[$index])) {
	           return false;
	       }
	       $offset =& $offset[$index];
	   }
	   return $offset;
	}
	function toFloat($val){
		if(preg_match_all('#[0-9]+#',$val,$parts) && count($parts[0])>1){
			$dec=array_pop($parts[0]);
			return (float) implode('',$parts[0]).'.'.$dec;
		}
		return (float) $val;
	}


	function getCurrency(){
		require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_restaurantguide'.DS.'classes'.DS.'util.php' );

		$rgconf = RGUtil::config();
		if (!defined('RG_CURRENCY')) {
			define( 'RG_CURRENCY', 'currency');
		}
		$default_currency = (int)$rgconf->currency;
		$app =& JFactory::getApplication();
		$currency_id = (int)$app->getUserState( RG_CURRENCY.'.currency_id', $default_currency );
		if($currency_id != $default_currency && !$app->isAdmin() && $currency_id > 0){
			static $checked = array();
			if(!isset($checked[$currency_id])){
				$checked[$currency_id]=true;
				$db =& JFactory::getDBO();
				$db->setQuery('SELECT id FROM #__rg_currency WHERE id = '.$currency_id. ' AND published=1');
				$currency_id = $db->loadResult();
			}
		} else if($currency_id != $default_currency && !$app->isAdmin() && $currency_id == 0){
			$currency_id = 0;
			$app->setUserState( RG_CURRENCY.'.currency_id', $currency_id );
		}
		
		if($currency_id > 0){
			$app->setUserState( RG_CURRENCY.'.currency_id', $currency_id );
		}
		return $currency_id;
	}

	function completeLink($link,$popup = false,$redirect = false){
		if($popup) $link .= '&tmpl=component';
		return JRoute::_('index.php?option=com_restaurantguide'.$link,!$redirect);
	}

}
