<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Component Helper
jimport('joomla.application.component.helper');

/**
 * RestaurantGuide Component Route Helper
 *
 * @static
 * @package		Joomla
 * @subpackage	Content
 * @since 1.5
 */
class restaurantguideHelperRoute
{
	function root()
    {
        $Itemid = '';



        return 'index.php?option=com_restaurantguide' . $Itemid;
    }
	
	function getItemRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=restaurant';	
		$link .= '&amp;id='. $id;

		return $link;
	}

	function getRegisterRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=register';	
		$link .= '&amp;id='. $id;

		return $link;
	}
	
	function getEventRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=event';	
		$link .= '&amp;id='. $id;

		return $link;
	}
	
	function getTestimonialRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=testimonial';	
		$link .= '&amp;id='. $id;

		return $link;
	}
	
	function getRecipeRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=recipes';	
		$link .= '&amp;id='. $id;

		return $link;
	}
	
	function getCommentRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=comments';	
		$link .= '&amp;id='. $id;

		return $link;
	}

	function getRestaurantGuideRoute($id, $where = 0)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=restaurantguide';	
		$link .= '&amp;id='. $id;

		return $link;
	}
	
	function getContinentRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=continent&amp;id='.$id;

		return $link;
	}
	
	function getCountryRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=country&amp;id='.$id;

		return $link;
	}
	
	function getStatesRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=states&amp;id='.$id;

		return $link;
	}
	
	function getCityRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=city&amp;id='.$id;

		return $link;
	}
	
	function getTagRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=tags&amp;id='.$id;

		return $link;
	}
	
	function getFavouritesRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=favourites&amp;id='.$id;

		return $link;
	}
	
	function getTypeRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=type&amp;id='.$id;

		return $link;
	}
	
	function getSearchRoute($id)
	{
		$link = restaurantguideHelperRoute::root().'&amp;view=search&amp;id='.$id;

		return $link;
	}
	
	function getConversionRoute()
	{
		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=conversionguide';

		return $link;
	}
	
	function getCallUsRoute()
	{
		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=callus';

		return $link;
	}
	
	function getSpecialOfferRoute()
	{
		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=specialoffer';

		return $link;
	}
	
	function getTopRatedRoute()
	{
		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=toprated';

		return $link;
	}
	
	function _findItem($needles)
	{
		$component =& JComponentHelper::getComponent('com_restaurantguide');

		$menus	= &JApplication::getMenu('site', array());
		$items	= $menus->getItems('componentid', $component->id);
		$user 	= & JFactory::getUser();
		$access = (int)$user->get('aid');

		$match = null;
		$count = 0;		
		
		foreach($needles as $needle => $id)
		{			
			$count++;
			
			foreach($items as $item)
			{
				//fetch menuitems generic of that item
				if ((@$item->query['view'] == $needle) && (@$item->query['id'] == $id)) {
					$match = $item;
					break;
				}
			}
			
			if(isset($match)) {
				break;
			}
		}

		return $match;
	}
	
	function _findTag($needles)
	{
		$component =& JComponentHelper::getComponent('com_restaurantguide');

		$menus	= &JApplication::getMenu('site', array());
		$items	= $menus->getItems('componentid', $component->id);

		$match = null;

		foreach($needles as $needle => $id)
		{
			foreach($items as $item)
			{
				if ( (@$item->query['view'] == $needle) && (@$item->query['id'] == $id) ) {
					$match = $item;
					break;
				} else if (@$item->query['view'] == $needle) {
					$match = $item;
					break;
				}
			}

			if(isset($match)) {
				break;
			}
		}

		return $match;
	}

}
?>
