<?php
/**
 * @version 1.0 $Id: favourites.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * RestaurantGuide Component Model
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since		1.0
 */
class restaurantguideModelFavourites extends JModel
{
	/**
	 * Data
	 *
	 * @var mixed
	 */
	var $_data = null;
	
	/**
	 * Items total
	 *
	 * @var integer
	 */
	var $_total = null;

	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();
		
		$app = JFactory::getApplication('site');

		//get the number of events from database
		$limit			= JRequest::getInt('limit', 10);
		$limitstart		= JRequest::getInt('limitstart');

		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);
		
		// Get the filter request variables
		$this->setState('filter_order', JRequest::getCmd('filter_order', 'i.title'));
		$this->setState('filter_order_dir', JRequest::getCmd('filter_order_Dir', 'ASC'));
	}
	
	/**
	 * Method to get Data
	 *
	 * @access public
	 * @return object
	 */
	function getData($userid)
	{
		// Lets load the content if it doesn't already exist
/*		if (empty($this->_data))
		{		
			$query = $this->_buildQuery($userid);
			$this->_data = $this->_getList( $query, $this->getState('limitstart'), $this->getState('limit') );
		}
		
		return $this->_data; */
		if (empty($this->_data))
		{		
			$query = $this->_buildQuery($userid);
			$this->_data = $this->_getList( $query, $this->getState('limitstart'), $this->getState('limit') );
			
			$count = count($this->_data);

			$i = 0;
			foreach($this->_data as $data) :
				$temp = $data->cuisines;
				$where = ' WHERE published = 1';
				if ($temp) {
					$where .= ' AND id IN ('.$temp.')';
				} else {
					$where .= ' AND id = 0';
				}

				$query = 'SELECT GROUP_CONCAT(DISTINCT name ORDER BY name ASC SEPARATOR \', \') AS cuisines'
						. ' FROM #__rg_cuisines'
						. $where
						;
						
				$this->_db->setQuery($query);
				$this->_data[$i]->cuisinelist = $this->_db->loadObject();
				
				$query = 'SELECT DISTINCT name,'
						. ' CASE WHEN CHAR_LENGTH(alias) THEN CONCAT_WS(\':\', id, alias) ELSE id END as slug'
						. ' FROM #__rg_tags'
						. ' WHERE  id IN ('.$data->tags.')'
						;
				
				$this->_db->setQuery($query);
				$this->_data[$i]->taglist = $this->_db->loadObjectList();
				
				
				$query = 'SELECT o.*'
						. ' FROM #__rg_specialoffers AS o'
						. ' LEFT JOIN #__rg_restaurantitems AS i ON i.id = o.resto'
						. ' WHERE o.published = 1'
						. ' AND o.resto = '.$data->id
						. ' ORDER BY o.startdates DESC'
						;
					
				$this->_db->setQuery($query);	
				$this->_data[$i]->offers = $this->_db->loadObjectList();
				
				$i ++;
			endforeach;
		}
		
		return $this->_data;
	}
	
	/**
	 * Total nr of items
	 *
	 * @access public
	 * @return integer
	 */
	function getTotal($userid)
	{
		// Lets load the total nr if it doesn't already exist
		if (empty($this->_total))
		{
			$query = $this->_buildQuery($userid);
			$this->_total = $this->_getListCount($query);
		}

		return $this->_total;
	}
	
	/**
	 * Builds the query
	 *
	 * @access public
	 * @return string
	 */
	function _buildQuery($userid)
	{   	
		$where		= $this->_buildItemWhere();
		$orderby	= $this->_buildItemOrderBy();

		$query = 'SELECT DISTINCT f.itemid, i.*, w.name AS cityname, type.name AS restauranttype, s.code_2 AS statescode,'
					. ' i.rate, i.rate_sum, (i.rate_sum / i.rate ) AS votes,'
					. ' CASE WHEN CHAR_LENGTH(i.alias) THEN CONCAT_WS(\':\', i.id, i.alias) ELSE i.id END as slug,'
						. ' (SELECT GROUP_CONCAT('
						. ' tag.tid ORDER BY tag.tid ASC SEPARATOR \', \')'
						. ' FROM #__rg_tags_item_relations AS tag'
						. ' WHERE tag.itemid IN(i.id)'
						. ' )' 
						. ' AS tags'
					. ' FROM #__rg_restaurantitems AS i'
					. ' INNER JOIN #__rg_tags_item_relations AS t ON t.itemid = i.id'
					. ' LEFT JOIN #__rg_restauranttypes AS type ON type.id = i.tid'
					. ' LEFT JOIN #__rg_states AS s ON s.id = i.states'
					. ' LEFT JOIN #__rg_cities AS w on w.id = i.city'
					. ' LEFT JOIN #__rg_favourites AS f ON f.itemid = i.id'
					. $where
					. ' AND f.userid = '.$userid
					. ' GROUP BY i.id'
					. $orderby
					;
							 
         return $query;
	}

	/**
	 * Build the order clause
	 *
	 * @access private
	 * @return string
	 */
	function _buildItemOrderBy()
	{	
		$filter_order		= $this->getState('filter_order');
		$filter_order_dir	= $this->getState('filter_order_dir');

		if ($filter_order == 'title')
			$orderby 	= ' ORDER BY i.title '.$filter_order_dir;
		else if ($filter_order == 'hits')
			$orderby 	= ' ORDER BY i.hits '.$filter_order_dir.', i.title ASC';
		else if ($filter_order == 'votes')
			$orderby 	= ' ORDER BY votes '.$filter_order_dir.', i.title ASC';
		else if ($filter_order == 'type')
			$orderby 	= ' ORDER BY restauranttype '.$filter_order_dir.', i.title ASC';
		else
			$orderby 	= ' ORDER BY i.title ASC';

		return $orderby;
	}
	
	/**
	 * Method to build the WHERE clause
	 *
	 * @access private
	 * @return string
	 */
	function _buildItemWhere( )
	{
		$app = JFactory::getApplication('site');

		$params = $app->getParams();

		// First thing we need to do is to select only the requested items
		
		$where = ' WHERE i.published  = 1';

		/*
		 * If we have a filter, and this is enabled... lets tack the AND clause
		 * for the filter onto the WHERE clause of the item query.
		 */
		if ($params->get('filter'))
		{
			$filter = JRequest::getString('filter', '', 'request');

			if ($filter)
			{
				// clean filter variables
				$filter	 = $this->_db->getEscaped( trim(JString::strtolower( $filter ) ) );

				$where .= ' AND LOWER( i.title ) LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $filter, true ).'%', false );
			}
		}
		return $where;
	}
}
?>