<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * RestaurantGuide Component Model
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since		1.0
 */
class restaurantguideModelRecipe extends JModel
{
	/**
	 * Recipe id
	 * @var int
	 */
	var $_id = null;
	
	/**
	 * Recipe items Data
	 * @var mixed
	 */
	var $_data = null;

	/**
	 * Childs
	 * @var mixed
	 */
	var $_childs = null;
	
	/**
	 * Recipe data
	 * @var object
	 */
	var $_recipes = null;

	/**
	 * Recipe total
	 * @var integer
	 */
	var $_total = null;

	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();

		$app = JFactory::getApplication('site');

		// Get the paramaters of the active menu item
		$params = $app->getParams();
		
		$id			= JRequest::getInt('id', 0);
		$this->setId((int)$id);

		$limit		= 8;
		$limitstart		= JRequest::getInt('limitstart');

		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);

		// Get the filter request variables
		$this->setState('filter_order', JRequest::getCmd('filter_order', 'r.title'));
		$this->setState('filter_order_dir', JRequest::getCmd('filter_order_Dir', 'ASC'));
	}

	/**
	 * Method to set the recipe id
	 *
	 * @access	public
	 * @param	int	recipe ID number
	 */
	function setId($id)
	{
		// Set new recipe ID and wipe data
		$this->_id			= $id;
		$this->_data		= null;
	}

	function getMainRecipes()
	{
		//get recipes
		$query = 'SELECT r.*,'
				. ' CASE WHEN CHAR_LENGTH(r.alias) THEN CONCAT_WS(\':\', r.id, r.alias) ELSE r.id END as slug,'
					. ' ('
					. ' SELECT COUNT( DISTINCT i.id )'
					. ' FROM #__rg_recipes AS i'
					. ' WHERE i.parent_id = r.id'
					. ')' 
					. ' AS assignedrecipes'
				. ' FROM #__rg_recipes AS r'
				. ' WHERE r.published = 1'
				. ' AND r.parent_id = 0'
				;

		$this->_db->setQuery($query);
		$outpus = $this->_db->loadObjectList();

		return $outpus;
	}
	
	/**
	 * Method to build the Categories query
	 *
	 * @access private
	 * @return array
	 */
	function _buildChildsquery($parentid)
	{
		$ordering	= 'ordering DESC';

		$query = 'SELECT r.*,'
				. ' CASE WHEN CHAR_LENGTH(alias) THEN CONCAT_WS(\':\', r.id, r.alias) ELSE r.id END as slug,'
					. ' ('
					. ' SELECT COUNT( DISTINCT i.id )'
					. ' FROM #__rg_recipes AS i'
					. ' WHERE i.parent_id = r.id'
					. ')' 
					. ' AS assignedrecipes'
				. ' FROM #__rg_recipes AS r'
				. ' WHERE r.published = 1'
				. ' AND r.parent_id = '. $parentid
				. ' ORDER BY '.$ordering
				;
				
		return $query;
	}
	/**
	 * Method to get the childs of a category
	 *
	 * @access private
	 * @return array
	 */
	function getChilds($parentid)
	{
		$query = $this->_buildChildsquery($parentid);
		$this->_childs = $this->_getList($query, $this->getState('limitstart'), $this->getState('limit'));

		return $this->_childs;
	}

	/**
	 * Method to build the Categories query
	 * todo: see above and merge
	 *
	 * @access private
	 * @return array
	 */
	function _getsubs($id)
	{
		$user 		= &JFactory::getUser();
		$ordering	= 'ordering ASC';

		$query = 'SELECT *,'
				. ' CASE WHEN CHAR_LENGTH(alias) THEN CONCAT_WS(\':\', id, alias) ELSE id END as slug'
				. ' FROM #__rg_recipes'
				. ' WHERE published = 1'
				. ' AND parent_id = '. (int)$id
				. ' ORDER BY '.$ordering
				;

		$this->_db->setQuery($query);
		$this->_subs = $this->_db->loadObjectList();

		return $this->_subs;
	}

	function getRecipeTotal($parentid)
	{
		// Lets load the total nr if it doesn't already exist
		if (empty($this->_total))
		{
			$query = $this->_buildChildsquery($parentid);
			$this->_total = $this->_getListCount($query);
		}

		return $this->_total;
	}
	
	function getRecipe($id)
	{
		//get recipe
		$query = 'SELECT r.*,'
			. ' CASE WHEN CHAR_LENGTH(r.alias) THEN CONCAT_WS(\':\', r.id, r.alias) ELSE r.id END as slug'
			. ' FROM #__rg_recipes AS r'
			. ' WHERE r.id = '.$id
			. ' AND r.published = 1'
			;

		$this->_db->setQuery($query);
		$this->_recipes = $this->_db->loadObject();
/*
		//check session if uservisit already recorded
		$session 	=& JFactory::getSession();
		$hitcheck = false;
		if ($session->has('hit', 'restaurantguide')) {
			$hitcheck 	= $session->get('hit', 0, 'restaurantguide');
			$hitcheck 	= in_array($this->_recipes->id, $hitcheck);
		}
		if (!$hitcheck) {
			//record hit
			$this->hit();

			$stamp = array();
			$stamp[] = $this->_recipes->id;
			$session->set('hit', $stamp, 'restaurantguide');
		}
	*/	
		return $this->_recipes;
	}
	
	/**
	 * Method to load the Travelnews
	 *
	 * @access public
	 * @return array
	 */
	function getRecipes()
	{
		//initialize some vars
		$id			= JRequest::getInt('id', 0);

		//get recipes
		$query = 'SELECT r.*,'
				. ' CASE WHEN CHAR_LENGTH(r.alias) THEN CONCAT_WS(\':\', r.id, r.alias) ELSE r.id END as slug'
				. ' FROM #__rg_recipes AS r'
		//		. ' WHERE r.id = '.$id
				. ' WHERE r.published = 1'
				;

		$this->_db->setQuery($query);
		$this->_recipes = $this->_db->loadObject();
	
		//check whether category access level allows access
		//additional check

		return $this->_recipes;
	}

	function hit()
	{
		if ($this->_id)
		{
			$item = & JTable::getInstance('rg_recipes', '');
			$item->hit($this->_id);
			return true;
		}
		return false;
	}
}
?>