<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * RestaurantGuide Component Model
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since		1.0
 */
class restaurantguideModelRestaurantguide extends JModel
{

	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();
/*
		$app = JFactory::getApplication('site');

		$params = $app->getParams();
		
		$limit		= $app->getUserStateFromRequest(HG_OPTION.'.city.limit', 'limit', $app->def('limit', 10), 'int');
		$limitstart		= JRequest::getInt('limitstart');

		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);
*/
	}

	/**
	 * Get the feed data
	 *
	 * @access public
	 * @return object
	 */
	function getFeed()
	{
		$user 		= &JFactory::getUser();
		$gid		= (int) $user->get('aid');
		$limit 		= JRequest::getVar('limit', 10);

		$query = 'SELECT DISTINCT i.*, c.title AS cattitle,'
		. ' CASE WHEN CHAR_LENGTH(i.alias) THEN CONCAT_WS(\':\', i.id, i.alias) ELSE i.id END as slug'
		. ' FROM #__rg_restaurantitems AS i'
		. ' WHERE c.published = 1'
		. ' AND c.access <= '.$gid
		. ' AND i.state IN (1, -4)'
		. ' LIMIT '. $limit
		;
		
		$this->_db->setQuery($query);
		$feed = $this->_db->loadObjectList();

		return $feed;
	}
	
	function getDestinations($dest_limit, $resto_limit)
	{			
		$query = 'SELECT c.*,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
					. ' ('
					. ' SELECT COUNT( DISTINCT i.id )'
					. ' FROM #__rg_restaurantitems AS i'
					. ' LEFT JOIN #__rg_cities AS cc ON cc.id = i.city'
					. ' WHERE i.city = c.id'
					. ')' 
					. ' AS assignedrestos'
				. ' FROM #__rg_cities AS c'
				. ' WHERE c.published = 1'
				. ' AND c.parent_id = 0' 
				. ' AND c.destination > 0'
				. ' ORDER BY RAND()'
				. ' LIMIT '.$dest_limit
				;
				
		$this->_db->setQuery( $query );
		$results = $this->_db->loadObjectList();

		$restono = count($results);
		for($i=0;$i < $restono; $i++){
			$city_id = $results[$i]->id;
			$query = 'SELECT DISTINCT i.title, t.name AS restotype,'
					. ' CASE WHEN CHAR_LENGTH(i.alias) THEN CONCAT_WS(\':\', i.id, i.alias) ELSE i.id END as slug'
					. ' FROM #__rg_restaurantitems AS i'
					. ' LEFT JOIN #__rg_cities AS c on c.id = i.city'
					. ' LEFT JOIN #__rg_admanagers AS a on a.resto = i.id'
					. ' LEFT JOIN #__rg_restauranttypes AS t ON t.id = i.tid'
					. ' WHERE c.published = 1'
					. ' AND c.parent_id = 0' 
					. ' AND c.destination > 0'
					. ' AND c.id = '.$city_id
					. ' AND i.published = 1'
					. ' AND a.adtypeid > 0'
					. ' ORDER BY RAND()'
					. ' LIMIT '.$resto_limit
					;
					
			$this->_db->setQuery( $query );
			$results[$i]->restos = $this->_db->loadObjectList();
		}
		
		return $results;
	}
	
	function getTopDestinations($limit)
	{			
		$query = 'SELECT c.*,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
					. ' ('
					. ' SELECT COUNT( DISTINCT i.id )'
					. ' FROM #__rg_restaurantitems AS i'
					. ' LEFT JOIN #__rg_cities AS cc ON cc.id = i.city'
					. ' WHERE i.city = c.id'
					. ')' 
					. ' AS assignedrestos'
				. ' FROM #__rg_cities AS c'
				. ' WHERE c.published = 1'
				. ' AND c.parent_id = 0' 
				. ' AND c.destination > 0'
				. ' ORDER BY RAND()'
				. ' LIMIT '.$limit
				;
				
		$this->_db->setQuery( $query );
		$results = $this->_db->loadObjectList();

		return $results;
	}
	
	function getSponsors($type)
	{			
		$today = date('Y-m-d'); 
		
		$query = 'SELECT i.id, i.title, i.mainimage, i.facilities, t.name AS restotype, c.name AS cityname,'
				. 'a.sdate, a.edate, a.url,'
				. ' CASE WHEN CHAR_LENGTH( i.alias ) THEN CONCAT_WS( \':\', i.id, i.alias ) ELSE i.id END AS slug'
				. ' FROM #__rg_admanagers AS a'
				. ' LEFT JOIN #__rg_restaurantitems AS i ON i.id = a.resto'
				. ' LEFT JOIN #__rg_restauranttypes AS t ON t.id = i.tid'
				. ' LEFT JOIN #__rg_cities AS c on c.id = i.city'
				. ' WHERE a.published = 1'
				. ' AND a.adtypeid = '.$type
				. ' AND a.sdate < "'.$today.'"'
				. ' AND a.edate > "'.$today.'"'
				;
				
		$this->_db->setQuery( $query );
		$result = $this->_db->loadObjectList();

		return $result;
	}
	
	function getRestoSponsors($type)
	{			
		$today = date('Y-m-d'); 
		
		$query = 'SELECT i.id, i.title, i.website, i.mainimage, i.facilities, t.name AS restotype, c.name AS cityname,'
				. 'a.sdate, a.edate,'
				. ' CASE WHEN CHAR_LENGTH( i.alias ) THEN CONCAT_WS( \':\', i.id, i.alias ) ELSE i.id END AS slug'
				. ' FROM #__rg_admanagers AS a'
				. ' LEFT JOIN #__rg_hotelitems AS i ON i.id = a.resto'
		//		. ' LEFT JOIN #__rg_restauranttypes AS t ON t.id = i.tid'
				. ' LEFT JOIN #__rg_cities AS c on c.id = i.city'
				. ' WHERE a.published = 1'
				. ' AND a.adtypeid = '.$type
				. ' AND a.sdate < "'.$today.'"'
				. ' AND a.edate > "'.$today.'"'
				;
				
		$this->_db->setQuery( $query );
		$result = $this->_db->loadObjectList();

		return $result;
	}
	
	function getContinents()
	{			
		$query = 'SELECT m.id , m.name, published,'
				. ' CASE WHEN CHAR_LENGTH(m. alias ) THEN CONCAT_WS( \':\', m.id, m.alias ) ELSE m.id END AS slug,'
					. ' ('
					. ' SELECT COUNT( i.id )'
					. ' FROM #__rg_restaurantitems AS i'
					. ' WHERE i.published = 1'
					. ')' 
					. ' AS assignedrestos'
				. ' FROM #__rg_continents AS m'
				;
				
		$this->_db->setQuery( $query );
		$result = $this->_db->loadObjectList();

		$i = 0;
		foreach($result as $data) :
			$query = 'SELECT DISTINCT c.name, c.code_1,'
					. ' CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(\':\', c.id, c.alias) ELSE c.id END as countryslug,'
						. ' ('
						. ' SELECT COUNT( i.id )'
						. ' FROM #__rg_restaurantitems AS i'
						. ' WHERE i.published = 1'
						. ' AND i.country = c.id'
						. ')' 
						. ' AS assignedrestos'
					. ' FROM #__rg_countries AS c'
					. ' WHERE c.published = 1'
					. ' AND c.continent ='. $data->id
					. ' ORDER BY c.name ASC'
					;
			
			$this->_db->setQuery($query);
			$result[$i]->country = $this->_db->loadObjectList();
			$i++;
		endforeach;
		
		return $result;
	}
	
	function getGallery()
	{
		$query = 'SELECT DISTINCT i.*'
				. ' FROM #__rg_galleryitems AS i'
				. ' WHERE i.slideshow = 2'
				;

		$this->_db->setQuery($query);
		$gallery = $this->_db->loadObjectList();
		return $gallery;
	}
}
?>