<?php
/**
 * @version 1.0 $Id: testimonials.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

/**
 * Hello Model
 *
 * @package    Joomla
 * @subpackage Components
 */
class restaurantguideModelTestimonials extends JModel
{
	var $_id = null;
	/**
	 * Data
	 *
	 * @var object
	 */
	var $_data = null;
	
	/**
	 * total
	 *
	 * @var int
	 */
	var $_total = null;
	/**
	 * Constructor that retrieves the ID from the request
	 *
	 * @access	public
	 * @return	void
	 */
	function __construct()
	{
		parent::__construct();
		
		$app = JFactory::getApplication('site');
		$params = $app->getParams();
		
		$id = JRequest::getInt('cid', 0);
		
		if (!$id)
			$id = JRequest::getInt('id', 0);

		$this->setId((int)$id);
		
		//set limits
		$limit		= $app->getUserStateFromRequest('com_restaurantguide.testimonials.limit', 'limit', $params->def('limit', 0), 'int');
		$limitstart		= JRequest::getInt('limitstart');

		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);

		$this->setState('filter_order', JRequest::getCmd('filter_order', 'i.title'));
		$this->setState('filter_order_dir', JRequest::getCmd('filter_order_Dir', 'ASC'));
 	}

	function setId($cid)
	{
		// Set new destination ID and wipe data
		$this->_id = $cid;
	}
	
	function getRestaurantItems(  $options=array() )
	{
		$id = @$options['id'];
		
		// Where conditions
		$wheres[] = 'post.id = ' . (int) $id;
			
		$query	= 	'SELECT post.*, user.name AS postedby
					FROM #__rg_restaurantitems AS post LEFT JOIN #__users AS user ON post.user_id = user.id
					WHERE post.published = "1" AND '. implode( ' AND ', $wheres );
 		$itemlist = $this->_getList( $query );
		return @$itemlist[0];
	}

	function getTestimonial()
	{
		$query = 'SELECT t.*, user.name AS submitedby, r.id AS restoid, r.title AS restoname, r.mainimage AS restoimage,'
				. 's.name AS statesname, cu.name AS countryname, ct.name AS cityname,'
				. ' CASE WHEN CHAR_LENGTH( r.alias ) THEN CONCAT_WS( \':\', r.id, r.alias ) ELSE r.id END AS restoslug'
				. ' FROM #__rg_testimonial AS t'
				. ' LEFT JOIN #__rg_restaurantitems AS r ON r.id = t.post_id'
				. ' LEFT JOIN #__rg_countries AS cu ON cu.id = r.country'
				. ' LEFT JOIN #__rg_states AS s ON s.id = r.states'
				. ' LEFT JOIN #__rg_cities AS ct ON ct.id = r.city'
				. ' LEFT JOIN #__users AS user ON t.userid = user.id'
				. ' WHERE t.published = "1"'
				. ' AND t.id = ' . (int) $this->_id
				;
		$this->_db->setQuery($query);
		$testimonial = $this->_db->loadObject();
		
		return $testimonial;
	}
	
	function getTestimonials()
	{
		$query = 'SELECT t.*, user.name AS submitedby, r.title AS restoname,'
				. ' CASE WHEN CHAR_LENGTH( t.alias ) THEN CONCAT_WS( \':\', t.id, t.alias ) ELSE t.id END AS slug,'
				. ' CASE WHEN CHAR_LENGTH( r.alias ) THEN CONCAT_WS( \':\', r.id, r.alias ) ELSE r.id END AS restoslug'
				. ' FROM #__rg_testimonial AS t'
				. ' LEFT JOIN #__rg_restaurantitems AS r ON r.id = t.post_id'
				. ' LEFT JOIN #__users AS user ON user.id = t.userid'
				. ' WHERE t.published = "1" ORDER BY t.date DESC';
		$testimoniallist = $this->_getList( $query );
		
		return $testimoniallist;
	}
	
	function getReview()
	{
		$id = JRequest::getVar('id', 0, '', 'int');
	
		// Where conditions
		$wheres[] = 't.post_id = ' . (int) $id;
				
		$query	= 	'SELECT t.*, user.name AS submitedby
					FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON t.userid = user.id
					WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date ASC';
		$results = $this->_getList( $query );
		
		return $results;
	}
	
	function getEditTestimonial()
	{
		$db 	=& JFactory::getDBO();
		$cmtid = JRequest::getVar('cmtid', 0, '', 'int');
		
		// Where conditions
		$wheres[] = 't.id = ' . (int) $cmtid;
				
		$query	= 	'SELECT t.*, user.name AS submitedby
					FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON t.userid = user.id
					WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date DESC';
		$db->setQuery($query);
 		$edittestimonial = $db->loadObject();
	
		return $edittestimonial;
	}
	/**
	 * Method to store a record
	 *
	 * @access	public
	 * @return	boolean	True on success
	 */
	function store($post)
	{	
		$userid = JRequest::getVar( 'userid', '', 'post', 'int' );
		$user = JFactory::getUser();
		
		if(trim($user->id) == '' || $user->id <= 0){
			$msg = JText::_( '&nbsp; Please login to write testimonial' );
			$link = JRoute::_('index.php?option=com_restaurantguide&view=restaurantitems&id='.$post['pid'], false);
			$this->setRedirect( $link, $msg );  return;
		}
		
		$row =& $this->getTable('rg_testimonial', '');
	
		$data = $post;
		$data['id'] = $post['cmtid'];
		$data['description'] = $post['description'];
		$data['published'] = 1;
		$date = JFactory::getDate();
		$data['date'] = $date->toMySQL();
		$data['update'] = $date->toMySQL();
		
		// Bind the form fields to the Add form
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Make sure the Add Blog record is valid
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the post details table to the database
		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}
		return true;
	}
	
	/**
	 * function for Get total Testimonials
	 **/
	function getTotalTestimonials()
	{
		$id = JRequest::getVar('id', 0, '', 'int');
		
		// WHere conditions
		$wheres[] = 't.post_id = ' . (int) $id;
			
		$query = 'SELECT COUNT(t.id)
				FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON user.id = t.userid
				WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date ASC';
 		$this->_db->setQuery( $query );
		$count = $this->_db->loadResult();

		return $count;
	}
	
	/**
	 * function for Get total Comments
	 **/
	function getTotalHitsofPosts( $options=array() )
	{
		$db 		=& JFactory::getDBO();
		$id			= @$options['id'];
		
		// WHere conditions
		$wheres[] = 'post.id = ' . (int) $id;
		
		$db		=& JFactory::getDBO();				
		$query	= 	'SELECT post.post_hits
					FROM #__rg_restaurantitems AS post
					WHERE post.published = "1" AND '. implode( ' AND ', $wheres );
		$blogpostHit = $this->_getList( $query );
		return @$blogpostHit[0];
	}
	

	function updatePostHits( $options=array() )
	{
		$db 		=& JFactory::getDBO();
		$id			= @$options['id'];
		
		// WHere conditions
		$wheres[] = 'id = ' . (int) $id;
		
		$db		=& JFactory::getDBO();				
		$query	= 	'UPDATE #__rg_restaurantitems SET post_hits = post_hits+1
					WHERE published = "1" AND '. implode( ' AND ', $wheres );
		$db->setQuery( $query );
		if (!$db->query()) {
			//JError::raiseError(500, $db->getErrorMsg() );
		}
	}
 }
?>