<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

function restaurantguideBuildRoute(&$query)
{
	$segments = array();

	// get a menu item based on Itemid or currently active
	$app		= JFactory::getApplication();
	$menu		= $app->getMenu();
//	$params		= JComponentHelper::getParams('com_restaurantguide');
//	$advanced	= $params->get('sef_advanced_link', 0);
	
	if(isset($query['view']))
	{
		// we need a menu item.  Either the one specified in the query, or the current active one if none specified
		if (empty($query['Itemid'])) {
			$menuItem = $menu->getActive();
			$menuItemGiven = false;
		}
		else {
			$menuItem = $menu->getItem($query['Itemid']);
			$menuItemGiven = true;
		}
		
		if($query['view'] == 'restaurant') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'event') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'recipes') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'favourites') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'restaurantguide') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'continent') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'country') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'states') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'city') {
			$segments[] = $query['view'];
		}

		if($query['view'] == 'search') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'type') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'tags') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'callus') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'register') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'testimonial') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'conversionguide') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'toprated') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'specialoffer') {
			$segments[] = $query['view'];
		}
		
		unset($query['view']);
	};

	if(isset($query['cid']))
	{
		$segments[] = $query['cid'];
		unset($query['cid']);
	};

	if(isset($query['id']))
	{
		$segments[] = $query['id'];
		unset($query['id']);
	};

	return $segments;
}

function restaurantguideParseRoute($segments)
{
	$vars = array();

	//Get the active menu item.
	$app	= JFactory::getApplication();
	$menu	= $app->getMenu();
	$item	= $menu->getActive();
	$params = JComponentHelper::getParams('com_restaurantguide');
	$advanced = $params->get('sef_advanced_link', 0);
	$db = JFactory::getDBO();
	
	// Count route segments
	$count = count($segments);

	if($segments[0] == 'tags') {
		$vars['view'] = 'tags';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'register') {
		$vars['view'] = 'register';		
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'testimonial') {
		$vars['view'] = 'testimonial';		
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'callus') {
		$vars['view'] = 'callus';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'search') {
		$vars['view'] = 'search';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'type') {
		$vars['view'] = 'type';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'favourites') {
		$vars['view'] = 'favourites';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'restaurant') {
		$vars['view'] = 'restaurant';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'event') {
		$vars['view'] = 'event';
		$vars['cid'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'restaurantguide') {
		$vars['view'] = 'restaurantguide';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'recipes') {
		$vars['view'] = 'recipes';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'continent') {
		$vars['view'] = 'continent';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'country') {
		$vars['view'] = 'country';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'states') {
		$vars['view'] = 'states';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'city') {
		$vars['view'] = 'city';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'conversionguide') {
		$vars['view'] = 'conversionguide';
		return $vars;
	}
	
	if($segments[0] == 'toprated') {
		$vars['view'] = 'toprated';
		return $vars;
	}
	
	if($segments[0] == 'specialoffer') {
		$vars['view'] = 'specialoffer';
		return $vars;
	}
	
	return $vars;
}
?>