<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewContinent extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		$pathway 	=& $app->getPathway();
		
		$id		= JRequest::getInt('id', 0);
		
		$model 	= &$this->getModel();
		
		$countryname = & $this->get('CountryName');
		$continent = & $this->get('Continent');
		$gallery = & $this->get('Gallery');

		$params->set('page_title',	JText::sprintf('RG_RESTAURANTS_IN', $continent->name));

		/*
		* Handle the metadata for the restaurant guide list
		*/
		$document->setTitle($params->get('page_title'));
		if ($continent->meta_description) {
			$document->setDescription( $continent->meta_description );
		}
		if ($continent->meta_keywords) {
			$document->setMetadata('keywords', $continent->meta_keywords);
		} 
		if ($continent->meta_title) {
			$app->addMetaTag('title', $continent->meta_title);
		}
	
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}
	
		$modelguide	= &$this->getModel( 'restaurantguide' );
		
		if ($rgconf->conti_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->conti_top_limit);
			
		if ($rgconf->conti_desti)
			$destinations = $modelguide->getDestinations($rgconf->conti_city_limit, $rgconf->conti_resto_limit);
			
		if ($rgconf->conti_links)
			$sponsors = $modelguide->getSponsors($rgconf->no_sponsorrow);
		
		$currentpage = 'continent';
		
		$this->assignRef('rgconf', 				$rgconf);
		$this->assignRef('db', 					$db);
		$this->assignRef('params', 				$params);
		$this->assignRef('currentpage', 		$currentpage);
		$this->assignRef('countryname', 		$countryname);
		$this->assignRef('continent', 			$continent);
		$this->assignRef('topdestinations', 	$topdestinations);
		$this->assignRef('destinations', 		$destinations);
		$this->assignRef('sponsors', 			$sponsors);
/*
		echo "<pre>";
		echo "view=";
		print_r($cid);
		print_r($countryname);
		echo "</pre>";
*/		
		parent::display($tpl);
	}
}
?>