<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

if ($this->event->lat) {
	if ($this->event->lat)
		$lat = $this->event->lat;
	else
		$lat = $this->rgconf->lat;
		
	if ($this->event->lon)
		$lon = $this->event->lon;
	else
		$lon = $this->rgconf->lon;
		
	if ($this->event->zoom)
		$zoom = $this->event->zoom;
	else
		$zoom = $this->rgconf->zoom;
		
	if ($this->event->maptype)
		$type = $this->event->maptype;
	else
		$type = $this->rgconf->maptype;
	
	switch ($type) {
		case 'map':
			$map_type='google.maps.MapTypeId.ROADMAP';
			break;
		case 'satellite':
			$map_type='google.maps.MapTypeId.SATELLITE';
			break;
		case 'hybrid':
			$map_type='google.maps.MapTypeId.HYBRID';
			break;
		case 'terrain':
			$map_type='google.maps.MapTypeId.TERRAIN';
			break;
		default :
			$map_type='google.maps.MapTypeId.ROADMAP';
	} 
}
?>
<script language="javascript" type="text/javascript">
    var map;

    function handleApiReady() {
		var latlng = new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lon ?>);

		var myOptions = {
			zoom: <?php echo $zoom ?>,
			center: latlng,
			mapTypeControl: true,
			mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
			navigationControl: true,
			navigationControlOptions: {style: google.maps.NavigationControlStyle.SMALL},
			mapTypeId: <?php echo $map_type ?>
		};
		
		map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
		var marker = new google.maps.Marker({
			position: latlng, 
			map: map,
			title:"Hello World!"
		}); 

	}

	function appendBootstrap() {
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = "http://maps.google.com/maps/api/js?sensor=false&callback=handleApiReady";
		document.body.appendChild(script);
	}

	window.addEvent('domready', function(){ 
		appendBootstrap();
	})
</script>
<?php
echo '<p style="position:relative"><a href="javascript:history.go(-1)"> ['.JText::_('RG_GO_BACK').']</a>' . "\n"; 
echo '<span style="position:absolute; font-size:11px; right:2px;">';
if ($this->event->hits==1) echo JText::_('RG_HIT');
if ($this->event->hits>1) echo JText::sprintf('RG_HITS',$this->event->hits);
echo '</span></p>' . "\n";

	echo '<div style="display:inline; width:100%; float:right;">';
		echo '<div id="linkedin" style="width:auto; float:right;"><script type="text/javascript" src="http://platform.linkedin.com/in.js"></script><script type="in/share" data-url="'.$this->event->absoluteURL.'" data-counter="right"></script></div>';
		
		$code_google  = '';
		$size_google = 'medium';
		$show_count_google= '1';
		$language_google  = 'en-US';
		$container_google = '1';

		$tmp = '<script type="text/javascript" src="http://apis.google.com/js/plusone.js">
		{lang: '.$language_google.'}
		</script>';
		$tmp .= '<g:plusone size="'.$size_google.'" href="'.$this->event->absoluteURL.'" count="'.$show_count_google.'"></g:plusone>';
		$code_google .= '<div style="float:right;">'.$tmp.'</div>';		
		echo $code_google;
		
		$code_twitter = '';
		$language_twitter    = 'en';
		$data_via_twitter    = '';
		$data_related_twitter= '';

		if ($language_twitter!= 'en'){$language_twitter = 'data-lang="'.$language_twitter.'"';} else {$language_twitter='';}
		if ($data_via_twitter!= ''){$data_via_twitter= 'data-via="'.$data_via_twitter.'"';} else {$data_via_twitter='';}
		if ($data_related_twitter!= ''){$data_related_twitter= 'data-related="'.$data_related_twitter.'"';} else {$data_related_twitter='';}
		
		$code_twitter = '<div style="float:right;"><a href="http://twitter.com/share" class="twitter-share-button" class="twitter-share-button" data-url="'.$this->event->absoluteURL.'" data-text="'.$this->event->title.'" data-count="horizontal" data-via="'.$data_via_twitter.'">Tweet</a></div>';
		echo $code_twitter;
	
		echo '<div style="float:right;margin-right:10px;"><a name="fb_share" type="button_count" share_url=\"'.$this->event->absoluteURL.'" href=\"http://www.facebook.com/sharer.php?u='.$this->event->absoluteURL.'&t='.$this->event->title.'">Share</a><script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script></div>';
		
		$code_like    = '';		
		$code_like .= '<fb:send href="'.$this->event->absoluteURL.'" colorscheme="light"></fb:send>';
		$code_like .= '<fb:like href="'.$this->event->absoluteURL.'" layout="button_count" show_faces="true" send="true" width="100px" action="like" font="arial" colorscheme="light"></fb:like>';
		echo '<div style="float:left;">'.$code_like.'</div>';
		 				
	echo '</div>' . "\n"; 	
	echo '<div class="clear" style="margin:0"></div>' . "\n"; 
	
echo '<div>' . "\n";

    if (!empty($this->event->image) || ($this->event->description)<>'') :

		echo rg_html::boxtop();

			echo '<div class="content">' . "\n";
				if (($this->event->title)<>'')	{
					echo '<h3 class="title">';  
					echo stripslashes($this->event->title); 
					echo '</h3>';
				}
	
				echo '<div class="colmask">' . "\n";

					$imagewidth = $this->event->imagewidth + 15;
					
					if ($this->event->image) {
						echo '<div class="leftcol" style="width:'.$imagewidth.'px; padding-top:10px;">' . "\n";
							echo '<img class="catimage" src="'.JURI::base() .'images/restaurantguide/event/resize/' . $this->event->image .'" align="left" width="'.$this->event->imagewidth.'px" height="'.$this->event->imageheight.'px" alt="" />';
						if ($this->event->lat) {
							echo '<div style="clear:both;padding-top:10px;"></div>' . "\n"; 
							echo '<h2 style="width:'.$imagewidth.'px; font-size: 1.0em; line-height:1.4em; text-align: center; color: #888; background-color: #1B1B1B; margin-bottom:0;">'.JText::_('LOCATION MAP').'</h2>' . "\n"; 
							echo '<div id="map"><div id="map_canvas" style="width:'.$imagewidth.'px; height: '.$imagewidth.'px"></div></div>' . "\n";
						}
						echo '</div>' . "\n";
					}

					if (($this->event->description)<>'')	{
						$link = JRoute::_( restaurantguideHelperRoute::getItemRoute($this->event->restaurantslug) );
						echo '<div class="rightcol" style="margin-left:'.$imagewidth.'px; padding-top:10px;">' . "\n";
						
						echo '<ul id="top" class="feature" style="width:100%">' . "\n";
						if ($this->event->restaurantname) {
							echo '<li class="feature">' . "\n";
							echo '<strong>'.JText::_('RG_RESTAURANT_GUIDE').':&nbsp;</strong>'. "\n";
							echo '<a href="'.$link.'">'.$this->event->restaurantname. '</a></li>'. "\n";
						}
						
						if ($this->event->cityname) {
							echo '<li class="feature">' . "\n";
							echo '<strong>'.JText::_('RG_PLACE').':&nbsp;</strong>'. "\n";
							echo $this->event->cityname;
							
							if ($this->event->sname) {
								echo ',&nbsp;'.$this->event->sname;
							}
							if ($this->event->countryname) {
								echo ',&nbsp;'.$this->event->countryname;
							}
							echo '</li>'. "\n";
						}
							
						echo '<li class="feature">' . "\n";
						echo '<strong>'.JText::_('RG_START_DATE').':&nbsp;</strong>'. "\n";
						echo JHTML::_('date', $this->event->startdates, JText::_('DATE_FORMAT_LC3') ). '</li>'. "\n";
						
						echo '<li class="feature">' . "\n";
						echo '<strong>'.JText::_('RG_END_DATE').':&nbsp;</strong>'. "\n";
						echo JHTML::_('date', $this->event->enddates, JText::_('DATE_FORMAT_LC3') ). '</li>'. "\n";
						echo '</ul>'. "\n";

						echo '<div style="clear:both; padding-bottom:15px;"></div>' . "\n"; 

						echo '<p>';
						echo stripslashes($this->event->description);
						echo '</p>';
						
						echo '<iframe id="FaceBookLikeIFrame" class="fbook-like" scrolling="no" frameborder="0" style="border:none; overflow:hidden;width:335px;height:30px;" allowTransparency="true" src="http://www.facebook.com/widgets/like.php?width=335&amp;show_faces=1&amp;layout=standard&amp;href='.$this->event->absoluteURL.'&amp;amp;action=like&amp;amp;font&amp;amp;colorscheme=light&amp;amp;height=30">
</iframe>';
						echo '</div>' . "\n";
					}
	
				echo '</div>' . "\n";
			echo '</div>' . "\n";
			echo '<div style="clear:both;"></div>' . "\n";

		echo rg_html::boxbottom();
	endif;

echo '</div>' . "\n";

echo '<div class="clear"></div>' . "\n";  

if ($this->rgconf->social) 
    echo rg_html::showSocial($this->event);
	
echo '<div class="clear"></div>' . "\n";  
?>
	
<div class="itemNav">
	<?php 
    if ($this->prevEvent) { 
        echo '<a class="itemPrevious" href="'.$this->prevEvent->prevLink.'">&laquo;'.JText::_('RG_PREV').'</a>' . "\n";
    } 
    if ($this->nextEvent) { 
        echo '<a class="itemNext" href="'.$this->nextEvent->nextLink.'">'.JText::_('RG_NEXT').'&raquo;</a>' . "\n";
    } ?>
</div>