<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewEvent extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		
		$pathway =& $app->getPathway();

		$document->addScript("http://connect.facebook.net/en_US/all.js#xfbml=1");	
		$document->addScript("http://platform.twitter.com/widgets.js");
		
		// Request variables
		$limitstart		= JRequest::getInt('limitstart');
		
		// Get data from the model	
		$model 		= &$this->getModel();
		$event 		= & $this->get('Event');
		$children 	= & $this->get('Data');
		$limit		= $app->getUserStateFromRequest('com_restaurantguide.'.$this->getLayout().'.limit', 'limit', $rgconf->maxlist, 'int');
		$total 		= & $this->get('Total');

		$events		= & $this->get('Childs');
		
		if ($event)
			$parents	= $model->getParentTitle($event->parent_id);
		
		$hasChild = false;
		if ($events)
			$hasChild = $model->getExistSub($events[0]->id);

		//pathway
		if ($event)
			$pathway->addItem( $this->escape($event->title), urldecode(JRoute::_(restaurantguideHelperRoute::getEventRoute(urlencode($event->slug)))));

		$uri = &JURI::getInstance();
		
		if ($event) {
			if ($event->id > 0) {
				$nextEvent = $model->getNextEvent($event->id, $event->ordering);
				if ($nextEvent)
					$nextEvent->nextLink = urldecode(JRoute::_(restaurantguideHelperRoute::getEventRoute(urlencode($nextEvent->slug))));
				$prevEvent = $model->getPreviousEvent($event->id, $event->ordering);
				if ($prevEvent)
					$prevEvent->prevLink = urldecode(JRoute::_(restaurantguideHelperRoute::getEventRoute(urlencode($prevEvent->slug))));
				// Absolute URL
				$event->absoluteURL = $uri->toString();
				//Email link
				$event->emailLink = JRoute::_('index.php?option=com_mailto&tmpl=component&link='.base64_encode($event->absoluteURL));
				//Social link
				$event->socialLink = urlencode($event->absoluteURL);
			}
		}
		
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		if (is_object( $menu )) {
			if (!$menu_params->get( 'page_title')) {
				$params->set('page_title',	$event->title);
			}
		} else {
			$params->set('page_title',	$event->title);
		}

		if ($event) {
//			if ($event->pagetitle)
//				$params->set('page_title',	$event->pagetitle);

			if ($parents->title)
				$document->setTitle( $params->get( 'page_title' ).' - '.$parents->title );
			else
				$document->setTitle( $params->get( 'page_title' ) );
					
			if ($event->meta_description) {
				$document->setDescription( $event->meta_description );
			}
			if ($event->meta_keywords) {
				$document->setMetadata('keywords', $event->meta_keywords);
			}
			if ($app->getCfg('MetaTitle') == '1') {
				$app->addMetaTag('title', $event->title);
			}
		}
		
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}

		$modelguide	= &$this->getModel( 'restaurantguide' );
		if ($rgconf->world_desti)
			$destinations = $modelguide->getDestinations($rgconf->world_city_limit, $rgconf->world_resto_limit);
		
		if ($rgconf->world_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->world_top_limit);
			
		if ($rgconf->world_links)
			$sponsors = $modelguide->getSponsors($rgconf->no_sponsorrow);
			
		//ordering
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
		$filter				= JRequest::getString('filter');

		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		$lists['filter']			= $filter;
		
		// Create the pagination object
		jimport('joomla.html.pagination');

		$pageNav 	= new JPagination($total, $limitstart, $limit);

		$currentpage = 'event';
		
		$this->assignRef('rgconf', 					$rgconf);
		$this->assign('db', 						$db);	
		$this->assignRef('params' , 				$params);
		$this->assignRef('event', 					$event);
		$this->assignRef('events', 					$events);
		$this->assignRef('pageNav', 				$pageNav);
		$this->assignRef('lists',	 				$lists);
		$this->assignRef('parents',	 				$parents);
		$this->assignRef('prevEvent',				$prevEvent);
		$this->assignRef('nextEvent',				$nextEvent);
		$this->assignRef('children',	 			$children);
		$this->assignRef('hasChild',	 			$hasChild);
		$this->assignRef('topdestinations', 		$topdestinations);
		$this->assignRef('destinations', 			$destinations);
		$this->assignRef('sponsors', 				$sponsors);
		$this->assignRef('currentpage', 			$currentpage);
/*
		echo "<pre>";
		echo "view=";
		print_r($events);
		echo "</pre>";	
*/
		parent::display($tpl);
	}
}
?>