<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the Favourites View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewFavourites extends JView
{
	/**
	 * Creates the item page
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		
		$pathway =& $app->getPathway();

		$limitstart		= JRequest::getInt('limitstart');
		$limit			= JRequest::getInt('limit', $params->get('item_num'));

		$userid		= JRequest::getInt('userid', 0);

		$model	= &$this->getModel();
		$items 	= $model->getData($userid);
		$total 	= $model->getTotal($userid);
		
		$author=JFactory::getUser($userid);
		if ($userid)
			$page_title = $author->name."'s ".JText::_('RG_FAVOURITES');
		else
			$page_title = JText::_('RG_FAVOURITES');

		$params->set('page_title',	$page_title);

		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		if ($menu) {
			$params->def('page_heading', $params->get('page_title', $menu->title));
		}
		else {
			$params->def('page_heading', $page_title);
		}
		
		$mid = (int) @$menu->query['id'];

		if ($menu && ($menu->query['option'] != 'com_restaurantguide' || $menu->query['view'] == 'favourites')) {
			$path = array(array('title' => $page_title, 'link' => ''));
/*
			while (($menu->query['option'] != 'com_restaurantguide' || $menu->query['view'] == 'recipes' || $mid != $recipe->id) && $recipe->id > 1)
			{
				$path[] = array('title' => $recipe->title, 'link' => restaurantguideHelperRoute::getRecipeRoute($recipe->slug));
			}

			$path = array_reverse($path);
*/
			foreach ($path as $item)
			{
				$pathway->addItem($item['title'], $item['link']);
			}
		}
		
		//pathway
//		$pathway->addItem( $params->get('page_title'), JRoute::_('index.php?view=favourites'));
		
		$document->setTitle($params->get('page_title'));
		$document->setMetadata( 'keywords' , $params->get('page_title') );
		
		$modelguide	= &$this->getModel( 'restaurantguide' );
		if ($rgconf->world_desti)
			$destinations = $modelguide->getDestinations($rgconf->world_city_limit, $rgconf->world_resto_limit);
		
		if ($rgconf->world_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->world_top_limit);
			
		if ($rgconf->world_links)
			$sponsors = $modelguide->getSponsors($rgconf->no_sponsorrow);
			
        //ordering
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
		$filter				= JRequest::getString('filter');
		
		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		$lists['filter']			= $filter;		
			
		$sort_links = array();
		$sort_links[] = $this->sort('RG_POPULARITY', 'hits', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_HIGHEST_RATED', 'votes', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_NAME', 'title', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_CUISINE', 'type', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_PRICE', 'price', $lists['filter_order_Dir'] , $lists['filter_order'] );
			
		// Create the pagination object
		jimport('joomla.html.pagination');
		
		$pageNav 	= new JPagination($total, $limitstart, $limit);
		$page 		= $total - $limit;

		$currentpage = 'favourites';
		
		$this->assignRef('items' , 					$items);
		$this->assignRef('params' , 				$params);
		$this->assignRef('db', 						$db);
		$this->assignRef('page' , 					$page);
		$this->assignRef('pageNav' , 				$pageNav);
		$this->assignRef('lists' ,	 				$lists);
		$this->assignRef('userid' ,	 				$userid);
		$this->assignRef('rgconf' ,	 				$rgconf);
		$this->assignRef('sort_links', 				$sort_links);
		$this->assignRef('topdestinations', 		$topdestinations);
		$this->assignRef('destinations', 			$destinations);
		$this->assignRef('sponsors', 				$sponsors);
		$this->assignRef('currentpage', 			$currentpage);

/*
		echo "<pre>";
		echo "view=";
		print_r($items);
		echo "</pre>";	
*/		
		parent::display($tpl);
	}
	
	function sort( $title, $order, $direction = 'asc', $selected = 0 )
	{
		$direction	= strtolower( $direction );
		$images		= array( 'sort_asc.png', 'sort_desc.png' );
		$index		= intval( $direction == 'desc' );
		$direction	= ($direction == 'desc') ? 'asc' : 'desc';

		$html = '<a href="javascript:changeOrdering(\''.$order.'\',\''.$direction.'\');" >';
		$html .= JText::_( $title );
		if ($order == $selected ) {
			$html .= JHTML::_('image.site',  $images[$index], '/components/com_restaurantguide/assets/images/', NULL, NULL);
		}
		$html .= '</a>';
		return $html;
	}
}
?>