<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewRecipes extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		
		$pathway =& $app->getPathway();

		// Request variables
		$limitstart		= JRequest::getInt('limitstart');
		$id				= JRequest::getInt('id', 0);

		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/itemscreen.js');
		$document->addScript( "http://connect.facebook.net/en_US/all.js#xfbml=1");	
		$document->addScript( "http://platform.twitter.com/widgets.js");

		$uri = &JURI::getInstance();
		// Get data from the model	
		$model		= &$this->getModel();

		$total = 0;
		if ($id > 0) {
			$recipe 	= $model->getRecipe($id);
			$recipes	= $model->getChilds($id);
			if ($recipes) {
				$total 		= $model->getRecipeTotal($id);
			}
			$recipe->absoluteURL = $uri->toString();
			
			$params->def('page_heading', $recipe->title);
		} else {
			$mainrecipes = $model->getMainRecipes();
			$recipe = $mainrecipes[0];
		}
		
		$limitstart = JRequest::getInt('limitstart');
		$limit		= $app->getUserStateFromRequest('com_restaurantguide.'.$this->getLayout().'.limit', 'limit', $params->def('limit', 8), 'int');
		
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		if ($menu) {
			$params->def('page_heading', $params->get('page_title', $menu->title));
		}

		$mid = (int) @$menu->query['id'];

		if ($menu && $id > 0 && ($menu->query['option'] != 'com_restaurantguide' || $menu->query['view'] == 'recipes' || $mid != $recipe->id)) {
			$path = array(array('title' => $recipe->title, 'link' => ''));
/*
			while (($menu->query['option'] != 'com_restaurantguide' || $menu->query['view'] == 'recipes' || $mid != $recipe->id) && $recipe->id > 1)
			{
				$path[] = array('title' => $recipe->title, 'link' => restaurantguideHelperRoute::getRecipeRoute($recipe->slug));
			}

			$path = array_reverse($path);
*/
			foreach ($path as $item)
			{
				$pathway->addItem($item['title'], $item['link']);
			}
		}
		/*
		* Handle the metadata for a categoy
		*/
		$document->setTitle( $params->get( 'page_title' ) );
		
		if ($id > 0) {
			if ($recipe->meta_description)
			{
				$document->setDescription( $recipe->meta_description );
			}
			elseif (!$recipe->meta_description && $params->get('menu-meta_description'))
			{
				$document->setDescription($this->params->get('menu-meta_description'));
			}
			
			if ($recipe->meta_keywords)
			{
				$document->setMetadata('keywords',$recipe->meta_keywords);
			}
			elseif (!$recipe->meta_keywords && $params->get('menu-meta_keywords'))
			{
				$document->setMetadata('keywords', $params->get('menu-meta_keywords'));
			}
			if ($params->get('robots'))
			{
				$document->setMetadata('robots', $params->get('robots'));
			}
		}
		
		// Add feed links
		if ($params->get('show_feed_link', 1)) {
			$link = '&format=feed&limitstart=';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link . '&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link . '&type=atom'), 'alternate', 'rel', $attribs);
		}

		$modelguide	= &$this->getModel( 'restaurantguide' );
		if ($rgconf->world_desti)
			$destinations = $modelguide->getDestinations($rgconf->world_city_limit, $rgconf->world_resto_limit);
		
		if ($rgconf->world_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->world_top_limit);
			
		if ($rgconf->world_links)
			$sponsors = $modelguide->getSponsors($rgconf->no_sponsorrow);
			
		// Create the pagination object
		if (isset($recipes)) {
			jimport('joomla.html.pagination');
	
			$pageNav 	= new JPagination($total, $limitstart, $limit);
			$this->assignRef('pageNav', 				$pageNav);
		}
		
		$currentpage = 'recipes';
	
		$this->assignRef('rgconf', 					$rgconf);
		$this->assignRef('db', 						$db);
		$this->assignRef('id', 						$id);
		$this->assignRef('params' , 				$params);		
		$this->assignRef('mainrecipes', 			$mainrecipes);
		$this->assignRef('recipe', 					$recipe);
		$this->assignRef('recipes', 				$recipes);
		$this->assignRef('topdestinations', 		$topdestinations);
		$this->assignRef('destinations', 			$destinations);
		$this->assignRef('sponsors', 				$sponsors);
		$this->assignRef('currentpage', 			$currentpage);
/*
		echo "<pre>";
		echo "view=";
		print_r($recipes);
		echo "</pre>";
*/
		parent::display($tpl);
	}
}
?>