<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the Items View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewRestaurant extends JView
{
	/**
	 * Creates the item page
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$document 	= & JFactory::getDocument();
		$user		= & JFactory::getUser();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		$db  		= & JFactory::getDBO();
		$lang 		= & JFactory::getLanguage();
		
		$pathway =& $app->getPathway();
		
		$task		= JRequest::getVar('task');

		$cid		= JRequest::getInt('cid', 0);

		$document->addScript( "http://connect.facebook.net/en_US/all.js#xfbml=1");	
		$document->addScript("http://platform.twitter.com/widgets.js");
        
		//get restaurant item data
		$model		= &$this->getModel();
		$item 		= &$this->get('Item');
		$mapdatas 	= &$this->get('MapData');
		$articles	= &$this->get('Articles');
		$menus	 	= &$this->get('Menus');
		$galleries 	= &$this->get('Gallery');
		$promotions = &$this->get('Promotions');
		
//		if ($rgconf->show_favourite) {
			$favourites	= & $this->get('Favourites');
			$favoured	= & $this->get('Favoured');
//		}

		
		$iparams	=& $item->attribs;
		$params->merge($iparams);
		
		if (($item->id == 0))
		{	
			$id	= JRequest::getInt('id', 0);
			return JError::raiseError( 404, JText::sprintf( 'ITEM #%d NOT FOUND', $id ) );
		}

		if ($rgconf->showtags) {
			$tags		= &$this->get('UsedTags');
		}
	
//		$pathway->addItem( $this->escape($item->title), JRoute::_('index.php?view=restaurant&id='.$item->slug));
		/*
		 * Handle the metadata
		 */
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		// Get the menu item object		
/*		if (is_object($menu)) {
			$menu_params = new JParameter( $menu->params );
			if (!$menu_params->get( 'page_title')) {
				$params->set('page_title',	$item->title);
			}
		} else {
			$params->set('page_title',	$item->title);
		}
*/
		$params->set('page_title', JText::_('RESTAURANTS IN').' '.$item->cityname);

//		$pathway->addItem( $params->get('page_title') );
		/*
		 * Create the document title
		 * 
		 * First is to check if we have a category id, if yes add it.
		 * If we haven't one than we accessed this screen direct via the menu and don't add the parent category
		 */
		if($cid) {
			$parentcat = array_pop($parents);
			$doc_title = $item->title.' - '.$parentcat->title;
		} else {
			$doc_title = $params->get( 'page_title' );
		}
		
		if ($item->meta_title) {
			$document->setTitle( $item->meta_title );
		} else {
			$document->setTitle($doc_title);
		}
		
		if ($item->meta_description) {
			$document->setDescription( $item->meta_description );
		}
		
		if ($item->meta_keywords) {
			$document->setMetadata('keywords', $item->meta_keywords);
		}
/*		
//		if ($mainframe->getCfg('MetaTitle') == '1') {
			$mainframe->addMetaTag('title', $item->meta_title);
//		}
		
		if ($mainframe->getCfg('MetaAuthor') == '1') {
			$mainframe->addMetaTag('author', $item->author);
		}

		$mdata = new JParameter($item->metadata);
		$mdata = $mdata->toArray();
		foreach ($mdata as $k => $v)
		{
			if ($v) {
				$document->setMetadata($k, $v);
			}
		}
*/
		// Absolute URL
		$uri = &JURI::getInstance();
		$item->absoluteURL = $uri->toString();
		//Email link
		$item->emailLink = JRoute::_('index.php?option=com_mailto&tmpl=component&link='.base64_encode($item->absoluteURL));
		//Social link
		$item->socialLink = urlencode($item->absoluteURL);
/*
		$modelcity	= &$this->getModel( 'city' );
		$modelcity->setId($item->city);
		$modelcity->setState('limit', 1000);
		$restoitems = $modelcity->getData();
		
		$totalrestos = 0;
		$restoList = '<ul id="menu" style="margin-bottom:10px">' . "\n";
		$restoList .= '<li><a href="#" class="drop">'.JText::_('RG_OTHER_RESTAURANTS').'</a>' . "\n";
		$restoList .= '<div class="dropdown_4columns">' . "\n";
		$i = 0;
		foreach ( $restoitems as $resto ) {
			if ($resto->id == $item->id) continue;
			$link =  JRoute::_( restaurantguideHelperRoute::getItemRoute($resto->slug));
				
			if ($resto->mainimage)
				$imagelink = JURI::base() .'images/restaurantguide/gallery/restaurant_'.$resto->id.'/scrop/' .$resto->mainimage;
			else
				$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_list.gif';

			$restoList .= '<div class="col_1" style="height:34px; overflow:hidden;">';
			if (strlen(strip_tags($resto->title)) > 22) {
				$resto->text = substr($resto->text, 0, 30);
				$resto->text = trim($hotel->text) . "...\n\n";
				$restoList .= '<p style="line-height:16px;"><a href="'.$link.'"><img src="'.$imagelink.'" width="20px" class="img_left imgshadow" align="left" alt="'.$resto->title.'" />';
			} else {
				$restoList .= '<p style="line-height:32px;"><a href="'.$link.'"><img src="'.$imagelink.'" width="20px" class="img_left imgshadow" align="left" alt="'.$resto->title.'" />';
			}
			$restoList .= JText::_($resto->title).'</a></p></div>';
				
			$i++;
			if ($i == 4) {
				$restoList .= '<div style="clear:both;"></div>' . "\n"; 
				$i = 0;
			}  
			$totalrestos++;
		} 
		$restoList .= '</div></li>' . "\n";	
		if ($user->id > 0) {
			$restoList .= '<li>'.rg_html::favoure( $item, $favoured ).'</li>' . "\n";
			$restoList .= '<li>'.rg_html::favourites().'</li>' . "\n";
		}
//		$restoList .= '<li>'.rg_html::search().'</li>' . "\n";
		$restoList .= '</ul>' . "\n";
*/		
		
		$modeltestimonial	= &$this->getModel( 'Testimonials' );
		
		$testimonials		= $modeltestimonial->getReview();
		$totaltestimonials	= $modeltestimonial->getTotalTestimonials();
		$edittestimonials	= $modeltestimonial->getEditTestimonial();
		
		if ($task == 'edit_testimonial' || $task == 'delete_testimonial')
			$cur_tab = 6;
		else
			$cur_tab = 0;
/*		
		$limit = 30;
		$minsize = 1;
		$maxsize = 10;
		$modeltag	= &$this->getModel( 'Tags' );
		$taglists	= $modeltag->getTagCloud($limit, $minsize, $maxsize);
*/		
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}
		
//		$lan = substr($lang->_lang, 0, 2);
		
		$this->assignRef('rgconf', 				$rgconf);
		$this->assignRef('document', 			$document);
		$this->assignRef('item', 				$item);
		$this->assignRef('lan' , 				$lan);
		$this->assignRef('favourites' ,			$favourites);
		$this->assignRef('favoured' ,			$favoured);
		$this->assignRef('user' , 				$user);
		$this->assignRef('params' , 			$params);
		$this->assignRef('mapdatas',			$mapdatas);
		$this->assignRef('articles',			$articles);
		$this->assignRef('galleries',			$galleries);
		$this->assignRef('options',				$options);
		$this->assignRef('menus',				$menus);
		$this->assignRef('promotions',			$promotions);
		$this->assignRef('task',				$task);
		$this->assignRef('cur_tab',				$cur_tab);
		
		$this->assignRef('totaltestimonials', 	$totaltestimonials);
		$this->assignRef('testimonials', 		$testimonials);
		$this->assignRef('edittestimonials', 	$edittestimonials);

		$this->assignRef('tags',				$tags);
/*
echo "<pre>";
echo "view=";
print_r($lan);
echo "</pre>";
*/
		parent::display($tpl);
	}

	function getViewUrl ( $id=0, $params='' )
	{
		if ( $id ) {
			$params .= '&id=' . intval( $id ) ;
		}
	  
		return JRoute::_( $params );
	}
	
	/**
	 * Creates the item submit form
	 *
	 * @since 1.0
	 */
	function _buildEditLists()
	{
		//Get the item from the model
		$item 		= & $this->get('Item');
		//get the categories tree
		$categories = restaurantguide_cats::getCategoriesTree(1);
		//get ids of selected categories (edit action)
		$selectedcats = & $this->get( 'Catsselected' );
		
		//build selectlist
		$lists = array();
		$lists['cid'] = restaurantguide_cats::buildcatselect($categories, 'cid[]', $selectedcats, false, 'class="inputbox required validate-cid" multiple="multiple" size="8"');
		
		$state = array();
		$state[] = JHTML::_('select.option',  1, JText::_( 'PUBLISHED' ) );
		$state[] = JHTML::_('select.option',  0, JText::_( 'UNPUBLISHED' ) );
		$state[] = JHTML::_('select.option',  -1, JText::_( 'ARCHIVED' ) );
		$state[] = JHTML::_('select.option',  -2, JText::_( 'PENDING' ) );
		$state[] = JHTML::_('select.option',  -3, JText::_( 'IN PROGRESS' ) );

		$lists['state'] = JHTML::_('select.genericlist', $state, 'state', '', 'value', 'text', $item->state );

		return $lists;
	}
}
?>