<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage Restaurant Guide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * Restaurant Guide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Restaurant Guide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Restaurant Guide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the Restaurant Guide View
 *
 * @package Joomla
 * @subpackage Restaurant Guide
 * @since 1.0
 */
class restaurantguideViewSearch extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		$uri 		= & JFactory::getURI();
		
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		
		$pathway =& $app->getPathway();
		
		//ordering
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
/*		$search				= JRequest::getString('search');
		$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );

		$filter_country 	= JRequest::getInt('filter_country', 0);
		$filter_states 		= JRequest::getInt('filter_states', 0);
		$filter_city 		= JRequest::getInt('filter_city', 0);
		$filter_cuisines	= JRequest::getVar('cuisine_search', array(), '', 'array');	
		$filter_atmo		= JRequest::getVar('atmo_search', array(), '', 'array');
*/
		
		// Get data from the model	
		$model 		= &$this->getModel();
		$restaurants 	= & $this->get('Data');

		$limitstart = JRequest::getInt('limitstart');
		$limit		= $app->getUserStateFromRequest('com_restaurantguide.'.$this->getLayout().'.limit', 'limit', $rgconf->search_limit, 'int');
		$total 		= & $this->get('Total');

		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		$title = JText::_('RG_SEARCH_RESTAURANT'); 

		$params->set('page_title',	$title);
		$document->setTitle( $params->get( 'page_title' ) );

		$pathway->addItem( $params->get( 'page_title' ) );
		
		/*
		* Handle the metadata for a search
		*/
/*		
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}

		*/

		$modelguide	= &$this->getModel( 'RestaurantGuide' );
		
		if ($rgconf->search_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->search_top_limit);
			
		if ($rgconf->search_desti)
			$destinations = $modelguide->getDestinations($rgconf->search_city_limit, $rgconf->search_resto_limit);
			
		if ($rgconf->search_links)
			$sponsors = $modelguide->getSponsors(4);
		
		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
//		$lists['search']			= $search;
		
		$sort_links = array();
		$sort_links[] = $this->sort('RG_POPULARITY', 'hits', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_HIGHEST_RATED', 'votes', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_NAME', 'title', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_CUISINE', 'type', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_PRICE', 'pricerange', $lists['filter_order_Dir'] , $lists['filter_order'] );

		// Create the pagination object
		jimport('joomla.html.pagination');

		$pageNav 	= new JPagination($total, $limitstart, $limit);
		
		$currentpage = 'search';
		
		$this->assignRef('rgconf', 					$rgconf);
		$this->assign('action', 					$uri->toString());	
		$this->assignRef('db', 						$db);
		$this->assignRef('params', 					$params);
		$this->assignRef('sort_links', 				$sort_links);
		$this->assignRef('currentpage', 			$currentpage);
		$this->assignRef('restaurants',	 			$restaurants);
		$this->assignRef('lists',	 				$lists);
		$this->assignRef('pageNav', 				$pageNav);
		
		$this->assignRef('topdestinations', 		$topdestinations);
		$this->assignRef('destinations', 			$destinations);
		$this->assignRef('sponsors', 				$sponsors);
/*		
		echo "<pre>";
		echo "view=";
		print_r($topdestinations);
		echo "</pre>";	
*/
		parent::display($tpl);
	}
	
	function sort( $title, $order, $direction = 'asc', $selected = 0 )
	{
		$direction	= strtolower( $direction );
		$images		= array( 'sort_asc.png', 'sort_desc.png' );
		$index		= intval( $direction == 'desc' );
		$direction	= ($direction == 'desc') ? 'asc' : 'desc';

		$html = '<a href="javascript:changeOrdering(\''.$order.'\',\''.$direction.'\');" >';
		$html .= JText::_( $title );
		if ($order == $selected ) {
			$html .= JHTML::_('image.site',  $images[$index], '/components/com_restaurantguide/assets/images/', NULL, NULL);
		}
		$html .= '</a>';
		return $html;
	}
}
?>