<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewStates extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		
		$pathway =& $app->getPathway();
		
		$cid		= JRequest::getInt('cid', 0);
		
		$model 	= &$this->getModel();
		
		$cityname = & $this->get('CityName');
		$states = & $this->get('States');	

		$a_lang = explode('-', $document->getLanguage());
		
		$model 	= &$this->getModel();
		
		$cityname = & $this->get('CityName');
		$states = & $this->get('States');	
		
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
/*		if (is_object( $menu )) {
			$menu_params = new JParameter( $menu->params );		
			
			if (!$menu_params->get( 'page_title')) {
				$params->set('page_title', $menu->name);
			}			
		} else {
			$params->set('page_title',	JText::_('RG_STATES'));
		}
*/
		$params->set('page_title', JText::sprintf('RG_RESTAURANTS_IN_S', $states->name));

		/*
		* Handle the metadata for the restaurant guide list
		*/
		$document->setTitle($params->get('page_title'));
		$document->setMetadata( 'keywords' , $params->get('page_title') );
/*
		if ($mainframe->getCfg('MetaTitle') == '1') {
			$mainframe->addMetaTag('title', $params->get('page_title'));
		}
*/				
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}


		$pathway->addItem( $params->get('page_title') );

		$modelguide	= &$this->getModel( 'restaurantguide' );
		
		if ($rgconf->states_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->states_top_limit);
			
		if ($rgconf->states_desti)
			$destinations = $modelguide->getDestinations($rgconf->states_city_limit, $rgconf->states_resto_limit);
			
		if ($rgconf->states_links)
			$sponsors = $modelguide->getSponsors(4, $states->id, 0);
		
		$currentpage = 'states';
			
		$this->assignRef('rgconf', 				$rgconf);
		$this->assignRef('db', 					$db);
		$this->assignRef('params', 				$params);
		$this->assignRef('cityname', 			$cityname);
		$this->assignRef('states', 				$states);
		$this->assignRef('topdestinations', 	$topdestinations);
		$this->assignRef('destinations', 		$destinations);
		$this->assignRef('sponsors', 			$sponsors);
		$this->assignRef('currentpage',	 		$currentpage);

/*
		echo "<pre>";
		echo "view=";
		print_r($cityname);
		echo "</pre>";
*/	
		parent::display($tpl);
	}
}
?>