<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the Tags View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewTags extends JView
{
	/**
	 * Creates the item page
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		$uri 		= & JFactory::getURI();

		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		
		$pathway =& $app->getPathway();
		
		$tid = JRequest::getInt('id', 0);
		$limitstart		= JRequest::getInt('limitstart');
		$filter			= JRequest::getString('filter');
		$limit			= JRequest::getInt('limit', $params->get('item_num'));
		
//		if ($rgconf->tag_search) {
//			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/fdSlider.js');	
			
			$search				= JRequest::getString('search');
			$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );
	
			$filter_country 	= JRequest::getInt('filter_country', 0);
			$filter_states 		= JRequest::getInt('filter_states', 0);
			$filter_city 		= JRequest::getInt('filter_city', 0);
			$filter_cuisines	= JRequest::getVar('cuisine_search', array(), '', 'array');	
			$filter_atmo		= JRequest::getVar('atmo_search', array(), '', 'array');
			
			$this->assignRef('filter_country',	 	$filter_country);
			$this->assignRef('filter_states',	 	$filter_states);
			$this->assignRef('filter_city',	 		$filter_city);
			$this->assignRef('filter_atmo',	 		$filter_atmo);
			$this->assignRef('filter_cuisines',	 	$filter_cuisines);
//		}
		
		$model	= &$this->getModel();
		$items 	= & $this->get('Data');
        $tag	= & $this->get('Tag');
        $total 	= & $this->get('Total');
		$alltags		= $model->getAlltags(6, 30);
		$counttags 		= $model->getLimitTags(6, 150);

        
		//params
		$params->set( 'page_title', JText::_('RG_RESTAURANTS_WITH_TAG').': '.$tag->name);

		$document->setTitle(JText::_('RG_RESTAURANTS_WITH_TAG').': '.$tag->name);
		
		//pathway		
		$pathway->addItem( JText::_('RG_RESTAURANTS_WITH_TAG').': '.$tag->name );

//		$mainframe->addMetaTag('title', JText::_('RG_RESTAURANTS_WITH_TAG').': '.$tag->name);
		
		//Set Page title
//		if (!$item->name) {
//			$document->setTitle(JText::_('RESTAURANTS WITH TAG').': '.$tag->name);
			$document->setMetadata( 'keywords' , $params->get('page_title') );
//		}
		
		$modelguide	= &$this->getModel( 'restaurantguide' );
		
		if ($rgconf->tag_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->tag_top_limit);
		if ($rgconf->tag_desti)
			$destinations = $modelguide->getDestinations($rgconf->tag_city_limit, $rgconf->tag_resto_limit);
			
        //ordering
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
		
		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		$lists['search']			= $search;
		
		$max = (int)$alltags[0];
		$min = (int)$alltags[sizeof($alltags)-1];
		
		$minsize 	= 1;
		$maxsize 	= 10;
		
		$i = 0;
		$taglists	= array();
		foreach ( $counttags as $subtag )
		{	
			$taglists[$i]->size 			= $this->sizer($min, $max, $subtag->no, $minsize, $maxsize);
			$taglists[$i]->name 			= $subtag->name.'&nbsp;&nbsp;';
			$taglists[$i]->screenreader		= JText::sprintf('NR_ITEMS_TAGGED', $subtag->no);
			$taglists[$i]->link 			= JRoute::_(restaurantguideHelperRoute::getTagRoute($subtag->slug));
			$i++;
		}
		
		$sort_links = array();
		$sort_links[] = $this->sort('RG_POPULARITY', 'hits', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_HIGHEST_RATED', 'votes', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_NAME', 'title', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_CUISINE', 'type', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_PRICE', 'price', $lists['filter_order_Dir'] , $lists['filter_order'] );
		
		$modelguide	= &$this->getModel( 'restaurantguide' );
		
		if ($rgconf->tag_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->tag_top_limit);
			
		if ($rgconf->tag_desti)
			$destinations = $modelguide->getDestinations($rgconf->tag_city_limit, $rgconf->tag_resto_limit);
					
		if ($rgconf->tag_links)
			$sponsors = $modelguide->getSponsors(4);
			
		// Create the pagination object
		jimport('joomla.html.pagination');
		
		$pageNav 	= new JPagination($total, $limitstart, $limit);
		
		$currentpage = 'tag';
		
		$this->assign('action', 					$uri->toString());
		$this->assignRef('items', 					$items);
		$this->assignRef('db', 						$db);
		$this->assignRef('tag', 					$tag);
		$this->assignRef('alltags' , 				$alltags);
		$this->assignRef('taglists',				$taglists);
		$this->assignRef('params', 					$params);
		$this->assignRef('pageNav', 				$pageNav);
		$this->assignRef('lists',	 				$lists);
		$this->assignRef('sort_links', 				$sort_links);
		$this->assignRef('rgconf',	 				$rgconf);
		$this->assignRef('destinations',	 		$destinations);
		$this->assignRef('topdestinations', 		$topdestinations);
		$this->assignRef('sponsors', 				$sponsors);
		$this->assignRef('currentpage', 			$currentpage);
/*
		echo "<pre>";
		echo "view=";
		print_r($items);
		echo "</pre>";
*/		
		parent::display($tpl);

	}
	
	function sizer($min, $max, $no, $minsize, $maxsize)
	{		
		$spread = $max - $min;
		if (0 == $spread) {
	   		$spread = 1;
		}

		$step = ($maxsize - $minsize) / $spread;

    	$size = $minsize + (($no - $min) * $step);
		$size = ceil($size);
		
		if ($size > $maxsize)
			$size = $maxsize;
			
		return $size;
	}
	
	function sort( $title, $order, $direction = 'asc', $selected = 0 )
	{
		$direction	= strtolower( $direction );
		$images		= array( 'sort_asc.png', 'sort_desc.png' );
		$index		= intval( $direction == 'desc' );
		$direction	= ($direction == 'desc') ? 'asc' : 'desc';

		$html = '<a href="javascript:changeOrdering(\''.$order.'\',\''.$direction.'\');" >';
		$html .= JText::_( $title );
		if ($order == $selected ) {
			$html .= JHTML::_('image.site',  $images[$index], '/components/com_restaurantguide/assets/images/', NULL, NULL);
		}
		$html .= '</a>';
		return $html;
	}
}
?>