<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewTestimonial extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		
		$pathway =& $app->getPathway();

		$cid		= JRequest::getInt('id', 0);
		
		// Request variables
		$limitstart		= JRequest::getInt('limitstart');
	
		// Get data from the model	
		$model 		= &$this->getModel();
		$review 	= & $this->get('Testimonial');
		$reviews 	= & $this->get('Testimonials');
		$total 		= count($reviews);
		$limit		= $app->getUserStateFromRequest('com_restaurantguide.'.$this->getLayout().'.limit', 'limit', $rgconf->maxlist, 'int');
/*		$children 	= & $this->get('Data');

		//pathway
		$pathway 	= & $mainframe->getPathWay();
		if ($review)
			$pathway->addItem( $this->escape($review->title), JRoute::_('index.php?view=testimonial&id='.$review->slug));

		if ($review) {
			if ($review->id > 0) {
				$nextReview = $model->getNextReview($review->id, $review->ordering);
				if ($nextReview)
					$nextReview->nextLink = urldecode(JRoute::_(restaurantguideHelperRoute::getTestimonialRoute(urlencode($nextReview->slug))));
				$prevReview = $model->getPreviousReview($review->id, $review->ordering);
				if ($prevReview)
					$prevReview->prevLink = urldecode(JRoute::_(restaurantguideHelperRoute::getTestimonialRoute(urlencode($prevReview->slug))));
				// Absolute URL
				$review->absoluteURL = $uri->_uri;
				//Email link
				$review->emailLink = JRoute::_('index.php?option=com_mailto&tmpl=component&link='.base64_encode($review->absoluteURL));
				//Social link
				$review->socialLink = urlencode($review->absoluteURL);
			}
		}
*/		

		if ($review) {
			if ($review->title)
				$params->set('page_title', $review->title);
		} else {		
			$params->set('page_title', JText::_('RG_REVIEW'));
		}

		$pathway->addItem( $params->get('page_title') );
		
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}

		//ordering
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
		$filter				= JRequest::getString('filter');

		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		$lists['filter']			= $filter;
		
		$modelguide	= &$this->getModel( 'restaurantguide' );
		if ($rgconf->world_desti)
			$destinations = $modelguide->getDestinations($rgconf->world_city_limit, $rgconf->world_resto_limit);
		
		if ($rgconf->world_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->world_top_limit);
			
		if ($rgconf->world_links)
			$sponsors = $modelguide->getSponsors(4);
			
		// Create the pagination object
		jimport('joomla.html.pagination');

		$pageNav 	= new JPagination($total, $limitstart, $limit);

		$currentpage = 'testimonial';
		
		$this->assignRef('rgconf', 					$rgconf);
		$this->assignRef('params' , 				$params);
		$this->assignRef('review', 					$review);
		$this->assignRef('reviews', 				$reviews);
		$this->assignRef('total', 					$total);
				
		$this->assignRef('pageNav', 				$pageNav);
		$this->assignRef('lists',	 				$lists);
		$this->assignRef('parents',	 				$parents);
		$this->assignRef('prevReview',				$prevReview);
		$this->assignRef('nextReview',				$nextReview);
		
		$this->assignRef('topdestinations', 	$topdestinations);
		$this->assignRef('destinations', 		$destinations);
		$this->assignRef('sponsors', 			$sponsors);
		$this->assignRef('currentpage', 		$currentpage);
/*
		echo "<pre>";
		echo "view=";
		print_r($review);
		echo "</pre>";	
*/
		parent::display($tpl);
	}
}
?>