<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2011 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewType extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $rgconf;

		//initialize variables
		$app 		= JFactory::getApplication('site');
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= $app->getMenu();
		$menu		= $menus->getActive();
		
		$params 	= $app->getParams();
		$menu_params =  & $app->getParams();
		
		$pathway =& $app->getPathway();
		
//		$cid		= JRequest::getInt('cid', 0);
		
		$model 	= &$this->getModel();
		$types = & $this->get('Types');
		$restaurants = & $this->get('Data');
		
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');

		// Request variables
		$limitstart = JRequest::getInt('limitstart');
		$limit		= $app->getUserStateFromRequest('com_restaurantguide.'.$this->getLayout().'.limit', 'limit', $params->def('limit', 0), 'int');
		$total 		= & $this->get('Total');
/*		
		//	don't use default page title or titile from the menu item
//		$params->set('page_title',JText::_('HOTELS IN').'&nbsp;'.$city->name);
		if ($city->meta_title)
			$params->set('page_title', $city->meta_title);
		else
			$params->set('page_title', JText::sprintf('RG_RESTAURANTS_IN', $city->name));

		$document->setTitle($params->get('page_title'));
		
		if ($city->meta_description) {
			$document->setDescription( $city->meta_description );
		}
		if ($city->meta_keywords) {
			$document->setMetadata('keywords', $city->meta_keywords);
		}

		$mainframe->addMetaTag('title', $city->meta_title);
		
				
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}

		$params->set('page_title', JText::sprintf('RG_RESTAURANTS_IN', $city->name));
		$pathway =& $mainframe->getPathway();
		$pathway->addItem( $params->get('page_title') );
*/
		
		$modelguide	= &$this->getModel( 'restaurantguide' );
		if ($rgconf->world_desti)
			$destinations = $modelguide->getDestinations($rgconf->world_city_limit, $rgconf->world_resto_limit);
		
		if ($rgconf->world_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->world_top_limit);
			
		if ($rgconf->world_links)
			$sponsors = $modelguide->getSponsors($rgconf->no_sponsorrow);
			
		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		
		$sort_links = array();
		$sort_links[] = $this->sort('RG_POPULARITY', 'hits', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_HIGHEST_RATED', 'votes', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_NAME', 'title', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_CUISINE', 'type', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('RG_PRICE', 'price', $lists['filter_order_Dir'] , $lists['filter_order'] );
		
		// Create the pagination object
		jimport('joomla.html.pagination');

		$pageNav 	= new JPagination($total, $limitstart, $limit);
		
		$currentpage = 'type';
		
		$this->assignRef('rgconf', 				$rgconf);
		$this->assignRef('db', 					$db);
		$this->assignRef('params', 				$params);
		$this->assignRef('lists',	 			$lists);
		$this->assignRef('types', 				$types);
		$this->assignRef('restaurants', 		$restaurants);
		$this->assignRef('sort_links', 			$sort_links);
		$this->assignRef('pageNav', 			$pageNav);
		$this->assignRef('topdestinations', 	$topdestinations);
		$this->assignRef('destinations', 		$destinations);
		$this->assignRef('sponsors', 			$sponsors);
		$this->assignRef('currentpage', 		$currentpage);
/*
		echo "<pre>";
		echo "view=";
		print_r($restaurants);
		echo "</pre>";
*/
		parent::display($tpl);
	}
	
	function sort( $title, $order, $direction = 'asc', $selected = 0 )
	{
		$direction	= strtolower( $direction );
		$images		= array( 'sort_asc.png', 'sort_desc.png' );
		$index		= intval( $direction == 'desc' );
		$direction	= ($direction == 'desc') ? 'asc' : 'desc';

		$html = '<a href="javascript:changeOrdering(\''.$order.'\',\''.$direction.'\');" >';
		$html .= JText::_( $title );
		if ($order == $selected ) {
			$html .= JHTML::_('image.site',  $images[$index], '/components/com_restaurantguide/assets/images/', NULL, NULL);
		}
		$html .= '</a>';
		return $html;
	}
}
?>