DROP TABLE IF EXISTS 
`#__rg_admanagers`,
`#__rg_adtypes`,
`#__rg_callus`,
`#__rg_chains`,
`#__rg_checklists`,
`#__rg_cities`,
`#__rg_continents`,
`#__rg_countries`,
`#__rg_cuisines`,
`#__rg_currency`,
`#__rg_events`,
`#__rg_facilities`,
`#__rg_favourites`,
`#__rg_galleryitems`,
`#__rg_links`,
`#__rg_menus`,
`#__rg_menus_item_relations`,
`#__rg_promotions`,
`#__rg_recipes`,
`#__rg_restaurantitems`,
`#__rg_restauranttypes`,
`#__rg_restaurateurs`,
`#__rg_settings`,
`#__rg_specialoffers`,
`#__rg_states`,
`#__rg_tags`,
`#__rg_tags_item_relations`,
`#__rg_testimonial`;



CREATE TABLE IF NOT EXISTS `#__rg_admanagers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `adtypeid` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `resto` int(11) NOT NULL,
  `adunit` tinyint(1) NOT NULL,
  `sdate` date NOT NULL,
  `edate` date NOT NULL,
  `url` varchar(255) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_adtypes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `price` int(11) NOT NULL,
  `currency` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `access` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_callus` (
  `id` int(1) NOT NULL,
  `tollfree` varchar(50) NOT NULL,
  `international` varchar(50) NOT NULL,
  `intro` text NOT NULL,
  `rssurl` varchar(255) NOT NULL,
  `facebookurl` varchar(255) NOT NULL,
  `twitterurl` varchar(255) NOT NULL,
  `emailurl` varchar(255) NOT NULL,
  `region` text NOT NULL,
  `phone` text NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_chains` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `searchfilter` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_checklists` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` mediumtext NOT NULL,
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `checked_out` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_cities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `states` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `destination` int(11) NOT NULL,
  `image` varchar(255) NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `titleimage` varchar(255) NOT NULL,
  `titleimagewidth` int(11) NOT NULL,
  `titleimageheight` int(11) NOT NULL,
  `lat` varchar(20) NOT NULL,
  `lon` varchar(20) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_continents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `alias` varchar(100) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `image` varchar(255) NOT NULL,
  `imagewidth` int(4) NOT NULL,
  `imageheight` int(4) NOT NULL,
  `titleimage` varchar(255) NOT NULL,
  `titleimagewidth` int(11) NOT NULL,
  `titleimageheight` int(11) NOT NULL,
  `lat` varchar(15) NOT NULL,
  `lon` varchar(15) NOT NULL,
  `zoom` int(2) NOT NULL,
  `maptype` varchar(15) NOT NULL,
  `mapheight` int(4) NOT NULL,
  `description` text NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_countries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `alias` varchar(100) NOT NULL,
  `code_1` char(3) DEFAULT NULL,
  `code_2` char(2) DEFAULT NULL,
  `continent` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `image` varchar(255) NOT NULL,
  `imagewidth` int(4) NOT NULL,
  `imageheight` int(4) NOT NULL,
  `titleimage` varchar(255) NOT NULL,
  `titleimagewidth` int(11) NOT NULL,
  `titleimageheight` int(11) NOT NULL,
  `lat` varchar(15) NOT NULL,
  `lon` varchar(15) NOT NULL,
  `description` text NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_description` mediumtext NOT NULL,
  `meta_keywords` mediumtext NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_country_name` (`name`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_cuisines` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  `description` text NOT NULL,
  `atmosphere` tinyint(1) NOT NULL,
  `search` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_currency` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL,
  `code` char(3) DEFAULT NULL,
  `countrycode_1` char(3) NOT NULL,
  `symbol` varchar(5) NOT NULL,
  `decimals` tinyint(1) NOT NULL,
  `decimalsymbol` varchar(1) NOT NULL,
  `separator` varchar(1) NOT NULL,
  `format` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_events` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET latin1 NOT NULL,
  `resto` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `lat` varchar(20) CHARACTER SET latin1 NOT NULL,
  `lon` varchar(20) CHARACTER SET latin1 NOT NULL,
  `zoom` int(2) NOT NULL,
  `maptype` varchar(20) CHARACTER SET latin1 NOT NULL,
  `description` text CHARACTER SET latin1 NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_keywords` text CHARACTER SET latin1 NOT NULL,
  `meta_description` text CHARACTER SET latin1 NOT NULL,
  `image` varchar(255) CHARACTER SET latin1 NOT NULL,
  `image_size` int(11) NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `startdates` date NOT NULL DEFAULT '0000-00-00',
  `enddates` date NOT NULL DEFAULT '0000-00-00',
  `tabtitle` varchar(255) CHARACTER SET latin1 NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL,
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(11) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_facilities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` mediumtext NOT NULL,
  `description` mediumtext NOT NULL,
  `pictogram` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `checked_out` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_favourites` (
  `id` int(11) NOT NULL auto_increment,
  `itemid` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`,`itemid`,`userid`),
  KEY `id` (`id`),
  KEY `itemid` (`itemid`),
  KEY `userid` (`userid`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_galleryitems` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `continent` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `resto` int(11) NOT NULL,
  `description` mediumtext NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `slideshow` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_links` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `country` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `resto` int(11) unsigned NOT NULL,
  `contentid` int(11) unsigned NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_menus` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `country` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `resto` int(11) NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `meta_description` text NOT NULL,
  `image` varchar(255) NOT NULL DEFAULT '',
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `backimage` varchar(255) NOT NULL,
  `backimagewidth` int(11) NOT NULL,
  `backimageheight` int(11) NOT NULL,
  `transparency` int(11) NOT NULL,
  `price` decimal(10,2) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(11) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_promotions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `resto` int(11) NOT NULL,
  `description` text NOT NULL,
  `startdates` date NOT NULL,
  `enddates` date NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `slideshow` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_recipes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `title` varchar(256) NOT NULL,
  `alias` varchar(256) NOT NULL,
  `description` text NOT NULL,
  `ingredients` text NOT NULL,
  `methods` text NOT NULL,
  `meta_keywords` varchar(256) NOT NULL,
  `meta_description` varchar(256) NOT NULL,
  `image` varchar(256) NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `hits` int(11) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_restaurantitems` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `mainimage` varchar(255) NOT NULL DEFAULT '',
  `logoimage` varchar(255) NOT NULL,
  `imagewidth` int(11) unsigned NOT NULL,
  `imageheight` int(11) unsigned NOT NULL,
  `address` varchar(255) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `zipcode` varchar(20) NOT NULL,
  `phone` varchar(50) NOT NULL,
  `fax` varchar(50) NOT NULL,
  `businesshr` varchar(100) NOT NULL,
  `holiday` varchar(100) NOT NULL,
  `seats` varchar(100) NOT NULL,
  `payment` varchar(255) NOT NULL,
  `language` varchar(255) NOT NULL,
  `chain` int(11) NOT NULL,
  `diningstyle` varchar(255) NOT NULL,
  `executivechef` varchar(100) NOT NULL,
  `parking` varchar(255) NOT NULL,
  `parkingdetails` varchar(255) NOT NULL,
  `additionaldetails` mediumtext NOT NULL,
  `dresscode` varchar(255) NOT NULL,
  `currency` int(11) NOT NULL,
  `pricerange` tinyint(1) NOT NULL,
  `catering` mediumtext NOT NULL,
  `privateparty` mediumtext NOT NULL,
  `roominfo` varchar(60) NOT NULL,
  `seating` varchar(20) NOT NULL,
  `alternatives` text NOT NULL,
  `branches` mediumtext NOT NULL,
  `rate` int(11) DEFAULT '0',
  `rate_sum` int(11) DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `post_hits` int(11) NOT NULL,
  `version` int(11) unsigned NOT NULL,
  `booking` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `urldata` text NOT NULL,
  `meta_title` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `meta_description` text NOT NULL,
  `metadata` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` text NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) unsigned NOT NULL DEFAULT '0',
  `attribs` text NOT NULL,
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) DEFAULT '0',
  `tid` int(11) unsigned NOT NULL DEFAULT '0',
  `gid` int(11) NOT NULL DEFAULT '0',
  `featured` tinyint(1) NOT NULL DEFAULT '0',
  `bookingtime` mediumtext NOT NULL,
  `facilities` text NOT NULL,
  `cuisines` text NOT NULL,
  `atmos` text NOT NULL,
  `checklists` text NOT NULL,
  `menus` text NOT NULL,
  `menu_desc` text NOT NULL,
  `service` text NOT NULL,
  `activity` text NOT NULL,
  `introduction` text NOT NULL,
  `eat` text NOT NULL,
  `drink` text NOT NULL,
  `price` text NOT NULL,
  `promotions` text NOT NULL,
  `venue` mediumtext NOT NULL,
  `lat` varchar(100) NOT NULL,
  `lon` varchar(100) NOT NULL,
  `slideshow` tinyint(1) NOT NULL,
  `slideshowposition` tinyint(1) NOT NULL,
  `slideshowfloat` tinyint(1) NOT NULL,
  `slideshowwidth` varchar(10) NOT NULL,
  `slideshowheight` varchar(10) NOT NULL,
  `infoheight` int(11) NOT NULL,
  `delay` int(11) NOT NULL,
  `contact` text NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_restauranttypes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `image` varchar(255) NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `access` int(11) NOT NULL,
  `description` mediumtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_restaurateurs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `restolimit` int(11) NOT NULL,
  `contacttitle` varchar(50) NOT NULL,
  `firstname` varchar(50) NOT NULL,
  `lastname` varchar(50) NOT NULL,
  `salutation` tinyint(1) NOT NULL,
  `r_firstname` varchar(50) NOT NULL,
  `r_lastname` varchar(50) NOT NULL,
  `r_salutation` tinyint(1) NOT NULL,
  `m_firstname` varchar(50) NOT NULL,
  `m_lastname` varchar(50) NOT NULL,
  `m_salutation` tinyint(1) NOT NULL,
  `a_firstname` varchar(50) NOT NULL,
  `a_lastname` varchar(50) NOT NULL,
  `a_salutation` tinyint(1) NOT NULL,
  `address` varchar(255) NOT NULL,
  `address2` varchar(100) NOT NULL,
  `city` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `postcode` varchar(10) NOT NULL,
  `mobile` varchar(60) NOT NULL,
  `phone` varchar(30) NOT NULL,
  `fax` varchar(30) NOT NULL,
  `email` varchar(255) NOT NULL,
  `r_phone` varchar(30) NOT NULL,
  `r_fax` varchar(30) NOT NULL,
  `r_email` varchar(50) NOT NULL,
  `m_phone` varchar(30) NOT NULL,
  `m_fax` varchar(30) NOT NULL,
  `m_email` varchar(50) NOT NULL,
  `a_phone` varchar(30) NOT NULL,
  `a_fax` varchar(30) NOT NULL,
  `a_email` varchar(50) NOT NULL,
  `web` varchar(255) NOT NULL,
  `photo` varchar(255) NOT NULL,
  `desc` text NOT NULL,
  `show` tinyint(1) NOT NULL DEFAULT '0',
  `need_approval` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_settings` (
  `id` int(11) NOT NULL,
  `frontpage` tinyint(1) NOT NULL,
  `siteslogan` mediumtext NOT NULL,
  `showintrotext` tinyint(1) NOT NULL,
  `introdescription` text NOT NULL,
  `titleimage` varchar(255) NOT NULL,
  `titleimagewidth` int(11) NOT NULL,
  `titleimageheight` int(11) NOT NULL,
  `pdf_icon` tinyint(1) NOT NULL,
  `print_icon` tinyint(1) NOT NULL,
  `api_key` varchar(255) NOT NULL,
  `lat` varchar(20) NOT NULL,
  `lon` varchar(20) NOT NULL,
  `zoom` int(2) NOT NULL,
  `maptype` varchar(20) NOT NULL,
  `mapheight` int(5) NOT NULL,
  `logoimage` varchar(255) NOT NULL,
  `logowidth` int(5) NOT NULL,
  `logoheight` int(5) NOT NULL,
  `googlethumb_width` int(11) NOT NULL,
  `map_adsense` tinyint(1) NOT NULL,
  `map_publisher_id` varchar(30) NOT NULL,
  `map_ad_slot` varchar(20) NOT NULL,
  `currencyformat` tinyint(1) NOT NULL,
  `currency` int(11) NOT NULL,
  `panelcolor` varchar(10) NOT NULL,
  `mainimage_size` int(11) NOT NULL,
  `mainthumb_size` int(11) NOT NULL,
  `slide_width` int(11) NOT NULL,
  `slide_height` int(11) unsigned NOT NULL,
  `gall_thumb_width` int(11) NOT NULL,
  `max_upload_size` int(11) NOT NULL,
  `box` varchar(20) NOT NULL,
  `menubarcolorone` varchar(10) NOT NULL,
  `menubarcolortwo` varchar(10) NOT NULL,
  `titlecolor` varchar(10) NOT NULL,
  `restotypecolor` varchar(10) NOT NULL,
  `bordercolor` varchar(10) NOT NULL,
  `backcolor_box` varchar(10) NOT NULL,
  `linecolor_box` varchar(10) NOT NULL,
  `cuisineboxcolor` varchar(10) NOT NULL,
  `cuisinebordercolor` varchar(10) NOT NULL,
  `offercolor` varchar(10) NOT NULL,
  `listheight_resto` int(11) NOT NULL,
  `max_char_restaurant` int(11) NOT NULL,
  `world_slogan` varchar(255) NOT NULL,
  `world_slidewidth` int(11) NOT NULL,
  `world_slideheight` int(11) NOT NULL,
  `world_infoheight` int(11) NOT NULL,
  `world_delay` int(11) NOT NULL,
  `world_menu` tinyint(1) NOT NULL,
  `world_links` tinyint(1) NOT NULL,
  `world_adsense` tinyint(1) NOT NULL,
  `world_publisher_id` varchar(30) NOT NULL,
  `world_ad_slot` varchar(20) NOT NULL,
  `world_ad_width` int(11) NOT NULL,
  `world_ad_height` int(11) NOT NULL,
  `world_topdesti` tinyint(1) NOT NULL,
  `world_top_limit` int(11) NOT NULL,
  `world_top_color` varchar(10) NOT NULL,
  `world_top_border` varchar(10) NOT NULL,
  `world_desti` tinyint(1) NOT NULL,
  `world_city_limit` int(11) NOT NULL,
  `world_resto_limit` int(11) NOT NULL,
  `conti_slidewidth` int(11) NOT NULL,
  `conti_slideheight` int(11) NOT NULL,
  `conti_infoheight` int(11) NOT NULL,
  `conti_delay` int(11) NOT NULL,
  `conti_menu` tinyint(1) NOT NULL,
  `conti_links` tinyint(1) NOT NULL,
  `conti_adsense` tinyint(1) NOT NULL,
  `conti_publisher_id` varchar(30) NOT NULL,
  `conti_ad_slot` varchar(20) NOT NULL,
  `conti_ad_width` int(11) NOT NULL,
  `conti_ad_height` int(11) NOT NULL,
  `conti_topdesti` tinyint(1) NOT NULL,
  `conti_top_limit` int(11) NOT NULL,
  `conti_top_color` varchar(10) NOT NULL,
  `conti_top_border` varchar(10) NOT NULL,
  `conti_desti` tinyint(1) NOT NULL,
  `conti_city_limit` int(11) NOT NULL,
  `conti_resto_limit` int(11) NOT NULL,
  `country_slidewidth` int(11) NOT NULL,
  `country_slideheight` int(11) NOT NULL,
  `country_infoheight` int(11) NOT NULL,
  `country_delay` int(11) NOT NULL,
  `country_menu` tinyint(1) NOT NULL,
  `country_links` tinyint(1) NOT NULL,
  `country_adsense` tinyint(1) NOT NULL,
  `country_publisher_id` varchar(30) NOT NULL,
  `country_ad_slot` varchar(20) NOT NULL,
  `country_ad_width` int(11) NOT NULL,
  `country_ad_height` int(11) NOT NULL,
  `country_topdesti` tinyint(1) NOT NULL,
  `country_top_limit` int(11) NOT NULL,
  `country_top_color` varchar(10) NOT NULL,
  `country_top_border` varchar(10) NOT NULL,
  `country_desti` tinyint(1) NOT NULL,
  `country_city_limit` int(11) NOT NULL,
  `country_resto_limit` int(11) NOT NULL,
  `states_showslide` tinyint(1) NOT NULL,
  `states_slidewidth` varchar(10) NOT NULL,
  `states_slideheight` varchar(10) NOT NULL,
  `states_infoheight` int(11) NOT NULL,
  `states_delay` int(11) NOT NULL,
  `states_menu` tinyint(1) NOT NULL,
  `states_links` tinyint(1) NOT NULL,
  `states_adsense` tinyint(1) NOT NULL,
  `states_publisher_id` varchar(30) NOT NULL,
  `states_ad_slot` varchar(20) NOT NULL,
  `states_ad_width` int(11) NOT NULL,
  `states_ad_height` int(11) NOT NULL,
  `states_topdesti` tinyint(1) NOT NULL,
  `states_top_limit` int(11) NOT NULL,
  `states_top_color` varchar(10) NOT NULL,
  `states_top_border` varchar(10) NOT NULL,
  `states_desti` tinyint(1) NOT NULL,
  `states_city_limit` int(11) NOT NULL,
  `states_resto_limit` int(11) NOT NULL,
  `city_slidewidth` int(11) NOT NULL,
  `city_slideheight` int(11) NOT NULL,
  `city_infoheight` int(11) NOT NULL,
  `city_delay` int(11) NOT NULL,
  `city_menu` tinyint(1) NOT NULL,
  `city_links` tinyint(1) NOT NULL,
  `city_adsense` tinyint(1) NOT NULL,
  `city_publisher_id` varchar(30) NOT NULL,
  `city_ad_slot` varchar(20) NOT NULL,
  `city_ad_width` int(11) NOT NULL,
  `city_ad_height` int(11) NOT NULL,
  `city_topdesti` tinyint(1) NOT NULL,
  `city_top_limit` int(11) NOT NULL,
  `city_top_color` varchar(10) NOT NULL,
  `city_top_border` varchar(10) NOT NULL,
  `city_desti` tinyint(1) NOT NULL,
  `city_city_limit` int(11) NOT NULL,
  `city_resto_limit` int(11) NOT NULL,
  `search_menu` tinyint(1) NOT NULL,
  `search_links` tinyint(1) NOT NULL,
  `search_adsense` tinyint(1) NOT NULL,
  `search_publisher_id` varchar(30) NOT NULL,
  `search_ad_slot` varchar(20) NOT NULL,
  `search_ad_width` int(11) NOT NULL,
  `search_ad_height` int(11) NOT NULL,
  `search_limit` int(11) NOT NULL,
  `search_topdesti` tinyint(1) NOT NULL,
  `search_top_limit` int(11) NOT NULL,
  `search_top_color` varchar(10) NOT NULL,
  `search_top_border` varchar(10) NOT NULL,
  `search_desti` tinyint(1) NOT NULL,
  `search_city_limit` int(11) NOT NULL,
  `search_resto_limit` int(11) NOT NULL,
  `mainbackcolor` varchar(10) NOT NULL,
  `mainbordercolor` varchar(10) NOT NULL,
  `maintitlecolor` varchar(10) NOT NULL,
  `mainrestotypecolor` varchar(10) NOT NULL,
  `resto_menu` tinyint(1) NOT NULL,
  `rating` tinyint(1) NOT NULL,
  `weather` tinyint(1) NOT NULL,
  `wboxcolor` varchar(10) NOT NULL,
  `wbordercolor` varchar(10) NOT NULL,
  `reservation` tinyint(1) NOT NULL,
  `faceshare` tinyint(1) NOT NULL,
  `facelike` tinyint(1) NOT NULL,
  `twitter` tinyint(1) NOT NULL,
  `plusone` tinyint(1) NOT NULL,
  `linkedin` tinyint(1) NOT NULL,
  `social` tinyint(1) NOT NULL,
  `showtags` tinyint(1) NOT NULL,
  `showficon` tinyint(1) NOT NULL,
  `resto_adsense` tinyint(1) NOT NULL,
  `resto_publisher_id` varchar(30) NOT NULL,
  `resto_ad_slot` varchar(20) NOT NULL,
  `resto_ad_width` int(11) NOT NULL,
  `resto_ad_height` int(11) NOT NULL,
  `tag_menu` tinyint(1) NOT NULL,
  `tag_links` tinyint(1) NOT NULL,
  `tag_adsense` tinyint(1) NOT NULL,
  `tag_publisher_id` varchar(30) NOT NULL,
  `tag_ad_slot` varchar(20) NOT NULL,
  `tag_ad_width` int(11) NOT NULL,
  `tag_ad_height` int(11) NOT NULL,
  `tag_topdesti` tinyint(1) NOT NULL,
  `tag_top_limit` int(11) NOT NULL,
  `tag_top_color` varchar(10) NOT NULL,
  `tag_top_border` varchar(10) NOT NULL,
  `tag_desti` tinyint(1) NOT NULL,
  `tag_city_limit` int(11) NOT NULL,
  `tag_resto_limit` int(11) NOT NULL,
  `max_char_resto` int(11) NOT NULL,
  `facilityicon` tinyint(1) NOT NULL,
  `showrestotype` tinyint(1) NOT NULL,
  `showhit` tinyint(1) NOT NULL,
  `showtag` tinyint(1) NOT NULL,
  `showrating` tinyint(1) NOT NULL,
  `showfearued` tinyint(1) NOT NULL,
  `restos` tinyint(1) NOT NULL,
  `maxeventlist` int(11) NOT NULL,
  `autoplay` tinyint(1) NOT NULL,
  `delay` int(11) NOT NULL,
  `maxlist` int(11) NOT NULL,
  `listheight_des` int(11) NOT NULL,
  `max_char_des` int(11) NOT NULL,
  `eventlinks` int(11) NOT NULL,
  `no_sponsorrow` int(11) NOT NULL,
  `colm_no` int(11) NOT NULL,
  `height_box` int(11) NOT NULL,
  `favcolor_box` varchar(10) NOT NULL,
  `favlinecolor_box` varchar(10) NOT NULL,
  `conversionguide` text NOT NULL,
  `minprice` decimal(6,2) NOT NULL,
  `normalprice` decimal(6,2) NOT NULL,
  `hiprice` decimal(6,2) NOT NULL,
  `pricedesc` mediumtext NOT NULL,
  `sponsor` text NOT NULL,
  `registerintro` text NOT NULL,
  `registerlogo` varchar(255) NOT NULL,
  `registerlogowidth` int(11) NOT NULL,
  `registerlogoheight` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_specialoffers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `country` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `resto` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `maxpeople` int(4) NOT NULL,
  `include` varchar(60) NOT NULL,
  `exclude` varchar(60) NOT NULL,
  `startdates` date NOT NULL,
  `enddates` date NOT NULL,
  `description` varchar(255) NOT NULL,
  `available_i` varchar(255) NOT NULL,
  `available_ii` varchar(255) NOT NULL,
  `available_iii` varchar(255) NOT NULL,
  `available_iiii` varchar(255) NOT NULL,
  `available_iiiii` varchar(255) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_states` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `alias` varchar(255) NOT NULL,
  `code_1` char(3) DEFAULT NULL,
  `code_2` char(2) DEFAULT NULL,
  `published` tinyint(1) NOT NULL,
  `image` varchar(255) NOT NULL,
  `imagewidth` int(4) NOT NULL,
  `imageheight` int(4) NOT NULL,
  `titleimage` varchar(255) NOT NULL,
  `titleimagewidth` int(11) NOT NULL,
  `titleimageheight` int(11) NOT NULL,
  `lat` varchar(15) NOT NULL,
  `lon` varchar(15) NOT NULL,
  `description` text NOT NULL,
  `meta_title` varchar(256) NOT NULL,
  `meta_description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code_1` (`country`,`code_1`),
  UNIQUE KEY `code_2` (`country`,`code_2`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `userid` int(11) NOT NULL,
  `type` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_tags_item_relations` (
  `tid` int(11) NOT NULL DEFAULT '0',
  `itemid` int(11) NOT NULL DEFAULT '0',
  `country` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `states` int(11) NOT NULL,
  `recipe` int(11) NOT NULL,
  PRIMARY KEY  (`tid`,`itemid`),
  KEY `tid` (`tid`),
  KEY `itemid` (`itemid`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_testimonial` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL DEFAULT '0',
  `post_id` int(11) NOT NULL COMMENT 'restaurant_post_id',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `date` datetime NOT NULL,
  `update` datetime DEFAULT NULL,
  `service` int(11) NOT NULL,
  `food` int(11) NOT NULL,
  `ambience` int(11) NOT NULL,
  `location` int(11) NOT NULL,
  `value` int(11) NOT NULL,
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;



INSERT IGNORE INTO `#__rg_adtypes` VALUES
(1, 'Front Page', 100, 157, 1, 0, '0000-00-00 00:00:00', 0),
(2, 'Destinations', 50, 157, 1, 0, '2011-09-05 05:38:36', 0),
(3, 'Top Destination', 50, 157, 1, 0, '0000-00-00 00:00:00', 0),
(4, 'Sponsor Links', 120, 157, 1, 0, '0000-00-00 00:00:00', 0),
(5, 'Right Banner', 30, 157, 1, 0, '0000-00-00 00:00:00', 0),
(6, 'Featured Restaurant', 89, 157, 1, 0, '0000-00-00 00:00:00', 0);

INSERT INTO `#__rg_admanagers` VALUES
(1, 2, 230, 0, 1, 'Sushi Bar - Destination', 1, 1, 1, '2011-01-01', '2012-01-01', '', '', 0, 0, 1, 0, '2011-10-17 18:14:22'),
(2, 4, 230, 0, 1, 'Sushi Bar - Sponsor', 1, 1, 0, '2011-01-01', '2012-01-01', '', '', 0, 0, 2, 0, '0000-00-00 00:00:00'),
(3, 4, 230, 0, 1, 'Pho Xua Ancient Town - Sponsor', 1, 2, 1, '2011-01-01', '2012-01-01', '', '', 0, 0, 3, 0, '0000-00-00 00:00:00'),
(4, 4, 188, 0, 0, 'Cherry Garden - Sponsor', 1, 3, 1, '2011-10-18', '2012-01-26', '', '', 0, 0, 4, 0, '0000-00-00 00:00:00'),
(5, 4, 223, 16, 7, 'Formosa - Sponsor Link', 1, 5, 0, '2011-10-14', '2012-02-24', '', '', 0, 0, 5, 0, '0000-00-00 00:00:00');

INSERT INTO `#__rg_callus` VALUES
(1, '+1 866 775 xxxx', '+1 866 775 xxxx', '<ul style="text-align: left;" class="checklist">\r\n<li><span class="icon"> </span>It''s easy to connect to eazytour.com from all around the world.</li>\r\n<li><span class="icon"> </span>Telephone support at your fingertips 24/7</li>\r\n<li><span class="icon">&nbsp;</span>You can connect to otel.com anytime of the day or night and  speak to one of our customer service representatives. All calls will be  answered in English and are charged for at the local rate unless  otherwise stated.</li>\r\n<li><span class="icon"> </span>If you are calling from one of the countries listed below you can call us directly using the appropriate number.</li>\r\n</ul>', '', '', '', '', 'AUSTRALIA, AUSTRIA, KOREA, VIETNAM, TAIWAN, CAMBODIA, LAOS', '1-800-996463, 0-800-291567, 082-234-3434, 1-800-99xxxx, 1-80-921-xxxx, 1-0800-542xxxx, 1-0800-322xxxx');

INSERT INTO `#__rg_chains` VALUES
(1, 'A&W Restaurant', 'aaw-restaurant', 1, 0, 0, '0000-00-00 00:00:00', 0),
(2, 'Abbott''s Frozen Custard', 'abbotts-frozen-custard', 1, 0, 0, '0000-00-00 00:00:00', 0),
(3, 'Acapulco Mexican Restaurant', 'acapulco-mexican-restaurant', 1, 0, 0, '0000-00-00 00:00:00', 0),
(4, 'Alamo Steakhouse & Grill', 'alamo-steakhouse-a-grill', 1, 0, 0, '0000-00-00 00:00:00', 0),
(5, 'Alcatraz Brewing Co.', 'alcatraz-brewing-co', 1, 0, 0, '0000-00-00 00:00:00', 0),
(6, 'All American Specialty Restaurants', 'all-american-specialty-restaurants', 1, 0, 0, '0000-00-00 00:00:00', 0),
(7, 'All Star Grill', 'all-star-grill', 1, 0, 0, '0000-00-00 00:00:00', 0),
(8, 'Amante Gourmet Pizza', 'amante-gourmet-pizza', 1, 0, 0, '0000-00-00 00:00:00', 0),
(9, 'Amante Pizza and Pasta', 'amante-pizza-and-pasta', 1, 0, 0, '0000-00-00 00:00:00', 0),
(10, 'Amarillo Mesquite Grill', 'amarillo-mesquite-grill', 1, 0, 0, '0000-00-00 00:00:00', 0),
(11, 'American Bandstand', 'american-bandstand', 1, 0, 0, '0000-00-00 00:00:00', 0),
(12, 'The American Café', 'the-american-cafe', 1, 0, 0, '0000-00-00 00:00:00', 0),
(13, 'Amerigo', 'amerigo', 1, 0, 0, '0000-00-00 00:00:00', 0),
(14, 'Amighetti''s Bakery & Café', 'amighettis-bakery-a-cafe', 1, 0, 0, '0000-00-00 00:00:00', 0),
(15, 'Angelo & Maxie''s Steakhouse', 'angelo-a-maxies-steakhouse', 1, 0, 0, '0000-00-00 00:00:00', 0);

INSERT INTO `#__rg_checklists` VALUES
(1, 'business/discreet', '', 1, 0),
(2, 'AA rosette', '', 1, 0),
(3, 'allergy friendly dishes', '', 1, 0),
(4, 'cocktails', '', 1, 0),
(5, 'comprehensive wine list', '', 1, 0),
(6, 'in-house bar', '', 1, 0),
(7, 'kid friendly', '', 1, 0),
(8, 'live music/dance', '', 1, 0),
(9, 'low carb dishes', '', 1, 0),
(10, 'vegetarian friendly', '', 1, 0),
(11, 'wheat/gluten free', '', 1, 0),
(12, 'wi-fi access', '', 1, 0),
(13, 'air conditioned', '', 1, 0),
(14, 'al fresco', '', 1, 0),
(15, 'locally sourced produce', '', 1, 0),
(16, 'private dining room', '', 1, 0),
(17, 'wheelchair access & disabled toilets', '', 1, 0),
(18, 'celeb spotting', '', 1, 0),
(19, 'organic', '', 1, 0),
(20, 'late night', '', 1, 0),
(21, 'hen and stag parties', '', 1, 0),
(22, 'off-street parking', '', 1, 0),
(23, 'afternoon tea', '', 1, 0),
(24, 'river / park views', '', 1, 0),
(25, 'dj', '', 1, 0),
(26, 'michelin starred', '', 1, 0),
(27, 'bring your own alcohol', '', 1, 0),
(28, 'halal friendly', '', 1, 0);

INSERT INTO `#__rg_cities` VALUES
(1, 0, 'Ho Chi Minh City', 'ho-chi-minh-city', 0, 230, 1, 'IMG_0046_1.jpg', 240, 160, 'sample_3_1.jpg', 980, 172, '10.771254010200956', '106.68891906738281', '<p>There''s no disputing the fact that Ho Chi Minh City has the greatest array of dining options and restaurants in Vietnam. The native cuisine is amazing enough to keep you transfixed during your visit, but cuisine from around the globe is well represented at city restaurants as well.</p>\r\n<p> </p>\r\n<p>Don''t be surprised if your best meal comes from one of the streetside stalls selling those ubiquitous noodle dishes. When you are in Vietnam, you quickly realise that the noodle is king. Local dining specialties such as ''mien ga'' (a delicate soup with chicken, vermicelli and mushrooms) and the staple noodle soup known as ''pho'' can be found on nearly every corner of Ho Chi Minh City. Don''t be afraid of the street food. These humble mobile eateries often make the best versions of Vietnamese specialties, as any local will attest. And of course, the price is always right.</p>', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 0, 'Hanoi', 'hanoi', 0, 230, 1, 'hanoi.jpg', 240, 160, 'hanoi_title.jpg', 800, 150, '21.02859066637012', '105.84915161132812', '<p>There is a very good reason for beginning with Hanoian cooking. Hà Nội has been a centre of Vietnamese culture for many centuries. As early as the third century BC, the Âu Lạc Kingdom chose Cổ Loa on the suburbs of present-day Hà Nội to be its capital. Since Việt Nam regained its independence in 939 from 1,000 years of Chinese rule, different Vietnamese governments have chosen Hà Nội as the capital city of the country, except the Đinh in the 10th century and Nguyễn in the late 19th and first half of the 20th century. The multiple layers of this long history from the foundation on which Hanoian cooking rests.</p>', 1, 'Restaurants in Hanoi, Vietnam', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 1, 'City Center', 'city-center', 0, 230, 0, '', 0, 0, '', 0, 0, '0', '0', '', 1, '', '', '', 0, '2011-10-17 22:14:10', 0, 0),
(5, 1, 'District 1', 'district-1', 0, 230, 0, '', 0, 0, '', 0, 0, '0', '0', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 0, 'Bangkok', 'bangkok', 449, 209, 0, '', 0, 0, '', 0, 0, '13.750056809568887', '100.58258056640625', '', 1, '', '', '', 0, '2011-10-17 22:14:01', 0, 0),
(7, 0, 'Iowa City', 'iowa-city', 16, 223, 0, '', 0, 0, '', 0, 0, '41.66130660003686', '268.4677505493164', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 1, 'District 3', 'district-3', 0, 230, 0, '', 0, 0, '', 0, 0, '0', '0', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 0, 'Berlin', 'berlin', 0, 81, 0, '', 0, 0, '', 0, 0, '52.525412581660035', '13.411216735839844', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 0, 'Albertslund', 'albertslund', 454, 57, 0, 'Albertslund_Denmark.jpg', 240, 160, '', 0, 0, '55.663644005170056', '12.355499267578125', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 0, 'Aller°d', 'allerdd', 454, 57, 0, '', 0, 0, '', 0, 0, '55.87145859243411', '12.369232177734375', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 0, 'Ballerup', 'ballerup', 454, 57, 0, '', 0, 0, '', 0, 0, '55.72633672900144', '12.357559204101562', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 0, 'Bornholm', 'bornholm', 454, 57, 0, '', 0, 0, '', 0, 0, '55.159258549008946', '14.86175537109375', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 0, 'Br°ndby', 'brdndby', 454, 57, 0, '', 0, 0, '', 0, 0, '55.65473503429998', '12.40631103515625', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 0, 'K°benhavn', 'kdbenhavn', 454, 57, 0, '', 0, 0, '', 0, 0, '55.694615940831945', '12.578659057617188', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 0, 'Drag°r', 'dragdr', 454, 57, 0, '', 0, 0, '', 0, 0, '55.595419389281325', '12.66448974609375', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 0, 'Egedal', 'egedal', 454, 57, 0, '', 0, 0, '', 0, 0, '55.769234828104395', '12.258338928222656', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 0, 'Fredensborg', 'fredensborg', 454, 57, 0, '', 0, 0, '', 0, 0, '55.97514297823079', '12.405281066894531', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 0, 'Frederiksberg', 'frederiksberg', 454, 57, 0, '', 0, 0, '', 0, 0, '55.67797157369165', '12.512397766113281', '', 1, '', '', '', 0, '0000-00-00 00:00:00', 0, 0);

INSERT IGNORE INTO `#__rg_continents` VALUES
(1, 'Asia', 'asia', 1, '', 0, 0, 'sample_1_1.jpg', 980, 185, '23.489446412211', '103.46923828125', 3, 'terrain', 360, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(2, 'Africa', 'africa', 1, '', 0, 0, '', 0, 0, '2.1594007802207', '19.35791015625', 3, 'terrain', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(3, 'Middle East', 'middle-east', 1, '', 0, 0, '', 0, 0, '31.133841850930', '46.69189453125', 4, 'roadmap', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(4, 'Pacific Ocean & Australia', 'pacific-ocean-a-australia', 1, '', 0, 0, '', 0, 0, '-29.39557649949', '145.01953125', 3, 'roadmap', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(5, 'Europe', 'europe', 1, '', 0, 0, '', 0, 0, '54.575882638824', '21.29150390625', 3, 'terrain', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(6, 'North America', 'north-america', 1, '', 0, 0, '', 0, 0, '43.009467558094', '266.59423828125', 3, 'terrain', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(7, 'Central America and Caribbean', 'central-america-and-caribbean', 1, '', 0, 0, '', 0, 0, '15.332929128635', '278.15185546875', 5, 'terrain', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(8, 'South America', 'south-america', 1, '', 0, 0, '', 0, 0, '-24.92031678510', '298.67431640625', 3, 'terrain', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0);


INSERT IGNORE INTO `#__rg_countries` VALUES
(1, 'Afghanistan', '', 'AFG', 'AF', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(2, 'Albania', '', 'ALB', 'AL', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(3, 'Algeria', '', 'DZA', 'DZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(4, 'American Samoa', '', 'ASM', 'AS', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(5, 'Andorra', '', 'AND', 'AD', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(6, 'Angola', '', 'AGO', 'AO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(7, 'Anguilla', '', 'AIA', 'AI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(8, 'Antarctica', '', 'ATA', 'AQ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(9, 'Antigua and Barbuda', '', 'ATG', 'AG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(10, 'Argentina', '', 'ARG', 'AR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(11, 'Armenia', '', 'ARM', 'AM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(12, 'Aruba', '', 'ABW', 'AW', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(13, 'Australia', '', 'AUS', 'AU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(14, 'Austria', '', 'AUT', 'AT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(15, 'Azerbaijan', '', 'AZE', 'AZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(16, 'Bahamas', '', 'BHS', 'BS', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(17, 'Bahrain', '', 'BHR', 'BH', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(18, 'Bangladesh', '', 'BGD', 'BD', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(19, 'Barbados', '', 'BRB', 'BB', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(20, 'Belarus', '', 'BLR', 'BY', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(21, 'Belgium', '', 'BEL', 'BE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(22, 'Belize', '', 'BLZ', 'BZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(23, 'Benin', '', 'BEN', 'BJ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(24, 'Bermuda', '', 'BMU', 'BM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(25, 'Bhutan', '', 'BTN', 'BT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(26, 'Bolivia', '', 'BOL', 'BO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(27, 'Bosnia and Herzegowina', '', 'BIH', 'BA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(28, 'Botswana', '', 'BWA', 'BW', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(29, 'Bouvet Island', '', 'BVT', 'BV', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(30, 'Brazil', '', 'BRA', 'BR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(31, 'British Indian Ocean Territory', '', 'IOT', 'IO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(32, 'Brunei Darussalam', '', 'BRN', 'BN', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(33, 'Bulgaria', '', 'BGR', 'BG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(34, 'Burkina Faso', '', 'BFA', 'BF', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(35, 'Burundi', '', 'BDI', 'BI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(36, 'Cambodia', 'cambodia', 'KHM', 'KH', 1, 0, '', 0, 0, '', 0, 0, '12.475196452261', '104.84252929687', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(37, 'Cameroon', '', 'CMR', 'CM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(38, 'Canada', 'canada', 'CAN', 'CA', 6, 1, '', 0, 0, '', 0, 0, '55.254077067072', '255.1025390625', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(39, 'Cape Verde', '', 'CPV', 'CV', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(40, 'Cayman Islands', '', 'CYM', 'KY', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(41, 'Central African Republic', '', 'CAF', 'CF', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(42, 'Chad', '', 'TCD', 'TD', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(43, 'Chile', '', 'CHL', 'CL', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(44, 'China', 'china', 'CHN', 'CN', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(45, 'Christmas Island', '', 'CXR', 'CX', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(46, 'Cocos (Keeling) Islands', '', 'CCK', 'CC', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(47, 'Colombia', '', 'COL', 'CO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(48, 'Comoros', '', 'COM', 'KM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(49, 'Congo', '', 'COG', 'CG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(50, 'Cook Islands', '', 'COK', 'CK', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(51, 'Costa Rica', '', 'CRI', 'CR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(52, 'Cote D''Ivoire', '', 'CIV', 'CI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(53, 'Croatia', '', 'HRV', 'HR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(54, 'Cuba', '', 'CUB', 'CU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(55, 'Cyprus', '', 'CYP', 'CY', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(56, 'Czech Republic', '', 'CZE', 'CZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(57, 'Denmark', 'denmark', 'DNK', 'DK', 5, 1, '', 0, 0, '', 0, 0, '55.615589025267', '9.547119140625', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(58, 'Djibouti', '', 'DJI', 'DJ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(59, 'Dominica', '', 'DMA', 'DM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(60, 'Dominican Republic', '', 'DOM', 'DO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(61, 'East Timor', 'east-timor', 'TLS', 'TL', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(62, 'Ecuador', '', 'ECU', 'EC', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(63, 'Egypt', '', 'EGY', 'EG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(64, 'El Salvador', '', 'SLV', 'SV', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(65, 'Equatorial Guinea', '', 'GNQ', 'GQ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(66, 'Eritrea', '', 'ERI', 'ER', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(67, 'Estonia', '', 'EST', 'EE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(68, 'Ethiopia', '', 'ETH', 'ET', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(69, 'Falkland Islands (Malvinas)', '', 'FLK', 'FK', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(70, 'Faroe Islands', '', 'FRO', 'FO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(71, 'Fiji', '', 'FJI', 'FJ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(72, 'Finland', '', 'FIN', 'FI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(73, 'France', '', 'FRA', 'FR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(74, 'France, Metropolitan', '', 'FXX', 'FX', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(75, 'French Guiana', '', 'GUF', 'GF', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(76, 'French Polynesia', '', 'PYF', 'PF', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(77, 'French Southern Territories', '', 'ATF', 'TF', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(78, 'Gabon', '', 'GAB', 'GA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(79, 'Gambia', '', 'GMB', 'GM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(80, 'Georgia', '', 'GEO', 'GE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(81, 'Germany', 'germany', 'DEU', 'DE', 5, 1, '', 0, 0, '', 0, 0, '50.930738023718', '10.30517578125', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(82, 'Ghana', '', 'GHA', 'GH', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(83, 'Gibraltar', '', 'GIB', 'GI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(84, 'Greece', 'greece', 'GRC', 'GR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(85, 'Greenland', '', 'GRL', 'GL', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(86, 'Grenada', '', 'GRD', 'GD', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(87, 'Guadeloupe', '', 'GLP', 'GP', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(88, 'Guam', '', 'GUM', 'GU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(89, 'Guatemala', '', 'GTM', 'GT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(90, 'Guinea', '', 'GIN', 'GN', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(91, 'Guinea-bissau', '', 'GNB', 'GW', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(92, 'Guyana', '', 'GUY', 'GY', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(93, 'Haiti', '', 'HTI', 'HT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(94, 'Heard and Mc Donald Islands', '', 'HMD', 'HM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(95, 'Honduras', '', 'HND', 'HN', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(96, 'Hong Kong', 'hong-kong', 'HKG', 'HK', 1, 1, '', 0, 0, '', 0, 0, '22.356426292761', '114.1259765625', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(97, 'Hungary', '', 'HUN', 'HU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(98, 'Iceland', '', 'ISL', 'IS', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(99, 'India', 'india', 'IND', 'IN', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(100, 'Indonesia', 'indonesia', 'IDN', 'ID', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(101, 'Iran (Islamic Republic of)', '', 'IRN', 'IR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(102, 'Iraq', '', 'IRQ', 'IQ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(103, 'Ireland', '', 'IRL', 'IE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(104, 'Israel', '', 'ISR', 'IL', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(105, 'Italy', 'italy', 'ITA', 'IT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(106, 'Jamaica', '', 'JAM', 'JM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(107, 'Japan', 'japan', 'JPN', 'JP', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(108, 'Jordan', '', 'JOR', 'JO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(109, 'Kazakhstan', '', 'KAZ', 'KZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(110, 'Kenya', '', 'KEN', 'KE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(111, 'Kiribati', '', 'KIR', 'KI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(112, 'Korea, Democratic People''s Republic of', 'korea-democratic-peoples-republic-of', 'PRK', 'KP', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(113, 'Korea, Republic of', 'korea-republic-of', 'KOR', 'KR', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(114, 'Kuwait', '', 'KWT', 'KW', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(115, 'Kyrgyzstan', '', 'KGZ', 'KG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(116, 'Lao People''s Democratic Republic', 'lao-peoples-democratic-republic', 'LAO', 'LA', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(117, 'Latvia', '', 'LVA', 'LV', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(118, 'Lebanon', '', 'LBN', 'LB', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(119, 'Lesotho', '', 'LSO', 'LS', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(120, 'Liberia', '', 'LBR', 'LR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(121, 'Libyan Arab Jamahiriya', '', 'LBY', 'LY', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(122, 'Liechtenstein', '', 'LIE', 'LI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(123, 'Lithuania', '', 'LTU', 'LT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(124, 'Luxembourg', '', 'LUX', 'LU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(125, 'Macau', 'macau', 'MAC', 'MO', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(126, 'Macedonia, The Former Yugoslav Republic of', '', 'MKD', 'MK', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(127, 'Madagascar', '', 'MDG', 'MG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(128, 'Malawi', '', 'MWI', 'MW', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(129, 'Malaysia', 'malaysia', 'MYS', 'MY', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(130, 'Maldives', '', 'MDV', 'MV', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(131, 'Mali', '', 'MLI', 'ML', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(132, 'Malta', '', 'MLT', 'MT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(133, 'Marshall Islands', '', 'MHL', 'MH', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(134, 'Martinique', '', 'MTQ', 'MQ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(135, 'Mauritania', '', 'MRT', 'MR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(136, 'Mauritius', '', 'MUS', 'MU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(137, 'Mayotte', '', 'MYT', 'YT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(138, 'Mexico', '', 'MEX', 'MX', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(139, 'Micronesia, Federated States of', '', 'FSM', 'FM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(140, 'Moldova, Republic of', '', 'MDA', 'MD', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(141, 'Monaco', '', 'MCO', 'MC', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(142, 'Mongolia', 'mongolia', 'MNG', 'MN', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(143, 'Montserrat', '', 'MSR', 'MS', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(144, 'Morocco', '', 'MAR', 'MA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(145, 'Mozambique', '', 'MOZ', 'MZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(146, 'Myanmar', 'myanmar', 'MMR', 'MM', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(147, 'Namibia', '', 'NAM', 'NA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(148, 'Nauru', '', 'NRU', 'NR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(149, 'Nepal', 'nepal', 'NPL', 'NP', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(150, 'Netherlands', '', 'NLD', 'NL', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(151, 'Netherlands Antilles', '', 'ANT', 'AN', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(152, 'New Caledonia', '', 'NCL', 'NC', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(153, 'New Zealand', '', 'NZL', 'NZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(154, 'Nicaragua', '', 'NIC', 'NI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(155, 'Niger', '', 'NER', 'NE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(156, 'Nigeria', '', 'NGA', 'NG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(157, 'Niue', '', 'NIU', 'NU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(158, 'Norfolk Island', '', 'NFK', 'NF', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(159, 'Northern Mariana Islands', '', 'MNP', 'MP', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(160, 'Norway', '', 'NOR', 'NO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(161, 'Oman', '', 'OMN', 'OM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(162, 'Pakistan', 'pakistan', 'PAK', 'PK', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(163, 'Palau', '', 'PLW', 'PW', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(164, 'Panama', '', 'PAN', 'PA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(165, 'Papua New Guinea', '', 'PNG', 'PG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(166, 'Paraguay', '', 'PRY', 'PY', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(167, 'Peru', '', 'PER', 'PE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(168, 'Philippines', 'philippines', 'PHL', 'PH', 1, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(169, 'Pitcairn', '', 'PCN', 'PN', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(170, 'Poland', '', 'POL', 'PL', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(171, 'Portugal', '', 'PRT', 'PT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(172, 'Puerto Rico', '', 'PRI', 'PR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(173, 'Qatar', '', 'QAT', 'QA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(174, 'Reunion', '', 'REU', 'RE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(175, 'Romania', '', 'ROU', 'RO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(176, 'Russian Federation', '', 'RUS', 'RU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(177, 'Rwanda', '', 'RWA', 'RW', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(178, 'Saint Kitts and Nevis', '', 'KNA', 'KN', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(179, 'Saint Lucia', '', 'LCA', 'LC', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(180, 'Saint Vincent and the Grenadines', '', 'VCT', 'VC', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(181, 'Samoa', '', 'WSM', 'WS', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(182, 'San Marino', '', 'SMR', 'SM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(183, 'Sao Tome and Principe', '', 'STP', 'ST', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(184, 'Saudi Arabia', '', 'SAU', 'SA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(185, 'Senegal', '', 'SEN', 'SN', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(186, 'Seychelles', '', 'SYC', 'SC', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(187, 'Sierra Leone', '', 'SLE', 'SL', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(188, 'Singapore', 'singapore', 'SGP', 'SG', 1, 1, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(189, 'Slovakia (Slovak Republic)', '', 'SVK', 'SK', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(190, 'Slovenia', '', 'SVN', 'SI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(191, 'Solomon Islands', '', 'SLB', 'SB', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(192, 'Somalia', '', 'SOM', 'SO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(193, 'South Africa', '', 'ZAF', 'ZA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(194, 'South Georgia and the South Sandwich Islands', '', 'SGS', 'GS', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(195, 'Spain', '', 'ESP', 'ES', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(196, 'Sri Lanka', '', 'LKA', 'LK', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(197, 'St. Helena', '', 'SHN', 'SH', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(198, 'St. Pierre and Miquelon', '', 'SPM', 'PM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(199, 'Sudan', '', 'SDN', 'SD', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(200, 'Suriname', '', 'SUR', 'SR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(201, 'Svalbard and Jan Mayen Islands', '', 'SJM', 'SJ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(202, 'Swaziland', '', 'SWZ', 'SZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(203, 'Sweden', '', 'SWE', 'SE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(204, 'Switzerland', '', 'CHE', 'CH', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(205, 'Syrian Arab Republic', '', 'SYR', 'SY', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(206, 'Taiwan', '', 'TWN', 'TW', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(207, 'Tajikistan', '', 'TJK', 'TJ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(208, 'Tanzania, United Republic of', '', 'TZA', 'TZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(209, 'Thailand', 'thailand', 'THA', 'TH', 1, 1, 'bangkok.jpg', 240, 160, 'resto_title_1.jpg', 665, 128, '13.786137034324', '100.49297332763', '<p>There are five&nbsp;regions of Thailand: North, Northeast, East, Central, and South, which are divided into 75+1 provinces, each geographically distinct from the others; each Thailand province contains unique cultural, historical, and natural attractions from the northern peaks (replete with wildlife and home to exotic hill tribes) and the central plains (the "Rice Bowl of Asia") to the northeastern plateau (stretching to the Mekong River border with Laos) and the spectacular beaches and islands of the south (including both Phuket and Samui).</p>\r\n<p>This Thailand travel guide can help you plan where to go by providing information about dining and accommodation, Thailand tourist attractions, regional festivals and events, different activities in each of the Thailand provinces, and unique shopping products produced in different regions of Thailand.</p>\r\n<p>Thailand features not only some of the finest hotels and resorts in the world but also arguably the greatest variety of accommodation to choose from.&nbsp; Thailand accommodation options range from rural home stays to luxurious five-star spa-resorts and nearly everything in between.</p>', 'Hotel Guide in Thailand', 'There are five regions of Thailand: North, Northeast, East, Central, and South, which are divided into 75+1 provinces, each geographically distinct from the others; each Thailand province contains unique cultural, historical, and natural attractions from the northern peaks (replete with wildlife and home to exotic hill tribes) and the central plains (the "Rice Bowl of Asia") to the northeastern plateau (stretching to the Mekong River border with Laos) and the spectacular beaches and islands of the south (including both Phuket and Samui).', 'hotel, booking, reservation, bangkok, thailand', 0, '0000-00-00 00:00:00', 0),
(210, 'Togo', '', 'TGO', 'TG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(211, 'Tokelau', '', 'TKL', 'TK', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(212, 'Tonga', '', 'TON', 'TO', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(213, 'Trinidad and Tobago', '', 'TTO', 'TT', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(214, 'Tunisia', '', 'TUN', 'TN', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(215, 'Turkey', '', 'TUR', 'TR', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(216, 'Turkmenistan', '', 'TKM', 'TM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(217, 'Turks and Caicos Islands', '', 'TCA', 'TC', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(218, 'Tuvalu', '', 'TUV', 'TV', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(219, 'Uganda', '', 'UGA', 'UG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(220, 'Ukraine', '', 'UKR', 'UA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(221, 'United Arab Emirates', '', 'ARE', 'AE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(222, 'United Kingdom', '', 'GBR', 'GB', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(223, 'United States', 'united-states', 'USA', 'US', 6, 1, '', 0, 0, '', 0, 0, '38.759223689013', '257.62939453125', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(224, 'United States Minor Outlying Islands', '', 'UMI', 'UM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(225, 'Uruguay', '', 'URY', 'UY', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(226, 'Uzbekistan', '', 'UZB', 'UZ', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(227, 'Vanuatu', '', 'VUT', 'VU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(228, 'Vatican City State (Holy See)', '', 'VAT', 'VA', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(229, 'Venezuela', '', 'VEN', 'VE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(230, 'Viet Nam', 'viet-nam', 'VNM', 'VN', 1, 1, 'IMG_0060_1.jpg', 240, 160, 'sample_8.jpg', 665, 140, '21.043234938431', '105.84228515625', '<p>We offer the best prices for hotels in Vietnam, with 478 Hotels ready for instant reservation via our secure online booking engine. We have every destination covered, including Ho Chi Minh City, Hanoi, Hoi An, Nha Trang and Hue. We also offer last-minute bookings, both online and through our 24/7 live help customer support center. Choose your travel dates and let EazyTOUR find the perfect hotel in Vietnam. EazyTOUR''s properties available for booking in Vietnam have rates beginning at only $13 per night, with no hidden fees. Our Lowest Rate Guarantee means you won''t find better rates anywhere.</p>', 'Hotel Guide in Vietnam', 'We offer the best prices for hotels in Vietnam, with 478 Hotels ready for instant reservation via our secure online booking engine. We have every destination covered, including Ho Chi Minh City, Hanoi, Hoi An, Nha Trang and Hue.', 'hotel, booking, reservation, vietnam, ho chi minh city, saigon, hanoi, na trang', 0, '0000-00-00 00:00:00', 0),
(231, 'Virgin Islands (British)', '', 'VGB', 'VG', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(232, 'Virgin Islands (U.S.)', '', 'VIR', 'VI', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(233, 'Wallis and Futuna Islands', '', 'WLF', 'WF', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(234, 'Western Sahara', '', 'ESH', 'EH', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(235, 'Yemen', '', 'YEM', 'YE', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(236, 'Serbia', '', 'SRB', 'RS', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(237, 'The Democratic Republic of Congo', '', 'COD', 'CD', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(238, 'Zambia', '', 'ZMB', 'ZM', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(239, 'Zimbabwe', '', 'ZWE', 'ZW', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(241, 'Jersey', 'jersey', 'JEY', 'JE', 5, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(242, 'St. Barthelemy', '', 'BLM', 'BL', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(243, 'St. Eustatius', '', 'XSE', 'XU', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(244, 'Canary Islands', '', 'XCA', 'XC', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(245, 'Montenegro', '', 'MNE', 'ME', 0, 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0);

INSERT IGNORE INTO `#__rg_cuisines` VALUES
(1, 'American', '', 0, 1, 1, 0, 0),
(2, 'Asian', '', 0, 1, 1, 0, 0),
(3, 'Bistros & Brasseries', '', 0, 1, 1, 0, 0),
(4, 'Breakfast & Brunch', '', 0, 1, 1, 0, 0),
(5, 'Buffet', '', 0, 1, 1, 0, 0),
(6, 'Contemporary', '', 0, 1, 1, 0, 0),
(7, 'Alfresco', '', 1, 0, 1, 0, 0),
(8, 'Business', '', 1, 0, 1, 0, 0),
(9, 'Child Friendly', '', 1, 0, 1, 0, 0),
(10, 'Cr perie', '', 0, 1, 1, 0, 0),
(11, 'Delis & Diners', '', 0, 1, 1, 0, 0),
(12, 'Fish & Seafood', '', 0, 1, 1, 0, 0),
(13, 'French', '', 0, 1, 1, 0, 0),
(14, 'Indian', '', 0, 1, 1, 0, 0),
(15, 'Italian', '', 0, 1, 1, 0, 0),
(16, 'Japanese', '', 0, 1, 1, 0, 0),
(17, 'Just for One', '', 1, 0, 1, 0, 0),
(18, 'Korean', '', 0, 1, 1, 0, 0),
(19, 'Late/24-Hour', '', 1, 0, 1, 0, 0),
(20, 'Mediterranean', '', 0, 1, 1, 0, 0),
(21, 'Pizzeria', '', 0, 1, 1, 0, 0),
(22, 'Romantic', '', 1, 0, 1, 0, 0),
(23, 'Steak & Barbecue', '', 0, 1, 1, 0, 0),
(24, 'Vegetarian', '', 1, 0, 1, 0, 0),
(25, 'Vietnamese', '', 0, 1, 1, 0, 0),
(26, 'Organic', '', 1, 0, 1, 0, 0),
(27, 'Theme', '', 1, 0, 1, 0, 0),
(28, 'British & Irish', '', 0, 1, 1, 0, 0),
(29, 'Chinese', '', 0, 1, 1, 0, 0),
(30, 'South American', '', 0, 1, 1, 0, 0),
(31, 'Thai', '', 0, 1, 1, 0, 0),
(32, 'African', '', 0, 0, 1, 0, 0),
(33, 'Australian', '', 0, 0, 1, 0, 0),
(34, 'Austrian, German & Swiss', '', 0, 0, 1, 0, 0),
(35, 'Belgian', '', 0, 0, 1, 0, 0),
(36, 'Kosher', '', 1, 0, 1, 0, 0),
(37, 'Nonsmoking', '', 1, 0, 1, 0, 0),
(38, 'Central European', '', 0, 0, 1, 0, 0),
(39, 'East European', '', 0, 0, 1, 0, 0),
(40, 'Greek', '', 0, 0, 1, 0, 0),
(41, 'Indonesian', '', 0, 0, 1, 0, 0),
(42, 'Malaysian', '', 0, 0, 1, 0, 0),
(43, 'Mexican', '', 0, 1, 1, 0, 0),
(44, 'Middle Eastern & North African', '', 0, 0, 1, 0, 0),
(45, 'Pacific Rim', '', 0, 0, 1, 0, 0),
(46, 'Portuguese', '', 0, 0, 1, 0, 0),
(47, 'Scandinavian', '', 0, 0, 1, 0, 0),
(48, 'Spanish', '', 0, 0, 1, 0, 0),
(49, 'Caribbean', '', 0, 0, 1, 0, 0),
(50, 'Argentinean', '', 0, 0, 1, 0, 0),
(51, 'Bagel & Donut Shops', '', 0, 0, 1, 0, 0),
(52, 'Bakeries', '', 0, 1, 1, 0, 0),
(53, 'Barbecue', '', 0, 0, 1, 0, 0),
(54, 'Basque', '', 0, 0, 1, 0, 0),
(55, 'Brazilian', '', 0, 0, 1, 0, 0),
(56, 'Bistro', '', 0, 0, 1, 0, 0),
(57, 'Breakfast', '', 0, 0, 1, 0, 0),
(58, 'Brewpubs', '', 0, 0, 1, 0, 0),
(59, 'Burgers', '', 0, 0, 1, 0, 0),
(60, 'Cafes', '', 0, 0, 1, 0, 0),
(61, 'Cajun', '', 0, 0, 1, 0, 0),
(62, 'Carry Out & Take Out', '', 0, 0, 1, 0, 0),
(63, 'Coffee Houses', '', 0, 0, 1, 0, 0),
(64, 'Continental', '', 0, 0, 1, 0, 0),
(65, 'Cuban', '', 0, 0, 1, 0, 0),
(66, 'Delicatessens', '', 0, 0, 1, 0, 0),
(67, 'Desserts', '', 0, 0, 1, 0, 0),
(68, 'Eclectic', '', 0, 0, 1, 0, 0),
(69, 'Ethiopian', '', 0, 0, 1, 0, 0),
(70, 'Family Style', '', 0, 0, 1, 0, 0),
(71, 'Fast Food', '', 0, 0, 1, 0, 0),
(72, 'Food Delivery Services', '', 0, 0, 1, 0, 0),
(73, 'Fusion', '', 0, 0, 1, 0, 0),
(74, 'German', '', 0, 0, 1, 0, 0),
(75, 'Grill', '', 0, 0, 1, 0, 0),
(76, 'Healthy', '', 0, 0, 1, 0, 0),
(77, 'Ice Cream & Yogurt', '', 0, 0, 1, 0, 0),
(78, 'International', '', 0, 1, 1, 0, 0),
(79, 'Irish', '', 0, 1, 1, 0, 0),
(80, 'Israeli', '', 0, 0, 1, 0, 0),
(81, 'Jamaican', '', 0, 0, 1, 0, 0),
(82, 'Latin American', '', 0, 0, 1, 0, 0),
(83, 'Middle Eastern', '', 0, 0, 1, 0, 0),
(84, 'Noodle Shops', '', 0, 1, 1, 0, 0),
(85, 'Pizza', '', 0, 1, 1, 0, 0),
(86, 'Russian', '', 0, 0, 1, 0, 0),
(87, 'Salad', '', 0, 0, 1, 0, 0),
(88, 'Sandwiches', '', 0, 0, 1, 0, 0),
(89, 'Seafood', '', 0, 1, 1, 0, 0),
(90, 'Smoothies', '', 0, 0, 1, 0, 0),
(91, 'Soul Food', '', 0, 0, 1, 0, 0),
(92, 'Southeast Asian', '', 0, 0, 1, 0, 0),
(93, 'Sushi', '', 0, 1, 1, 0, 0),
(94, 'Tapas', '', 0, 0, 1, 0, 0),
(95, 'Tex-Mex', '', 0, 0, 1, 0, 0),
(96, 'Turkish', '', 0, 0, 1, 0, 0),
(97, 'Tavernas', '', 0, 0, 1, 0, 0),
(98, 'Khmer', '', 0, 1, 1, 0, 0),
(99, 'Lao', '', 0, 1, 1, 0, 0);

INSERT IGNORE INTO `#__rg_currency` VALUES
(155, 'United Arab Emirates Dirham', 'AED', 'ARE', 'د.إ', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(1, 'Afghanistan Afghani', 'AFA', 'AFG', '؋', 0, '', '', 0, 0, 0, '2011-08-05 01:18:42', 0),
(2, 'Albanian Lek', 'ALL', 'ALB', 'Lek', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(106, 'Netherlands Antillian Guilder', 'ANG', 'NLD', 'ƒ', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(4, 'Angolan Kwanza', 'AOK', 'AGO', 'Kz', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(5, 'Argentine Peso', 'ARS', 'ARG', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(8, 'Australian Dollar', 'AUD', 'AUS', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(7, 'Aruban Florin', 'AWG', 'ABW', 'ƒ', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(13, 'Barbados Dollar', 'BBD', 'BRB', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(12, 'Bangladeshi Taka', 'BDT', 'BGD', '৳', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(25, 'Bulgarian Lev', 'BGL', 'BGR', 'лв', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(11, 'Bahraini Dinar', 'BHD', 'BHR', 'ب.د', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(26, 'Burundi Franc', 'BIF', 'BDI', 'Fr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(16, 'Bermudian Dollar', 'BMD', 'BMU', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(24, 'Brunei Dollar', 'BND', 'BRN', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(18, 'Bolivian Boliviano', 'BOB', 'BOL', '$b', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(22, 'Brazilian Real', 'BRL', 'BRA', 'R$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(10, 'Bahamian Dollar', 'BSD', 'BHS', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(17, 'Bhutan Ngultrum', 'BTN', 'BTN', 'BTN', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(21, 'Botswanian Pula', 'BWP', 'BWA', 'P', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(15, 'Belize Dollar', 'BZD', 'BLZ', 'BZ$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(27, 'Canadian Dollar', 'CAD', 'CAN', '$', 0, '', '', 0, 1, 0, '0000-00-00 00:00:00', 0),
(142, 'Swiss Franc', 'CHF', 'CHE', 'CHF', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(33, 'Chilean Unidades de Fomento', 'CLF', '', 'CLF', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(32, 'Chilean Peso', 'CLP', 'CHL', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(35, 'Colombian Peso', 'COP', 'COL', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(38, 'Costa Rican Colon', 'CRC', 'CRI', '₡', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(41, 'Czech Koruna', 'CZK', 'CZE', 'Kč', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(40, 'Cuban Peso', 'CUP', 'CUB', '₱', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(28, 'Cape Verde Escudo', 'CVE', 'CPV', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(42, 'Danish Krone', 'DKK', 'DNK', 'kr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(44, 'Dominican Peso', 'DOP', 'DOM', 'RD$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(3, 'Algerian Dinar', 'DZD', 'DZA', 'د.ج', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(46, 'Egyptian Pound', 'EGP', 'EGY', '£', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(50, 'Ethiopian Birr', 'ETB', 'ETH', 'ETB', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(51, 'Euro', 'EUR', '', '€', 2, '.', ',', 5, 1, 0, '0000-00-00 00:00:00', 0),
(56, 'Fiji Dollar', 'FJD', 'FJI', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(55, 'Falkland Islands Pound', 'FKP', 'FLK', '£', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(23, 'British Pound', 'GBP', 'GBR', '£', 0, '', '', 0, 1, 0, '0000-00-00 00:00:00', 0),
(59, 'Ghanaian Cedi', 'GHC', 'GHA', '₵', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(60, 'Gibraltar Pound', 'GIP', 'GIB', '£', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(57, 'Gambian Dalasi', 'GMD', 'GMB', 'D', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(62, 'Guinea Franc', 'GNF', 'GIN', 'Fr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(61, 'Guatemalan Quetzal', 'GTQ', 'GTM', 'Q', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(63, 'Guinea-Bissau Peso', 'GWP', 'GNB', 'GWP', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(64, 'Guyanan Dollar', 'GYD', 'GUY', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(67, 'Hong Kong Dollar', 'HKD', 'HKG', '元', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(66, 'Honduran Lempira', 'HNL', 'HND', 'L', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(65, 'Haitian Gourde', 'HTG', 'HTI', 'G', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(68, 'Hungarian Forint', 'HUF', 'HUN', 'Ft', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(71, 'Indonesian Rupiah', 'IDR', 'IDN', 'Rp', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(74, 'Israeli Shekel', 'ILS', 'ISR', '₪', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(70, 'Indian Rupee', 'INR', 'IND', '₨', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(73, 'Iraqi Dinar', 'IQD', 'IRQ', 'ع.د', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(72, 'Iranian Rial', 'IRR', 'IRN', '﷼', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(75, 'Jamaican Dollar', 'JMD', 'JAM', 'J$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(77, 'Jordanian Dinar', 'JOD', 'JOR', 'د.ا', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(76, 'Japanese Yen', 'JPY', 'JPN', '¥ ', 0, '', '', 0, 1, 0, '0000-00-00 00:00:00', 0),
(80, 'Kenyan Shilling', 'KES', 'KEN', 'Sh', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(78, 'Kampuchean (Cambodian) Riel', 'KHR', 'KHM', '៛', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(36, 'Comoros Franc', 'KMF', 'COM', 'Fr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(110, 'North Korean Won', 'KPW', 'PRK', '₩', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(135, 'South Korean Won', 'KRW', 'KOR', '₩', 0, '', ',', 2, 1, 0, '0000-00-00 00:00:00', 0),
(81, 'Kuwaiti Dinar', 'KWD', 'KWT', 'د.ك', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(29, 'Cayman Islands Dollar', 'KYD', 'CYM', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(83, 'Lao Kip', 'LAK', 'LAO', '₭', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(85, 'Lebanese Pound', 'LBP', 'LBN', '£', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(136, 'Sri Lanka Rupee', 'LKR', 'LKA', 'Rs', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(87, 'Liberian Dollar', 'LRD', 'LBR', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(86, 'Lesotho Loti', 'LSL', 'LSO', 'L', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(88, 'Libyan Dinar', 'LYD', 'LBY', 'ل.د', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(101, 'Moroccan Dirham', 'MAD', 'MAR', 'د.م.', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(92, 'Malagasy Ariary ', 'MGA', 'MDG', 'MGA', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(100, 'Mongolian Tugrik', 'MNT', 'MNG', '₮', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(90, 'Macau Pataca', 'MOP', 'MAC', 'P', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(96, 'Mauritanian Ouguiya', 'MRO', 'MRT', 'UM', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(97, 'Mauritius Rupee', 'MUR', 'MUS', 'Rs', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(95, 'Maldive Rufiyaa', 'MVR', 'MDV', 'ރ.', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(93, 'Malawi Kwacha', 'MWK', 'MWI', 'MK', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(98, 'Mexican Peso', 'MXP', 'MEX', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(94, 'Malaysian Ringgit', 'MYR', 'MYS', 'RM', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(102, 'Mozambique Metical', 'MZM', 'MOZ', 'MT', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(109, 'Nigerian Naira', 'NGN', 'NIC', '₦', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(108, 'Nicaraguan Cordoba', 'NIC', 'NIC', 'C$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(111, 'Norwegian Kroner', 'NOK', 'NOR', 'kr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(105, 'Nepalese Rupee', 'NPR', 'NPL', 'Rs', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(107, 'New Zealand Dollar', 'NZD', 'NZL', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(112, 'Omani Rial', 'OMR', 'OMN', '﷼', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(114, 'Panamanian Balboa', 'PAB', 'PAN', 'B/.', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(117, 'Peruvian Nuevo Sol', 'PEN', 'PER', 'S/.', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(115, 'Papua New Guinea Kina', 'PGK', 'PNG', 'K', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(118, 'Philippine Peso', 'PHP', 'PHL', '₱', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(113, 'Pakistan Rupee', 'PKR', 'PAK', 'Rs', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(119, 'Polish Zloty', 'PLN', 'POL', 'zł', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(116, 'Paraguay Guarani', 'PYG', 'PRY', '₲', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(120, 'Qatari Rial', 'QAR', 'QAT', '﷼', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(121, 'Romanian Leu', 'RON', 'ROU', 'lei', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(123, 'Rwanda Franc', 'RWF', 'RWA', 'Fr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(126, 'Saudi Arabian Riyal', 'SAR', 'SAU', '﷼', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(132, 'Solomon Islands Dollar', 'SBD', 'SLB', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(128, 'Seychelles Rupee', 'SCR', 'SYC', 'Rs', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(138, 'Sudanese Pound', 'SDP', 'SDN', '£', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(141, 'Swedish Krona', 'SEK', 'SWE', 'kr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(130, 'Singapore Dollar', 'SGD', 'SGP', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(137, 'St. Helena Pound', 'SHP', 'SHN', '£', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(129, 'Sierra Leone Leone', 'SLL', 'SLE', 'Le', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(133, 'Somali Shilling', 'SOS', 'SOM', 'S', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(139, 'Suriname Dollar', 'SRD', 'SUR', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(125, 'Sao Tome and Principe Dobra', 'STD', 'STP', 'Db', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(122, 'Russian Ruble', 'RUB', 'RUS', 'руб', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(47, 'El Salvador Colon', 'SVC', 'SLV', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(143, 'Syrian Potmd', 'SYP', 'SYR', '£', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(140, 'Swaziland Lilangeni', 'SZL', 'SWZ', 'L', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(147, 'Thai Bath', 'THB', 'THA', '฿', 0, '', '', 0, 1, 0, '0000-00-00 00:00:00', 0),
(150, 'Tunisian Dinar', 'TND', 'TUN', 'د.ت', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(148, 'Tongan Pa''anga', 'TOP', 'TON', 'T$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(151, 'Turkish Lira', 'TRY', 'TUR', 'YTL', 0, '', '', 0, 1, 0, '0000-00-00 00:00:00', 0),
(149, 'Trinidad and Tobago Dollar', 'TTD', 'TTO', 'TT$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(144, 'Taiwan Dollar', 'TWD', 'TWN', 'NT$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(146, 'Tanzanian Shilling', 'TZS', 'TZA', 'Sh', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(158, 'Uzbekistan Som', 'UZS', 'UZB', 'лв', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(157, 'US Dollar', 'USD', 'USA', '$', 2, '.', ',', 2, 1, 0, '0000-00-00 00:00:00', 0),
(156, 'Uruguayan Peso', 'UYP', 'URY', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(160, 'Venezualan Bolivar', 'VEF', 'VEN', 'Bs', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(161, 'Vietnamese Dong', 'VND', 'VNM', '₫', 0, '', '', 0, 1, 0, '0000-00-00 00:00:00', 0),
(159, 'Vanuatu Vatu', 'VUV', 'VUT', 'Vt', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(124, 'Samoan Tala', 'WST', 'WSM', 'T', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(163, 'Yemeni Rial', 'YER', 'YEM', '﷼', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(127, 'Serbian Dinar', 'RSD', '', 'Дин.', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(134, 'South African Rand', 'ZAR', 'ZAF', 'R', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(165, 'Zambian Kwacha', 'ZMK', 'ZMB', 'ZK', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(164, 'Zaire Zaire', 'ZRZ', '', '', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(166, 'Zimbabwe Dollar', 'ZWD', 'ZWE', 'Z$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(131, 'Slovak Koruna', 'SKK', 'SVK', 'Sk', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(6, 'Armenian Dram', 'AMD', 'ARM', 'դր.', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(9, 'Azerbaijani manat', 'AZN', 'AZE', 'ман', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(14, 'Belarusian ruble', 'BYR', 'BLR', 'p.', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(19, 'Bond Markets ', 'XBA', '', 'XBA', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(20, 'Bosnia and Herzegovina convert', 'BAM', 'BIH', 'KM', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(79, 'Kazakhstani Tenge ', 'KZT', 'KAZ', 'лв', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(30, 'Central African CFA franc', 'XAF', 'CAF', 'Fr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(31, 'CFP franc', 'XPF', '', 'Fr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(34, 'Chinese Renminbi Yuan', 'CNY', 'CHN', '元', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(37, 'Congolese Franc', 'CDF', 'COG', 'Fr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(39, 'Croatian Kuna ', 'HRK', 'HRV', 'kn', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(43, 'Djiboutian franc', 'DJF', 'DJI', 'Fr ', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(45, 'East Caribbean Dollar', 'XCD', 'IOT', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(48, 'Eritrean Nakfa ', 'ERN', 'ERI', 'Nfk', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(49, 'Estonian Kroon ', 'EEK', 'EST', 'kr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(52, 'European Mon', 'XBB', '', 'XBB', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(53, 'European Uni', 'XBD', '', 'XBD', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(54, 'European Uni', 'XBC', '', 'XBC', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(58, 'Georgian lari', 'GEL', 'GEO', 'ლ', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(69, 'Icelandic Króna', 'ISK', 'ISL', 'kr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(82, 'Kyrgyzstani Som', 'KGS', 'KGZ', 'лв', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(84, 'Latvian Lats ', 'LVL', 'LVA', 'Ls', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(89, 'Lithuanian Litas ', 'LTL', 'LTU', 'Lt', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(91, 'Macedonian Denar', 'MKD', 'MKD', 'ден', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(99, 'Moldovan Leu', 'MDL', 'MDA', 'L', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(103, 'Myanmar Kyat ', 'MMK', 'MMR', 'K', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(104, 'Namibian Dollar ', 'NAD', 'NAM', '$', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(145, 'Tajikistani Somoni', 'TJS', 'TJK', 'SM', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(152, 'Turkmenistani Manat', 'TMM', 'TKM', 'm', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(153, 'Uganda Shilling', 'UGX', 'UGA', 'Sh', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(154, 'Ukrainian Hryvnia', 'UAH', 'UKR', '₴', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0),
(162, 'West African CFA Franc', 'XOF', '', 'Fr', 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', 0);

INSERT INTO `#__rg_events` VALUES
(1, 0, 'Food & Drink Events in Vietnam', 'food-a-drink-events-in-vietnam', -1, 230, 0, 0, '0', '', 0, '', '', '', '', '', '', 0, 0, 0, '0000-00-00', '0000-00-00', 'Vietnam', 1, 0, 0, '0000-00-00 00:00:00', 0, 1),
(2, 1, 'The flavor of roasted lamb chopped with garlic at Corso Steakhouse & Bar – Norfolk Hotel', 'the-flavor-of-roasted-lamb-chopped-with-garlic-at-corso-steakhouse-a-bar--norfolk-hotel', 2, 230, 0, 1, '0', '', 0, '', '<p><strong>If you want to try something different from ordinary dishes made from beef, pork, chicken, then Corso Steakhouse &amp; Bar is the perfect choice. </strong></p>\r\n<p> </p>\r\n<p>Come and indulge yourself with the exotic, gourmet flavors of Roasted Lamb Chopped with Garlic – a special dish recommended by Corso&#39;s chef.</p>\r\n<p>Corso&#39;s premium Lamb is imported from Australia, which is super tender and flavorful. Lamb marinated with Dijon mustard and mixed pepper, chili powder, coriander seeds, and coarse salt help to make its taste truly fresh and delicious. When grilled, lamb is served with fabulous wine sauce made by Chef&#39;s special recipe. The sauce is beautifully made and matched with the luscious lamb.</p>\r\n<p> </p>\r\n<p> </p>\r\n<p>Relaxing and elegant atmosphere, delicious food and attractive presentation are what you expect from Corso Steakhouse &amp; Bar.</p>\r\n<p> </p>\r\n<p>Dining at Corso Steakhouse &amp; Bar, we promise to bring you great satisfaction.</p>', '', '', '', 'Corso_Steakhouse.jpg', 200, 200, 140, '2010-08-19', '2010-09-30', '', 1, 0, 0, '0000-00-00 00:00:00', 0, 2),
(3, 1, 'Special menu at Hai Long Restaurant', 'special-menu-at-hai-long-restaurant', 2, 230, 0, 1, '0', '', 0, '', '<p><strong>For long time in the history, the sea has brought human beings the healthy and nutritional foods.</strong></p>\r\n<p> </p>\r\n<p>Because less of oil and rich in omega 3, the seafood dishes make the cheery spirit, sound mind, especially not obesity. So, it&#39;s easy to understand why the seafood is always the number 1 choice for modern parties. This is also the reason why Long Hai Restaurant released "Long Hai Seafood Flavor" program.</p>\r\n<p> </p>\r\n<p><strong>Fresh and delicious taste of seafood</strong></p>\r\nHai Long&#39;s menu is unique and attractive by many valuable seafood species. There are some delicious dishes only at Hai Long restaurant and a few restaurants in Hanoi, such as King Crab (also known as the Red King Crab). King Crab is famous in the world with its weight about 3 - 5 kg and its white, pure, soft, sweet grains with soft fragrance.<br />\r\n<p>Crab  meat supply a large amount of calcium helps strengthen the bones, high protein content helps firm the muscle, abundant iodine content helps protect, develop and regenerate nerve cells, etc.</p>\r\n<p>So, in terms of aesthetic and nutrition, King Crab meat deserves the highest ranking. There are different ways of process from King Crab, typically the steamed crab, pepper roasted crab depends on the guests&#39; demand. Despite how the King crab is processed, all the dishes from King Crab processed at Hai Long restaurant are very tasty with its own key. (Note: With dishes prepared from King Crab, Lobster, customers need to have the reservation).</p>\r\n<p>King Crab is processed skillfully through chefs&#39; skill.</p>\r\n<p>Hai Long Restaurant</p>\r\nIn addition, at Hai Long restaurant you may enjoy your favorite dishes from the superior dishes such as shark fin soup, abalone, swallow&#39;s nests, holothurians (cucumber of the sea), lobsters imported from America to other dishes such as sole, garruper, snail, etc with very specific method of processing combined to special sauces.', '', '', '', 'hai_long.jpg', 200, 200, 140, '2010-08-20', '2010-10-21', '', 1, 0, 0, '0000-00-00 00:00:00', 0, 3),
(4, 1, 'Attention Lobster Lovers! - Authentic Maine lobster comes to Saigon', 'attention-lobster-lovers-authentic-maine-lobster-comes-to-saigon', 0, 230, 0, 41, '0', '', 0, '', '<p><strong>Any food-lover would tell you it is hard to surpass </strong><strong>Maine lobster, with its tender and abundant meat found in its distinct claws and its significant sweet taste. </strong></p>\r\n<p> </p>\r\n<p>As one of the world&#39;s most valuable delicacies, authentic Maine lobster can&#39;t be compared to the lobster you might find in your average restaurant – a difference you can taste in every bite! Maine lobster even presents a healthier choice with its low content of sugars and carbohydrates.<br /> <br /> While <strong>Maine</strong><strong> lobster</strong> can be easily found within the waters of the North Atlantic, getting your hands on this rare treat in Ho Chi Minh City is a different story. <strong>From June 6 to July 6</strong>, all that is changing! <br /> <br /> Finding fantastic <strong>Maine</strong><strong> lobster</strong> is easy with 5 different locations throughout the city serving up Maine lobster flown direct from the source. Enjoy a wide array of fresh and succulent dishes featuring a variety of cooking styles and flavors! No matter where you are in the city, there&#39;s a chance to enjoy the finest lobster available!<br /> <br /> Indulge in a host of Western favorites at <strong>Amigo Restaurant</strong> like traditional <strong>lobster thermidor</strong> baked with creamy parmesan béchamel and mushrooms or a rich and flavorful medley try our <strong>lobster Newburg</strong>, flambéed with wine, chopped garlic, Worcestershire sauce, Dijon mustard and paprika. Main courses are available for only <strong>950.000VND++ per piece</strong>!<br /> <br /> At <strong>Café Central Nguyen Hue</strong>, savor classic dishes like savory <strong>grilled lobster</strong>, served hot with lemon, chive butter sauce & parsley potatoes for the low price of only <strong>895.000VND++ per piece</strong>.</p>\r\n<p>For a rich variety suitable for all tastes, <strong>Café Central An Dong and TOTT Bar & Restaurant</strong> offer lobster prepared to your liking. Whether its <strong>steamed</strong>, <strong>pan-fried</strong>, <strong>poached or grilled</strong>, each lobster comes with your choice of tempting sauces like <strong>spicy wasabi</strong>, <strong>wild fennel sauce</strong>, or a <strong>lime butter</strong> <strong>sauce</strong> flambéed at your table! Plus delectable dishes of <strong>wine-marinated lobster cubes</strong> or <strong>Maine</strong><strong> lobster sashimi</strong> prepared in a surf & turf style abound! Your choice of dishes for only <strong>895.000VND++ per piece</strong>.<br /> <br /> And at <strong>Ngan Dinh Chinese Restaurant</strong>, enjoy a fusion of Asian flavors with <strong>stir-fried lobster</strong> served alongside a delightful superior soup or <strong>chilled Chaozhou-style lobster</strong> with authentic tastes from the southern province. These tastes and more are available at the astonishing price of only <strong>108.000VND++/100g</strong>!</p>\r\n<p>With each location offering a unique variety of dishes why not try them all? <br /> <br /> Fantastic flavors at an unbelievable price!&nbsp; Act fast because this is one limited time special you don&#39;t want to miss!</p>', '', '', '', '162618.jpg', 200, 200, 140, '2010-08-20', '2010-09-20', '', 1, 498, 0, '0000-00-00 00:00:00', 0, 4),
(5, 1, 'Traditional Vietnamese, Japanese foods spotlighted', 'traditional-vietnamese-japanese-foods-spotlighted', 0, 230, 0, 41, '0', '', 0, '', '<p><strong>Traditional dishes of Vietnamese and Japanese food will be on display at a gastronomy night, which is to be held in Hoi An Town, Quang Nam Province on July 7.</strong></p>\r\n<p> </p>\r\n<p>The programme, co-organised by the Quang Nam Tourism Association, Hoi An Hotel and the Japan&#39;s Institute for Human Resource Development, will  spotlight dishes made by professor Iijima Yukichika, Vice Director of the Association of Global Hotel Management. <br /> <br /> It is aimed at helping Vietnamese people better understand culinary the  gastronomy of Japan, which is well-known for traditional dishes like sushi, sashimi, tempura and different types of noodle as well as promoting the country&#39;s tourism-related products to Japanese friends. <br /> <br /> Earlier, the Japan External Trade Organisation (JETRO) organised a similar culinary programme in the Lotte Mart supermarket in Ho Chi Minh City from February 26 to March 14. <br /> Yoshida Sakae, JETRO&#39;s managing director, expressed his wish that through the event, JETRO would set up more diverse food distribution systems. <br /> <br /> Vietnam is seen as a promising market for Japanese processed food and a favourite destination for Japanese arrivals. <br /> <br /> In the first six months of this year, Japanese arrivals to Vietnam increased by 18.5% to more than 210,000.</p>', '', '', '', 'quang.jpg', 200, 200, 140, '2010-07-04', '2010-07-04', '', 1, 506, 0, '0000-00-00 00:00:00', 0, 5),
(6, 1, 'Nha Nam Restaurant - Ginger Restaurant & Bar', 'nha-nam-restaurant-ginger-restaurant-a-bar', 0, 230, 0, 41, '0', '', 0, '', '<p><strong>Luxurious style of Vietnamese cuisine -That is the criteria of Nha Nam Restaurant, the new and attractive highlights for the epicures in </strong><strong>Hanoi.</strong></p>\r\n<p> </p>\r\nBeing the latest address in the chain of Vietnamese luxurious restaurants, it is loved by both epicures in Hanoi and the foreigners, including Da Dien Restaurant (Wild Lotus), La Lua Restaurant (Wild Rice), Season of Hanoi, etc. Nha Nam Restaurant is a perfect combination between the Vietnamese cuisine profile and the elected typical slices of Western cuisine in order to bring guests the real feelings about Hanoian&#39;s modern lifestyle.<br />\r\n<p> </p>\r\n<p>That implication was expressed in the design style of interior at Nha Nam  Restaurant. Nha Nam Restaurant, a French motif villa hides behind the noise street of Hanoi capital – Ly Thuong Kiet street, feature of Hanoi ancient architecture. In addition, the modern works of art bring Nha Nam Restaurant the new and strange appearance like the West.</p>\r\n<p> </p>\r\n<p>Restaurant&#39;s menu is also complying with that criterion of Nha Nam Restaurant. The menu at Nha Nam Restaurant is a seductive combination of different delicious dishes from the traditional specialties of Hanoian and other areas to the famous European dishes. The dishes at Nha Nam Restaurant is processed creatively according to the modern style, bring the guests the attraction even the familiar dishes of the Vietnamese or the Foisgras of the West through the workmanship of the professional chefs (mainly from 5-star hotels). Furthermore, that is also a combination of hundred kinds of alcohol and cocktail to make the luxurious and attractive parties for both the epicures of Hanoi Capital and foreigners regardless of where they come from.</p>\r\n<p> </p>\r\n<p>Nha Nam Restaurant is the ideal place for a good and luxurious meal for guests. Luxurious style of Vietnamese cuisine and much more that is Nha Nam Restaurant – Ginger Restaurant & Bar.</p>\r\n<p> </p>\r\n<p><strong>For more information, please contact</strong><strong>&nbsp;</strong></p>\r\n<p>Nha Nam - Ginger Restaurant & Bar</p>\r\n<p>Address: 87 C, Ly Thuong Kiet street, Hoan Kiem district, Ha Noi</p>\r\n<p>Tel: 04.39412099</p>\r\n<p>Fax: 04.39412096</p>\r\nMobile: 0906.153456 (Ms Thanh)', '', '', '', '3042.jpg', 200, 200, 140, '2010-08-18', '2010-08-31', '', 1, 586, 0, '0000-00-00 00:00:00', 0, 6),
(7, 1, 'Food promotions at Grand and First hotels', 'food-promotions-at-grand-and-first-hotels', 0, 0, 0, 0, '0', '', 0, '', '<p><strong>New food programs are ready to for patrons savor at Saigontourist&#39;s First Hotel and Grand Hotel in HCMC.</strong></p>\r\n<p> </p>\r\n<p>The "Food gifts at the First Hotel" provides attractive food promotions at the hotel&#39;s First Hot Pot restaurant accompanied with gifts.<br /> <br /> With VND90,000, customers can enjoy a vegetarian hot pot package for the Vu Lan season including soup, mushrooms, a variety of vegetables, noodles and choice of mixed fruit, pear, corn and taro fruit juices. (Vu Lan is the Ghost Festival when Vietnamese express filial piety towards their parents and ancestors by offering vegetarian food). <br /> <br /> The First Delicious Restaurant at First Hotel offers a VND70,000 set menu, including five options everyday; each has two main dishes and dessert (or drinks). The program runs from August 14 to September 30. <br /> <br /> "The month of tourism promotion 2010" from September 1-30 will also discount 30% on room rates and 5% on the First Hot Pot menu. <br /> <br /> "Vietnamese coffee breakfasts" is the new promotion at the Grand Hotel. At VND35,000 to VND50,000, guests can have bun bo Hue (spicy beef noodle soup in Hue style), pho bo (rice noodle soup with  beef), or hu tiu bo kho (rice noodle soup with braised beef) and enjoy special Grand coffee at the Belle-Vue on the twelfth floor or Coffee Lounge on the ground floor. <br /> <br /> In addition, the Grand hotel&#39;s Chez-nous Restaurant on the ground floor serves sumptuous buffet breakfasts with more than 30 European, Chinese and Vietnamese dishes. The restaurant also provides Vietnamese cuisine for lunch and dinner. <br /> <br /> On the occasion of Saigontourist&#39;s 35th birthday (August 1, 2010), the restaurant discounts 10% in the first month of opening. Guests will also receive a 10% discount coupon for their next visit. The  program starts from August 9, 6am-10pm everyday.</p>', '', '', '', '718956.jpg', 200, 200, 140, '2010-08-20', '2010-08-31', '', 1, 514, 0, '0000-00-00 00:00:00', 0, 7),
(8, 1, 'Fifth European Food Festival to cook up a storm in Hanoi', 'fifth-european-food-festival-to-cook-up-a-storm-in-hanoi', 0, 0, 0, 0, '0', '', 0, '', '<p><strong>The fifth European Food Festival will be held in Hanoi on May 22 on the garden grounds of the National Library of Vietnam.</strong></p>\r\n<p> </p>\r\n<p>The fifth European Food Festival will be held in Hanoi on May 22 on the garden grounds of the National Library of Vietnam. Speaking at a press  conference on May 14 in Hanoi, Preben Hjortlund, Deputy Chairman of EuroCham, said Eurocham began the festival in 2005 to promote cooperation between the European and Vietnamese communities.</p>\r\n<p>According to organisers, this will be EuroCham&#39;s prime social event this year, combining a unique culinary experience while celebrating the worldwide cultural event Europe Days. <br /> <br /> This year&#39;s food festival will offer authentic European food and  beverages, activities for children and live entertainment from en-vogue bands to the best dance troupes in town. <br /> <br /> Food specialties include paella, beef Zurichoise with spatzle, the Metropole&#39;s Chef clay pot, Italian lasagna, spaghetti Bolognese and assorted baguettes and pizzas. <br /> <br /> The event will feature a broad variety of European beverages, including one of the most famous German beers, Bitburger. <br /> <br /> Chefs from the Metropole, Sofitel Plaza Hanoi, Melia, Sunway Hanoi, Mercure and Panee Vino will also attend the festival. <br /> <br /> A kids&#39; corner will be set up for children with games and entertainment activities, including a giant jumping castle, house of balls, face painting and more. <br /> <br /> Tickets are available at the EuroCham Hanoi office, Pane e Vino restaurant or at the gate on the day. Ticket price is VND 200,000 (USD 10.5) per person, including six coupons for food, beer and drinks of all kinds. Entrance is free for children under 10.</p>\r\n<p> </p>\r\n<p><strong><br /></strong></p>', '', '', '', '82538.jpg', 200, 200, 140, '2010-08-19', '2010-08-31', '', 1, 448, 0, '0000-00-00 00:00:00', 0, 8),
(9, 1, 'Big Promotion at Hai Long Restaurant', 'big-promotion-at-hai-long-restaurant', 0, 0, 0, 0, '0', '', 0, '', '<p><strong>Big Promotion "Welcome Summer 2010"! Enjoy </strong><strong>Russia</strong><strong>&#39;s summer in </strong><strong>Vietnam</strong><strong> at Hai Long Restaurant.</strong></p>\r\n<p> </p>\r\n<p>"Take 3 glasses to receive 1 free glass of F.O beer". F.O beer expresses the new taste and the style of the Vietnamese.<br /> <br /></p>\r\n<p>For long time, enjoying the fresh cold beer in hot summer days has become a habit of people in Hanoi. Hai Long&#39;s airy and modern space has become an interesting destination for many people. <br /> <br /></p>\r\n<p>To meet customer&#39;s demand, Hai Long Restaurant is carrying out the promotional program "Take 3 glasses to receive 1 free glass of F.O beer. F.O beer is a famous product of Russia produced the first time in Vietnam. F.O beer is very healthy with the ingredients of nutrients and vitamins. The difference between F.O beer and fresh beer is the sweet taste and the bitter taste when drinking, especially F.O beer doesn&#39;t make drinker feel headache.&nbsp; <br /> <br /></p>\r\n<p>Hai Long restaurant will be an interesting destination for customers with diverse menu and many promotional programs on the occasion of summer 2010.</p>\r\n<p> </p>\r\n<p>Hai Long Café will be the first choice for those who want to enjoy the comfortable feeling with the fresh cool sip of beer in this summer, especially on the occasion of World Cup 2010 through 300-inche screen. <br /> <br /></p>\r\n<p>F.O beer:&nbsp; "Take 3 glasses to receive 1 free glass of F.O beer". A new taste and style of the Vietnamese people is only at Hai Long restaurant.&nbsp;<br /> <br /></p>\r\n<p>Only 25.000vnd/Cup</p>\r\n<p>Promotion period: from 15<sup>th</sup>, May to 30<sup>th</sup>, June, 2010.</p>\r\n<p>Special offer: 50% off for Karaoke from 12 am to 6 pm (Monday to Sunday, and holidays)</p>\r\n<p> </p>\r\n<p><strong>For more information, please contact</strong></p>\r\n<p>Hai Long Restaurant</p>\r\n<p>Address: No. 36D, Tran Thai Tong street (Nguyen Phong Sac prolonged), Cau Giay district, Hanoi.</p>\r\n<p>Sale department: 04 - 3795 1888</p>\r\nReceptionist: 04 - 3768 5566 - 3768 5588<br /> Hot line: 01693 55 55 58 (Mr. Hieu)', '', '', '', '154156.jpg', 200, 200, 140, '2010-05-15', '2010-06-30', '', 1, 496, 0, '0000-00-00 00:00:00', 0, 9),
(10, 1, 'HCMC food and tourism festival under way', 'hcmc-food-and-tourism-festival-under-way', 0, 0, 0, 0, '0', '', 0, '', '<p><strong>The Ho Chi Minh City Tourism Festival 2010 opened on April 8, featuring more than 150 pavilions from travel companies, hotels and airlines both in and outside the city. </strong></p>\r\n<p> </p>\r\n<p>The festival is the first in a series of planned cultural and tourism activities to celebra te 35 years of the South&#39;s liberation and the national reunification (April 30) and the 1,000th anniversary of Thang Long-Hanoi.</p>\r\n<p>It is designed to promote tourism development by introducing visitors to a wide range of culinary specialities and attractive tourist destinations, as well as helping the participating businesses seek partners.</p>\r\n<p>This year will mark the first time an art parade will be held within the framework of the festival, drawing the participation of 80 tourism units and over 1,000 amateur artists.</p>\r\n<p>Visitors to the festival will have the opportunity to enjoy special dishes and performances from southern cities and provinces.</p>\r\n<p>The annual festival is expected to attract 100,000 visitors.</p>', '', '', '', '93215.jpg', 200, 200, 140, '2010-04-08', '2010-04-08', '', 1, 334, 0, '0000-00-00 00:00:00', 0, 10),
(11, 1, 'Reunification day 30-4 in Swiss – Cafe Restaurant', 'reunification-day-30-4-in-swiss--cafe-restaurant', 0, 0, 0, 0, '0', '', 0, '', '<p>Hot Pot Buffe and more Swiss – Cafe Restaurant (6 th floor). From 18:00 – 22 hrs. ++ 15 only</p>\r\n<p> </p>\r\n<p>Including 5 softdrink or mineral water</p>\r\n<p>Buy 5 get 1 free applired for special Saigon Beer</p>\r\n<p>Book 10 get 1 free</p>\r\n<p>Free for chidren under 5 year old</p>\r\n<p>Half price for chidren from 6-10 year old</p>\r\n<p><strong>Swiss-Belhotel Wooshu</strong></p>\r\n<p><strong>253 Pham Van Thuan</strong></p>\r\n<p><strong>Bien</strong><strong> Hoa City, Dong Nai, Vietnam</strong></p>\r\n<p><strong>Tel. (061) 391 8888 / 382 7525</strong></p>\r\n<strong>Fax. (061) 391 8889</strong>', '', '', '', '16311.jpg', 200, 200, 140, '2010-04-30', '2010-04-30', '', 1, 488, 0, '0000-00-00 00:00:00', 0, 11),
(12, 1, 'Van Thanh to bring traditional foods, festivities to Saigonese', 'van-thanh-to-bring-traditional-foods-festivities-to-saigonese', 0, 0, 0, 0, '0', '', 0, '', '<p><strong>The Van Thanh Tourist Park of the Binh Quoi Tourism Village will organize a food and culture program called Ngay Hoi Que Toi (Festive Day in My Homeland) from 5:00 p.m to 9: 00 p.m on March 5, 6 and 7 to introduce special dishes and traditional festivities of the North, Central and South regions to Saigonese.</strong></p>\r\n<p> </p>\r\n<p>Along with more than 100 dishes made by chefs of Binh Quoi, other chefs of tourist service providers in  localities such as Can Tho, Ben Tre, Dong Thap, Gia Lai and Khanh Hoa will bring their special foods to the city&#39;s people during the program.</p>\r\n<p>Chiem Thanh Long, Director of Binh Quoi Tourism Village, said this year&#39;s program would add new dishes to the North region&#39;s menu. For dishes of the Central region, Van Thanh will focus on dishes from Danang and Hoi An instead of promoting too many dishes of the whole region.</p>\r\n<p>"We not only want to promote delicious dishes but also want to bring charms of rural markets, funny folk games, traditional music performances and images of trade villages to the city&#39; people," Long said in a meeting to promote the program in Van Thanh on Friday.</p>\r\n<p>The organizers will prepare colorful rural markets of the three regions. Via the rural markets, visitors will  see the customs of the people of the regions, and the daily life of floating markets and vendors.</p>\r\n<p>Visitors will have a chance to enjoy cheo (Vietnamese popular opera), gongs, Cham dances and Hue folk songs. Children and young people can try folk games such as making boats by arecas of banana, making toys by coconut and bamboo leaves, climbing the greasy pole and the bamboo pole dance.</p>\r\n<p>Long said the food program would introduce craft villages, including villages to make wide baskets, or panniers, deep bamboo baskets and rice paper.</p>\r\n<p>"Guests can see craftsmen of the banh hoi (steamed rolls made of rice-flour) Phu Long in Binh Thuan Province to make banh hoi in Van Thanh and then buy the food," he said.</p>\r\n<p>Tickets are VND170,000 per adult and there are coupons for guests to buy food and drink.</p>\r\n<p> </p>\r\n<p><strong>Van Thanh Tourist Park</strong></p>\r\n<p>Add: 48/10 Dien Bien Phu Street, Ward 22, Binh Thanh District</p>\r\n<p>Tel: (84-8) 3512 3025.</p>', '', '', '', '145432.jpg', 200, 200, 140, '2010-05-05', '2010-05-07', '', 1, 586, 0, '0000-00-00 00:00:00', 0, 12),
(13, 1, 'Giant cake to celebrate 1000th anniversary of Thang Long – Hanoi', 'giant-cake-to-celebrate-1000th-anniversary-of-thang-long--hanoi', 0, 0, 0, 0, '0', '', 0, '', '<p><strong>A giant Banh Day (a traditional Vietnamese cake) will be transported from Phu Minh Town in Hanoi to Bai Dinh Pagoda in Ninh Binh Province on March 3.</strong></p>\r\n<p> </p>\r\n<p>The cake was made in honour of the 1,000th anniversary of Thang Long – Hanoi and the traditional cake-making craft of Quan Ganh Village, Thuong Tin District in Hanoi.</p>\r\n<p>It has been recognized as the biggest Banh Day in Vietnam by the National Book of Records.</p>\r\n<p>The lotus-shaped cake weighs 2,010 kilos and is 2.010m in diameter. Its upper side is carved with Ly Dynasty dragon. It took artisans, sculptors and other experts nearly four months to complete the project.</p>\r\n<p>The cake will be displayed at the Bai Dinh pagoda festival which falls on March 3 (or the 18th day of the 1st lunar month). It will be then sliced for approximately 10,000 pilgrims.</p>\r\n<p>It was made on the initiative of Nguyen Chi Bao, Chairman of the Cultural Heritage Association of Vietnam, and is sponsored by TST Investment and  Development Company.</p>', '', '', '', '93627.jpg', 200, 200, 140, '2010-03-03', '2010-03-03', '', 1, 458, 0, '0000-00-00 00:00:00', 0, 13),
(14, 0, 'Food & Drink Events in Thailand', 'food-a-drink-events-in-thailand', 0, 0, 0, 0, '0', '', 0, '', '', '', '', '', '', 0, 0, 0, '0000-00-00', '0000-00-00', 'Thailand', 1, 678, 0, '0000-00-00 00:00:00', 0, 14),
(15, 14, 'Surat Food Fair', 'surat-food-fair', 0, 209, 450, 56, '9.00580792595707', '99.42489624023438', 10, 'roadmap', 'Sales of local food, fresh seafood, exhibitions, and various forms of entertainment.', '', '', '', 'surat_food_fair.jpg', 200, 200, 134, '2010-03-01', '2010-03-01', '', 1, 568, 0, '0000-00-00 00:00:00', 0, 15),
(16, 14, 'Samui Food and Products Fair', 'samui-food-and-products-fair', 0, 209, 450, 58, '9.56283423106296', '100.08270263671875', 7, 'roadmap', 'Enjoy palatable food of various choices in a seaside laidback and relaxing environment. Witness the contest and sales of fresh seafood and local products, and agricultural produce.', '', '', '', 'samui.jpg', 200, 200, 134, '2010-07-05', '2010-07-09', '', 1, 494, 0, '0000-00-00 00:00:00', 0, 16),
(17, 14, 'Free food to promote ecotourism', 'free-food-to-promote-ecotourism', 0, 209, 450, 59, '10.028357677443418', '98.6187744140625', 8, 'roadmap', '<div id="event_detail">Each January at Lamnam Kraburi National Park in Ranong, villagers pitch in to create an amazing eating festival to entice visitors to explore nearby ecotourism trails.<br />Participation in the event helps sustains life and it is certainly a pleasure very few can deny so it kind of makes sense to celebrate the simple task of eating. Villagers in La Un district, some 80 km northeast of Ranong provincial town, believe their culinary skills are up to the test as they launch into their very own Eating Festival each January.<br />We can understand their enthusiasm as Thailand is certainly a top notch destination for superb food and every village appears to have secret recipes.<br />Like other Andamam coast provinces, Ranong is blessed with fine sandy beaches, off shore islands, and opportunities to go deep sea fishing or scuba diving at incredible bargain prices.<br />But Ranong is probably the greenest of all Thailand&#39;s provinces blessed with abundant rain that keeps national parks in pristine condition for visitors who want to journey down the ecotourism trail.<br />That trail leads north of Ranong to Lamnam Kraburi National Park and the famous Punyabun Falls just off Highway 4. After admiring the beauty of the 6 km wide Kraburi River estuary that separates  Thailand and Myanmar, travelers can head 20 km inland to La Un district that lies at the end of the rural highway 4091. Here villagers hope to draw visitors to sample eco-tours that will ultimately supplement the district&#39;s income.<br />To draw attention to their forest tours they have created this spectacular eating festival. It promises a scrumptious display of snacks and heavy-duty dining delivered to the village stalls by no less than 35 villages that make up the La Un district.<br />No duplicate recipes are allowed. Villages have drawn on southern culinary skills to showcase a wealth of down-to-earth cooking skills delivering a selection of spicy main dishes to eat with rice and an array of sweet deserts and snacks.<br />Amazingly, all this is feasting and snacking is absolutely free; a sign that La Un&#39;s villagers recognize that the way to a visitor&#39;s heart is via the stomach. <br /> <br />Efforts to open the district to tourism begin a day before the feast, when villages introducing eco-tour options. They hope to convince travelers who journey on Highway 4, between Chumphon and Ranong, to make a diversion inland to stop for a meal and learn a little about the district&#39;s natural beauty, forest trails and even three hot springs near the village of Bang Phra Nua, in La Un district. <br />You will have to admit  the buffet spread has a remarkable price tag. And if their tours are as tasty as the food, eco-tourism will be on the map at La Un thanks to a day of hospitality.</div>', '', '', '', 'free.jpg', 200, 200, 134, '2010-01-01', '2010-01-31', '', 1, 436, 0, '0000-00-00 00:00:00', 0, 17),
(19, 14, 'Khlong Hat Sweet Rose Apple Fair', 'khlong-hat-sweet-rose-apple-fair', 0, 209, 449, 0, '13.720708401412068', '102.535400390625', 8, 'roadmap', 'Agricultural products competitions, displays of local OTOP products, eco and <br /> adventure tours, and local forms of entertainment.', '', '', '', 'sakaeo.jpg', 200, 200, 134, '2010-01-01', '2010-01-01', '', 1, 496, 0, '0000-00-00 00:00:00', 0, 19),
(18, 14, 'Phetchabun Sweet Tamarind Festival and Red Cross Fair', 'phetchabun-sweet-tamarind-festival-and-red-cross-fair', 0, 209, 449, 60, '16.472962509630975', '100.8599853515625', 7, 'roadmap', 'Sales of sweet tamarind products, agricultural products, Thai arts and cultural <br />performances, various forms of entertainment, local sports competitions, booths of the Red Cross and the provincial office and various government  ministries, as well as local games and activities.', '', '', '', 'phetchabun.jpg', 200, 200, 134, '2010-01-01', '2010-01-01', '', 1, 502, 0, '0000-00-00 00:00:00', 0, 18),
(20, 14, 'Nakhon Pathom Food, Fruit and Goods Fair', 'nakhon-pathom-food-fruit-and-goods-fair', 0, 209, -1, 0, '14.136575651477944', '100.3271484375', 7, 'roadmap', 'Sales of fruit, food, and industrial products, amusements and various forms of <br /> entertainment.', '', '', '', 'sakaeo.jpg', 200, 200, 134, '2010-02-01', '2010-02-01', '', 1, 460, 0, '0000-00-00 00:00:00', 0, 20),
(21, 14, 'Sweet Marian Plum Fair', 'sweet-marian-plum-fair', 0, 209, -1, 0, '14.125921780589302', '101.1236572265625', 7, 'roadmap', 'See contests of marian plum, sales of fruit/tree saplings, sales of ornamental plants, and agricultural and OTOP products', '', '', '', 'nakhon_nayok.jpg', 200, 200, 134, '2010-02-01', '2010-02-01', '', 1, 506, 0, '0000-00-00 00:00:00', 0, 21),
(22, 14, 'Samut Sakhon Seafood Festival', 'samut-sakhon-seafood-festival', 0, 209, 0, 0, '13.496472765758964', '100.26123046875', 7, 'roadmap', 'Sales of seafood and well known products of Samut Sakhon. Good opportunities to shop for seafood, dried or fresh, of high quality. Enjoy cultural performances and various kinds of music.', '', '', '', 'samut_sakhon.jpg', 200, 200, 134, '2010-02-01', '2010-03-01', '', 1, 550, 0, '0000-00-00 00:00:00', 0, 22),
(23, 1, 'Test Event', 'test-event', 15, 230, 0, 1, '', '', 0, '', '<p>hoj jij opk[</p>', '', 'jioijio jpokpo', 'ipjk kokop', 'italian_anthem_1.jpg', 240, 240, 180, '2011-09-04', '2011-11-25', '', 1, 0, 0, '0000-00-00 00:00:00', 0, 23),
(24, 14, 'Test Event', 'test-event', 6, 223, 16, 7, '', '', 0, '', '', '', '', '', '', 240, 0, 0, '0000-00-00', '0000-00-00', '', 1, 0, 0, '0000-00-00 00:00:00', 0, 24),
(25, 14, 'Text Event for Front-end', '', 10, 230, 0, 1, '', '', 0, '', 'Test for front-end registering and editing...', '', 'Front-end registering', 'Test for front-end registering and editing...', 'oben3.jpg', 240, 240, 180, '2011-10-11', '2011-12-31', '', 1, 0, 0, '0000-00-00 00:00:00', 0, 25);


INSERT IGNORE INTO `#__rg_facilities` VALUES
(1, 'Food', '', 'Food.gif', 1, 0),
(2, 'Beer and Cocktail', '', 'Bear_and_Cocktail.gif', 1, 0),
(3, 'Coffee', '', 'Coffee.gif', 1, 0),
(4, 'Snack', '', 'Snack.gif', 1, 0),
(5, 'No Smoking', '', 'No_Smoking.gif', 1, 0),
(6, 'Live Music', '', 'LiveMusic.gif', 1, 0),
(7, 'Music', '', 'Music.gif', 1, 0),
(8, 'Wireless Internet', '', 'Wireless_Internet.gif', 1, 0),
(9, 'Expensive', '', 'Expensive.gif', 1, 0),
(10, 'Average Price', '', 'Average_Price.gif', 1, 0),
(11, 'Resonable Price', '', 'Resonable_Price.gif', 1, 0);

INSERT INTO `#__rg_galleryitems` VALUES
(1, 0, 'Restaurant Guide Demo', 'slide_1.jpg', 0, 0, 0, 0, 0, 'Insert image or your site description here!', 980, 280, 1, 2, 0, '0000-00-00 00:00:00', 1),
(2, 0, 'Restaurant Guide Demo', 'slide_2.jpg', 0, 0, 0, 0, 0, 'Insert image or your site description here!', 980, 280, 1, 2, 0, '0000-00-00 00:00:00', 2),
(3, 0, 'Restaurant Guide Demo', 'slide_3.jpg', 0, 0, 0, 0, 0, 'Insert image or your site description here!', 980, 280, 1, 2, 0, '0000-00-00 00:00:00', 3),
(4, 0, 'Restaurant Guide Demo', 'slide_4.jpg', 0, 0, 0, 0, 0, 'Insert image or your site description here!', 980, 280, 1, 2, 0, '0000-00-00 00:00:00', 4),
(5, 0, 'Restaurants in Ho Chi Minh City', 'slideshow_v_4.jpg', 0, 230, 0, 1, 0, '', 650, 240, 1, 6, 0, '0000-00-00 00:00:00', 5),
(6, 0, 'Restaurants in Ho Chi Minh City', 'slideshow_v_5.jpg', 0, 230, 0, 1, 0, 'Insert your description', 650, 240, 1, 6, 0, '0000-00-00 00:00:00', 6),
(7, 0, 'Restaurants in Ho Chi Minh City', 'slideshow_v_6.jpg', 0, 230, 0, 1, 0, 'Insert your descripton hereĂ', 650, 240, 1, 6, 0, '0000-00-00 00:00:00', 7),
(8, 0, 'Givanni''s', 'menu_chicken_marsala.jpg', 0, 223, 16, 7, 6, 'All of our menu items are created using only the freshest ingredients. From our delicious salads to our home-made pastas, we take the time to make sure your dish is prepared perfectly.', 640, 250, 1, 1, 0, '0000-00-00 00:00:00', 8),
(9, 0, 'Givanni''s', 'directions1.jpg', 0, 223, 16, 7, 6, 'Givanni''s is located in downtown Iowa City on the Pedestrian Mall.', 640, 250, 1, 1, 0, '0000-00-00 00:00:00', 9),
(10, 0, 'Givanni''s', 'reservations1.jpg', 0, 223, 16, 7, 6, 'Enjoy a wonderful dining experience at Givanni''s!', 640, 250, 1, 1, 0, '0000-00-00 00:00:00', 10),
(11, 0, 'Givanni''s', 'contactus1.jpg', 0, 223, 16, 7, 6, 'Givanni''s is part of Fresh Food Concepts, owned by Jim Mondanaro, a local entrepreneur and restaurateur for over 30 years. Mondo''s Saloon, Mondo''s Sport Café, Joseph''s Steakhouse and the Bread Garden Market are also part of Fresh Food Concepts. Where whole food is the only thing served.', 640, 250, 1, 1, 0, '0000-00-00 00:00:00', 11),
(12, 0, 'Sege Restaurant', 'sege_2.jpg', 0, 81, 0, 9, 7, '', 700, 250, 1, 1, 0, '0000-00-00 00:00:00', 12),
(13, 0, 'Sege Restaurant', 'sege_3.jpg', 0, 81, 0, 9, 7, '', 700, 250, 1, 1, 0, '0000-00-00 00:00:00', 13),
(14, 0, 'Sege Restaurant', 'sege_4.jpg', 0, 81, 0, 9, 7, '', 700, 250, 1, 1, 0, '0000-00-00 00:00:00', 14),
(15, 0, 'Sege Restaurant', 'sege_5.jpg', 0, 81, 0, 9, 7, '', 700, 250, 1, 1, 0, '0000-00-00 00:00:00', 15),
(16, 0, 'Germany', 'bg1s.jpg', 0, 81, 0, 0, -1, '', 600, 250, 1, 4, 0, '0000-00-00 00:00:00', 16),
(17, 0, 'Germany', 'bg2s.jpg', 0, 81, 0, 0, -1, '', 600, 250, 1, 4, 0, '0000-00-00 00:00:00', 17),
(18, 0, 'Germany', 'bg3s.jpg', 0, 81, 0, 0, -1, 'Insert your description', 600, 250, 1, 4, 0, '0000-00-00 00:00:00', 18),
(19, 0, 'Berlin', 'bg4s.jpg', 0, 81, 0, 9, -1, '', 600, 250, 1, 6, 0, '0000-00-00 00:00:00', 19),
(20, 0, 'Berlin', 'bg5s.jpg', 0, 81, 0, 9, -1, '', 600, 250, 1, 6, 0, '0000-00-00 00:00:00', 20),
(21, 0, 'Berlin', 'bg6s.jpg', 0, 81, 0, 9, -1, '', 600, 250, 1, 6, 0, '0000-00-00 00:00:00', 21),
(22, 0, 'Kuchi Mitte', 'bg9_1.jpg', 0, 81, 0, 9, 9, '', 600, 250, 1, 1, 0, '0000-00-00 00:00:00', 22),
(23, 0, 'Kuchi Mitte', 'bg8_1.jpg', 0, 81, 0, 9, 9, '', 600, 250, 1, 1, 0, '0000-00-00 00:00:00', 23);

INSERT INTO `#__rg_menus` VALUES
(1, 0, 230, 0, 1, 1, 'LUNCH MENU', 'lunch-menu', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 1),
(2, 1, 230, 0, 1, 1, 'SHOKADO BENTO', 'shokado-bento', '<p>Special bento box lunch set</p>', '', '', 'thumbmenu_1.jpg', 240, 152, '', 0, 0, 0, '19.90', 1, 0, '0000-00-00 00:00:00', 0, 2),
(3, 1, 230, 0, 1, 1, 'HIGAWARI TEISHOKU', 'higawari-teishoku', '<p>Daily special set</p>', '', '', 'thumbmenu_2.jpg', 240, 152, '', 0, 0, 0, '14.95', 1, 0, '0000-00-00 00:00:00', 0, 3),
(4, 1, 230, 0, 1, 1, 'NIGIRI SUSHI TEISHOKU', 'nigiri-sushi-teishoku', '<p>Sushi set</p>', '', '', 'thumbmenu_3.jpg', 240, 152, '', 0, 0, 0, '12.95', 1, 0, '0000-00-00 00:00:00', 0, 4),
(5, 1, 230, 0, 1, 1, 'CHIRASHI SUSHI TEISHOKU', 'chirashi-sushi-teishoku', '<p>Raw fish on a bed of rice set</p>', '', '', 'thumbmenu_4.jpg', 240, 152, '', 0, 0, 0, '9.95', 1, 0, '0000-00-00 00:00:00', 0, 5),
(6, 1, 230, 0, 1, 1, 'TEKKA DON TEISHOKU', 'tekka-don-teishoku', '<p>Slice of tuna on a bed of rice set</p>', '', '', 'thumbmenu_5.jpg', 240, 152, '', 0, 0, 0, '9.95', 1, 0, '0000-00-00 00:00:00', 0, 6),
(7, 1, 230, 0, 1, 1, 'SAKE IKURA DON TEISHOKU', 'sake-ikura-don-teishoku', '<p>Slice of salmon salmon egg on a bed of rice set</p>', '', '', 'thumbmenu_6.jpg', 240, 152, '', 0, 0, 0, '9.95', 1, 0, '0000-00-00 00:00:00', 0, 7),
(8, 1, 230, 0, 1, 1, 'SASHIMI TEISHOKU', 'sashimi-teishoku', '<p>Slice of raw fish set</p>', '', '', 'thumbmenu_7.jpg', 240, 152, '', 0, 0, 0, '12.95', 1, 0, '0000-00-00 00:00:00', 0, 8),
(9, 1, 230, 0, 1, 1, 'TENPURA TEISHOKU', 'tenpura-teishoku', '<p>Deep fried seafoood vegetables set</p>', '', '', 'thumbmenu_8.jpg', 240, 152, '', 0, 0, 0, '8.95', 1, 0, '0000-00-00 00:00:00', 0, 9),
(10, 1, 230, 0, 1, 1, 'KURODAI SHIO YAKI TEISHOKU', 'kurodai-shio-yaki-teishoku', '<p>Grilled black sea bream with salt set</p>', '', '', '', 0, 0, '', 0, 0, 0, '0.95', 1, 0, '0000-00-00 00:00:00', 0, 10),
(11, 0, 230, 0, 1, 1, 'Dinner Menu', 'dinner-menu', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 11),
(12, 11, 230, 0, 1, 1, 'THE SUSHI BAR ORIGINAL', 'the-sushi-bar-original', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 12),
(13, 12, 230, 0, 1, 1, 'SOUTHERN SALMON ROLL', 'southern-salmon-roll', '<p>Southern salmon rolls</p>', '', '', 'thumbmenu_92.jpg', 240, 152, '', 0, 0, 0, '4.50', 1, 0, '0000-00-00 00:00:00', 0, 13),
(14, 12, 230, 0, 1, 1, 'UNAGI CHEESE ROLL', 'unagi-cheese-roll', '<p>Roasted eel &amp; cheese rolls(Roasted eel, Cheese, Cucumber, Sping onion)</p>', '', '', 'thumbmenu_93.jpg', 240, 152, '', 0, 0, 0, '5.50', 1, 0, '0000-00-00 00:00:00', 0, 14),
(15, 12, 230, 0, 1, 1, 'SABA GARI ROLL', 'saba-gari-roll', '<p>Marinated mackerel with ginger rolls(Marinated mackerel&nbsp;in gingar, Vinared ginger, Cucumber)</p>', '', '', 'thumbmenu_94.jpg', 240, 152, '', 0, 0, 0, '6.50', 1, 0, '0000-00-00 00:00:00', 0, 15),
(16, 12, 230, 0, 1, 1, 'SABA NO OSHI SUSHI', 'saba-no-oshi-sushi', '<p>Pressed sushi of mackerel</p>', '', '', 'thumbmenu_95.jpg', 240, 152, '', 0, 0, 0, '5.50', 1, 0, '0000-00-00 00:00:00', 0, 16),
(17, 11, 230, 0, 1, 1, 'ASSORTMENT', 'assortment', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 17),
(18, 17, 230, 0, 1, 1, 'SASHIMI MORIAWASE- A (For 3-4 persons)', 'sashimi-moriawase-a-for-3-4-persons', '<p>Assorted Sashimi A</p>', '', '', 'thumbmenu_13.jpg', 240, 152, '', 0, 0, 0, '18.90', 1, 0, '0000-00-00 00:00:00', 0, 18),
(19, 17, 230, 0, 1, 1, 'SASHIMI MORAWASE- B(For 3-4 persons)', 'sashimi-morawase-bfor-3-4-persons', '<p>Assorted sashimi B</p>', '', '', 'thumbmenu_14.jpg', 240, 152, '', 0, 0, 0, '18.90', 1, 0, '0000-00-00 00:00:00', 0, 19),
(20, 17, 230, 0, 1, 1, 'SUSHI MORIAWASE (16 pieces) - A', 'sushi-moriawase-16-pieces-a', '<p>Assorted sushi A</p>', '', '', 'thumbmenu_15.jpg', 240, 152, '', 0, 0, 0, '23.90', 1, 0, '0000-00-00 00:00:00', 0, 20),
(21, 17, 230, 0, 1, 1, 'SUSHI MORIAWASE(16 pieces) - B', 'sushi-moriawase16-pieces-b', '<p>Assorted sushi B</p>', '', '', 'thumbmenu_16.jpg', 240, 152, '', 0, 0, 0, '23.90', 1, 0, '0000-00-00 00:00:00', 0, 21),
(22, 11, 230, 0, 1, 1, 'SASHIMI', 'sashimi', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 22),
(23, 22, 230, 0, 1, 1, 'ABOGADO', 'abogado', '<p>Avocado</p>', '', '', 'thumbmenu_26.jpg', 240, 152, '', 0, 0, 0, '3.50', 1, 0, '0000-00-00 00:00:00', 0, 23),
(24, 22, 230, 0, 1, 1, 'MAGURO', 'maguro', '<p>Tuna</p>', '', '', 'thumbmenu_18.jpg', 240, 152, '', 0, 0, 0, '4.50', 1, 0, '0000-00-00 00:00:00', 0, 24),
(25, 22, 230, 0, 1, 1, 'SAKE', 'sake', '<p>Salmon</p>', '', '', 'thumbmenu_19.jpg', 240, 152, '', 0, 0, 0, '4.50', 1, 0, '0000-00-00 00:00:00', 0, 25),
(26, 22, 230, 0, 1, 1, 'KUE', 'kue', '<p>Glupper</p>', '', '', 'thumbmenu_20.jpg', 240, 152, '', 0, 0, 0, '4.50', 1, 0, '0000-00-00 00:00:00', 0, 26),
(27, 11, 230, 0, 1, 1, 'APPETIZER', 'appetizer', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 27),
(28, 27, 230, 0, 1, 1, 'HIGAWARI OSOZAI 5 SHU MORI', 'higawari-osozai-5-shu-mori', '<p>5 kind assortment of daily diskes</p>', '', '', 'thumbmenu_128.jpg', 240, 160, '', 0, 0, 0, '3.95', 1, 0, '0000-00-00 00:00:00', 0, 28),
(29, 27, 230, 0, 1, 1, 'IKA MENTAIKO AE', 'ika-mentaiko-ae', '<p>Mixed aquid and cod eggs</p>', '', '', 'thumbmenu_129.jpg', 240, 171, '', 0, 0, 0, '2.95', 1, 0, '0000-00-00 00:00:00', 0, 29),
(30, 27, 230, 0, 1, 1, 'AKA GAI ORSHI', 'aka-gai-orshi', '<p>Ark shell and grated radish</p>', '', '', 'thumbmenu_130.jpg', 240, 160, '', 0, 0, 0, '2.95', 1, 0, '0000-00-00 00:00:00', 0, 30),
(31, 27, 230, 0, 1, 1, 'IKURA OROSHI', 'ikura-oroshi', '<p>Salmon egg and grated radish</p>', '', '', 'thumbmenu_131.jpg', 240, 160, '', 0, 0, 0, '3.95', 1, 0, '0000-00-00 00:00:00', 0, 31),
(32, 11, 230, 0, 1, 1, 'HOT POT', 'hot-pot', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 32),
(33, 32, 230, 0, 1, 1, 'SUPPON NABE', 'suppon-nabe', '<p>Softshell turtle in hot pot</p>', '', '', 'thumbmenu_149.jpg', 240, 152, '', 0, 0, 0, '24.95', 1, 0, '0000-00-00 00:00:00', 0, 33),
(34, 32, 230, 0, 1, 1, 'SUKI YAKI - Assie beef', 'suki-yaki-assie-beef', '<p>Beet, seasoned with sweet and salty sauce and dipped in beaten egg appetite</p>', '', '', 'thumbmenu_150.jpg', 240, 152, '', 0, 0, 0, '22.95', 1, 0, '0000-00-00 00:00:00', 0, 34),
(35, 0, 223, 16, 7, 5, 'Appetizers', 'appetizers', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 35),
(36, 35, 223, 16, 7, 5, 'Edamame', 'edamame', '<p>Freshly Salted Japanese Soybeans</p>', '', '', 'edamame.jpg', 240, 171, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 36),
(37, 35, 223, 16, 7, 5, 'Miso Soup', 'miso-soup', '<p>White Miso With Scallions, Tofu &amp; Wakame Seaweed</p>', '', '', 'miso.jpg', 240, 160, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 37),
(38, 35, 223, 16, 7, 5, 'Vegetable Tempura', 'vegetable-tempura', '<p>Vegetable Medley Shallow Fried In &nbsp;Light Crispy Asian Style Batter. Served With Soy Citrus Dipping Sauce</p>', '', '', 'vegetable_tempura.jpg', 240, 160, '', 0, 0, 0, '6.95', 1, 0, '0000-00-00 00:00:00', 0, 38),
(39, 0, 223, 16, 7, 5, 'Salads', 'salads', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 39),
(40, 39, 223, 16, 7, 5, 'House Salad', 'house-salad', '<p>A Blend Of Romaine Hearts, Cabbage &amp; Sliced Carrots With Your Choice Of Miso, Soy Or Ginger Dressing</p>', '', '', 'Salad.jpg', 240, 240, '', 0, 0, 0, '9.95', 1, 0, '0000-00-00 00:00:00', 0, 40),
(41, 39, 223, 16, 7, 5, 'Beef & Bleu Cheese', 'beef-a-bleu-cheese', '<p>Seared Flank Steak, Fried Capers, Paprika Aioli &amp; Spring Mix</p>', '', '', 'Sesame_Chicken_Salad.jpg', 180, 240, '', 0, 0, 0, '12.95', 1, 0, '0000-00-00 00:00:00', 0, 41),
(42, 39, 223, 16, 7, 5, 'Tuna Nicoise', 'tuna-nicoise', '<p>Sesame Salad Encrusted Tuna, Cucumber, Wasabi Vinaigrette, Hardboiled Egg &amp; Spring Mix</p>', '', '', 'salmon_miso_salad.jpg', 240, 180, '', 0, 0, 0, '11.95', 1, 62, '2011-07-09 05:01:27', 0, 42),
(43, 0, 223, 16, 7, 5, 'Entrees', 'entrees', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 43),
(44, 43, 223, 16, 7, 5, 'Seared Ahi Tuna', 'seared-ahi-tuna', '<p>Sesame Encrusted Ahi Tuna, Asian Cabbage In A Crispy Won Ton Bowl</p>', '', '', 'miso_salmon.jpg', 240, 180, '', 0, 0, 0, '16.95', 1, 0, '0000-00-00 00:00:00', 0, 44),
(45, 0, 223, 16, 7, 5, 'Sushi Dinner', 'sushi-dinner', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 45),
(46, 45, 223, 16, 7, 5, 'Sushi Dinner', 'sushi-dinner', '<p>8 Pieces Of California Roll, 6 Pieces Of Chef''s Choice Nigiri</p>', '', '', 'sushi_dinner.jpg', 240, 180, '', 0, 0, 0, '24.95', 1, 0, '0000-00-00 00:00:00', 0, 46),
(47, 0, 223, 16, 7, 6, 'Dinner Menu', 'dinner-menu', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 47),
(48, 47, 223, 16, 7, 6, 'Bruschetta', 'bruschetta', 'A blend of olive oil, tomato, onion, calamata olives, garlic, and basil over crostini', '', '', 'menu_feature_01.jpg', 240, 160, '', 0, 0, 0, '12.95', 1, 0, '0000-00-00 00:00:00', 0, 48),
(49, 47, 223, 16, 7, 6, 'Steak Deburgo', 'steak-deburgo', '<p>Grilled 6oz. filet topped with Portobello mushrooms and Givannis creamy  deburgo sauce.  Served with grilled zucchini and Yukon Gold mashed  potatoes</p>', '', '', 'menu_feature_02.jpg', 240, 160, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 49),
(50, 53, 230, 0, 1, 2, 'An Hoà', 'an-hoa', '<p>"An Hoà" shrimp paste on sugar cane</p>', '', '', 'Pic15_01.jpg', 240, 180, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 50),
(51, 53, 230, 0, 1, 2, 'Sharkfin and abolone soup', 'sharkfin-and-abolone-soup', '', '', '', 'Pic14_01.jpg', 240, 180, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 51),
(52, 53, 230, 0, 1, 2, 'Crispy Morning-glory Salad', 'crispy-morning-glory-salad', '<p>"Acient Town" crispy morning-glory salad (must try)</p>', '', '', 'hinh5_01.jpg', 240, 160, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 52),
(53, 0, 230, 0, 1, 2, 'Ancient Town Menu', 'ancient-town-menu', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 53),
(54, 0, 81, 0, 9, 7, 'Sage Classics', 'sage-classics', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 54),
(55, 54, 81, 0, 9, 7, 'SOUP AND STARTERS', 'soup-and-starters', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 55),
(56, 55, 81, 0, 9, 7, 'KREUZBERG POTATOESOUP WITH CRAYFISH & ASPARAGUS', 'kreuzberg-potatoesoup-with-crayfish-a-asparagus', '', '', '', '', 0, 0, '', 0, 0, 0, '7.50', 1, 0, '0000-00-00 00:00:00', 0, 56),
(57, 55, 81, 0, 9, 7, 'MIXED SALAD', 'mixed-salad', '', '', '', '', 0, 0, '', 0, 0, 0, '6.00', 1, 0, '0000-00-00 00:00:00', 0, 57),
(58, 55, 81, 0, 9, 7, 'GRATINATED GOAT CHEESE ON SALAD LEAVES', 'gratinated-goat-cheese-on-salad-leaves', '', '', '', '', 0, 0, '', 0, 0, 0, '9.00', 1, 0, '0000-00-00 00:00:00', 0, 58),
(59, 54, 81, 0, 9, 7, 'MAIN COURSE', 'main-course', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 59),
(60, 59, 81, 0, 9, 7, 'SAGE RISOTTO WITH SALMON & SAGE', 'sage-risotto-with-salmon-a-sage', '', '', '', '', 0, 0, '', 0, 0, 0, '16.50', 1, 0, '0000-00-00 00:00:00', 0, 60),
(61, 59, 81, 0, 9, 7, 'PAPARDELLE WITH TENDERLOIN STRIPES & SALSICCIA CHILI AND OYSTER MUSHROOMS', 'papardelle-with-tenderloin-stripes-a-salsiccia-chili-and-oyster-mushrooms', '', '', '', '', 0, 0, '', 0, 0, 0, '17.00', 1, 0, '0000-00-00 00:00:00', 0, 61),
(62, 59, 81, 0, 9, 7, 'WIENER SCHNITZEL (VEAL) WITH POTATOE – CUCUMBER SALAD', 'wiener-schnitzel-veal-with-potatoe--cucumber-salad', '', '', '', '', 0, 0, '', 0, 0, 0, '19.00', 1, 0, '0000-00-00 00:00:00', 0, 62),
(63, 59, 81, 0, 9, 7, 'WELSH LAMBRACK WITH CASSOULET and GRENAILLE POTATOES', 'welsh-lambrack-with-cassoulet-and-grenaille-potatoes', '', '', '', '', 0, 0, '', 0, 0, 0, '21.00', 1, 0, '0000-00-00 00:00:00', 0, 63),
(64, 59, 81, 0, 9, 7, 'ENTRECOTE 200G WITH SMALL VEGETABLES AND PONT NEUF POTATOES', 'entrecote-200g-with-small-vegetables-and-pont-neuf-potatoes', '', '', '', '', 0, 0, '', 0, 0, 0, '22.00', 1, 0, '0000-00-00 00:00:00', 0, 64),
(65, 0, 81, 0, 9, 8, 'Meals', 'meals', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 65),
(66, 65, 81, 0, 9, 8, 'Sustenance', 'sustenance', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 66),
(67, 66, 81, 0, 9, 8, 'Pork escalope', 'pork-escalope', '<p>with pan-fried potatoes and a small cucumber salad</p>', '', '', '', 0, 0, '', 0, 0, 0, '9.90', 1, 0, '0000-00-00 00:00:00', 0, 67),
(68, 66, 81, 0, 9, 8, 'Berlin style meat patty', 'berlin-style-meat-patty', '<p>with mixed vegetables and mashed potatoes</p>', '', '', '', 0, 0, '', 0, 0, 0, '9.90', 1, 0, '0000-00-00 00:00:00', 0, 68),
(69, 66, 81, 0, 9, 8, 'Calf''s liver "Berlin-style"', 'calfs-liver-berlin-style', '<p>with smashed potatoes, browned onions &amp; apples</p>', '', '', '', 0, 0, '', 0, 0, 0, '9.90', 1, 0, '0000-00-00 00:00:00', 0, 69),
(70, 66, 81, 0, 9, 8, 'Smoked pork roast', 'smoked-pork-roast', '<p>with honey mustard marinade served with sauerkraut and mashed potatoes</p>', '', '', '', 0, 0, '', 0, 0, 0, '12.60', 1, 0, '0000-00-00 00:00:00', 0, 70),
(71, 65, 81, 0, 9, 8, 'Delicious vegetarian delights', 'delicious-vegetarian-delights', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 71),
(72, 71, 81, 0, 9, 8, 'Fennel au gratin', 'fennel-au-gratin', '<p>on a bed of creamed chili ginger carrots, served with potatoes</p>', '', '', '', 0, 0, '', 0, 0, 0, '8.60', 1, 0, '0000-00-00 00:00:00', 0, 72),
(73, 71, 81, 0, 9, 8, 'Spelt dumplings on wild mushroom cream', 'spelt-dumplings-on-wild-mushroom-cream', '<p>with new potatoes &amp; braised red cabbage<span style="font-size: 10pt;"><br /></span></p>', '', '', '', 0, 0, '', 0, 0, 0, '8.90', 1, 0, '0000-00-00 00:00:00', 0, 73),
(74, 0, 230, 0, 1, 10, 'Test Menu', '', '', '', '', '', 0, 0, '', 0, 0, 0, '0.00', 1, 0, '0000-00-00 00:00:00', 0, 74),
(75, 74, 230, 0, 1, 10, 'Front-end Test', '', 'Front-end menu feature', '', '', 'menu_feature_02.jpg', 240, 160, '', 0, 0, 0, '14.99', 1, 62, '2011-10-18 08:17:45', 0, 75),
(76, 74, 230, 0, 1, 10, 'Front-end menu test', '', 'menu test for front-end', '', '', 'loklak.jpg', 240, 174, '', 0, 0, 0, '19.80', 1, 0, '0000-00-00 00:00:00', 0, 76);

INSERT INTO `#__rg_promotions` VALUES
(1, 0, 223, 16, 7, 'Test Promotion', '', 6, 'Front-end Test', '0000-00-00', '0000-00-00', 0, 0, 1, 0, 0, '0000-00-00 00:00:00', 1),
(2, 0, 230, 0, 1, 'Test Promotion', 'thaiomelet7.jpg', 10, 'Front-end Test', '2011-10-11', '2011-12-28', 240, 187, 1, 0, 0, '0000-00-00 00:00:00', 2);

INSERT INTO `#__rg_recipes` VALUES
(3, 0, 'Vietnam Cuisine', 'vietnam-cuisine', 'Regional foods in Vietnam are many and varied.&nbsp; The south has been influenced by the culinary arts of India, China and France and can be rather spicy.&nbsp; In the south, the food is always fresh, containing little or no fats and very little is fried. Perhaps the best-known Vietnamese seasoning agent is a fermented fish sauce called Nuoc Man (pronounced nook mon). The concentrated form of this sauce (it needs to be diluted and spiced up before it is served) provides a base for nuoc cham, which is what finally appears in a small dish on your table. It is prepared by adding sugar, limejuice, vinegar, chopped shallots, garlic and carrots. Sliced chili peppers are a staple condiment at most meals.&nbsp; Spices such as coriander, lemon grass, mint, black pepper and a local basil-like herb called rau ram add a light and subtle flavor.&nbsp; Fresh vegetables and fruits are characteristic of southern Vietnamese cooking.&nbsp; The cuisine of the North relies more on thickening agents, with a strong emphasis on sauces and spices.\r\n<p>One of the legacies of French colonization is the bread.&nbsp; Baguettes are made with rice flour and are always fresh and delicious with fruit preserves and patÃ¨s.</p>\r\n<p>Cooking is  done over a flame, ovens are rare.&nbsp; The Vietnamese use chopsticks and meals often consist of many dishes - soup, fish, fowl and possibly beef.</p>\r\n<p>Vietnam generally does not have fresh milk or dairy products.&nbsp; Coffee is served with sweetened condensed milk if ordered &#39;sua&#39; (with milk).&nbsp; Coffee is rich, strong and comes from an African bean grown in the highlands of Vietnam. Tea is essential and part of Vietnamese life. No business meeting can proceed, regardless how small without the ritual serving of hot tea (nuoc che).&nbsp; The tea is often mixed with dried flowers such as jasmine.</p>\r\n<p>Soup is essential to all Vietnamese meals.&nbsp;It is hard to move more than 20 feet on any street in Saigon or Hanoi without coming upon a Pho stand. Pho (pronounced fur) is a hearty vermicelli noodle soup, which has either chicken or beef with fresh greens. It is truly the national dish of Vietnam and served and eaten all times of day and night.</p>\r\n<p>Cha Gio (spring rolls), are lightly fried rice-paper rolls, smaller and crispier and more flavorful than Chinese egg rolls.&nbsp; They are filled with highly seasoned morsels of crab, shrimp, chopped vegetables, sprouts and cellophane noodles.&nbsp; In Vietnam they are eaten with the fingers and are wrapped in fresh green mint leaves or other greens.</p>\r\n<p>Southern Vietnam is a paradise for those who love fish - all kinds of fish and seafood; crab, giant shrimp, mussels, oysters, squid are plentiful. A favorite is a large flat fish called elephant ear fish, cooked whole with a delicious crispy coating.&nbsp; It is brought ceremoniously to the table standing between stalks of decorative celery.</p>\r\n<p>Rice &#39;com&#39; (pronounced come) is eaten in vast quantities; the quality of the rice is very important as the Vietnamese are very particular about their rice and they cook it in a variety of innovative and delicious ways.&nbsp; Sticky rice is slightly sweet and very tasty.&nbsp; On special occasions a mixture of rice and spices is carefully wrapped and tied in grape leaf "parcels" then cooked.&nbsp; To eat, you must untie the parcels and scoop out the rice.&nbsp; It is fascinating to watch Vietnamese women prepare this dish with amazing speed and skill.</p>\r\n<p>Che is a sweet snack made of green beans.&nbsp; It comes in solid and liquid form.&nbsp; The solid comes in blocks, cut into "sugar cube" size pieces and the liquid is poured into a glass and often served with crushed ice.</p>\r\n<p>Fruit is plentiful especially in the south - wonderful exotic fruits like jackfruit, rambutans, dragon fruit, papayas, mangoes, green grapefruit, delicious miniature bananas etc. the list is endless and all are wonderful.&nbsp; The only fruit that the Vietnamese love and westerners find hard to eat because of its strong smell is durian - the taste is hard to describe, it is the gorgonzola of Vietnamese fruits!</p>\r\n<p>Mealtime is a very social time for the Vietnamese and often several families will eat together.&nbsp; In the evening, especially in the south, when it is very warm families will gather together and eat outside.&nbsp; Most of their cooking is done outside and the still night air comes alive with the most wonderful smell of cooking. The Vietnamese eat many times a day and they eat large quantities of food but it is hard to find an "over-weight" Vietnamese in Vietnam!</p>', '', '', '', '', 'IMG_0745_1.jpg', 180, 120, 1, 1141, 0, '2011-08-05 02:13:00', 0, 1),
(4, 3, 'Nem Chua (Pickled Sour Pork Sausage)', 'nem-chua-pickled-sour-pork-sausage', '<p>Nem chua is a Vietnamese  cured pork sausage, available from Oriental stores. Very common food in Vietnam, rolling around by banana leaf. Most favorist in Thanh Hoa  province.</p>', '<ul>\r\n<li>1 pound pork loin,  sliced </li>\r\n<li>1 teaspoon salt </li>\r\n<li>2 teaspoons sugar </li>\r\n<li>1/4 cup fish sauce </li>\r\n<li>4  ounces pork skin </li>\r\n<li>3 cloves garlic, crushed </li>\r\n<li>2 tablespoons  vegetable oil </li>\r\n<li>1/2 cup uncooked rice, roasted and ground </li>\r\n<li>banana leaves </li>\r\n<li>2 cloves garlic, sliced </li>\r\n<li>1 small red chili, sliced </li>\r\n<li>1/2 cup pickled baby leeks</li>\r\n</ul>', '<div><ol>\r\n<li> Pound pork meat thin  and marinate with a portion of the salt, sugar and fish sauce. Cook pork skin until golden; allow to cool and cut into fine strips. Gently saute  the garlic in oil until fragrant, then add remaining fish sauce and sugar, and reduce to a thick consistency. </li>\r\n<li>Combine pork meat, pork skin, garlic, fish sauce and the rice meal. Shape into patties and place on banana leaf. Add a slice of garlic and a slice of chili before  wrapping the "sausage" in the leaf. Refrigerate for 2 days. Serve with pickled leeks.</li>\r\n</ol></div>\r\n<ol> </ol>', '', '', 'nemchua_1.jpg', 179, 180, 1, 0, 0, '0000-00-00 00:00:00', 0, 2),
(5, 3, 'Xoi chien phong (Bloating fried sticky rice)', 'xoi-chien-phong-bloating-fried-sticky-rice', 'A round plate of Xoi chien phong, placed next to a plate of buttery roasted chicken, is always attractive to anyone. A lump of sticky rice will become a plate of Xoi chien phong as big as a grape-fruit by talent chefs. In the past, Xoi chien phong was offered only in the Binh Duong Restaurant, Dong Nai Province. At present, you can taste the dish in star classified hotels in Ho Chi Minh City.', '', '', '', '', 'xoi_chien_phong.jpg', 180, 118, 1, 0, 0, '0000-00-00 00:00:00', 0, 3),
(6, 3, 'Vietnam Nem ran (Spring roll)', 'vietnam-nem-ran-spring-roll', 'The stuffing of the nem  ran is comprised of mince pork, sea crabs, eggs, minced Jew&#39;s ears, thin-top mushroom, dried onions, bean-sprouts, pepper, spiced salt, etc. The mixture is then rolled in flat rice cakes and fried in a pan until  crispy. <br />Nem are eaten hot with a sauce that it is, at the same time, somewhat salty, sweet, acidic and scented (with the flavours of onion  and pepper). Papaya and a few fresh scented vegetables are added.', '', '', '', '', 'nem_ran.jpg', 180, 126, 1, 26, 0, '0000-00-00 00:00:00', 0, 4),
(7, 3, 'Steamed Bun (Bánh bao)', 'steamed-bun-banh-bao', 'Steamed bun dumpling  that can be stuffed with onion, mushrooms, vegetables, etc. Banh bao is  an adaptation from the Chinese baozi to fit Vietnamese taste. Exclusively vegetable banh bao are also available. Vegetarian banh bao are popular food in Buddhist temples. Typical stuffings for banh bao include slices of marinated "xa xíu" (from Chinese cooking) meat, tiny boiled duck eggs or quail eggs, and pork.', '<strong>Dough</strong><br /> \r\n<ul>\r\n<li>4 cups self rising flour&nbsp;&nbsp; </li>\r\n<li>1 cup milk </li>\r\n<li>3/4 cup white sugar</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Filling</strong></p>\r\n<ul>\r\n<li>2 links Chinese sausage,  thinly sliced&nbsp;&nbsp; <br />5 hard-boiled eggs, cut into 1 ", pieces <br />1/2 lb  barbecued pork (optional) <br />2 lbs ground pork <br />10 dried shiitake  mushrooms <br />1 onion, finely chopped <br />3 tablespoons oyster sauce</li>\r\n</ul>', '<ol>\r\n<li>Submerge mushroom in  hot water until softened. Take them out, dry and finely juliene. Reserve water. </li>\r\n<li>Heat some oil in a skillet, put in onions and let it sweat for a while. Stir in the rest of filling except boiled eggs and BBQ pork. Season with fish sauce and pepper to taste. </li>\r\n<li>Add sugar to milk to dissolve. Add flour one cup at a time, after each time kneed the dough before adding the next cup. Put dough into a large mixing  bowl, put a damp cheese cloth over to prevent drying out. </li>\r\n<li>Cut a handful of dough (size to your choice), roll out thin (use bread roller or the smaller dumpling roller). Add a spoonful of filling, 1 piece of egg, BBQ pork. Seal dough tight around filling and put on a cut-out piece of parchment paper. Steam buns for about 15 minutes. These buns freeze pretty well as well, if you want to make a big batch at a time.</li>\r\n</ol>', '', '', 'banhnbao00.jpg', 180, 167, 1, 40, 0, '0000-00-00 00:00:00', 0, 5),
(8, 3, 'Cha Gio (Class Park and Crabmeat Spring Rolls)', 'cha-gio-class-park-and-crabmeat-spring-rolls', '<p>Everyone loves these crispy Vietnamese spring rolls known as cha gio (pronounced "cha yoh"). These take a little time to prepare, but are  well worth the effort.</p>', '<ul>\r\n<li>12 dried rice paper wrap-peers (see note), each about 20 cm/8in in diameter. </li>\r\n<li> Oil for deep-frying </li>\r\n<li> 1 portion fish sauce dip</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Filling</strong></p>\r\n<ul>\r\n<li>50 g (2 oz) dried glass noodles, soaked in water until soft, drained and cut in to lengths. </li>\r\n<li> 1 egg, beaten. </li>\r\n<li> 250 g (8 oz) cooked crabmeat. </li>\r\n<li> 1 mall onion, diced. </li>\r\n<li> 2 spring onions, mined. </li>\r\n<li> 1 small carrot, grated to yield 1 cup. </li>\r\n<li> 100 g (2 cups) bean sprouts, seed coats and tails removed, blanched  and drained. </li>\r\n<li> 1/2 teaspoon salt. - 1 tablespoon fish sauce. </li>\r\n<li> 1/2 teaspoon freshly ground black pepper.</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Accompaniments</strong></p>\r\n<ul>\r\n<li>12 butter lettuce leaves. </li>\r\n<li> Sprigs of mint leaves. </li>\r\n<li> Sprigs of coriander (cilantro) leaves. </li>\r\n<li> 1 small cucumber, cut in to matchsticks.</li>\r\n</ul>', '<ul>\r\n<li> Prepare the fish sauce dip by following the recipe on page 6. </li>\r\n<li> Make the filling by combining all the ingredients in a large bowl and mixing until well blended. </li>\r\n<li> To make a roll, briefly dip a rice paper wrapper in a bowl of  water until soft. Remove and place on a dry surface, smoothing it with  your fingers. Place 2 heap-ing tablespoons of the filling along one side of the wrapper. Fold the closest edge of the wrapper over the filling, then fold in the sides and roll up tightly, pressing to seal. Repeat until all the ingredients are used up. </li>\r\n<li>Heat the oil in a wok or saucepan over medium heat until hot. Gently lower the rolls in to the oil, a few at a time, and deep-fry for 3 to 5 minutes each, until golden brown and crispy on all sides. Remove and drain on paper towels. </li>\r\n<li> Place the deep-fried roll on a serving platter with the  accompaniments and serve with dipping bowls of the fish sauce dip on the  side. </li>\r\n</ul>', '', '', 'cha_gio.jpg', 180, 135, 1, 52, 0, '0000-00-00 00:00:00', 0, 6),
(9, 3, 'Balut (Trung vit lon)', 'balut-trung-vit-lon', 'A balut (or Hột vịt lộn  in Vietnamese) is a fertilized duck egg with a nearly-developed embryo inside that is boiled and eaten in the shell. They are considered  delicacies of Asia and especially the Philippines, China, Cambodia, and Vietnam. Popularly believed to be an aphrodisiac and considered a high-protein, hearty snack, baluts are mostly sold by street vendors at night in the regions where they are available. They are often served accompanied with consumption of beer. <br /> <br /> Balut are most often eaten with a pinch of salt, though some balut-eaters prefer chili and vinegar to complement their egg. The eggs  are savored for their balance of textures and flavors; the broth surrounding the embryo is sipped from the egg before the shell is peeled and the yolk and young chick inside can be eaten. All of the contents  of the egg are consumed.', '', '', '', '', 'trungvitlon.jpg', 180, 123, 1, 54, 0, '0000-00-00 00:00:00', 0, 7),
(10, 3, 'Banh cuon (Rolled rice pancake)', 'banh-cuon-rolled-rice-pancake', 'Banh cuon is popular to  Vietnamese as disk for breakfast. The cake preparing process includes grilled rice which is steamed and oil-spread to have sweet-smelling. Banh cuon is prepared available. Leaves of cake put on plate as the customers ask for the disk. The cake is called Banh cuon Thanh Tri due to its origin is Thanh Tri Village of South Hanoi. Besides Banh cuon Thanh Tri, there is rolled rice pancake with the filling of the cake is made from minced pork mixed with Jew&#39;s ears and thin-top mushrooms. The cake, placed on plate, serve with salted shredded shring and fried dry  onions. The customers immediately experience the disk as it is just  finished and stilI very hot. <br /><br />It is the sauce of the cake that  fascinates the customers. The cake-makers have their own know-how, some of them prepare Banh cuon with Belostomatid essence to have sweet  -smelling to attract to the customers.', '', '', '', '', 'bancuon.jpeg', 180, 135, 1, 46, 0, '0000-00-00 00:00:00', 0, 8),
(11, 3, 'Banh Chung and banh Tet (Boiled rice and pork cakes)', 'banh-chung-and-banh-tet-boiled-rice-and-pork-cakes', 'Boiled rice and pork  cakes are usually cooked 2-3 days before Tet. Both can be kept for about two weeks in cool temperature. However, after this time they become hard and must be re-boiled. <br /><br />Soak some green beans overnight in water to soften. Drain, rub and clean to remove the skin, and leave to dry. Next, cook the beans in a steamer and grind. Form into balls the size of tennis balls. <br /><br />Soak some glutinous rice overnight. Clean and rinse. Mix with a little salt. Cut fresh pork meat (lean or fat, according to personal taste) into 2cm strips. Mix with salt, fish sauce and pepper, and leave for about one hour. <br /><br /> Clean dong leaves (leaves from arrowroot) and place them over each other to form a cross. Place an amount of rice in the centre of the leaves. Shape into a square (the southern version is in a circle). Press a "ball" of green bean on top. Then, add 1-2 pieces of marinated pork, then more green bean, and finally rice. Press firmly into a compact square and  wrap the leaves over to cover the cake completely. Tie with bamboo strings. Place in a large pot of boiling water and boil overnight. Squeeze the moisture out by placing it in a colander with a heavy object on top. <br /><br />To serve, untie and open the leaves. Invert on a plate and cut into pieces using the bamboo strings, not a knife. Serve cold. <br /><br />Here&#39; is the image of Banh Chung !', '', '', '', '', 'GoibanhChung.jpg', 180, 135, 1, 52, 0, '0000-00-00 00:00:00', 0, 9),
(12, 3, 'Banh la cha tom (Grilled rice cake with Cray fish)', 'banh-la-cha-tom-grilled-rice-cake-with-cray-fish', 'Anyone who used to experience the dish would never forget such simple cake made from grilled rice cake and Cray fish only. <br /><br />The cake must be as thin as a leaf but flexible enough. Cray fish must be brittle and sweet. Serving with long jawed anchovy sauce. <br /><br />Banh la cha tom does not as heavily smell as the majority of the other dishes but gentle, elegant and attractive to customers.', '', '', '', '', 'Banhla.jpg', 180, 135, 1, 52, 0, '0000-00-00 00:00:00', 0, 10),
(13, 3, 'Bánh mì kẹp thịt (Vietnamese Sandwich)', 'banh-mi-kp-tht-vietnamese-sandwich', 'Bánh mì kẹp thịt, Vietnamese  Sandwich, French bread containing paté, Vietnamese mayo, different selections of Vietnamese cold cuts and deli (a large variety, most commonly with ham, head cheese, and a Vietnamese bologna), pickled  daikon and carrot, cucumber slices. Often garnished with coriander,  black pepper, and jalapeño pepper (optional). This food is common everywhere in Vietnam as a favorite of factory workers and school kids and eaten for any meal of the day, commonly breakfast and lunch. There are a wide variety of banh mi (with different meats) and many shops have popped up across North America serving primarily Banh mi. <br /><br />The most popular Banh Mi include:<br /><br />Banh mi xiu mai (Banh Mi with big, juicy meatballs) <br />Banh mi xa xiu (BBQ Pork) <br />', '<ul>\r\n<li>1 teaspoon five-spice  powder </li>\r\n<li>1 tablespoon vegetable oil </li>\r\n<li>1/4 cup shallots, chopped </li>\r\n<li>1 clove garlic, minced </li>\r\n<li>12 ounces ground lean pork </li>\r\n<li>3 tablespoons soy sauce </li>\r\n<li>1 1/2 teaspoons sugar </li>\r\n<li>2 tablespoons red chili paste or asian red chili sauce </li>\r\n<li>12 ounces pork tenderloins, cooked and thinly  sliced </li>\r\n<li>2 cups English cucumbers, thinly sliced </li>\r\n<li>3 cups mesclun </li>\r\n<li>1/2 cup fresh Thai basil </li>\r\n<li>1/2 cup fried shallots (optional)</li>\r\n<li>3 French baguettes, use light baguette with soft interior and thin crisp crust (8  oz ea.)</li>\r\n</ul>', '<ol>\r\n<li>In an 8- 10 inch saute pan over medium/high heat, stir five spice until fragrant, about 30 seconds. </li>\r\n<li>Stir in oil, shallots and garlic. </li>\r\n<li>Add ground pork and stir often until meat is crumbly and no longer pink. </li>\r\n<li>Add soy sauce, sugar and salt and pepper to taste. </li>\r\n<li>set aside Cut baguettes in half crosswise then split almost all the way through, leaving halves attached on one side. </li>\r\n<li>Spread 1 tsp of chile paste on one cut side of each baguette section. </li>\r\n<li>Spoon 1/6 of the warm ground pork mixture (including juices) over the chile paste. </li>\r\n<li>Tuck 1/6 of the pork tenderloin slices evenly into each sandwich. </li>\r\n<li>Place sandwiches on a sheet pan and bake at 375 for about 5 minutes or until filling is warm and crust is crisp. </li>\r\n<li>Remove from oven and  fill each with 1/6 of the cucumbers, mesclun, basil and fried shallots.</li>\r\n</ol>', '', '', '19_sotwgreenpoint_lg.jpg', 180, 121, 1, 40, 0, '0000-00-00 00:00:00', 0, 11),
(14, 3, 'Banh Tom Ho Tay (Ho Tay fried shirmp cake)', 'banh-tom-ho-tay-ho-tay-fried-shirmp-cake', 'All people who used to live in Hanoi are familiar with Banh tom Ho Tay Restaurant on the Thanh  Nien (Young) Street. The cake preparing process includes wheat flour mixed with potato fibres, placing on shape with shrimps upper, then  fried with oil. The cake is brittle, soft, sweet-smelling, and served with vegetable pickles and sweet and sour fish sauce for best taste.', '', '', '', '', 'Banh_tom.jpg', 180, 135, 1, 44, 0, '0000-00-00 00:00:00', 0, 12),
(15, 3, 'Banh trang cuon thit heo (Dry pancake roll with pork)', 'banh-trang-cuon-thit-heo-dry-pancake-roll-with-pork', 'A big plate of fresh  vegetables with a peppery-hot red chilly, a plate of boiled lean and fat  meat, a bowl of fish sauce, and a plate of dry pancakes are displayed on the dining table. Customers have to serve themselves with all of the  10 substances mentioned above. <br />Banh trang cuon thịt heo is considered as not only a daily dish but also likely an artistic specialty of the Central citizens.', '<ul>\r\n<li>1 stem lemongrass, fin ely chopped </li>\r\n<li>1 tablespoon soft brown sugar </li>\r\n<li>1/4 cup fish sauce </li>\r\n<li>12  ounces beef, thinly sliced </li>\r\n<li>5 fresh steamed rice flour wrappers </li>\r\n<li>1/2 cup fresh mint leaves </li>\r\n<li>1/2 cup fresh basil leaves </li>\r\n<li>1/2 head  butter lettuce </li>\r\n<li>1 tablespoon sesame seeds, toasted </li>\r\n<li>1/2 cup fresh  cilantro leaves</li>\r\n</ul>', '<ol>\r\n<li>Combine lemongrass, sugar and fish sauce. Marinate beef in sauce mixture for 30 minutes, then briefly grill over a medium heat  until lightly browned, but still rare inside. Remove from grill and cut into small pieces. Place some of the beef, a little of the mint, basil and lettuce leaves on a rice flour wrapper, then sprinkle with sesame seeds and add a cilantro leaf. Fold to the inside, leaving the top end open with the cilantro leaf extended.&nbsp;</li>\r\n<li>Serve with Dipping Sauce.</li>\r\n</ol>', '', '', 'Banh_trang_cuon_thit_heo.jpg', 180, 116, 1, 30, 0, '0000-00-00 00:00:00', 0, 13),
(16, 3, 'Banh xeo (Vietnamese crepe-type pancakes)', 'banh-xeo-vietnamese-crepe-type-pancakes', 'Bánh Xèo are Vietnamese  crepe-type pancakes made out of rice flour and coconut milk(optional), and are pan-fried and stuffed with slivers of fatty pork, shrimp, and bean sprouts. Served wrapped with lettuce leaves and stuffed with mint (optional) and other herbs, and dipped in fish sauce.', '<ul>\r\n<li>1 3/4 cups of rice flour </li>\r\n<li>1/4 tsp tumeric </li>\r\n<li>1 scallion thinly sliced </li>\r\n<li>1/4 cup plus 2 Tbs  of veg. oil </li>\r\n<li>1 pound of lean pork shoulder or loin, cut into 1/4  inch thick slices </li>\r\n<li>1 pound of medium shrimp, peeled and deveined </li>\r\n<li>1 small onion thinly sliced </li>\r\n<li>10 medium mushroom, sliced (optional) </li>\r\n<li>1  1/4 tsp. salt </li>\r\n<li>1 1/4 tsp. freshly ground pepper </li>\r\n<li>2 1/2 cups of mung bean sprouts</li>\r\n</ul>', 'In a medium bowl, whisk the rice flour together with 2 cups of water. Add tumeric and scallion and mix well. Set batter aside. (Can be kept in frig. for up to three days.) <br />In a large nonstick skillet, heat 1 1/2 tsp of oil over high heat. Add 3 slices of pork, shrimp, few slices of onion, and 1 slice of mushroom. Seasoned with salt and pepper. Cook until onion starts to brown slightly, about 1 min. Stir the rice flour batter and ladle 1/3 cup of it into the pan. Tilt the pan to distribute the batter evenly. Keep the heat high, cover, and cook until the sides of the pancake turns deep brown and curled up, about 3-4 minutes. Scatter 1/4 cup of sprouts onto the pancake. Fold it in half and slide it onto a warm plate. Serve  the pancakes with dipping sauce on the side. You can eat it wrapped in lettuce and herbs or plain. Suggested herbs are mint and basil.', '', '', 'banhxeo.jpg', 180, 135, 1, 24, 0, '0000-00-00 00:00:00', 0, 14),
(17, 3, 'Bun bo gio heo (Beef and fork soft noodle soup)', 'bun-bo-gio-heo-beef-and-fork-soft-noodle-soup', 'Preparing Bun bo gio heo  is very skillful. Pig leg is clean-shaved, chopped into even slices with adequate bone, meat and skin, mixed with lean beefs, and soaked with salt, pepper, fish sauce, dry onion and spices. <br /><br />Bun bo gio heo is proper with all appetites. Even diet people could enjoy the sweet-smelling of beef with less fat of pig leg so as not to be fed up  with as serving. Bun bo gio heo is delicious anytime you have it. You could enjoy this specialty of the Central region on Hue City. <br />', '<ul>\r\n<li>1kg pork leg </li>\r\n<li>1kg beef </li>\r\n<li>2kg pork or beef bone </li>\r\n<li>1.5kg vermicelli noodles </li>\r\n<li>40 stalks lemon grass </li>\r\n<li>10 chillies, fresh </li>\r\n<li>1 bunch perilla </li>\r\n<li>1 bunch cockscomb mint </li>\r\n<li>1 bunch of Asian basil </li>\r\n<li>200g green  bean sprout </li>\r\n<li>100g dried spring onion </li>\r\n<li>200g green onion </li>\r\n<li>200g banana flowers, thinly sliced </li>\r\n<li>lime, sugar, salt, fish sauce,  garlic, dried tamarind,bamboo shoots, shrimp sauce, dried chilli powder.</li>\r\n</ul>', '<ol>\r\n<li>Soak pork in salt, roll and tie with bamboo. </li>\r\n<li>Slice beef and place with pork and bone in water – bring to boil and strain. </li>\r\n<li>Crunch lemon grass and crush white stalks. </li>\r\n<li>Wash banana flowers and thinly slice, then soak in water with dash of lime for 15 minutes. </li>\r\n<li>Wash chilli, sprouts and  onion, then thinly chop onion.</li>\r\n<li>Bring to boil five  litres of water, add lemon grass, chilli, beef, and pork and return to  the boil. </li>\r\n<li>Remove and allow to marinate for 90 minutes, then simmer in open pot after setting aside meat. </li>\r\n<li>Flavour with fried onion, chilli powder. </li>\r\n<li>Then mix fish sauce, sugar, lime juice, and crushed  garlic to make serving sauce. </li>\r\n<li>The dish is also usually served  with shrimp sauce added with lime juice and fresh chilli.</li>\r\n<li>Thinly chop beef. </li>\r\n<li>Untie pork from bamboo slats and slice. </li>\r\n<li>Serve with chopped onions  and cover with stoc.</li>\r\n</ol>', '', '', 'BunBoGioHeo3422.jpg', 180, 135, 1, 68, 0, '0000-00-00 00:00:00', 0, 15),
(18, 3, 'Bun thang', 'bun-thang', 'Dishes made of soft  noodle soup are diverse such as vermicelli and fried chopped meat, Bun Thang, vermicelli and sour crab soup, stewed vermicelli and boiled lean  meat, etc. The popular dish is vermicelli and sour crab soup whilst Bun Thang is for con-noisseurs, unique and available in Hanoi only. A bowl of Bun Thang includes lean pork paste, thin fried egg, salted shredded shrimp, chicken, onion, shrimps paste, and a little Belostomatid essence. Especially, Bun Thang bouillon made from shrimps and meat must be very sweet and pure. Without enjoying Bun Thang when arriving to  Hanoi, it somewhat seems to lack of a part of taste of Hanoi.', '', '', '', '', 'bun_thang.jpg', 180, 135, 1, 48, 0, '0000-00-00 00:00:00', 0, 16),
(19, 3, 'Ca kho to (Dry-boiled catfish)', 'ca-kho-to-dry-boiled-catfish', 'Fish, which used to  prepare for the dish, can be catfish, anabas or snake-head fish.  Necessary spices include dry garlic, fresh lemon, onion, chilly, sugar, glutamate, fish sauce, grease, and a spoon of pepper and wine. <br />Although  Ca kho to is a popular dish in the South, it is also a cheap specialty. As serving, pick up fish to other bowl, boil the bowl of fish on a low  fire and sprinkle some peppers to have sweet-smelling: Keep fire when serving, Ca kho to can be served with such boiled vegetables as shallot,  white cabbage, spinach to dip in Ca kho to sauce. It is more convenient to serve it with pickles such as vinegary beet or green pineapple.', '<ul>\r\n<li>1-1/2 pounds mackerel or  eel, bone-in, about 1-inch-thick steaks </li>\r\n<li>coarse sea salt </li>\r\n<li>freshly ground black pepper </li>\r\n<li>3 tablespoons sugar </li>\r\n<li>1 tablespoon thick soy sauce </li>\r\n<li>3 tablespoons fish sauce </li>\r\n<li>6 ounces daikon, peeled and sliced into thin rounds</li>\r\n<li>2 large cloves garlic, peeled and lightly  crushed </li>\r\n<li>2 scallions, trimmed, cut into 1-1/2-inch-long pieces and  quartered lengthwise </li>\r\n<li>3 dried red chilies or 2 more bird&#39;s eye or Thai chilies </li>\r\n<li>2 tablespoons vegetable oil </li>\r\n<li>3 ounces fresh ginger, peeled and julienned</li>\r\n</ul>', 'Season the fish steaks with salt and pepper on both sides. <br />Make a caramel by combining the  sugar and 2 tablespoons water in a large sand pot or heavy-bottomed pot over medium-low heat. When the sugar melts and turns golden, about 10 minutes, remove the pot from the heat and stir in 1/3 cup water, thick soy sauce, and fish sauce. Reduce the heat to low and add the daikon, garlic, scallions, chilies, and fish steaks. Cover and simmer until the fish is cooked through, about 20 minutes. <br />Meanwhile, heat the oil in a saucepan over high heat and stir-fry the ginger until golden crisp, about 2 minutes. Transfer the brasised fish to a serving platter and scatter the ginger over it. Serve with jasmine rice on the side.', '', '', 'ca.jpg', 180, 135, 1, 52, 0, '0000-00-00 00:00:00', 0, 17),
(20, 3, 'Ca nuong trui (Bare fried fish)', 'ca-nuong-trui-bare-fried-fish', 'The Southern villagers in countryside areas usually have fried fish in the field. They use a bamboo piece to cross through the fish. Pitch the head side to ground, pile up rice straws at the wind-swept place to smoke fish. <br />As serving, use hand to remove the burned fish scabs. Fish will become as  white as chicken. Place the hot fish on a lotus leaf, take up each piece of fish and dip it in peppery salt, squeeze with some lemon drops, roll in fig leaf or sesame young shoot to experience the dish. Bowl and  chopsticks are not necessary. At home, the dish can be served with dry pancake, soft noodle soup and vegetables. Ca nuong trui is a dish that accompanies drinking. It is popular and exciting.', '<ul>\r\n<li>2 packages frozen vegetarian fish (white color or in seaweed sheet, available at health food stores), thawed </li>\r\n<li>1 Tablespoon butter or margarine </li>\r\n<li>Crushed roasted peanuts (to sprinkle over fish for flavor, the amount is  optional) </li>\r\n<li>Spring roll wrapper (rice paper wrapper, prefer "Rose" brand)* </li>\r\n<li>1 head Romaine lettuce, washed </li>\r\n<li>1 bunch Chinese chives*,  washed </li>\r\n<li>1 bunch cilantro, washed </li>\r\n<li>1 bunch laksa leaves*, washed </li>\r\n<li>1  bunch fresh mints*, washed</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Soya  bean curd sauce ingredients: </strong></p>\r\n<ul>\r\n<li>1 Tablespoon olive oil </li>\r\n<li>4 oz or 3 stalks lemongrass*, minced </li>\r\n<li>1 can (8 oz.) crushed pineapple </li>\r\n<li>1 bottle (8 oz.) wholegrain soy sauce* </li>\r\n<li>¾ cup canned Coco Rico coconut  soda* (open and set aside for half an hour) </li>\r\n<li>2 Tablespoons creamy  peanut butter </li>\r\n</ul>\r\n<p> </p>\r\n<p>* Available in Asian  markets</p>', '<p><strong>Soya  bean curd sauce: </strong><br /><br /></p>\r\n<ol>\r\n<li>Preheat a medium saucepan on medium heat and add in the olive oil. Stir-fry the minced lemongrass until  partially golden. Add the crushed pineapple and stir quickly. Shake up the bottle of wholegrain soy sauce and pour into a saucepan. </li>\r\n<li>urn  to high heat to bring the sauce to a boil. Then lower heat and add in the Coco coconut juice. Bring to a boil again. Add the peanut butter and  stir well. Remove from heat and let cool. Add the fresh sliced chili  peppers to make it tastier.</li>\r\n</ol>\r\n<p> </p>\r\n<p><strong>Baking  the vegetarian fish: </strong><br /><br /></p>\r\n<ol>\r\n<li>Preheat the oven to 400° F for 10 minutes. Coat the vegetarian fish with the soft butter or margarine  and place it onto a baking dish. Put in the oven and bake for 10 to 15 minutes. Remove from oven. </li>\r\n<li>Place the baked veggie fish on a plate and sprinkle the crushed peanuts on top.</li>\r\n</ol>\r\n<p> </p>\r\n<p><strong>Spring  roll wrapper: </strong><br />Dip the spring roll wrapper into warm water, and place on a big plate.</p>\r\n<p> </p>\r\n<p><strong>Decoration: </strong><br />Wrap the vegetarian fish, the lettuce leaves, and the fresh  herbs with the spring roll wrapper. Dip into the soya bean curd sauce for zesty flavor.</p>', '', '', 'BakedVeggieFish.jpg', 180, 126, 1, 50, 0, '0000-00-00 00:00:00', 0, 18),
(21, 3, 'Ca tai tuong chien xu', 'ca-tai-tuong-chien-xu', '"Tai tuong" fish is  classified as a kind of luxurious food-stuffs. <br />The fish is as white  as chicken, delicious and sweet smelling but not crushed. There are two  ways to prepare for the dish: Boiled down or bloating fried. <br />In  bloating fried way, pour plenty of oil into pan, wait for the oil to boil before placing the fish in. In boiled oil, fish scabs would be raised up as porcupine&#39;s feathers. As serving, place the fish on to the  plate, arrange boiled quail eggs around with, fried potato, fresh onion  and tomato slices at the edge, season with chilly. <br />Finally, pour soup and sprinkle fried peanuts and crashed onion on to the fish. The  dish is served with sour and sweet sauce of fish. Ca tai tuong chien xu  is an unique and luxurious specialty in the South.', '', '', '', '', 'ca_tai_tuong_chien_xu_1.jpg', 180, 115, 1, 54, 0, '0000-00-00 00:00:00', 0, 19),
(22, 3, 'Cao lau Hoi An (Hoi An vermicelli)', 'cao-lau-hoi-an-hoi-an-vermicelli', 'Cao lau noodles are carefully made from local new rice not stocked one. Water used to soak rice must be taken from wells in the Ba Le Village; noodles thus will be soft, enduring and flavored with special sweet-smelling. In addition, meat used to prepare for Cao lau must be loin or trotter. <br /><br />Dry  pancakes used must be thick and have much sesame. Greasy coconut  quintessence and bitter green cabbage are also indispensable. The  so-called genuine Cao lau Hoi An must satisfy all above requirements.', '', '', '', '', 'cao_lau_hoi_an.jpg', 180, 135, 1, 48, 0, '0000-00-00 00:00:00', 0, 20),
(23, 3, 'Com hen song Huong (Perfume River mussel cooked rice)', 'com-hen-song-huong-perfume-river-mussel-cooked-rice', 'Com hen has a  sweet-smelling flavor of rice, onion, and grease, as well as strange  tastes of sweet, buttery, salty, sour, bitter, and peppery-hot. You have to arrive to Hen river-islet in the Perfume River to have the original Com hen. However, you can find out the dish on some streets in Hue City. It requires 15 different raw materials to prepare for the dish, including mussel, fried grease, watery grease, peanuts, white sesames,  dry pancake, salted shredded meat, chilly sauce, banana flower, banana trunk, sour carambola, spice vegetables, peppermint, salad, etc. <br /><br />Com  hen is always attractive to many customers because it is tasty and, at the same time, economic to anybody.', '', '', '', '', 'Com_hen_song_huong.jpg', 180, 135, 1, 50, 0, '0000-00-00 00:00:00', 0, 21),
(24, 3, 'Cơm Tấm', 'cm-tm', 'Cơm tấm is grilled pork (either ribs or shredded) plus a Vietnamese dish called bi (bì) (thinly  shredded pork mixed with cooked and thinly shread pork skin) over broken  rice (what the words "com tam" actually mean in Vietnamese). The rice and meat are served with various greens and pickled vegetables, along  with a prawn paste cake, trung hap (trứng hấp) (Vietnamese adaptation of Chinese Egg Foo Young), and grilled prawns. Typically restaurants will  serve this popular combination rice plate with a small bowl of Nước  chấm, as well as a small bowl of soup broth with spring onions (to cleanse the throat).', '', '', '', '', 'ComTam.jpg', 180, 135, 1, 58, 0, '0000-00-00 00:00:00', 0, 22),
(25, 3, 'Cua rang muoi (Fried salted crabs)', 'cua-rang-muoi-fried-salted-crabs', 'The Westerners, especially those in land-locked countries, usually appreciate the dish as soon as they firstly experience it. <br />At parties, a plate of bright red Cua rang muoi is usually acted as aperitif. Customers suddenly feel sweet-smelling of spices and delicious buttery flavor of crab at the same time. Highly qualified chefs in Vung Tau coastal area usually  select brackish water crabs with much meat and liver-pancreas. A delicious crab dish also depends on the soup, added to frying crabs in pans, including star aniseed, cinnamon, cardamom. <br />The connoisseurs immediately experience the dish as it is still very hot, mixed with some lemon drops. <br />', '<ul>\r\n<li>2: Crabs, about 1.5 kg </li>\r\n<li>3  tablespoons: Cooking oil, for deep frying </li>\r\n<li>1 tablespoon: Garlic, finely chopped </li>\r\n<li>1/2 teaspoon: Annatto seed oil </li>\r\n<li>1 teaspoon: Spring  onion (scallion), finely chopped </li>\r\n<li>125 ml: Chicken stock or water </li>\r\n<li>1/2 teaspoon: Salt </li>\r\n<li>1 teaspoon: Sugar </li>\r\n<li>1/2 teaspoon: Ground white  pepper</li>\r\n</ul>', 'Clean crabs. Pull top  shells off crabs and remove feathery lungs. Rinse. <br />Pull off triangular-shaped shell on the underside and rinse crab again. <br />Twist  off claws and crack. Cut crabs in half. <br />Heat oil in a wok and deep fry crabs over high heat for 10 minutes. <br />Remove and drain well. <br />Leaving 1 tablespoon oil in the wok, stir fry garlic until fragrant then return crabs to wok and stir fry for about 5 minutes. <br />Add remaining ingredients and stir fry for a few more minutes until crabs are well-coated in sauce.', '', '', 'cua_rang_muoilon.jpg', 180, 127, 1, 34, 0, '0000-00-00 00:00:00', 0, 23),
(26, 3, 'Cha Ca La Vong (La Vong grilled fish pies)', 'cha-ca-la-vong-la-vong-grilled-fish-pies', 'Cha ca La Vong is a unique specialty of Hanoi people, therefore one street in Hanoi was named as Cha Ca Street. <br /><br />Cha ca is made from mud-fish, snake-headed fish, but the best one is Hemibagrus (Ca lang). Fish bone is left away to keep fish meat only, then seasoning, clipping by pieces of bamboo, and frying by coal heat. An oven of coal heat is needed when serving to keep Cha ca always hot. Cha ca is served with roasted  peanuts, dry pancakes, soft noodle soup, spice vegetables and shrimps  paste with lemon and chilly. <br /><br />The Cha ca La Vong Restaurant on  No.14 Cha Ca Street is the "ancestor restaurant" of the dish.', '', '', '', '', 'chacalavong_01.jpg', 180, 137, 1, 46, 0, '0000-00-00 00:00:00', 0, 24),
(27, 3, 'Goi (Vietnamese Salad)', 'goi-vietnamese-salad', 'Salads are popular in Vietnam. Simple combinations such as cooked chicken and shredded cabbage are given an exotic touch by the addition of chopped mint and fresh coriander leaves and the inevitable nuoc mam sauce or nuoc cham, used as  a dressing. <br /><br />Vietnamese food includes a lot of fresh, uncooked vegetables and fruit, and food is cooked in water rather than oil - two  reasons why a Vietnamese meal does not bring on a feeling of surfei .<br /><br />Many  varieties with the most popular including: <br />Goi Du Du (Gỏi đu đủ): Vietnamese papaya salad typically with shredded papaya, shrimp, slices of pork, herbs, and with a more vinegar-based rendition of Nước chấm. <br />Goi  Hue Rau Muong (Gỏi Huế rau muống): a salad dish originating from Hue (Central Vietnam), including water spinach (Rau Muong).', '<p>Green papaya salad is  one of Vietnam&#39;s favorite salads which is not very difficult to make. This dish is really colourful, tasty and healthy - good for vegetarians  as well.</p>\r\n<p> </p>\r\n<ul>\r\n<li>Green Papaya: 300g </li>\r\n<li>Red  chili: 4 chili </li>\r\n<li>Coriander: 10g </li>\r\n<li>Vietnamese mint(Rau răm): 10g </li>\r\n<li>Peanut: 30g </li>\r\n<li>Prawns: 100g </li>\r\n<li>Fish sauce: 1 teaspoon </li>\r\n<li>Sugar: 2 teaspoons </li>\r\n<li>Lemon:  1 lemon </li>\r\n<li>Garlic: 10g</li>\r\n</ul>', 'Prawns: peel off the hard shell & the black line (poo tube!) on their backs, wash then drain well. Wash Rau ram thorougly; drain well also, then chop finely. Cut red chili into thin small slices. - Coriander: wash; drain. <br />Dressing: Squeeze lemon for juice. Put fish sauce, sugar, lemon juice, garlic and chili in a large mixing bowl; put 2 spoonfuls of water in, then stir well. Mix green papaya, Vietnamese mint, peanuts and chili together; add coriander and prawns near the top. Pour dressing over the top.', '', '', 'Goi_ga_xe_phay.jpg', 180, 154, 1, 182, 0, '0000-00-00 00:00:00', 0, 25),
(28, 3, 'Goi Buoi (Salad of shaddock)', 'goi-buoi-salad-of-shaddock', '<p>Goi buoi is available at the majority of famous restaurants in Ho Chi Minh City. The major substances to prepare for the dish include shaddocks mixed with fresh shrimps, pork, and dry cuttle-fish. The dish is originated in Miet Buoi, Bien Hoa City.<br /><br /></p>\r\n<p>Goi buoi dish is especially flavored with slightly sour, sweet, peppery-hot and buttery tastes. It is also added with spice vegetable, white sesames, coconut and dry cuttle-fish. Therefore, the dish will be appeared on dining table as a fresh colorful picture and attractive to customers.</p>', '', '', '', '', 'a2.jpg', 180, 120, 1, 162, 0, '0000-00-00 00:00:00', 0, 26),
(29, 3, 'Gỏi Cuốn (Summer Spring roll)', 'gi-cun-summer-spring-roll', 'Summer rolls or Spring  rolls (Gỏi cuốn) also known as Vietnamese fresh rolls. Summer rolls are unfried wraps with pork, shrimp, herbs, rice vermicelli, and other ingredients wrapped in rice paper. Summer rolls are often confused with  spring rolls, which are typically stuffed with pork/shrimp, cabbage, and bean thread vermicelli and are always fried. Summer rolls are normally  dipped in a simple sauce consisting of hoisin sauce, garlic, peanut  butter, and water which are boiled until well blended. <br /><br />Spring  rolls almost constitute an entire category of Vietnamese foods, as there  are numerous different kinds of spring rolls with different ingredients in them <br /><br />Here is the step to make Spring roll', '', '', '', '', 'Goi_cuon.jpg', 180, 131, 1, 196, 0, '0000-00-00 00:00:00', 0, 27),
(30, 3, 'Gio lua (Silky lean meat paste)', 'gio-lua-silky-lean-meat-paste', 'By itself, the name "silky lean meat paste" evokes thoughts of the silky aspect of this speciality. Gio lua is made with lean pig meat, which is pounded with a pestle until it becomes a sticky paste. Fresh banana leaves are tied  very tightly around the paste, and then it is well cooked. Good gio lua  has a fine white colour, is firm, and has a perfumed and sweetish taste.  <br /><br />Gio lua may be obtained anywhere in Vietnam, but the best gio lua is from Uoc Le Village (Hanoi), where the know-how for Gio lua is strictly kept so as to allow no secrets of the job to flow out from Uoc  Le. Slices of Gio lua are slightly pink, moist, and sweet-smelling meat, fish sauce and banana leaf.', '', '', '', '', 'gio_lua.jpg', 180, 145, 1, 162, 0, '0000-00-00 00:00:00', 0, 28),
(31, 3, 'Lau mam (Mixed vegetable and meat hot pot)', 'lau-mam-mixed-vegetable-and-meat-hot-pot', 'At present, Lau mam folk  dish in the past hundred years - become a luxurious specialty in the  South. Chau Doc fish sauce made from fresh-water fish, a kind of sweet-smelling and greasy fish, which must be as required to have a delicious Lau mam dish. <br /><br />Substances to prepare for Lau mam, including fresh food-stuffs such as snake-head fish, "keo" fish, pork, peeled shrimps, eel, beef, and so on, accompanied with at least 10 kinds of vegetable, sometime amounting to 24 kinds of vegetable. They include water-lily, egg-plant, balsam-apple, straw mushroom, bean sprouts, chilly, etc.<br /><br />When boiled, the flavors of the sauce, which is mixed with citronella, chilly, vegetables, fish, shrimp and meat, are very sweet-smelling. Lau mam roam is scoop out into bowls and served with soft noodle soup,  simply but deliciously.', '', '', '', '', 'lau_sai_gon_3.jpg', 180, 135, 1, 176, 0, '0000-00-00 00:00:00', 0, 29),
(32, 3, 'Lon Quay Lang Son (Lang Son roasted pork)', 'lon-quay-lang-son-lang-son-roasted-pork', 'Anyone who arrives in Lang Son Province could find it difficult to say no to Lon quay dish. Lon quay Lang Son is delicious for many reasons, however, the main specific taste of the dish comes from the unique flavor of a kind of leaf called "Mac mat" (meaning "sweet leaf"). The leaf is soaked with spices, fish sauce, glutamate, flavoring powder, then stuffed into clean pig belly and placed on reverted furnace. Pig is fried the spread with  watery honey so as to make the skin turn golden and brittle, and pork is  soft and sweet-smelling as finish.', '', '', 'Lon Quay Lang Son (Lang Son roasted pork), vietnamese cuisine', 'Anyone who arrives in Lang Son Province could find it difficult to say no to Lon quay dish. Lon quay Lang Son is delicious for many reasons, however, the main specific taste of the dish comes from the unique flavor of a kind of leaf called "Mac mat"', 'vit_quay_lang_son.jpg', 180, 135, 1, 182, 0, '0000-00-00 00:00:00', 0, 30),
(33, 0, 'Thailand Cuisines', 'thailand-cuisines', '<p>Thai food is internationally famous. Whether chilli-hot or  comparatively blands, harmony is the guiding principle behind each dish. Thai cuisine is essentially a marriage of centuries-old Eastern and Western influences harmoniously combined into something uniquely Thai. The characteristics of Thai food</p>\r\n<p>depend on who cooks it, for whom it is cooked, for what occasion, and where it is cooked to suit all palates. Originally, Thai cooking reflected the characteristics of a waterborne lifestyle. Aquatic animals, plants and herbs were major ingredients. Large chunks of meat were eschewed. Subsequent influences introduced the use of sizeable chunks to Thai cooking.</p>\r\n<p>With their Buddhist background, Thais shunned the use of large animals in big chunks. Big cuts of meat were shredded and laced with herbs and spices. Traditional Thai cooking methods were  stewing and baking, or grilling. Chinese influences saw the introduction of frying, stir frying and deep-frying. Culinary influences from the 17th century onwards included Portuguese, Dutch, French and Japanese. Chillies were introduced to Thai cooking during the late 1600s by Portuguese missionaries who had acquired a taste for them while serving in South America.</p>\r\n<p>Thais were very adapt at &#39;Siamese-icing&#39; foreign cooking methods, and  substituting ingredients. The ghee used in Indian cooking was replaced by coconut oil, and coconut milk  substituted for other daily products. Overpowering pure spices were toned down and enhanced by fresh herbs such as lemon grass and galanga. Eventually, fewer and less spices were used in Thai curries, while the use of fresh herbs increased. It is generally acknowledged that Thai curries burn intensely, but briefly, whereas other curries, with strong spices, burn for  longer periods. Instead of serving dishes in courses, a Thai meal is served all at once, permitting dinners to enjoy complementary combinations of different tastes.</p>\r\n<p>A proper Thai meal should consist of a soup, a curry dish with condiments, a dip with accompanying fish and vegetables. A spiced salad may replace the curry dish. The soup can also be spicy, but the curry should be replaced by non spiced items. There must be a harmony of tastes and textures within individual dishes and the entire meal.</p>\r\n<p> </p>\r\n<p><a name="Eating & Ordering Thai Food">Eating & Ordering Thai Food</a></p>\r\n<p>Thai food is eaten with a fork and spoon. Even single dish meals such as fried rice with pork, or steamed rice topped with roasted duck, are served in bite-sized slices or chunks obviating  the need for a knife. The spoon is used to convey food to the mouth. Ideally, eating Thai food is a communal affair involving two or more people, principally because the greater the number of diners the greater the number of dishes ordered. Generally speaking, two diners order three dishes in addition to their own individual plates of steamed rice, three diners four dishes, and so on. Diners choose whatever they require from shared dishes and generally add it to their own rice. Soups are enjoyed concurrently with rice. Soups are enjoyed concurrently with other dishes, not independently. Spicy dishes, not independently. Spicy dishes are "balanced" by bland dishes to avoid discomfort.</p>\r\n<p>The ideal Thai meal is a harmonious blend of the spicy, the subtle, the sweet and sour, and is meant to be equally satisfying to eye, nose and palate. A typical meal might include a clear soup  (perhaps bitter melons stuffed with minced pork), a steamed dish (mussels in curry sauce), a fried dish (fish with ginger), a hot  salad (beef slices on a bed of lettuce, onions, chillies, mint and lemon juice) and a variety of sauces into which food is  dipped. This would be followed by sweet desserts and/or fresh fruits such as mangoes, durian, jackfruit, papaya, grapes or  melon.</p>', '', '', '', '', '', 0, 0, 1, 76, 0, '0000-00-00 00:00:00', 0, 31),
(34, 3, 'My Quang (Quang soft noodle soup)', 'my-quang-quang-soft-noodle-soup', 'Similar to rice noodle  and chicken or pork soup (Hu tieu), My Quang is a variety of Pho (rice  noodle soup), because the noodles are made from rice and soused with  soup as serving. The soup sauce, which is added, comes from a mixture of  flavor from beef or pork bone, shrimps, crabs, chicken and duck. The  noodles are yellow, somewhat distinct from Pho. However, the main reason  for having this color is to be in hannony with the colors of shrimps  and crabs. There is also noodle for vegeterians. <br /><br />Quang soft  noodle soup tastes best when being served with a variety of herbs, such  as mint leaves, houttunya, cabbage, onion, coriander, banana flower and  so on. A bowl of Quang soft noodle soup is normally dressed with pieces  of banh trang (also called baked rice paper), roasted groundnuts, shrimp  or pork, which look very tasty. <br /><br />Coming Quang Nam, you are easy  to see many Quang noodle small restaurants along 1A National Road always  crowded such as Binh Nguyen chicken noodle (Thang Binh district), Ky Ly  chicken noodle (Tam Ky town), Cay Tram shrimp noodle (Nui Thanh  province), Cam Ha beef noodle (Hoi An town)... <br /><br />The best My Quang  is made from rice in Phu Chiem, shrimp in Cho Dai and spicy vegetables  in Tra Que. As a strict selection of substances to prepare, My Quang has  been dominant in almost all of culinary markets in the Central  provinces and expanded to Ho Chi Minh City with a high qualification of a  Quang Ngai&#39;s specialty.', '', '', '', '', 'my_quang_hoian_1.jpg', 180, 120, 1, 22, 0, '0000-00-00 00:00:00', 0, 32),
(35, 3, 'Pho (Rice noodle soup)', 'pho-rice-noodle-soup', 'Pho, a typical dish of Hanoi people, has been existing for a long-time. <br /><br />Pho is prepared  not only in a sophisticated manner but also in the technique which is required to have sweet but pure bouillon, soft but not crashed noodle,  soft and sweet-smelling meat. <br />Only in cold days, having a hot and  sweet-smelling bowl of Pho to enjoy, would make you experience the complete flavor of the special dish of Hanoi.', '<ul>\r\n<li>2 oz (60g) dried rice  stick noodles </li>\r\n<li>4 cups beef stock </li>\r\n<li>½ onion—finely chopped </li>\r\n<li>1  teaspoon finely grated fresh ginger </li>\r\n<li>2 tablespoons hoisin sauce </li>\r\n<li>1  tablespoon fish sauce </li>\r\n<li>½ teaspoon ground black pepper </li>\r\n<li>½ teaspoon  five-spice powder </li>\r\n<li>1 cup bean sprouts </li>\r\n<li>1 scallion (spring  onion)—thinly sliced </li>\r\n<li>5 oz (150g) very thinly sliced bite-sized lean  beef </li>\r\n<li>1 tablespoon lemon juice </li>\r\n<li>fresh cilantro (coriander) leaves and strips of fresh red chili, to garnish </li>\r\n</ul>', '<ol>\r\n<li>SOAK the noodles in  boiling water for 10 minutes. </li>\r\n<li>PLACE the stock, onion, ginger, hoisin  and fish sauce, black pepper and&nbsp;five-spice powder in&nbsp;saucepan. </li>\r\n<li>BRING  to the boil, cover and simmer over a medium heat for 10 minutes. </li>\r\n<li>DRAIN  the noodles and place equal amounts into two soup bowls. </li>\r\n<li>PLACE equal amounts of the sprouts, scallion and beef slices on top of the noodles. </li>\r\n<li>POUR over the boiling stock to cover and allow to stand for a minute to  poach (ensuring the beef is immersed). </li>\r\n<li>SERVE the soup drizzled with  lemon juice and garnished with cilantro leaves and chili strips on top.</li>\r\n</ol>\r\n<p><br /> <strong>&nbsp;</strong></p>\r\n<p><strong>Variations:</strong> Use thinly sliced firm tofu or  smoked salmon instead of beef. <br /><strong>Tips:</strong>&nbsp; To  help cut the beef into paper-thin slices, place the meat in the freezer  for about 30 minutes to firm up before slicing with a very sharp knife.</p>', '', '', 'IMG_5507_1.jpg', 180, 120, 1, 34, 0, '0000-00-00 00:00:00', 0, 33),
(36, 0, 'Cambodia Cuisine', 'cambodia-cuisine', '<p>Cambodian cuisine derives its flavor from <strong>spices and aromatic herbs</strong>, with little use of fat and meats. This cuisine is a combination of complex, vibrant flavors and a delicate balance between saltiness, sweetness, sourness and bitterness, with a keen appreciation for textures.</p>\r\n<p>Khmer cuisine is gaining interest in many countries, with some people forecasting that it will become the New Thai, i.e. the next cuisine from Southeast Asia to enchant the world.</p>\r\n<p> </p>\r\n<h3>Origins</h3>\r\n<p>From India, by way of Java, Cambodians have inherited the art of  blending spice paste using cardamom, star anise, cloves, cinnamon, nutmeg, ginger and turmeric. To these spices, Cambodians add such indigenous aromatic herbs such as lemongrass, galangal, garlic, shallots, cilantro and kaffir lime.</p>\r\n<p>One of the signature flavors of Cambodian cuisine, the lemongrass plant provides a distinctively balmy lemon flavor that is reminiscent of its  more aromatic relative, citronella. In Cambodia, it is used so much that  you see lemongrass <strong>growing in every garden.</strong></p>\r\n<p>Kaffir lime leaves are not only ground into spice pastes, but also used like bay leaves to flavor a broth or sliced into thin threads as a garnish.</p>\r\n<p>The blend made with all the spices and herbs is called <strong>kroeung</strong>.</p>\r\n<p>This is the foundation of most Cambodian cooking.</p>\r\n<p> </p>\r\n<h3>Influences</h3>\r\n<p>Chinese techniques such as stir-fry, steaming, and smoking meats have also been adopted, as well as the use of soy sauce, soybeans, bean sprouts, noodles and Chinese five spice seasoning. And like in Vietnamese cuisine, fish sauce is served in, and with, just about everything.</p>\r\n<p>The most unique Cambodian ingredient is <strong>prahok</strong>. This is fermented fish paste and is used with much greater reserve than fish  sauce, so that when it does appear, it signals the food as distinctly Cambodian.</p>\r\n<p>Cambodians are fond of saltiness and also like bitterness in their food. Acidity is used to <strong>balance sweetness</strong> but is also appreciated on its own in the form of tamarind, unripe fruits, lime juice and pickles. Coconut milk helps to enrich stews, braises and curries. Meat is usually sliced or minced to flavor dishes in small quantity. Rice is a staple and is eaten in generous helpings with the  other dishes.</p>\r\n<p>Cambodian cuisine uses little fat and lots of fresh vegetables, fruits and seafood. This makes it one of the world&#39;s <strong>healthiest</strong>, most balanced and interesting cuisines.</p>', '', '', '', '', 'trei_prama_chien_sach_chrouk_porng_tea.jpg', 180, 117, 1, 1593, 0, '0000-00-00 00:00:00', 0, 34),
(37, 36, 'Trey kho manor (Caramelized fish with pineapple)', 'trey-kho-manor-caramelized-fish-with-pineapple', 'Caramelized fish with pineapple is delicious  Khmer Krom country food.', '<ul>\r\n<li> 1 Tablespoon water </li>\r\n<li> 1 Tablespoon sugar </li>\r\n<li> 2 Cups water </li>\r\n<li> 2 Cloves garlic, minced </li>\r\n<li> 2 Tablespoons fish sauce </li>\r\n<li> 1 Tablespoon sugar </li>\r\n<li> 1 Teaspoon salt </li>\r\n<li> 1 Whole trout, snakehead or catfish, 1-1½ lbs, cleaned and cut ½ inch thick </li>\r\n<li> ½ Pineapple, peeled and sliced </li>\r\n<li> 3 Stalks green onion, chopped </li>\r\n<li> ¼ Teaspoon black pepper </li>\r\n</ul>', 'First make caramelized sauce by put 1 tablespoon of water and 1 tablespoon of sugar in a pot or skillet that  big enough to hold all ingredients. Cook and stir frequently till sugar turns dark brown color, immediately pour 2-cups water over caramelized sauce, stirs well. <br /> Add garlic, fish sauce, sugar and salt, stirs well. <br /> Add fish and pineapple, simmering till fish tender and water reduced. <br /> Add green onion and black pepper.<br /> Serve hot with rice.', '', '', 'treykhomanor.jpg', 180, 169, 1, 55, 0, '0000-00-00 00:00:00', 0, 35),
(38, 36, 'Pakon char nung chruot chluke (Shrimp and pickle lotus stems) ', 'pakon-char-nung-chruot-chluke-shrimp-and-pickle-lotus-stems-', 'One of Sino-Khmer Krom favorite holiday recipes to cook for Chinese New Year is stir-fry shrimp with crisp pickle lotus. This recipe is quick, easy and delicious. Great for serve as appetizer (mahope sar) or serve with rice along with a salty dish such as caramelized pork and egg with coconut juice.', '<ul>\r\n<li> 2 Tablespoons vegetable oil </li>\r\n<li> 3 Cloves garlic,minced </li>\r\n<li> 1 Yellow onion or 6 scallions, sliced </li>\r\n<li> ½-1 lb Shrimp, peeled and de-veined </li>\r\n<li> 1 lb Pickle lotus stems, rinsed and drained </li>\r\n<li> 1 Tablespoon soy sauce </li>\r\n<li> 1 Tablespoon fish sauce </li>\r\n<li> 1 Teaspoon sugar </li>\r\n<li> ¼ Teaspoon salt </li>\r\n<li> 2 Stalks green onion, chopped </li>\r\n<li> ¼ Teaspoon black pepper </li>\r\n<li> A handful chopped cilantro (option) </li>\r\n</ul>', 'Pre heat a skillet or wok. <br /> When wok is hot, add oil, garlic, yellow onion (or scallions), shrimp  and lotus stems, stirs till shrimp turns darker pink color. <br /> Seasoning with soy sauce, fish sauce, sugar, and salt, stirs well. <br /> Add green onion and black pepper, stirs.  <br /> Top with chopped cilantro. <br /> Serve hot.', 'Pakon char nung chruot chluke (Shrimp and pickle lotus stems)', 'One of Sino-Khmer Krom favorite holiday recipes to cook for Chinese New Year is stir-fry shrimp with crisp pickle lotus. This recipe is quick, easy and delicious. Great for serve as appetizer (mahope sar) or serve with rice along with a salty dish such as', 'shrimplotus.jpg', 180, 118, 1, 84, 0, '0000-00-00 00:00:00', 0, 36),
(39, 36, 'Salor lapov sach ko (Pumpkin beef shank soup)', 'salor-lapov-sach-ko-pumpkin-beef-shank-soup', 'Delicious tender beef shank with pumpkin soup is simple and easy Khmer Krom recipe.', '<ul>\r\n<li> 1 lb Beef shanks,approx 2 pieces </li>\r\n<li> 1 Small yellow onion,chopped </li>\r\n<li> 1 Stalk celery,chopped </li>\r\n<li> ½ Teaspoon salt </li>\r\n<li> 6 Cups water </li>\r\n<li> 1-½  Pumpkin, peeled and cut bite sizes cubes </li>\r\n<li> 2 Tablespoons fish sauce </li>\r\n<li> 1 Teaspoon sugar </li>\r\n<li> ¼ Teaspoon black pepper </li>\r\n<li> 3 Stalks green onion,chopped </li>\r\n</ul>', 'Put beef shanks with yellow onion, celery, salt and water in a large soup pot, cook till meat tender.  <br /> Add pumpkin, cook till pumpkin tender. <br /> Seasoning soup with fish sauce, sugar and black pepper.<br /> Top with green onion.<br /> Serve hot with rice.', 'Salor lapov sach ko (Pumpkin beef shank soup)', 'Delicious tender beef shank with pumpkin soup is simple and easy Khmer Krom recipe.', 'pumpkinbeef.jpg', 180, 153, 1, 96, 0, '0000-00-00 00:00:00', 0, 37),
(40, 36, 'Trei Prama Chien Sach Chrouk Porng Tea', 'trei-prama-chien-sach-chrouk-porng-tea', '<ul>\r\n</ul>', '<ul>\r\n<li>3 large eggs</li>\r\n<li> 30 g salted fish </li>\r\n<li> 100 g minced pork</li>\r\n</ul>', 'Chop the salted fish into the minced pork, ensuring they are well mixed  and of a similar  consistency. Then beat the eggs and add to fish  mixture and fry. Serve  with steamed rice, and fresh vegetables such as cucumber, purple eggplant, cabbage, and water grass.', '', '', 'trei_prama_chien_sach_chrouk_porng_tea.jpg', 180, 117, 1, 68, 0, '0000-00-00 00:00:00', 0, 38),
(41, 36, 'Trapp Dopp', 'trapp-dopp', '', '<ul>\r\n<li>2 medium purple eggplants</li>\r\n<li> 1 cup coconut, grated</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Dressing</strong>:</p>\r\n<ul>\r\n<li> 2 cloves garlic, crushed</li>\r\n<li> 2 tbsp vegetable oil</li>\r\n<li> 1 tbsp vinegar</li>\r\n<li> 1 tbsp mustard</li>\r\n<li> pinch of salt</li>\r\n</ul>\r\n<p> </p>\r\n<p>This is a more modern salad  using grilled eggplant, mustard and vinegar.</p>', 'Grill eggplant and when cool, skin and cut into bite-size pieces. Pan roast the grated coconut until golden brown. Then in a small bowl, mix all the dressing  ingredients and drizzle over the eggplant. Finally garnish with roasted  coconut.', 'Trapp Dopp, cloves garlic, crushed, vegetable oil, vinegar, mustard, pinch of salt', 'Grill eggplant and when cool, skin and cut into bite-size pieces. Pan roast the grated coconut until golden brown. Then in a small bowl, mix all the dressing ingredients and drizzle over the eggplant. Finally garnish with roasted coconut.', 'trapp_dott.jpg', 180, 118, 1, 44, 0, '0000-00-00 00:00:00', 0, 39),
(42, 36, 'Tik Kroeung', 'tik-kroeung', '', '<ul>\r\n<li>150g fish, sliced</li>\r\n<li> 1 ½ tbsp prohok</li>\r\n<li> 3 cups water</li>\r\n<li> 1 tbsp palm sugar (or white sugar)</li>\r\n<li> ½ cup combo of basil saw mint </li>\r\n<li> and spring onions</li>\r\n<li> 2 tbsp peanuts</li>\r\n<li> 1 tbsp salt</li>\r\n<li> 1 tbsp fish sauce</li>\r\n<li> 1 lime</li>\r\n<li> 8 chillies</li>\r\n</ul>', 'Boil water and salt in alarge pot, then add fish slices. Do not stir, but cover the pan and cook for 15 minutes. Then remove fish from water, cool and break into small flakes onto a serving plate. Place the prohok in a sieve over the pan and spoon some boiling fish stock overit, using the back of a spoon  to push the flesh and juice through into the soup. Discard the skin and  bones. Then add sugar to the fish stock and turn off the heat. Pour the fish-prohok stock, fish sauce and the juice of 1 lime over the fish, then top with the herbs, spring onion and roasted ground peanuts. The chillies are served on the side to be added individually. along with  crunchy vegetable such as cucuber, purple and pea eggplants, banana  blossom, and water grass.', '', '', 'tik_kroeung.jpg', 180, 116, 1, 60, 0, '0000-00-00 00:00:00', 0, 40),
(43, 36, 'A-Mok', 'a-mok', '', '<ul>\r\n<li>400g catfish (or any meaty  fish)</li>\r\n<li> ¾ cup coconut cream</li>\r\n<li> 2 cups coconut milk</li>\r\n<li> 1 egg, beaten</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Kroeung</strong>:</p>\r\n<ul>\r\n<li> 2 dried red chillies, soaked, drained and chopped into a  paste</li>\r\n<li> 3 cloves garlic</li>\r\n<li> 2 tbsp galangal, cut small</li>\r\n<li> 1 tbsp lemon grass stalk</li>\r\n<li> zest of ¼ kaffir lime</li>\r\n<li> 1 tsp salt</li>\r\n<li> 1 tbsp kapi</li>\r\n<li> 300g young nhor leaves</li>\r\n<li> 1 tbsp fish sauce</li>\r\n<li> 3 tbsp kaffir lime leaves, sliced thinly</li>\r\n<li> 3 cayenne peppers</li>\r\n<li> banana leaves to make cups</li>\r\n</ul>', '<p>Amok is a  Cambodia curry which is steamed instead of boiled and is solid, but  moist. There are traditionally two types of amok, one cooked with fish and steamed in banana leaf cups, simply known as amok, while the other, made from snails steamed in their shells, is known as amok chouk.</p>\r\n<p>However, in many larger restaurants around the country, several adaptations exist, such as amok steamed in coconut shells,  pumpkin or taro. Cabbage is often used as a substitute for nhor (morinda citrifolia) while in addition to fish, seafood amok can often be found.</p>', '', '', 'a_mok.jpg', 180, 116, 1, 64, 0, '0000-00-00 00:00:00', 0, 41),
(44, 36, 'Chien Chuon Trei', 'chien-chuon-trei', '', '<ul>\r\n<li>250 g fresh fish</li>\r\n<li> 8 cloves garlic, sliced</li>\r\n<li> 8 shallots, sliced</li>\r\n<li> 6 tbsp ginger, grated</li>\r\n<li> 6 tbsp fermented soy beans</li>\r\n<li> 2 tbsp fish sauce</li>\r\n<li> 1 tbsp palm sugar </li>\r\n<li> 2 tbsp water</li>\r\n<li> 1 tbsp vinegar</li>\r\n<li> 1 tsp salt</li>\r\n</ul>', '<p>Brown shallots, garlic and ginger and set aside. Fry fish until it is golden  and crispy.</p>\r\n<p>Using the back of a spoon in a small bowl, break up the fermented soy beans, before adding fish sauce, sugar, water, vinegar and  salt to make the dressing.</p>\r\n<p>Then mix the fish with the shallots, garlic and ginger  and drizzle dressing over the top.</p>\r\n<p>This dish can be served either hot or cold.</p>', '', '', 'chien_chuon_trei.jpg', 180, 116, 1, 60, 0, '0000-00-00 00:00:00', 0, 42),
(45, 36, 'Bok L''hong Khmer', 'bok-lhong-khmer', '', '<ul>\r\n<li>100 g  green papaya, grated</li>\r\n<li> 1 smoked fish (about 50 g)</li>\r\n<li> 1 tsp prahok</li>\r\n<li> 3 cloves garlic</li>\r\n<li> 1 tsp salt</li>\r\n<li> ½ tsp sugar</li>\r\n<li> 1-2 tbsp lime juice</li>\r\n<li>1-2 bird chillies</li>\r\n<li>kantrup leaves</li>\r\n</ul>', '<p>Brown shallots, garlic and ginger and set aside. Fry fish until it is golden and crispy.</p>\r\n<p>Using the back of a spoon in a small bowl, break up the fermented soy beans, before adding fish sauce, sugar, water, vinegar and salt to make the dressing.</p>\r\n<p>Then mix the fish with the shallots, garlic and ginger and drizzle dressing over the top.</p>\r\n<p>This dish can be served either hot or cold.</p>', '', '', 'bok_lhong_khmer.jpg', 180, 117, 1, 58, 0, '0000-00-00 00:00:00', 0, 43),
(46, 36, 'Bok Sandek Kour Trei Chha-Ae', 'bok-sandek-kour-trei-chha-ae', '', '<ul>\r\n<li>1 smoked fish (about 50g)</li>\r\n<li> 200 g long beans</li>\r\n<li> 3 cloves garlic</li>\r\n<li> 2 shallots</li>\r\n<li> salt to taste</li>\r\n<li> 1 tsp sugar</li>\r\n<li> 1 lime</li>\r\n<li> 1 tbsp water </li>\r\n<li> 1-2 bird chillies</li>\r\n</ul>', '<p>Brush smoked fish over flames and when cool remove flesh from the bones. Cut long beans into pieces 15-cm long. Using a clay mortar, gently pound long beans first, then shallots, garlic, smoked fish and chillies. Season with salt and sugar, mixing well with a spoon.</p>\r\n<p> </p>\r\n<p>Pour water and lime juice over the dish and serve with  steamed rice.</p>', '', '', 'bok_sandek_kour_trei_chha_ae.jpg', 180, 117, 1, 24, 0, '0000-00-00 00:00:00', 0, 44),
(47, 36, 'Kha Trei Ling', 'kha-trei-ling', '', '<ul>\r\n<li>1 kg trei linh</li>\r\n<li> 1½ tbsp palm sugar</li>\r\n<li> 1 tbsp vinegar</li>\r\n<li> 1 tbsp garlic, chopped</li>\r\n<li> 4 sticks sugar cane</li>\r\n<li> 1 tbsp salt</li>\r\n<li> ½ tsp black pepper</li>\r\n<li> 4 cups water</li>\r\n</ul>', '<ul>\r\n<li>Wash and drain the fish. Stir vinegar and palm sugar until smooth then add salt, pepper and garlic.</li>\r\n<li>Place the fish in the palm sugar mixture and let it stand for 30 minutes.</li>\r\n<li>Cut sugar cane lengthways and place at the bottom of a brass pot.</li>\r\n<li>Lift the fish from the palm sugar and arrange on top of the sugar cane sticks.</li>\r\n<li>Add 4 cups water and boil, then pour in the palm sugar mixture and simmer until half the liquid has evaporated.</li>\r\n</ul>', '', '', 'kha_trei_linh.jpg', 180, 115, 1, 16, 0, '0000-00-00 00:00:00', 0, 45),
(48, 36, 'Mam Chhao', 'mam-chhao', 'Mam is fish fermented with roasted rice, salt and sugar. Unlike prahok, which is white being  fermented only with salt, mam is reddish-brown. This dish is very popular in Siem Reap, where cooks further ferment the mam with fresh pineapple. Families usually make the mam in large airtight container, mixing equal quantities of mam and peneapple. The mixture is usually allowed to stand for a month these days in the refrigerator!<br /> The acidity of the pineapple helps to soften and further sweeten the mam.', '<ul>\r\n<li>100 g mam</li>\r\n<li> 100 g pineapple, chopped</li>\r\n<li> small pinch of sugar</li>\r\n<li> ½ cup bacon</li>\r\n</ul>', 'After 1 month it s possible to eat the mam straight from the container. However, a tasting session  is desirable. If the mam is too sour, add a pinch of sugar and blend in. It may require a few taste to get it just right!<br /> Serve with fresh shallots and garlic cloves, raw long beans, sliced green banana, and cucuber sticks, and boiled bacon cut into thin strips.', '', '', 'mam_chhao.jpg', 170, 180, 1, 50, 0, '0000-00-00 00:00:00', 0, 46),
(49, 36, 'Nhoam Kbal Trei Sanday', 'nhoam-kbal-trei-sanday', 'The head is considered the  most delicious part of the fish in Cambodia. It is usually sold in  markets along with innerds like the stomach and liver. These parts of the fish, along with the brain, are also used in this salad.', '<ul>\r\n<li>300 g head of sanday fish</li>\r\n<li> ½ cup chi</li>\r\n<li> ½ cup cucumber, julienned</li>\r\n<li> 1 cup bean sprouts</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Dressing</strong>:</p>\r\n<ul>\r\n<li> 1 tbsp fish sauce</li>\r\n<li> 1 tbsp sugar</li>\r\n<li> 4 cloves garlic</li>\r\n<li> 2 shallots</li>\r\n<li> 1 tbsp prahok (optional)</li>\r\n<li> zest of ¼ kaffir lime</li>\r\n<li> 2 tbsp lime juice</li>\r\n<li> bird chillies</li>\r\n</ul>', '<ul>\r\n<li>Boil fish head for about 20 minutes and when cool remove the flesh and innerds from the bones and break into small pieces. Blanch bean sprouts for 1 minutes, then set aside.</li>\r\n<li>Remove chi leaves from the stems, then julienne cucumber.</li>\r\n<li>Wrap the prahok in a banana leaf (or foil) and grill. Then dissolve the prahok in 1tbsp hot water and strain. Use the prahok stock as the dressing base and discard the rest.</li>\r\n<li>In a clay mortar coarsely pound the garlic, shallots, zest of lime and chilli. Then add the fish sauce, lime juice and sugar.</li>\r\n<li>When all the ingredients are well mixed add to the prahok stock and stir.</li>\r\n<li>In a large salad bowl toss the fish, cucumber, bean sprouts and herbs and add the dressing.</li>\r\n<li>This nhoam can be eaten alone as a salad or served with  steamed rice with bird chillies on the side.</li>\r\n</ul>', '', '', 'nhoam_kbal_trei_sanday.jpg', 180, 117, 1, 26, 0, '0000-00-00 00:00:00', 0, 47),
(50, 36, 'Nhoam Kra Ao Chhouk', 'nhoam-kra-ao-chhouk', 'Lotus roots have a hard  exterior which need to be removed before cooking. <br /> This is done by using a knife to make a shallow cut at the tip of the shoot and pulling the skin upwards similar to how you might remove the stringy veins from celery. Then the shoots are cut at an angle into 5-cm pieces, soaked in water and stirred with wooden chopsticks which "catch" the rest of the tough fibres.', '<ul>\r\n<li>300 g lotus roots</li>\r\n<li> 100 g chicken, boiled and shredded</li>\r\n<li> 1/3 cup bacon, cut into ½ -cm pieces</li>\r\n<li> 1/3 cup dried shrimps, washed, drained and pounded coarsely</li>\r\n<li> 1/3 cup peanuts, roasted and </li>\r\n<li> pounded coarsely</li>\r\n<li> ½ cup chi</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Dressing</strong>:</p>\r\n<ul>\r\n<li> 2 tbsp fish sauce</li>\r\n<li> 2 tbsp sugar</li>\r\n<li> 1½ tbsp lime juice</li>\r\n<li> 2 cloves garlic</li>\r\n<li> 2 shallots</li>\r\n<li> 1-2 bird chillies</li>\r\n</ul>', '<ul>\r\n<li>Boil chicken and tear into strips. Boil bacon and cut.  Soak and rinse shrimps, then pound. Toss these ingredients with the fresh lotus roots, peanuts and chi.</li>\r\n<li>For the dressing, pound the garlic, shallots and chillies, then add fish sauce, sugar and lime juice and drizzle over salad</li>\r\n</ul>', '', '', 'nhoam_kra_ao_chhouk.jpg', 180, 116, 1, 36, 0, '0000-00-00 00:00:00', 0, 48),
(51, 36, 'Nhoam Sdao', 'nhoam-sdao', 'S&#39;dao is a bitter vegetable available seasonally between October and March. To help reduce the bitterness many people blanch the s&#39;dao stems in boiling water for 2-3  minutes, then they use only the young leaves and blossom in the salad.', '<ul>\r\n<li>6 bunches of s&#39;dao</li>\r\n<li> 50 g bacon, cut into thin strips</li>\r\n<li> 50 g smoked fish, broken and coarsely pounded 1 ripe red tomato, julienned</li>\r\n<li> 1 medium size cucumber, julienned</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Dressing</strong>:</p>\r\n<ul>\r\n<li> 4 large cloves garlic, grilled and crushed</li>\r\n<li> ½ - 1 tbsp prahok, steamed and crushed</li>\r\n<li> 1 tbsp sugar</li>\r\n<li> ½ tbsp fish sauce </li>\r\n<li> 1½ tbsp tamarind juice</li>\r\n</ul>', '<p>Blanch the s&#39;dao and boil the bacon, then toss with the fish, tomato and cucumber in a large bowl.<br /> To make the dressing, mix the crushed grilled garlic, prahok, sugar, fish sauce and tamarind juice, then add to salad.</p>\r\n<p><strong>Note:</strong> Depending on how bitter the s&#39;dao, the amount of tamarind juice and sugar can be adjusted. If tamarind juice is unavailable, lime juice is a good substiture.</p>', '', '', 'nhoam_sdao.jpg', 180, 117, 1, 36, 0, '0000-00-00 00:00:00', 0, 49),
(52, 36, 'Nhoam Tra Yaung Chek', 'nhoam-tra-yaung-chek', '', '<ul>\r\n<li>200 g banana blossom, thinly sliced</li>\r\n<li> 100 g cabbage and/or carrot, grated (optional)</li>\r\n<li> 100 g shredded chicken</li>\r\n<li> 1/3 cup dried shrimps, soaked, drained and pounded coarsely</li>\r\n<li> 1/3 cup peanuts, roasted and pounded coarsely</li>\r\n<li> ½ cup chi</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Dressing</strong>:</p>\r\n<ul>\r\n<li> 2 tbsp fish sauce</li>\r\n<li> 2 tbsp sugar</li>\r\n<li> 1½ tbsp lime juice</li>\r\n<li> 2 cloves garlic</li>\r\n<li> 1-2 bird chillies</li>\r\n</ul>', '<p>Boil chicken, soak dried shrimps and remove chi leaves from stems. Basil and mint leaves can be left whole, but the longer chi should be chopped into smaller pieces. Set to one side.</p>\r\n<p>Remove hard pink-purple cover from the banana blossom and discard. Slice blossom horizontally in thin strips, then immediately rinse in diluted lime juice to prevent it becoming black. The pollen will usually float to the surface and should be spooned out and  discarded.</p>\r\n<p>Traditional banana blossom nhoam does not include cabbage and carrot, but many families and restaurants do add these vegetables to give a splash of colour to the dish.</p>\r\n<p>Toss the banana blossom, cabbage and/or carrot, dried shrimps, roasted peanuts and the chi together and add the dressing immediately before serving.</p>\r\n<p>To make the dressing, pound the garlic and chili in a clay mortar. If you like it hot, use 2 or more chilies, then add fish  sauce, sugar, and lime juice.</p>', '', '', 'nhoam_tra_yaung_chek.jpg', 180, 116, 1, 36, 0, '0000-00-00 00:00:00', 0, 50),
(53, 36, 'Num Banh Chok', 'num-banh-chok', '', '<ul>\r\n<li>Rice noodles </li>\r\n<li> 300g catfish (or other meaty fish)</li>\r\n<li> 1 tbsp prohok</li>\r\n<li> 5 cups water</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Dressing</strong>:</p>\r\n<ul>\r\n<li> 1/3 cup  lemongrass stalk, </li>\r\n<li> sliced thinly</li>\r\n<li> 1 tbsp rhizome, cut small</li>\r\n<li> 1 tbsp turmeric, cut small</li>\r\n<li> zest of ¼ kaffir lime </li>\r\n<li> 1 tbsp roasted ground peanuts</li>\r\n<li> ½ tbsp salt</li>\r\n<li> 1 tbsp fish sauce</li>\r\n<li> 1 tbsp sugar</li>\r\n</ul>', '<p>Add salt  to the water, then boil in a large pot over a medium-high heat. Place prohok in a sieve over the pot and pour boiling water over it, scraping with the back of a spoon so the flesh and juice fall into the soup.  Discard the skin and bones.</p>\r\n<p>Add the catfish whole to the prohok soup and cook for 15  minutes or untill well done. Then take out of the pan, cool and remove skin and bones, before crubling fish. Set aside.</p>\r\n<p>Make the kroeung in a clay mortar. Then pound thoroughly with the fish, before adding to the prohok soup. Stir in well and season with sugar and fish sauce.</p>\r\n<p>Serve hot or cold with fresh cold rice noodles and  crunchy vegetables such as cucumber, bean sprouts, banna blossom, basil and mint, and ph&#39;leou kang-kep.</p>\r\n<p><strong>Note</strong>: It is possible to adapt the recipe and replace 1 cup of water with 1 cup of coconut milk. The milk is added to the boiling water before the prohok.</p>', '', '', 'num_banh_chok.jpg', 180, 116, 1, 36, 0, '0000-00-00 00:00:00', 0, 51),
(54, 36, 'Num Banh Chok Kampot', 'num-banh-chok-kampot', 'This simple dish, originated in Kampot province, but is appreciated nationwide. This is freestyle dining where all the ingredients are prepared and placed in  the centre of the table in separate bowls and everyone helps themselves according to their taste.', '<ul>\r\n<li>500 g rice noodles</li>\r\n<li> 200 g dried shrimps</li>\r\n<li> 4 cups coconut milk</li>\r\n<li> 2 cups ripe pineapple</li>\r\n<li> 2 cups bean sprouts</li>\r\n<li> 2 cups cucumber</li>\r\n<li> 2 cups chi</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Sauce</strong>:</p>\r\n<ul>\r\n<li> 2 tbsp fish sauce</li>\r\n<li> 1 tbsp water</li>\r\n<li> 1 tbsp sugar</li>\r\n<li> 1 tbsp vinegar</li>\r\n<li> 2 cloves garlic, sliced thinly</li>\r\n<li> 2 shallots, sliced thinly</li>\r\n</ul>', '<p>Put the dried shrimps in water and while they soak prepare the fruit and vegetables.</p>\r\n<p>Cut the pineapple into small chunks, julienne the cucumber, top and tail the bean sprouts and remove the chi from the stems. Place each ingredient into a separate bowl.</p>\r\n<p>Then drain the shrimps and pound coarsely in a clay mortar, before placing in a bowl.</p>\r\n<p>Next warm the coconut milk and again place in a bowl.</p>\r\n<p>Make the sauce by mixing the water, sugar, vinegar and fish sauce with the thinly sliced garlic and shallots.</p>\r\n<p>Then arrange the cold rice noodles in the centre of the table with the smaller bowl around.</p>\r\n<p>The dish is eaten by first taking noodles and coconut milk, and then adding other ingredients according to your taste.</p>\r\n<p>The sauce is spooned on top of the noodle dish last of  all.</p>', '', '', 'num_banh_chok_kampot.jpg', 180, 116, 1, 36, 0, '0000-00-00 00:00:00', 0, 52),
(55, 36, 'Prahok Khtih', 'prahok-khtih', '', '<ul>\r\n<li>150g fresh fish</li>\r\n<li> ¼ cup minced pork</li>\r\n<li> 1½ tbsp prahok</li>\r\n<li> ¼ cup coconut cream </li>\r\n<li> ½ cup coconut milk</li>\r\n<li> ½ cup water</li>\r\n<li> 4 cloves garlic, sliced</li>\r\n<li> 4 shallots, sliced</li>\r\n<li> 2 cubanelle peppers, julienned</li>\r\n<li> 1½ tbsp sugar</li>\r\n<li> 1 tsp salt</li>\r\n<li> 1/3 cup combo of saw mint, basil and spring onion</li>\r\n</ul>', 'Place coconut cream and  coconut milk in a large pot over a medium-high heat and bring to the  boil. Once bubbling add minced pork, stirring constantly to prevent it sticking together in lumps. Boil for 15 minutes or until well cooked, then add prahok, water, salt and sugar. Slice the fish, add to the pan  and cook without stirring 15 more minutes, before adding shallots, garlic and cubanelle peppers. Before serving, garnish with saw mint,  basil and spring onion. This dish is eaten as a cold dip with fresh vegetables, such as purple eggplant, cucumber, banana blossom and water grass.', '', '', 'prahok_khtih.jpg', 180, 116, 1, 47, 0, '0000-00-00 00:00:00', 0, 53),
(56, 36, 'Samla Kako', 'samla-kako', '', '<ul>\r\n<li>250g chicken; 1tbsp prohok</li>\r\n<li> 400g veg-fruit combo including:</li>\r\n<li> green papaya, green banana, green jackfruit and young palm  fruit, sliced thinly;</li>\r\n<li> pumpkin and purple eggplant, cut into triangles;</li>\r\n<li> long beans, cut into 10-cm pieces; and pea eggplants.</li>\r\n<li> 5-6 cuts water</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Kroeung</strong>:</p>\r\n<ul>\r\n<li> 30g leaf of lemon grass, sliced finely</li>\r\n<li> 1tbsp rhizome, cut small</li>\r\n<li> 1tbsp turmeric, cut small</li>\r\n<li> 4 garlic cloves; 2 shallots</li>\r\n<li> ½ cut rice, roasted and ground</li>\r\n<li> 3tbsp salt</li>\r\n<li> 2tbsp palm sugar (or white sugar)</li>\r\n<li> 2tbsp fish sauce</li>\r\n<li> 1 cup angkeadei; 1 cup m&#39;rum</li>\r\n<li> 2 cups m&#39;reah; 3 stems kantrup</li>\r\n</ul>', 'Prepare the kroeung, then chop chicken into bite-size pieces. Next remove leaves from angkeadei and m&#39;rum stems and place in one bowl, and remove m&#39;reah leaves but keep separately. Fry the kroeung and prohok in vegetable oil in a large pot over a medium-low heat. When the oil turns green from the kroeung, and the aroma intensifies add the chicken, salt, sugar and ¼ cup of water, stirring well. Allow chicken to cook for about 15 minutes, then add the vegetable combo, stirring constantly. Then add the roasted rice powder, still stirring and then the rest the water. Increase the heat to medium-high and bring soup to the boil, once it bubbles add the fish sauce, and angkeadei and m&#39;rum leaves and remove from heat immediately. Brush the kantrup over the flame about 4 times so the leaves burn slightly, then remove by running a thumb and index finger up the stem. Add to soup just before serving.<br /> <br /> <strong>Note</strong>: Samlo kako is a lunchtime dish, usually served with steamed rice and with fresh m&#39;reah leaves on the side.', '', '', 'samla_kako.jpg', 180, 116, 1, 20, 0, '0000-00-00 00:00:00', 0, 54),
(57, 36, 'Samla M''chou Kroeung Sach Ko', 'samla-mchou-kroeung-sach-ko', '', '<ul>\r\n<li>300 g beef with fat</li>\r\n<li> 1 tbsp prahok, chopped</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Kroeung</strong>:</p>\r\n<ul>\r\n<li> 30 g lemon grass stalk, thinly sliced</li>\r\n<li> 1 tbsp galangal, cut small</li>\r\n<li> zest of ¼ kaffir lime</li>\r\n<li> 1 tsp turmeric, cut small</li>\r\n<li> 4 cloves garlic</li>\r\n<li> 2 shallots</li>\r\n<li>3 cups water</li>\r\n<li> 1 tbsp salt</li>\r\n<li> 2 tbsp fish sauce</li>\r\n<li> 1 tbsp sugar</li>\r\n</ul>\r\ntamarind juice or leaves kantrup leaves', '<p>First make the kroeung. Then take 2/3 of it and mix with the prahok in a large pot over a medium-low heat for about 5 minutes. Then add the beef and fry until cooked through, seasoning with salt and sugar.<br /> Once done, add the water and remaining kroeung to the pan. Boil the soup then reduce the heat and simmer for about 40 minutes, by which time the beef should be very tender. Stir in the tamarind juice or leaves and fish sauce and remove from the heat. Brush the kantrup stem over the flames, remove leaves and add to the soup. Serve immediately.</p>\r\n<p>Traditionally there are no vegetables in this soup, but at some restaurants around the country water grass and even eggplants are added. In some places, the water grass is placed at the bottom of the individual soup bowls, and the boiling broth is poured over the top. Elsewhere it is served on the side. Other restaurants add eggplants to the soup once the beef is cooked and tender.</p>', '', '', 'samla_mchou_kroeung_sach_ko.jpg', 180, 117, 1, 4, 0, '0000-00-00 00:00:00', 0, 55),
(58, 36, 'Samla M''chou Yuon', 'samla-mchou-yuon', '', '<ul>\r\n<li>350 g fish</li>\r\n<li> 1 big ripe tomato</li>\r\n<li> 100 g pineapple</li>\r\n<li> 100 g lotus roots</li>\r\n<li> 4 cloves garlic, chopped</li>\r\n<li> 4 cups water</li>\r\n<li> ½ cup tamarind juice</li>\r\n<li> 1 tbsp fish sauce</li>\r\n<li> 1 tbsp salt</li>\r\n<li> 1 tbsp sugar</li>\r\n<li> ½ cup combo of ma-am </li>\r\n<li> leaves and saw mint</li>\r\n</ul>', 'Chop lotus roots into 7-cm  pieces, then slice vertically and soak in water. Using a wooden  chopstick stir the roots so the tougher fibres "catch" the wood and can be twisted off. Set aside. Brown garlic, then remove from pan. Fry fish in the same oil and when nearly done add 1 tbsp fish sauce. Boil water and add tamarind juice, salt and sugar. When the fish is nicely browned, transfer to the broth along with some of the oil and garlic. Put lotus roots in the boiling soup and after 5 minutes add tomatoes and  pineapple. Once the skin starts peeling off the tomatoes turn off the heat and garnish with the remaining garlic and oil, and sprinkle with ma-am leaves and saw mint.', '', '', 'samla_mchou_yuon.jpg', 180, 116, 1, 220, 0, '0000-00-00 00:00:00', 0, 56),
(59, 36, 'Samla Prahet Kroeung', 'samla-prahet-kroeung', '', '<ul>\r\n<li>150 g prahet (minced fish)</li>\r\n<li> 150 g pumpkin leaves</li>\r\n<li> 4 cups water</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Kroeung:</strong></p>\r\n<ul>\r\n<li> 1/3 cup lemon grass leaves</li>\r\n<li> 1 tbsp rhizome</li>\r\n<li> 1 tbsp galangal</li>\r\n<li> 4 shallots</li>\r\n<li> 2 cloves garlic</li>\r\n<li> zest of ¼ kaffir lime</li>\r\n<li>1 tbsp salt</li>\r\n<li> 1 tbsp sugar</li>\r\n<li> 1 tbsp fish sauce</li>\r\n<li> 1 tbsp prahok</li>\r\n</ul>', 'Divide the kroeung into 2 equal portions. Mix one half with the prahet, and season with half the salt and sugar. Then dip your fingers into vegetable oil and mould the prahet into balls. Set aside. Boil the water, add the prahok and the rest of the kroeung. When dissolved add fish balls to the soup and cook for 10-15 minutes. Then season with the rest of the salt and sugar and  the fish sauce. Finally, add the pumpkin leaves, remove from heat and  serve immediately.', '', '', 'samla_prahet_kroeung.jpg', 180, 118, 1, 196, 0, '0000-00-00 00:00:00', 0, 57),
(60, 36, 'Tik Chror Luok Svay', 'tik-chror-luok-svay', 'This sauce is served with grilled or fried fish. If the green mango is substituted with green tamarind it yields Tik Chror Luok Ampil. The rest of the recipe remains the same. The best mango and tamarind for this sauce are sour.', '<ul>\r\n<li>1/3 cup green mango</li>\r\n<li> 4 tbsp fish sauce</li>\r\n<li> 1 tbsp fresh garlic</li>\r\n<li> 1 tbsp sugar</li>\r\n<li> 1-2 bird chillies</li>\r\n</ul>', 'Peel and wash the green mango. Grate into thin strips. Chop the garlic, and cut chillies into big pieces. In a small bowl, dissolve the sugar in fish sauce and add mango, garlic and chilles. Stir well. If using green tamarind, instead of green mango, wash thoroughly, then cut into thick slices and seed before following the recipe as above.', '', '', 'sauces.jpg', 180, 126, 1, 190, 0, '0000-00-00 00:00:00', 0, 58),
(61, 36, 'Tik Ambel Krauch Chh''mar', 'tik-ambel-krauch-chhmar', 'This is the most basic of Khmer sauces. It can be eaten with a wide variety of dishes ranging from grilled beef and seafood, to boiled eggs.', '<ul>\r\n<li>1 tbsp lime juice</li>\r\n<li> 1 tbsp salt</li>\r\n<li> 1 tsp black pepper</li>\r\n</ul>', 'In a clay mortar, pound salt and black pepper into a very fine powder. Transfer to a small bowl and mix in the lime juice.', '', '', 'sauces_001.jpg', 180, 119, 1, 192, 0, '0000-00-00 00:00:00', 0, 59),
(62, 36, 'Sieng Kh''tih', 'sieng-khtih', '', '<ul>\r\n<li>1 cup fermented soy beans</li>\r\n<li> 100g minced pork</li>\r\n<li> 1 cup coconut cream</li>\r\n<li> ½ cup coconut milk</li>\r\n<li> ½ tbsp salt</li>\r\n<li> 1 tbsp fish sauce</li>\r\n<li> 1 tbsp sugar</li>\r\n</ul>', '<p>Drain the fermented soy beans in a sieve and set aside. Bring half the coconut cream to the boil, then add the minced pork, stirring vigorously. When the pork is sealed, add the coconut milk to the pot and cook for 10 more minutes, before seasoning with salt, fish sauce and sugar. Add the beans and leave on the heat for 5 more minutes, before swirling the  other half of the coconut cream over the top. Allow the dish to cool before serving with crudites such as cucumber, purple eggplant and  cabbage.</p>\r\n<p><strong>Note</strong>: Some families add a beaten egg to the dip after removing from the heat. This thickens the dip and helps neutralise    strong aroma of the beans.</p>', '', '', 'sieng_khtih.jpg', 180, 116, 1, 170, 0, '0000-00-00 00:00:00', 0, 60),
(63, 36, 'S&#39;ngao Chruok Moan', 'sngao-chruok-moan', '', '<ul>\r\n<li>300 g chicken, cut into chunks</li>\r\n<li> 4 cups water</li>\r\n<li> 30 g lemon grass stalk, crushed</li>\r\n<li> 1 tbsp uncooked rice</li>\r\n<li> 1 tbsp salt</li>\r\n<li> ½ cup combo of saw mint, basil and spring onion</li>\r\n<li> 1 tbsp fish sauce</li>\r\n<li> 1 tsp sugar</li>\r\n<li> 1-2 limes</li>\r\n</ul>', 'Place uncooked rice in a pot with the water. Bring to the boil, then add lemon grass. After a few minutes, when the flavor is released, add chicken pieces. Once the  chicken is cooked through, season with fish sauce, salt and sugar. Just before serving, add lime juice and garnish with basil, saw mint, spring onion.', '', '', 'sngao_chruok_moan.jpg', 180, 117, 1, 176, 0, '0000-00-00 00:00:00', 0, 61),
(64, 36, 'S&#39;ngao Chruok Trei', 'sngao-chruok-trei', '', '<ul>\r\n<li>300 g fish</li>\r\n<li> 4 cups water</li>\r\n<li> 1 lemon grass stalk</li>\r\n<li> 1 tbsp uncooked rice</li>\r\n<li> 1 tbsp salt</li>\r\n<li> 1/3 cup combo of: saw mint, </li>\r\n<li> basil and chopped spring onions</li>\r\n<li> 1 tbsp fish sauce</li>\r\n<li> 1 tsp sugar</li>\r\n<li> 1-2 limes</li>\r\n</ul>', 'Place uncooked rice and  salt in a pot with water and bring to the boil. Chop lemon grass stalk  into 5-cm pieces and crush, then add to the pot. Leave for 5 minutes while the scent infuses the water and then add the fish. Cook fish for  15-20 minutes then season with fish sauce and sugar. Just before serving, add the lime juice and garnish with the chopped herbs and spring onion.', '', '', 'sngao_chruok_trei.jpg', 180, 117, 1, 213, 0, '0000-00-00 00:00:00', 0, 62),
(65, 36, 'S&#39;ngao M&#39;reah', 'sngao-mreah', '', '<ul>\r\n<li>1 bitter  melon (about 450 g)</li>\r\n<li> 150 g minced pork</li>\r\n<li> 1 tbsp garlic, chopped finely</li>\r\n<li> 1 tsp soy sauce</li>\r\n<li> ¼ tsp black pepper</li>\r\n<li> 4 cups pork stock</li>\r\n<li> 1 tbsp salt</li>\r\n<li> 1½ tbsp fish sauce</li>\r\n<li>4 cups water and 2 tbsp salt to soak bitter melon</li>\r\n</ul>', 'Cut the bitter melon into four pieces. Remove the seeds from the middle and soak in salt water for 5 minutes. This helps reduce the bitterness of the melon. The longer it soaks, the less bitter it becomes, but don&#39;t soak too long otherwise the distinctive taste of the melon will be lost. While the melon is soaking mix the minced pork, chopped garlic, soy sauce and black pepper together. Drain bitter melon and stuff with the minced pork mixture. Boil the pork stock, add the stuffed melon pieces to the pot and cook for 15 minutes, then season soup with salt and fish sauce. Before serving, sprinkle with black pepper. To make S&#39;gnao Trasakk and S&#39;gnao Tralach, replace the bitter melon with the cucumber and Asian squash respectively. Follow the method as before, however, there is no need to soak these vegetables before cooking them.<br /> Another variation of the S&#39;gnao Tralach is to simply cut the squash into big pieces and mould the ground pork into balls. When the pork stock boils, cook the pork balls for about 10 minutes, then add the  squash and cook until soft. Garnish with parsley.', '', '', 'sngao_mreah.jpg', 180, 117, 1, 169, 0, '0000-00-00 00:00:00', 0, 63);

INSERT INTO `#__rg_restaurantitems` VALUES
(1, 0, 'The Sushi Bar', 'the-sushi-bar', 'main_1.jpg', 'logo_1.gif', 180, 135, 'No 2, Le Thanh Ton St. District 1', 5, 1, 0, 230, '', '838.238.042', '838.238.042', '10:00 - 23:30', '', '', 'Cash, Credit Card', 'Vietnamese, English, Japanese', 0, 'Casual Elegant', '', 'Street Parking', '', 'Bar Dining, Bar/Lounge, Beer, Delivery, Happy Hour, Takeout', 'Casual Dress', 157, 2, '', '', '', '', '2', '<ul>\r\n<li>Sushi Bar II Address: 5F, ZEN PLAZA, 54-56 Nguyen Trai St. Q.1, HCM City Tel: 39.250.377 Mobile:090 3907634 Open time:10:00 ~ 22:00</li>\r\n<li>Sushi Bar III Address: 3A, Ton Duc Thang St,&nbsp; Ben Nghe Ward, Dist 1, HCMC Tel: 39.118618 Mobile: 090-3907634 Open time:11:00 ~ 23:30</li>\r\n</ul>', 2, 164, 106, 0, 1, '', 'www.incubation-vn.com/sushibar.com.vn/', '', '', 'The Sushi Bar', 'The Sushi Bar', '', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-10-17 22:53:40', 42, '', 0, '0000-00-00 00:00:00', 1, 1, 3, 0, 0, 'Required', '10,1,8', '16,93', '8', '13,1,22,16,12', '', '', '', '', '<p><strong>7 years old Japanese restaurant, which normally using both  local and Japanese imported fish for its Sashimi &amp; Sushi menu in reasonable price. It has been established since 1999 and has been  re-opened from its renewal in December, 2005.</strong></p>\r\n<p>Located right at the bustling Ho Chi Minh city center – Vietnam. <strong>The Sushi Bar</strong> its name has ideal from Japanese famous dish, being renovated in December 2005 with the area of 300m2 with one ground floor and two storey with romantic,unique, Japanese modern decoration, where daily  fresh Japan – imported and local fishes have been use for <em>Sashimi</em> and <em>Sushi</em> in resonable price. The Sushi Bar offers guest warm, luxury, polite feeling in professional cuisine ambience.<br /> <br /> Comming to <strong>The Sushi Bar</strong>, valued guest will be factualy satisfied owing to diversiffed, appetitive menu; especailly with its plentyful of choices in Sushi. In particular, <strong><em></em><em>The Sushi Bar</em></strong> roll, which is basiccally rolled up in several kinds of fishes and vegetable etc... they have been favorite to most of the customers and <strong><em>Seagrape and grinded yam on top of Tuna fish</em></strong>, has been newly added onto the snack menu. You may definitely want to give it a try as well.<br /> <br /> Beside Japanese wine and distilled alcohol as you can find in the ancohol menu, as well as the home made plum wine, which has been attracted by most of the female customers, you can also find that there are approximately 30 kinds of wine, which are imported from all around the world.<br /> <br /> Then after meal, you may want to try its according to restaurant''s style made ice cream in various flavour such as: Sakura (Cherry), Wasabi (Green radish) and Sesame (Goma), etc..</p>', '<p>Seeming to be full most of the times, The Sushi Bar serves more than 40 varieties of sushi at affordable prices. The food is fresh and toothsome. Look for a sweet deal of midday? Go for lunch sets. And if you''re dazzled by the picture menu, a look into daily''s specials may help.</p>', '<p>Good sake, soju and beer from Japan and Korea.</p>', '', '<p>Discount 10% for membership Daily special dishes change every day</p>', '', '10.7822942547534', '106.7059725522995', 1, 0, 0, '100%', '300px', 27, 8000, ''),
(8, 0, 'Kurhaus Korsakow', 'kurhaus-korsakow', 'main_8.jpg', '', 180, 180, 'Grünberger Straße 81', 0, 9, 0, 81, '10245', '03070728306', '', 'Frühstück: Samstag - Sonntag: 09:00 - 16:00Uhr, Abendessen: Dinstag - Freitag: 17:00 - 24:00Uhr Sams', '', '', 'MasterCard, Visa', '', 0, 'Zwangloses Restaurant', 'Herr Bernd & Frau Klepzig', '', '', 'Bier, Café, Happy Hour, Nebenräume, Nichtraucher-Restaurant, Raucherbereich, Rollstuhl-Zugang, Sonntagsbrunch, Späte Öffnungszeiten, Terrasse/Im Freien, Wein, zum Mitnehmen', '', 23, 1, '', '', '', '', '7', '', 0, 0, 6, 0, 1, '', 'www.kurhaus-korsakow.de', '', '', 'Kurhaus Korsakow', 'Kurhaus Korsakow', '', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-10-17 23:41:36', 42, '', 0, '0000-00-00 00:00:00', 1, 8, 19, 0, 0, '', '', '39,23', '8,9', '13,1,4,6,7', '', '', '', '', '<p>Geniessen  Sie in der Schank- und Speisewirtschaft "Kurhaus Korsakow"  leckere  Berliner Gerichte &amp; auf unser wechselnden Wochenkarte saisonale deutsche Küche, die von unserem Küchenteam täglich aus frischen &amp; möglichst regionalen Zutaten für Sie zubereitet werden. Mitten im  Friedrichshainer Kiez, nur wenige Schritte von der quirligen   Simon-Dach-Straße entfernt, lässt es sich in unserer gemütlichen Wirtschaft vorzüglich speisen. Am Wochenende und an Feiertagen bieten wir unser Frühstücksbuffet mit diversen hausgemachten Spezialitäten an, welches sich besonders gut mit einem Besuch des Boxhagener Wochen- (Sa.) bzw. Flohmarktes (So.) verbinden lässt. Unseren rauchenden Gästen bieten wir ein separates, gemütliches "Raucherstüberl". Insbesondere zum Frühstücksbuffett empfehlen wir Ihnen vorab zu  reservieren. <br /> Wir freuen uns auf Ihren Besuch.</p>', '', '', '', '', '', '52.511314127972184', '13.460462093353271', 0, 0, 0, '', '', 27, 8000, ''),
(9, 0, 'Kuchi Mitte', 'kuchi-mitte', 'main_9.jpg', 'logo_9.gif', 180, 135, 'Gipsstr. 3', 0, 9, 0, 81, '10119', '03028386622', '', 'Montag bis Samstag von 12:00 bis 24:00 Uhr Sonntag von 18:00 bis 24:00 Uhr', '', '', 'American Express, MasterCard, Visa', '', 0, '', 'Thang Vu Vang', 'Auf der Straße', '', 'Aussicht, Bier, Nebenräume, Nichtraucher-Restaurant, Sushi Bar, Terrasse/Im Freien, Veranstaltungen, Wein, zum Mitnehmen', '', 51, 2, 'Wir erstellen Ihnen gern ein individuelles Live Cooking oder Catering Angebot.', '', '', '', '8, 7', '', 0, 0, 4, 0, 1, '', 'www.kuchi.de', '', '', 'Kuchi Mitte', 'Kuchi Mitte', '', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-07-10 04:35:07', 42, '', 0, '0000-00-00 00:00:00', 1, 9, 3, 0, 0, '', '', '16,93', '8', '', '', '', '', '', '<p>In  Berlins Mitte, der Spandauer Vorstadt, dem "jüdischen Viertel", kurz gesagt dem Gebiet rund um die Neue Synagoge in der Oranienburger Straße, befindet sich das Kuchi Mitte. Das denkmalgeschütze Haus mit seinem malerischen Innenhof bietet einen wunderschönen Rückzug in diesem, nach dem zweiten Weltkrieg, weitgehend erhaltenen Viertel.<br />Das Kuchi Mitte ist im Stil des Zen-Pop eingerichtet und hat 60 Sitzplätze. Die in das Kellergewölbe integrierteTatami Lounge bietet bis zu 24 Personen Platz  für ein exklusives Zusammenkommen.</p>', '', '', '', '', '', '52.52721414180133', '13.399264812469482', 0, 0, 0, '', '', 27, 8000, ''),
(2, 0, 'Pho Xua Ancient Town', 'pho-xua-ancient-town', 'main_2.jpg', '', 180, 125, '11B Le Qui Don Street, Dist. 3', 4, 1, 0, 230, '', '08. 3930 8182', '08. 930 8168 ', '11.00AM – 14.00 PM; 17.00PM – 20.00PM ', '', '', 'Visa, Master', 'Vietnamese, English', 0, 'Casual Elegant', '', 'Street Parking', 'You can park on any of the streets surrounding the restaurant.', '', 'Casual Dress', 157, 2, '', 'Pho Xua Ancient Town can take group bookings of 10-16 people. Pho Xua Ancient Town also has seven stylish and elegant private rooms available for hire; The Apartment and The Salle De Fête. Pho Xua Ancient Town rooms are perfect for a variety of events including; meetings and private dining, product launches and film premiers, birthdays and Christmas parties. Pho Xua Ancient Town has a civil weddings and civil partnerships license and offers ad dedicated wedding service. Bespoke menus and birthday cakes can be created to make an occasion extra special.', 'Main Restaurant', '1 - 80', '1', '', 1, 84, 45, 0, 1, '', 'www.phoxuasaigon.com', '', '', 'Pho Xua Ancient Town', 'Pho Xua Ancient Town', '', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-10-17 22:50:47', 42, '', 0, '0000-00-00 00:00:00', 1, 2, 1, 0, 0, '', '10,3,1,6,8', '25', '8', '13,1,22,16,12', '', '', '', '', '<p>Vietnam House Restaurant is a beautiful colonial house located in the center of Ho Chi Minh City. It is one of few restaurants which has honorably received the leaders, Prince, Princess… of some nations in the world (even George Bush Sr. and Former Philippine President Cory Aquino). With 150 seats, a cozy ambience and a warm service, it becomes a destination for tourists to access gastronomy and Vietnam culture. Vietnam House is known to be one of the best restaurants specializing in both local Vietnamese and international cuisine. This restaurant is actually a restored French colonial house and renders a traditional ambience with its large French windows and traditionally attired waiters and somber genre of songs. Mostly the services are efficient and it''s a good place for a family to stay at night. You will get ample servings of dishes and mostly the air-conditioned environment is comfortable for guests and the interior decoration is nice and traditional with spaced out sitting arrangements. The food is mostly westernized in nature though they also serve local dishes and the price of the food items mostly vary from US$ 10 to US$ 12 or less than that in some cases. Comparatively it''s more expensive than any average restaurant. The dishes served here mostly include margarita, rice wine, triple sec and lemon Tofu, vegetables, sautéed mushrooms in pepper sauce. While the other main courses include Pineapple fried rice, noodles, Pineapple Beef, Crab Spring rolls etc. Another specialty of Vietnam House is its variety of Vietnamese cuisine and its lunch buffets offering a variety of both local and international cuisine. In order to savor the delectable fare of Vietnam House, located near the Opera House, check out this famous eatery! favorite foods are: Go Ha San ( sea food salad), Chao Tom (Prawn Meal in Sugarcane Stick), Muc Nuong Sate (Grilled Calamari with Sate), Cua Lot (deep fried Soft shell crabs) and Canh Do Bien (Sea Food Soup).</p>', '<p>Serving both international and local cuisines, this fine diner bases its culinary cornerstone on the best kinds of Vietnamese food, most acclaimed of which are Chao Tom (Prawn Meal in Sugarcane Stick), Muc Nuong Sate (Grilled Calamari with Sate), and Cua Lot (deep fried Soft shell to name a few).</p>', '<p>An all-inclusive menu featuring from international wine labels to local rice wine, tropical fruit juices and Vietnamese coffee.</p>', '', '', '', '10.7748480626625', '106.704261302948', 0, 0, 0, '', '', 27, 8000, ''),
(6, 0, 'Givanni''s', 'givannis', 'main_6.jpg', 'logo_6.png', 180, 115, '109 East College Street', 0, 7, 16, 223, '52240', '(319) 338-5967', '', 'Monday - Thursday: 5:00pm - 10:00pm, Friday - Saturday: 5:00pm - 11:00 pm. Sunday: 4pm - 9pm', '', '', 'AMEX, Discover, MasterCard, Visa', '', 0, 'Casual Elegant', 'Isaac Onofre', 'Street Parking', '3 parking ramps located within one block of the restaurant.', 'Banquet/Private Rooms, Beer, Full Bar, Non-Smoking Restaurant, Patio/Outdoor Dining, Personal wines welcome (corkage fee applies), Private Room, Takeout, View, Wine', 'Business Casual', 157, 1, 'Our sister restaurant The Bread Garden caters all items on Givanni''s menu.', 'Upstairs area seats up to 50 people. Parties of 30 or more are considered a private party. Semi-private parties have no rental fee but minimum spending is required.', 'Main Restaurant', '1 - 60', '5', '', 1, 96, 10, 0, 1, '', 'www.givannis.net', '', '', 'Givanni''s', 'Givanni''s', '', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-07-09 02:49:44', 42, '', 0, '0000-00-00 00:00:00', 1, 6, 6, 0, 0, '', '', '1,15', '8', '13,27,4', '', '', '', '', 'Located on the pedestrian mall in downtown Iowa City,  Givanni''s is a hip, casual, upscale restaurant with stimulating chef''s features and a vast wine program. Givanni''s Menu is inspired by Italian,  American, and Vegetarian cuisine. All of our pasta is home-made and include such selections as sweet potato ravioli and spinach ravioli with shrimp. Our skilled kitchen has been crafting local favorites such as Steak Deburgo and a Gorgonzola Crusted Iowa Pork Chop for over 25 years. The bread and deserts we serve are baked from  scratch at our sister company, the Bread Garden Market.', '', '', '', '', '', '41.658621392847635', '268.4658971428871', 0, 0, 0, '', '', 27, 8000, ''),
(3, 0, 'Cherry Garden', 'cherry-garden', 'main_3.jpg', '', 180, 120, 'Level 5, Mandarin Oriental Singapore 5 Raffles Avenue, Marina Square', 0, 0, 0, 188, '', '+65 68853538', '', 'Lunch: Monday - Friday: 12:00pm - 2:30pm Weekend Dim Sum Buffet: 11:00am - 1:00pm (1st seating), 1.3', '', '', 'AMEX, Diners Club, JCB, MasterCard, Visa', '', 0, 'Casual Elegant', 'Hiew Gun Khong', 'Hotel Parking', 'Valet and self parking facilities are available.', '', 'Business Casual', 157, 3, '', '', '', '', '', '', 0, 0, 5, 0, 1, '', 'www.mandarinoriental.com/singapore', '', '', 'Cherry Garden', 'Cherry Garden', 'Step through the magnificent doors of this traditional courtyard style residence and be seduced by the modern designs of Oriental splendor. An  adept eye has blended sumptuous materials, charcoaled teak panels, slate  floors and pools of light. Two private dining rooms decorated in a residential style are available. The menu offers an eclectic selection of Cantonese cuisine, presented in a modern style. Weekends will never be the same again with an all new a-la-carte dim sum buffet featuring an extensive selection of more than 20 exquisite handmade dim sum - complemented by a variety of comforting  double-boiled soups, congee, fried rice and noodles, appetizers and special dishes* - all served a la minute upon order. (* Please note that  appetizers and specials are limited to one order per table) Our awards include "Singapore''s Best Restaurant 2006 &amp; 2007" by Singapore  Tatler and "Singapore''s Top Restaurant 2006 &amp; 2007" by Wine &amp;  Dine.', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-07-08 09:16:25', 42, '', 0, '2011-08-03 03:33:37', 1, 3, 4, 0, 0, '', '', '29,100', '', '', '', '', '', '', '<p>Step  through the magnificent doors of this traditional courtyard style  residence and be seduced by the modern designs of Oriental splendor. An adept eye has blended sumptuous materials, charcoaled teak panels, slate  floors and pools of light. Two private dining rooms decorated in a residential style are available. The menu offers an eclectic selection of Cantonese cuisine, presented in a modern style. Weekends will never be the same again with an all new  a-la-carte dim sum buffet featuring an extensive selection of more than 20 exquisite handmade dim sum - complemented by a variety of comforting  double-boiled soups, congee, fried rice and noodles, appetizers and  special dishes* - all served a la minute upon order. (* Please note that  appetizers and specials are limited to one order per table) Our awards  include "Singapore''s Best Restaurant 2006 &amp; 2007" by Singapore  Tatler and "Singapore''s Top Restaurant 2006 &amp; 2007" by Wine &amp; Dine.</p>', '', '', '', '', '', '1.2904732981218086', '103.85845899581909', 0, 0, 0, '', '', 27, 8000, ''),
(4, 0, 'Morton''s The Steakhouse', 'mortons-the-steakhouse', 'main_4.jpg', 'logo_4.gif', 180, 74, 'Oriental Hotel, Fourth Storey Marina Square, 5 Raffles Avenue', 0, 0, 0, 188, '', '+65 116563393740', '', 'Dinner: Monday - Saturday: 5:30pm - 11:00pm, Sunday: 5:00pm - 10:00pm', '', '', 'AMEX, Diners Club, MasterCard, Visa', '', 0, 'Fine Dining', '', 'Valet', 'Valet & self parking available at the Oriental Hotel.', 'Banquet/Private Rooms, Bar Dining, Bar/Lounge, Beer, Cigar Room, Full Bar, Happy Hour, Non-Smoking Area, Personal wines welcome (corkage fee applies), Private Room, Smoking Area, Wine', 'Business Casual', 0, 0, 'Private and group dining available. Contact our dedicated Sales and Marketing Manager to plan your next business or social event. Hosting a party at your home or office? Ask about Morton''s Prime To Go and Prime Platters!', 'Morton''s Singapore offers private & semi-private dining rooms seating up to 40 guests.', '', '', '', '', 0, 0, 5, 0, 1, '', 'www.mortons.com', '', '', 'Morton''s The Steakhouse', 'Morton''s The Steakhouse', 'Morton''s  The Steakhouse, the United States'' premier steakhouse group, specializes in classic, hearty fare, serving generous portions of prime aged beef, as well as fresh fish, lobster and chicken entrees. Morton''s is famous for its animated signature tableside menu presentation: steaks, whole Maine lobsters and other main course selections, along  with fresh vegetables, are presented on a cart rolled to your table,  where the server displays and describes each menu item in appetizing and  entertaining detail. The menu, which is the same at all locations, features a variety of favorite cuts, including a 24 ounce porterhouse,  which is the house specialty; a 20 ounce New York sirloin and a 14 ounce  double cut filet.', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-07-08 07:51:07', 42, '', 0, '2011-07-08 08:12:00', 1, 4, 18, 0, 0, '', '', '89,23', '', '', '', '', '', '', '<p>Morton''s The Steakhouse, the United States'' premier steakhouse group, specializes in classic, hearty fare, serving generous portions of prime aged beef, as well as fresh fish, lobster and chicken entrees. Morton''s is famous for its animated signature tableside menu presentation: steaks, whole Maine lobsters and other main course selections, along  with fresh vegetables, are presented on a cart rolled to your table,  where the server displays and describes each menu item in appetizing and entertaining detail. The menu, which is the same at all locations,  features a variety of favorite cuts, including a 24 ounce porterhouse, which is the house specialty; a 20 ounce New York sirloin and a 14 ounce  double cut filet.</p>', '', '', '', '', 'Morton''s in Singapore hosts a variety of special events featuring fine wine & spirits, the best steak and a great time! For more information, visit http://www.mortons.com/singapore ', '1.2883817048593065', '103.83316040039062', 0, 0, 0, '', '', 27, 8000, ''),
(5, 0, 'Formosa', 'formosa', 'main_5.jpg', '', 180, 135, '221 E. College St.', 0, 7, 16, 223, '52240', '(319) 338-8880', '', 'Lunch: Monday - Friday: 11:00am - 2:00pm Dinner: Everyday: 5:00pm - 10:00pm', '', '', 'MasterCard, Visa', 'English', 0, 'Casual Elegant', 'David Etre', 'Street Parking', 'You can park on any of the streets surrounding the restaurant. Also, there is a public parking ramp connected to Hotel Vetro.', 'Bar Dining, Bar/Lounge, Beer, Delivery, Full Bar, Happy Hour, Late Night, Non-Smoking Restaurant, Takeout', 'Casual Dress', 157, 2, 'We can cater anything from our menu to your special event! Please email formosadowntown@gmail.com for inquiries.', 'This is a particularly suitable spot for a party or group outing - Mela has special set party menus to make eating en masse easier. Rent the entire restaurant, or just the bright private room, or bring a group of Indian aficionados to sample cooking that is unique in Iowa.', 'Main Restaurant', '1 - 36', '6', '', 1, 88, 30, 0, 1, '', 'www.formosadowntown.com', '', '', 'Formosa', 'Formosa', 'Formosa  Asian Cuisine at the ground level of Hotel Vetro in beautiful downtown  Iowa City. Enjoy our variety of fresh sushi or try Ma La, the newest in Asian dining!</p>\r\n<p>We offer a modern environment that welcomes a variety of social  gatherings.  Before trying our wonderful menu take a seat in our lounge  and try one of our many specialty martinis or sake cocktails!', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-10-03 16:36:37', 42, '', 0, '0000-00-00 00:00:00', 1, 5, 3, 0, 0, '', '10,2,3,8', '2,16,93', '8', '13,1,4,5,6,16', '', '', '', '', '<p>Formosa  Asian Cuisine at the ground level of Hotel Vetro in beautiful downtown  Iowa City. Enjoy our variety of fresh sushi or try Ma La, the newest in  Asian dining!</p>\r\n<p>We offer a modern environment that welcomes a variety of social  gatherings.  Before trying our wonderful menu take a seat in our lounge  and try one of our many specialty martinis or sake cocktails!</p>', '', '', '', '', '', '41.658869', '268.467986', 0, 0, 0, '', '', 27, 8000, ''),
(7, 0, 'SAGE Restaurant', 'sage-restaurant', 'main_7.jpg', 'logo_7.png', 180, 120, 'Köpenickerstrasse 18-20', 0, 9, 0, 81, '10997', '030755494071', '', 'Sommer: Montag - Donnerstag 11:00 - 00:00 Uhr, Freitag - Sonntag 11:00 - 02:00 Uhr', '', '', 'MasterCard, Visa', '', 0, 'Zwanglos elegantes Restaurant', '', 'Privater Parkplatz', 'hauseigener Parplatz direkt auf dem Gelände', 'Aussicht, Bar/Lounge, Kamin, Raucherbereich (nur in der Bar), Rollstuhl-Zugang, Sitze an der Bar, Sonntagsbrunch, Späte Öffnungszeiten, Terrasse/Im Freien, Unterhaltung, Wein, Zigarrenraum, zum Mitnehmen', 'Sebastian Leifer', 51, 1, 'SAGE Catering - Vom legendären Austernbuffet mit Schnittlauchbrot bis hin zum portugisischen Fischspieß vom Holzkohlegrill', '', '', '', '', '', 0, 0, 6, 0, 1, '', 'www.sage-restaurant.de', '', '', 'SAGE Restaurant', 'SAGE Restaurant', '', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-07-09 08:56:54', 42, '', 0, '0000-00-00 00:00:00', 1, 7, 19, 0, 0, '', '', '', '', '', '', '', '', '', '<p>Das  SAGE Restaurant befindet sich direkt am Ufer der Spree in der Köpenicker Str 18-20 in Berlin-Kreuzberg und ist ein großstädtisches, kunstvoll  gestaltetes Restaurant mit sonniger Terrasse und weitläufigem Strandbereich. Traditionelle Speisen werden hier in überraschend neuen Gewändern präsentiert, die durch bestechende Frische und ungewöhnliche Zutaten einen jeden Gaumen bis in die Willenlosigkeit verführen. Die Küche bietet eine wechselnde Abendkarte mit Fisch-, Fleisch- und vegetarischen Gerichten und Menüs in gehobener Preiskategorie, die durch eine Standardkarte, Pizzen in kreativen Varianten und eine delikate Auswahl hausgemachter Antipasti ergänzt werden. Jeden Sonntag wird zu dem ein abwechslungsreiches Brunchbuffet mit pikanten und süßen  Köstlichkeiten gezaubert. In den Sommermonaten servieren wir drinnen und draußen einen leichten Mittagstisch.</p>', '', '', '', '', '', '52.50479381812213', '13.434605598449707', 0, 0, 0, '', '', 27, 8000, ''),
(10, 0, 'Front Test', 'front-test', 'main_10.jpg', 'logo_10.gif', 180, 135, '273/14 Pham Ngu Lao St., District 1', 0, 1, 0, 230, '', '855-63-761-211', '', '', '', '', '', '', 0, '', '', '', '', '', 'Casual', 157, 2, '', '', '', '', '', '', 0, 0, 1, 0, 1, '', '', '', '', 'Front Test', 'Front Test', '', 'robots=\nauthor=', '0000-00-00 00:00:00', 42, '', '2011-10-18 04:43:31', 42, '', 0, '0000-00-00 00:00:00', 1, 0, 2, 0, 0, '', '10,2,3,1,6,8', '25', '8,22', '13,5,7,12', '', '', '', '', '', '', '', '', '', '', '10.766116390901534', '106.69585249101556', 0, 0, 0, '', '', 0, 0, '');

INSERT INTO `#__rg_restauranttypes` VALUES
(1, 'Vietnamese Restaurants', 'vietnamese-restaurants', 1, 'viet.jpg', 160, 107, 0, '0000-00-00 00:00:00', 0, ''),
(2, 'Korean Restaurants', 'korean-restaurants', 1, 'korean_food.jpg', 160, 107, 0, '0000-00-00 00:00:00', 0, ''),
(3, 'Japanese Restaurants', 'japanese-restaurants', 1, 'kaisekifood.jpg', 160, 106, 0, '0000-00-00 00:00:00', 0, ''),
(4, 'Chinese and Asians Restaurants', 'chinese-and-asians-restaurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(5, 'French Restaurants', 'french-restaurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(6, 'Italian Restaurants', 'italian-restaurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(7, 'Singapore and Malaysia Restaurant', 'singapore-and-malaysia-restaurant', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(8, 'Thai Restaurants', 'thai-restaurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(9, 'International Restaurants', 'international-restaurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(10, 'Seafood Restaurants', 'seafood-restaurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(13, 'Indian Restanurants', 'indian-restanurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(14, 'Spanish Restaurants', 'spanish-restaurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(15, 'Lao Restaurants', 'lao-restaurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(16, 'Bakery and Sandwich Bar', 'bakery-and-sandwich-bar', 1, 'sub_sandwich1.jpg', 160, 107, 0, '0000-00-00 00:00:00', 0, ''),
(17, 'Cambodian Restaurants', 'cambodian-restaurants', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, ''),
(18, 'Steak House', 'steak-house', 1, 'steak3.jpg', 160, 106, 0, '0000-00-00 00:00:00', 0, ''),
(19, 'Mordern European Restaurant', 'mordern-european-restaurant', 1, '', 0, 0, 0, '0000-00-00 00:00:00', 0, '');

INSERT INTO `#__rg_restaurateurs` VALUES
(1, 42, -1, 'Owner', 'James', 'Marth', 1, '', '', 1, '', '', 0, '', '', 0, 'Dorf Nr. 117', '', 1, 451, 230, '6574', '', 'your phone number', '', 'your@domain.com', '', '', '', '', '', '', '', '', '', 'www.yourdomain.com', '', '', 0, 0, 1, 0, '0000-00-00 00:00:00', 0);

INSERT INTO `#__rg_specialoffers` VALUES
(1, '50% off food', '50-off-food', 230, 0, 1, 2, 1, 30, 'Vat', 'Service', '2011-10-01', '2011-12-31', 'From a set menu (3 courses $45.50).', '12', '2', '20', '0', '12', 0, '0000-00-00 00:00:00'),
(2, 'Set lunch with a glass of wine: £24.50', 'set-lunch-with-a-glass-of-wine-p2450', 230, 0, 1, 2, 1, 8, 'Vat', 'Service', '2011-10-01', '2011-12-01', 'Omakase and Set Menus not included.', '0', '0', '0', '0', '0', 0, '0000-00-00 00:00:00'),
(3, 'Sunday Lunch $27.50', 'sunday-lunch-2750', 230, 0, 1, 2, 1, 0, '', '', '0000-00-00', '0000-00-00', 'From a set menu. 2 courses $27.50 and 3 courses $41.50. *Ple', '0', '0', '0', '0', '0', 0, '0000-00-00 00:00:00'),
(4, 'Love Food Give Food: 50% off food', 'love-food-give-food-50-off-food', 223, 16, 7, 5, 1, 12, 'Vat', 'service', '2011-10-01', '2011-12-26', 'From the a la carte menu (2 courses must be ordered per pers', 'Mon - Sun: 12:00pm - 3:00pm, 6:30pm - 11:30pm', '', '', '', '', 0, '0000-00-00 00:00:00'),
(5, '30% off food', '30-off-food', 230, 0, 1, 1, 1, 8, 'Vat', 'service', '2011-10-03', '2011-12-20', 'Omakase and Set Menus not included.', 'Mon - Sat: 12:00pm - 3:00pm, 5:00pm - 10:00pm', 'Sun: 5:00pm - 10:30pm', '', '', '', 0, '0000-00-00 00:00:00'),
(6, '2 courses and a glass of Autumn Cocktail: £16', '2-courses-and-a-glass-of-autumn-cocktail-p16', 81, 0, 9, 8, 1, 16, 'Vat', 'service', '2011-10-11', '2011-12-31', 'From a set menu (3 courses option £19) . Please note there is a two hour turnaround on all tables. Up to 14 covers on one table, 16-18 on two tables.', 'Mon: 12:00pm - 3:00pm, 6:00pm - 11:00pm', 'Tue, Wed, Thu, Fri: 12:00pm - 3:00pm, 6:00pm - 6:30pm, 9:30pm - 11:00pm', 'Sat: 6:00pm - 11:00pm', '', '', 0, '2011-10-18 00:27:16'),
(7, 'Canapés Tasting Menu:£30', 'canapes-tasting-menup30', 81, 0, 9, 8, 1, 8, 'Vat', 'service', '2011-10-04', '2011-11-25', '14 canapés will be served over 4 courses (also available with a glass of champagne with each course £60). Please note that all diners on the table are required to book this offer.', 'Mon - Fri: 12:00pm - 3:00pm, 6:00pm - 11:00pm', 'Sat: 6:00pm - 11:00pm', '', '', '', 0, '0000-00-00 00:00:00');

INSERT IGNORE INTO `#__rg_states` VALUES
(1, 0, 223, 'Alabama', '', 'ALA', 'AL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(2, 0, 223, 'Alaska', '', 'ALK', 'AK', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(3, 0, 223, 'Arizona', '', 'ARZ', 'AZ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(4, 0, 223, 'Arkansas', '', 'ARK', 'AR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(5, 0, 223, 'California', '', 'CAL', 'CA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(6, 0, 223, 'Colorado', '', 'COL', 'CO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(7, 0, 223, 'Connecticut', '', 'CCT', 'CT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(8, 0, 223, 'Delaware', '', 'DEL', 'DE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(9, 0, 223, 'District Of Columbia', '', 'DOC', 'DC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(10, 0, 223, 'Florida', '', 'FLO', 'FL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(11, 0, 223, 'Georgia', '', 'GEA', 'GA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(12, 0, 223, 'Hawaii', '', 'HWI', 'HI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(13, 0, 223, 'Idaho', '', 'IDA', 'ID', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(14, 0, 223, 'Illinois', '', 'ILL', 'IL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(15, 0, 223, 'Indiana', '', 'IND', 'IN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(16, 0, 223, 'Iowa', 'iowa', 'IOA', 'IA', 1, '', 0, 0, '', 0, 0, '41.590796851056', '266.4404296875', '<p>Iowa, the land between two rivers, is overflowing with warm hospitality and friendly people. A Free Iowa Travel Guide will list important historic sites, state parks, bike trails, exciting cities, art fairs, sporting events, amusement parks, endless rolling countryside, four  seasons'' activities—and more!</p>', '', '', '', 0, '0000-00-00 00:00:00', 0),
(17, 0, 223, 'Kansas', '', 'KAS', 'KS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(18, 0, 223, 'Kentucky', '', 'KTY', 'KY', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(19, 0, 223, 'Louisiana', '', 'LOA', 'LA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(20, 0, 223, 'Maine', '', 'MAI', 'ME', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(21, 0, 223, 'Maryland', '', 'MLD', 'MD', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(22, 0, 223, 'Massachusetts', '', 'MSA', 'MA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(23, 0, 223, 'Michigan', '', 'MIC', 'MI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(24, 0, 223, 'Minnesota', '', 'MIN', 'MN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(25, 0, 223, 'Mississippi', '', 'MIS', 'MS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(26, 0, 223, 'Missouri', '', 'MIO', 'MO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(27, 0, 223, 'Montana', '', 'MOT', 'MT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(28, 0, 223, 'Nebraska', '', 'NEB', 'NE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(29, 0, 223, 'Nevada', '', 'NEV', 'NV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(30, 0, 223, 'New Hampshire', '', 'NEH', 'NH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(31, 0, 223, 'New Jersey', '', 'NEJ', 'NJ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(32, 0, 223, 'New Mexico', '', 'NEM', 'NM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(33, 0, 223, 'New York', '', 'NEY', 'NY', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(34, 0, 223, 'North Carolina', '', 'NOC', 'NC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(35, 0, 223, 'North Dakota', '', 'NOD', 'ND', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(36, 0, 223, 'Ohio', '', 'OHI', 'OH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(37, 0, 223, 'Oklahoma', '', 'OKL', 'OK', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(38, 0, 223, 'Oregon', '', 'ORN', 'OR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(39, 0, 223, 'Pennsylvania', '', 'PEA', 'PA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(40, 0, 223, 'Rhode Island', '', 'RHI', 'RI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(41, 0, 223, 'South Carolina', '', 'SOC', 'SC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(42, 0, 223, 'South Dakota', '', 'SOD', 'SD', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(43, 0, 223, 'Tennessee', '', 'TEN', 'TN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(44, 0, 223, 'Texas', '', 'TXS', 'TX', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(45, 0, 223, 'Utah', '', 'UTA', 'UT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(46, 0, 223, 'Vermont', '', 'VMT', 'VT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(47, 0, 223, 'Virginia', '', 'VIA', 'VA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(48, 0, 223, 'Washington', '', 'WAS', 'WA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(49, 0, 223, 'West Virginia', '', 'WEV', 'WV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(50, 0, 223, 'Wisconsin', '', 'WIS', 'WI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(51, 0, 223, 'Wyoming', '', 'WYO', 'WY', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(52, 0, 38, 'Alberta', 'alberta', 'ALB', 'AB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '2011-07-05 10:35:58', 0),
(53, 0, 38, 'British Columbia', '', 'BRC', 'BC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(54, 0, 38, 'Manitoba', '', 'MAB', 'MB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(55, 0, 38, 'New Brunswick', '', 'NEB', 'NB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(56, 0, 38, 'Newfoundland and Labrador', '', 'NFL', 'NL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(57, 0, 38, 'Northwest Territories', '', 'NWT', 'NT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(58, 0, 38, 'Nova Scotia', '', 'NOS', 'NS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(59, 0, 38, 'Nunavut', '', 'NUT', 'NU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(60, 0, 38, 'Ontario', '', 'ONT', 'ON', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(61, 0, 38, 'Prince Edward Island', '', 'PEI', 'PE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(62, 0, 38, 'Quebec', '', 'QEC', 'QC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(63, 0, 38, 'Saskatchewan', '', 'SAK', 'SK', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(64, 0, 38, 'Yukon', '', 'YUT', 'YT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(65, 0, 222, 'England', '', 'ENG', 'EN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(66, 0, 222, 'Northern Ireland', '', 'NOI', 'NI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(67, 0, 222, 'Scotland', '', 'SCO', 'SD', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(68, 0, 222, 'Wales', '', 'WLS', 'WS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(69, 0, 13, 'Australian Capital Territory', '', 'ACT', 'AC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(70, 0, 13, 'New South Wales', '', 'NSW', 'NS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(71, 0, 13, 'Northern Territory', '', 'NOT', 'NT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(72, 0, 13, 'Queensland', '', 'QLD', 'QL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(73, 0, 13, 'South Australia', '', 'SOA', 'SA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(74, 0, 13, 'Tasmania', '', 'TAS', 'TS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(75, 0, 13, 'Victoria', '', 'VIC', 'VI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(76, 0, 13, 'Western Australia', '', 'WEA', 'WA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(77, 0, 138, 'Aguascalientes', '', 'AGS', 'AG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(78, 0, 138, 'Baja California Norte', '', 'BCN', 'BN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(79, 0, 138, 'Baja California Sur', '', 'BCS', 'BS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(80, 0, 138, 'Campeche', '', 'CAM', 'CA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(81, 0, 138, 'Chiapas', '', 'CHI', 'CS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(82, 0, 138, 'Chihuahua', '', 'CHA', 'CH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(83, 0, 138, 'Coahuila', '', 'COA', 'CO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(84, 0, 138, 'Colima', '', 'COL', 'CM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(85, 0, 138, 'Distrito Federal', '', 'DFM', 'DF', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(86, 0, 138, 'Durango', '', 'DGO', 'DO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(87, 0, 138, 'Guanajuato', '', 'GTO', 'GO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(88, 0, 138, 'Guerrero', '', 'GRO', 'GU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(89, 0, 138, 'Hidalgo', '', 'HGO', 'HI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(90, 0, 138, 'Jalisco', '', 'JAL', 'JA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(91, 0, 138, 'México (Estado de)', '', 'EDM', 'EM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(92, 0, 138, 'Michoacán', '', 'MCN', 'MI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(93, 0, 138, 'Morelos', '', 'MOR', 'MO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(94, 0, 138, 'Nayarit', '', 'NAY', 'NY', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(95, 0, 138, 'Nuevo León', '', 'NUL', 'NL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(96, 0, 138, 'Oaxaca', '', 'OAX', 'OA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(97, 0, 138, 'Puebla', '', 'PUE', 'PU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(98, 0, 138, 'Querétaro', '', 'QRO', 'QU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(99, 0, 138, 'Quintana Roo', '', 'QUR', 'QR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(100, 0, 138, 'San Luis Potos', '', 'SLP', 'SP', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(101, 0, 138, 'Sinaloa', '', 'SIN', 'SI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(102, 0, 138, 'Sonora', '', 'SON', 'SO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(103, 0, 138, 'Tabasco', '', 'TAB', 'TA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(104, 0, 138, 'Tamaulipas', '', 'TAM', 'TM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(105, 0, 138, 'Tlaxcala', '', 'TLX', 'TX', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(106, 0, 138, 'Veracruz', '', 'VER', 'VZ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(107, 0, 138, 'Yucat', '', 'YUC', 'YU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(108, 0, 138, 'Zacatecas', '', 'ZAC', 'ZA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(109, 0, 30, 'Acre', '', 'ACR', 'AC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(110, 0, 30, 'Alagoas', '', 'ALG', 'AL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(111, 0, 30, 'Amapá', '', 'AMP', 'AP', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(112, 0, 30, 'Amazonas', '', 'AMZ', 'AM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(113, 0, 30, 'Bahía', '', 'BAH', 'BA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(114, 0, 30, 'Ceará', '', 'CEA', 'CE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(115, 0, 30, 'Distrito Federal', '', 'DFB', 'DF', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(116, 0, 30, 'Espirito Santo', '', 'ESS', 'ES', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(117, 0, 30, 'Goiás', 'goias', 'GOI', 'GO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(118, 0, 30, 'Maranhão', '', 'MAR', 'MA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(119, 0, 30, 'Mato Grosso', '', 'MAT', 'MT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(120, 0, 30, 'Mato Grosso do Sul', '', 'MGS', 'MS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(121, 0, 30, 'Minas Geraís', '', 'MIG', 'MG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(122, 0, 30, 'Paraná', '', 'PAR', 'PR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(123, 0, 30, 'Paraíba', '', 'PRB', 'PB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(124, 0, 30, 'Pará', '', 'PAB', 'PA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(125, 0, 30, 'Pernambuco', '', 'PER', 'PE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(126, 0, 30, 'Piauí', '', 'PIA', 'PI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(127, 0, 30, 'Rio Grande do Norte', '', 'RGN', 'RN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(128, 0, 30, 'Rio Grande do Sul', '', 'RGS', 'RS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(129, 0, 30, 'Rio de Janeiro', '', 'RDJ', 'RJ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(130, 0, 30, 'Rondônia', '', 'RON', 'RO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(131, 0, 30, 'Roraima', '', 'ROR', 'RR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(132, 0, 30, 'Santa Catarina', '', 'SAC', 'SC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(133, 0, 30, 'Sergipe', '', 'SER', 'SE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(134, 0, 30, 'São Paulo', '', 'SAP', 'SP', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(135, 0, 30, 'Tocantins', '', 'TOC', 'TO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(136, 0, 44, 'Anhui', '', 'ANH', '34', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(137, 0, 44, 'Beijing', '', 'BEI', '11', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(138, 0, 44, 'Chongqing', '', 'CHO', '50', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(139, 0, 44, 'Fujian', '', 'FUJ', '35', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(140, 0, 44, 'Gansu', '', 'GAN', '62', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(141, 0, 44, 'Guangdong', '', 'GUA', '44', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(142, 0, 44, 'Guangxi Zhuang', '', 'GUZ', '45', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(143, 0, 44, 'Guizhou', '', 'GUI', '52', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(144, 0, 44, 'Hainan', '', 'HAI', '46', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(145, 0, 44, 'Hebei', '', 'HEB', '13', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(146, 0, 44, 'Heilongjiang', '', 'HEI', '23', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(147, 0, 44, 'Henan', '', 'HEN', '41', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(148, 0, 44, 'Hubei', '', 'HUB', '42', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(149, 0, 44, 'Hunan', '', 'HUN', '43', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(150, 0, 44, 'Jiangsu', '', 'JIA', '32', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(151, 0, 44, 'Jiangxi', '', 'JIX', '36', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(152, 0, 44, 'Jilin', '', 'JIL', '22', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(153, 0, 44, 'Liaoning', '', 'LIA', '21', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(154, 0, 44, 'Nei Mongol', '', 'NML', '15', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(155, 0, 44, 'Ningxia Hui', '', 'NIH', '64', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(156, 0, 44, 'Qinghai', '', 'QIN', '63', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(157, 0, 44, 'Shandong', '', 'SNG', '37', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(158, 0, 44, 'Shanghai', '', 'SHH', '31', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(159, 0, 44, 'Shaanxi', '', 'SHX', '61', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(160, 0, 44, 'Sichuan', '', 'SIC', '51', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(161, 0, 44, 'Tianjin', '', 'TIA', '12', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(162, 0, 44, 'Xinjiang Uygur', '', 'XIU', '65', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(163, 0, 44, 'Xizang', '', 'XIZ', '54', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(164, 0, 44, 'Yunnan', '', 'YUN', '53', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(165, 0, 44, 'Zhejiang', '', 'ZHE', '33', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(166, 0, 104, 'Israel', '', 'ISL', 'IL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(167, 0, 104, 'Gaza Strip', '', 'GZS', 'GZ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(168, 0, 104, 'West Bank', '', 'WBK', 'WB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(169, 0, 151, 'St. Maarten', '', 'STM', 'SM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(170, 0, 151, 'Bonaire', '', 'BNR', 'BN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(171, 0, 151, 'Curacao', '', 'CUR', 'CR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(172, 0, 175, 'Alba', '', 'ABA', 'AB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(173, 0, 175, 'Arad', '', 'ARD', 'AR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(174, 0, 175, 'Arges', '', 'ARG', 'AG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(175, 0, 175, 'Bacau', '', 'BAC', 'BC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(176, 0, 175, 'Bihor', '', 'BIH', 'BH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(177, 0, 175, 'Bistrita-Nasaud', '', 'BIS', 'BN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(178, 0, 175, 'Botosani', '', 'BOT', 'BT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(179, 0, 175, 'Braila', '', 'BRL', 'BR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(180, 0, 175, 'Brasov', '', 'BRA', 'BV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(181, 0, 175, 'Bucuresti', '', 'BUC', 'B', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(182, 0, 175, 'Buzau', '', 'BUZ', 'BZ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(183, 0, 175, 'Calarasi', '', 'CAL', 'CL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(184, 0, 175, 'Caras Severin', '', 'CRS', 'CS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(185, 0, 175, 'Cluj', '', 'CLJ', 'CJ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(186, 0, 175, 'Constanta', '', 'CST', 'CT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(187, 0, 175, 'Covasna', '', 'COV', 'CV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(188, 0, 175, 'Dambovita', '', 'DAM', 'DB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(189, 0, 175, 'Dolj', '', 'DLJ', 'DJ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(190, 0, 175, 'Galati', '', 'GAL', 'GL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(191, 0, 175, 'Giurgiu', '', 'GIU', 'GR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(192, 0, 175, 'Gorj', '', 'GOR', 'GJ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(193, 0, 175, 'Hargita', '', 'HRG', 'HR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(194, 0, 175, 'Hunedoara', '', 'HUN', 'HD', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(195, 0, 175, 'Ialomita', '', 'IAL', 'IL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(196, 0, 175, 'Iasi', '', 'IAS', 'IS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(197, 0, 175, 'Ilfov', '', 'ILF', 'IF', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(198, 0, 175, 'Maramures', 'maramures', 'MAR', 'MM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(199, 0, 175, 'Mehedinti', '', 'MEH', 'MH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(200, 0, 175, 'Mures', '', 'MUR', 'MS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(201, 0, 175, 'Neamt', '', 'NEM', 'NT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(202, 0, 175, 'Olt', '', 'OLT', 'OT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(203, 0, 175, 'Prahova', '', 'PRA', 'PH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(204, 0, 175, 'Salaj', '', 'SAL', 'SJ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(205, 0, 175, 'Satu Mare', '', 'SAT', 'SM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(206, 0, 175, 'Sibiu', '', 'SIB', 'SB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(207, 0, 175, 'Suceava', '', 'SUC', 'SV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(208, 0, 175, 'Teleorman', '', 'TEL', 'TR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(209, 0, 175, 'Timis', '', 'TIM', 'TM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(210, 0, 175, 'Tulcea', '', 'TUL', 'TL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(211, 0, 175, 'Valcea', '', 'VAL', 'VL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(212, 0, 175, 'Vaslui', '', 'VAS', 'VS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(213, 0, 175, 'Vrancea', '', 'VRA', 'VN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(214, 0, 105, 'Agrigento', '', 'AGR', 'AG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(215, 0, 105, 'Alessandria', '', 'ALE', 'AL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(216, 0, 105, 'Ancona', '', 'ANC', 'AN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '2011-07-05 10:43:56', 0),
(217, 0, 105, 'Aosta', '', 'AOS', 'AO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(218, 0, 105, 'Arezzo', '', 'ARE', 'AR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(219, 0, 105, 'Ascoli Piceno', '', 'API', 'AP', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(220, 0, 105, 'Asti', '', 'AST', 'AT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(221, 0, 105, 'Avellino', '', 'AVE', 'AV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(222, 0, 105, 'Bari', '', 'BAR', 'BA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(223, 0, 105, 'Belluno', '', 'BEL', 'BL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(224, 0, 105, 'Benevento', '', 'BEN', 'BN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(225, 0, 105, 'Bergamo', '', 'BEG', 'BG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(226, 0, 105, 'Biella', '', 'BIE', 'BI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(227, 0, 105, 'Bologna', '', 'BOL', 'BO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(228, 0, 105, 'Bolzano', '', 'BOZ', 'BZ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(229, 0, 105, 'Brescia', '', 'BRE', 'BS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(230, 0, 105, 'Brindisi', '', 'BRI', 'BR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(231, 0, 105, 'Cagliari', '', 'CAG', 'CA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(232, 0, 105, 'Caltanissetta', '', 'CAL', 'CL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(233, 0, 105, 'Campobasso', '', 'CBO', 'CB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(234, 0, 105, 'Carbonia-Iglesias', '', 'CAR', 'CI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(235, 0, 105, 'Caserta', '', 'CAS', 'CE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(236, 0, 105, 'Catania', '', 'CAT', 'CT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(237, 0, 105, 'Catanzaro', '', 'CTZ', 'CZ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(238, 0, 105, 'Chieti', '', 'CHI', 'CH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(239, 0, 105, 'Como', '', 'COM', 'CO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(240, 0, 105, 'Cosenza', '', 'COS', 'CS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(241, 0, 105, 'Cremona', '', 'CRE', 'CR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(242, 0, 105, 'Crotone', '', 'CRO', 'KR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(243, 0, 105, 'Cuneo', '', 'CUN', 'CN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(244, 0, 105, 'Enna', '', 'ENN', 'EN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(245, 0, 105, 'Ferrara', '', 'FER', 'FE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(246, 0, 105, 'Firenze', '', 'FIR', 'FI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(247, 0, 105, 'Foggia', '', 'FOG', 'FG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(248, 0, 105, 'Forli-Cesena', '', 'FOC', 'FC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(249, 0, 105, 'Frosinone', '', 'FRO', 'FR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(250, 0, 105, 'Genova', '', 'GEN', 'GE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(251, 0, 105, 'Gorizia', '', 'GOR', 'GO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(252, 0, 105, 'Grosseto', '', 'GRO', 'GR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(253, 0, 105, 'Imperia', '', 'IMP', 'IM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(254, 0, 105, 'Isernia', '', 'ISE', 'IS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(255, 0, 105, 'L&#39;Aquila', '', 'AQU', 'AQ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(256, 0, 105, 'La Spezia', '', 'LAS', 'SP', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(257, 0, 105, 'Latina', '', 'LAT', 'LT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(258, 0, 105, 'Lecce', '', 'LEC', 'LE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(259, 0, 105, 'Lecco', '', 'LCC', 'LC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(260, 0, 105, 'Livorno', '', 'LIV', 'LI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(261, 0, 105, 'Lodi', '', 'LOD', 'LO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(262, 0, 105, 'Lucca', '', 'LUC', 'LU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(263, 0, 105, 'Macerata', '', 'MAC', 'MC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(264, 0, 105, 'Mantova', '', 'MAN', 'MN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(265, 0, 105, 'Massa-Carrara', '', 'MAS', 'MS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(266, 0, 105, 'Matera', '', 'MAA', 'MT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(267, 0, 105, 'Medio Campidano', '', 'MED', 'VS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(268, 0, 105, 'Messina', '', 'MES', 'ME', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(269, 0, 105, 'Milano', '', 'MIL', 'MI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(270, 0, 105, 'Modena', '', 'MOD', 'MO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(271, 0, 105, 'Napoli', '', 'NAP', 'NA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(272, 0, 105, 'Novara', '', 'NOV', 'NO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(273, 0, 105, 'Nuoro', '', 'NUR', 'NU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(274, 0, 105, 'Ogliastra', '', 'OGL', 'OG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(275, 0, 105, 'Olbia-Tempio', '', 'OLB', 'OT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(276, 0, 105, 'Oristano', '', 'ORI', 'OR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(277, 0, 105, 'Padova', '', 'PDA', 'PD', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(278, 0, 105, 'Palermo', '', 'PAL', 'PA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(279, 0, 105, 'Parma', '', 'PAA', 'PR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(280, 0, 105, 'Pavia', '', 'PAV', 'PV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(281, 0, 105, 'Perugia', '', 'PER', 'PG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(282, 0, 105, 'Pesaro e Urbino', '', 'PES', 'PU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(283, 0, 105, 'Pescara', '', 'PSC', 'PE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(284, 0, 105, 'Piacenza', '', 'PIA', 'PC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(285, 0, 105, 'Pisa', '', 'PIS', 'PI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(286, 0, 105, 'Pistoia', '', 'PIT', 'PT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(287, 0, 105, 'Pordenone', '', 'POR', 'PN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(288, 0, 105, 'Potenza', '', 'PTZ', 'PZ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(289, 0, 105, 'Prato', '', 'PRA', 'PO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(290, 0, 105, 'Ragusa', '', 'RAG', 'RG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(291, 0, 105, 'Ravenna', '', 'RAV', 'RA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(292, 0, 105, 'Reggio Calabria', '', 'REG', 'RC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(293, 0, 105, 'Reggio Emilia', '', 'REE', 'RE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(294, 0, 105, 'Rieti', '', 'RIE', 'RI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(295, 0, 105, 'Rimini', '', 'RIM', 'RN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(296, 0, 105, 'Roma', '', 'ROM', 'RM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(297, 0, 105, 'Rovigo', '', 'ROV', 'RO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(298, 0, 105, 'Salerno', '', 'SAL', 'SA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(299, 0, 105, 'Sassari', '', 'SAS', 'SS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(300, 0, 105, 'Savona', '', 'SAV', 'SV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(301, 0, 105, 'Siena', '', 'SIE', 'SI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(302, 0, 105, 'Siracusa', '', 'SIR', 'SR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(303, 0, 105, 'Sondrio', '', 'SOO', 'SO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(304, 0, 105, 'Taranto', '', 'TAR', 'TA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(305, 0, 105, 'Teramo', '', 'TER', 'TE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(306, 0, 105, 'Terni', '', 'TRN', 'TR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(307, 0, 105, 'Torino', '', 'TOR', 'TO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(308, 0, 105, 'Trapani', '', 'TRA', 'TP', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(309, 0, 105, 'Trento', '', 'TRE', 'TN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(310, 0, 105, 'Treviso', '', 'TRV', 'TV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(311, 0, 105, 'Trieste', '', 'TRI', 'TS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(312, 0, 105, 'Udine', '', 'UDI', 'UD', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(313, 0, 105, 'Varese', '', 'VAR', 'VA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(314, 0, 105, 'Venezia', '', 'VEN', 'VE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(315, 0, 105, 'Verbano Cusio Ossola', '', 'VCO', 'VB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(316, 0, 105, 'Vercelli', '', 'VER', 'VC', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(317, 0, 105, 'Verona', '', 'VRN', 'VR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(318, 0, 105, 'Vibo Valenzia', '', 'VIV', 'VV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(319, 0, 105, 'Vicenza', '', 'VII', 'VI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(320, 0, 105, 'Viterbo', '', 'VIT', 'VT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(321, 0, 195, 'A Coruña', '', 'ACO', '15', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '2011-07-19 10:41:36', 0),
(322, 0, 195, 'Alava', '', 'ALA', '01', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(323, 0, 195, 'Albacete', '', 'ALB', '02', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(324, 0, 195, 'Alicante', '', 'ALI', '03', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(325, 0, 195, 'Almeria', '', 'ALM', '04', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(326, 0, 195, 'Asturias', '', 'AST', '33', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(327, 0, 195, 'Avila', '', 'AVI', '05', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(328, 0, 195, 'Badajoz', '', 'BAD', '06', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(329, 0, 195, 'Baleares', '', 'BAL', '07', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(330, 0, 195, 'Barcelona', '', 'BAR', '08', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(331, 0, 195, 'Burgos', '', 'BUR', '09', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(332, 0, 195, 'Caceres', '', 'CAC', '10', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(333, 0, 195, 'Cadiz', '', 'CAD', '11', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(334, 0, 195, 'Cantabria', '', 'CAN', '39', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(335, 0, 195, 'Castellon', '', 'CAS', '12', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(336, 0, 195, 'Ceuta', '', 'CEU', '51', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(337, 0, 195, 'Ciudad Real', '', 'CIU', '13', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(338, 0, 195, 'Cordoba', '', 'COR', '14', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(339, 0, 195, 'Cuenca', '', 'CUE', '16', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(340, 0, 195, 'Girona', '', 'GIR', '17', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(341, 0, 195, 'Granada', '', 'GRA', '18', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(342, 0, 195, 'Guadalajara', '', 'GUA', '19', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(343, 0, 195, 'Guipuzcoa', '', 'GUI', '20', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(344, 0, 195, 'Huelva', '', 'HUL', '21', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(345, 0, 195, 'Huesca', '', 'HUS', '22', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(346, 0, 195, 'Jaen', '', 'JAE', '23', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(347, 0, 195, 'La Rioja', '', 'LRI', '26', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(348, 0, 195, 'Las Palmas', '', 'LPA', '35', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(349, 0, 195, 'Leon', '', 'LEO', '24', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(350, 0, 195, 'Lleida', '', 'LLE', '25', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(351, 0, 195, 'Lugo', '', 'LUG', '27', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(352, 0, 195, 'Madrid', '', 'MAD', '28', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(353, 0, 195, 'Malaga', '', 'MAL', '29', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(354, 0, 195, 'Melilla', '', 'MEL', '52', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(355, 0, 195, 'Murcia', '', 'MUR', '30', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(356, 0, 195, 'Navarra', '', 'NAV', '31', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(357, 0, 195, 'Ourense', '', 'OUR', '32', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(358, 0, 195, 'Palencia', '', 'PAL', '34', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(359, 0, 195, 'Pontevedra', '', 'PON', '36', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(360, 0, 195, 'Salamanca', '', 'SAL', '37', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(361, 0, 195, 'Santa Cruz de Tenerife', '', 'SCT', '38', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(362, 0, 195, 'Segovia', '', 'SEG', '40', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(363, 0, 195, 'Sevilla', '', 'SEV', '41', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(364, 0, 195, 'Soria', '', 'SOR', '42', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(365, 0, 195, 'Tarragona', '', 'TAR', '43', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(366, 0, 195, 'Teruel', '', 'TER', '44', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(367, 0, 195, 'Toledo', '', 'TOL', '45', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(368, 0, 195, 'Valencia', '', 'VAL', '46', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(369, 0, 195, 'Valladolid', '', 'VLL', '47', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(370, 0, 195, 'Vizcaya', '', 'VIZ', '48', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(371, 0, 195, 'Zamora', '', 'ZAM', '49', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(372, 0, 195, 'Zaragoza', '', 'ZAR', '50', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(373, 0, 11, 'Aragatsotn', '', 'ARG', 'AG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(374, 0, 11, 'Ararat', '', 'ARR', 'AR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(375, 0, 11, 'Armavir', '', 'ARM', 'AV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(376, 0, 11, 'Gegharkunik', '', 'GEG', 'GR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(377, 0, 11, 'Kotayk', '', 'KOT', 'KT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(378, 0, 11, 'Lori', '', 'LOR', 'LO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(379, 0, 11, 'Shirak', '', 'SHI', 'SH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(380, 0, 11, 'Syunik', '', 'SYU', 'SU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(381, 0, 11, 'Tavush', '', 'TAV', 'TV', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(382, 0, 11, 'Vayots-Dzor', '', 'VAD', 'VD', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(383, 0, 11, 'Yerevan', '', 'YER', 'ER', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(384, 0, 99, 'Andaman & Nicobar Islands', '', 'ANI', 'AI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(385, 0, 99, 'Andhra Pradesh', '', 'AND', 'AN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(386, 0, 99, 'Arunachal Pradesh', '', 'ARU', 'AR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(387, 0, 99, 'Assam', '', 'ASS', 'AS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(388, 0, 99, 'Bihar', '', 'BIH', 'BI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(389, 0, 99, 'Chandigarh', '', 'CHA', 'CA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(390, 0, 99, 'Chhatisgarh', '', 'CHH', 'CH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(391, 0, 99, 'Dadra & Nagar Haveli', '', 'DAD', 'DD', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(392, 0, 99, 'Daman & Diu', '', 'DAM', 'DA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(393, 0, 99, 'Delhi', '', 'DEL', 'DE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(394, 0, 99, 'Goa', '', 'GOA', 'GO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(395, 0, 99, 'Gujarat', '', 'GUJ', 'GU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(396, 0, 99, 'Haryana', '', 'HAR', 'HA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(397, 0, 99, 'Himachal Pradesh', '', 'HIM', 'HI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(398, 0, 99, 'Jammu & Kashmir', '', 'JAM', 'JA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(399, 0, 99, 'Jharkhand', '', 'JHA', 'JH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(400, 0, 99, 'Karnataka', '', 'KAR', 'KA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(401, 0, 99, 'Kerala', '', 'KER', 'KE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(402, 0, 99, 'Lakshadweep', '', 'LAK', 'LA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(403, 0, 99, 'Madhya Pradesh', '', 'MAD', 'MD', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(404, 0, 99, 'Maharashtra', '', 'MAH', 'MH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(405, 0, 99, 'Manipur', '', 'MAN', 'MN', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(406, 0, 99, 'Meghalaya', '', 'MEG', 'ME', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(407, 0, 99, 'Mizoram', '', 'MIZ', 'MI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(408, 0, 99, 'Nagaland', '', 'NAG', 'NA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(409, 0, 99, 'Orissa', '', 'ORI', 'OR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(410, 0, 99, 'Pondicherry', '', 'PON', 'PO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(411, 0, 99, 'Punjab', '', 'PUN', 'PU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(412, 0, 99, 'Rajasthan', '', 'RAJ', 'RA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(413, 0, 99, 'Sikkim', '', 'SIK', 'SI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(414, 0, 99, 'Tamil Nadu', '', 'TAM', 'TA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(415, 0, 99, 'Tripura', '', 'TRI', 'TR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(416, 0, 99, 'Uttaranchal', '', 'UAR', 'UA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(417, 0, 99, 'Uttar Pradesh', '', 'UTT', 'UT', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(418, 0, 99, 'West Bengal', '', 'WES', 'WE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(419, 0, 101, 'Ahmadi va Kohkiluyeh', '', 'BOK', 'BO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(420, 0, 101, 'Ardabil', '', 'ARD', 'AR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(421, 0, 101, 'Azarbayjan-e Gharbi', '', 'AZG', 'AG', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(422, 0, 101, 'Azarbayjan-e Sharqi', '', 'AZS', 'AS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(423, 0, 101, 'Bushehr', '', 'BUS', 'BU', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(424, 0, 101, 'Chaharmahal va Bakhtiari', '', 'CMB', 'CM', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(425, 0, 101, 'Esfahan', '', 'ESF', 'ES', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(426, 0, 101, 'Fars', '', 'FAR', 'FA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(427, 0, 101, 'Gilan', '', 'GIL', 'GI', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(428, 0, 101, 'Gorgan', '', 'GOR', 'GO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(429, 0, 101, 'Hamadan', '', 'HAM', 'HA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(430, 0, 101, 'Hormozgan', '', 'HOR', 'HO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(431, 0, 101, 'Ilam', '', 'ILA', 'IL', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(432, 0, 101, 'Kerman', '', 'KER', 'KE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(433, 0, 101, 'Kermanshah', '', 'BAK', 'BA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(434, 0, 101, 'Khorasan-e Junoubi', '', 'KHJ', 'KJ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(435, 0, 101, 'Khorasan-e Razavi', '', 'KHR', 'KR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(436, 0, 101, 'Khorasan-e Shomali', '', 'KHS', 'KS', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(437, 0, 101, 'Khuzestan', '', 'KHU', 'KH', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(438, 0, 101, 'Kordestan', '', 'KOR', 'KO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(439, 0, 101, 'Lorestan', '', 'LOR', 'LO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(440, 0, 101, 'Markazi', '', 'MAR', 'MR', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(441, 0, 101, 'Mazandaran', '', 'MAZ', 'MZ', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(442, 0, 101, 'Qazvin', '', 'QAS', 'QA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(443, 0, 101, 'Qom', '', 'QOM', 'QO', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(444, 0, 101, 'Semnan', '', 'SEM', 'SE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(445, 0, 101, 'Sistan va Baluchestan', '', 'SBA', 'SB', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(446, 0, 101, 'Tehran', '', 'TEH', 'TE', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(447, 0, 101, 'Yazd', '', 'YAZ', 'YA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(448, 0, 101, 'Zanjan', '', 'ZAN', 'ZA', 0, '', 0, 0, '', 0, 0, '', '', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(449, 0, 209, 'Central Thailand', 'central-thailand', '', '', 1, '', 0, 0, 'title_1.jpg', 850, 150, '14.306969497825', '100.7666015625', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(450, 0, 57, 'Nordjylland', 'nordjylland', '', '', 1, '', 0, 0, '', 0, 0, '57.028773851491', '9.9261474609375', '', '', '', '', 0, '0000-00-00 00:00:00', 0),

(451, 0, 57, 'Midtjylland', 'midtjylland', 'MDT', 'MD', 1, '', 0, 0, '', 0, 0, '56.462490483889', '9.4070434570312', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(452, 0, 57, 'Syddanmark', 'syddanmark', 'SYD', 'SY', 1, '', 0, 0, '', 0, 0, '55.410307210052', '9.228515625', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(453, 0, 57, 'Sjælland', 'sjaelland', 'SJA', 'SJ', 1, '', 0, 0, '', 0, 0, '55.472626905474', '11.810302734375', '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(454, 0, 57, 'Hovedstaden', 'hovedstaden', 'HOV', 'HO', 1, '', 0, 0, '', 0, 0, '55.924585804829', '12.315673828125', '', '', '', '', 0, '0000-00-00 00:00:00', 0);

INSERT INTO `#__rg_tags` (`id`, `name`, `alias`, `userid`, `type`, `published`, `checked_out`, `checked_out_time`) VALUES
(1, 'Vietnam', 'vietnam', 42, 6, 1, 0, '0000-00-00 00:00:00'),
(2, 'Saigon', 'saigon', 42, 6, 1, 0, '0000-00-00 00:00:00'),
(3, 'Ho Chi Minh City', 'ho-chi-minh-city', 42, 6, 1, 0, '0000-00-00 00:00:00'),
(4, 'Vietnamese', 'vietnamese', 42, 6, 1, 0, '0000-00-00 00:00:00'),
(5, 'Sushi', 'sushi', 42, 6, 1, 0, '0000-00-00 00:00:00'),
(6, 'Japanese', 'japanese', 42, 6, 1, 0, '0000-00-00 00:00:00'),
(7, 'Soju', 'soju', 42, 6, 1, 0, '0000-00-00 00:00:00'),
(8, 'Kimchi', 'kimchi', 42, 6, 1, 0, '0000-00-00 00:00:00');

INSERT INTO `#__rg_tags_item_relations` VALUES
(4, 2, 0, 0, 0, 0),
(1, 2, 0, 0, 0, 0),
(2, 2, 0, 0, 0, 0),
(3, 2, 0, 0, 0, 0),
(3, 1, 0, 0, 0, 0),
(6, 1, 0, 0, 0, 0),
(8, 1, 0, 0, 0, 0),
(2, 1, 0, 0, 0, 0),
(7, 1, 0, 0, 0, 0),
(5, 1, 0, 0, 0, 0),
(1, 1, 0, 0, 0, 0),
(4, 10, 0, 0, 0, 0),
(1, 10, 0, 0, 0, 0),
(2, 10, 0, 0, 0, 0),
(3, 10, 0, 0, 0, 0);

INSERT INTO `#__rg_testimonial` VALUES
(1, 42, 1, 'Test', 'test', 'Test', '2011-05-08 11:50:11', '2011-05-08 11:50:11', 80, 80, 100, 60, 80, 0, '0000-00-00 00:00:00', 1),
(2, 42, 2, 'Don''t miss out', 'dont-miss-out', 'This is a lovely stop and not to be missed. Hoian is full of great shopping, a nearby beach, and lots of things to do and see. We almost made a mistake and booked just one day here originally. After getting some local advice, we changed our plans to stay 3 days and wished we had stayed even longer. Although the weather was up and down, we still had a great time and great memories to take back home.', '2011-07-07 08:02:08', '2011-07-07 08:02:08', 80, 100, 80, 100, 60, 0, '0000-00-00 00:00:00', 1),
(3, 42, 6, 'Never had a bad meal at Givanni''s', 'never-had-a-bad-meal-at-givannis', 'Never had a bad meal at Givanni''s, always fun to support a local business and appreciate having a wonderful option other than a large chain. Givanni''s helps make Iowa City special.', '2011-07-09 05:40:31', '2011-07-09 05:40:31', 100, 100, 80, 100, 100, 0, '0000-00-00 00:00:00', 1),
(4, 42, 5, 'Great place for sushi', 'great-place-for-sushi', 'Great place for sushi and when you are with a group where not everyone enjoys sushi. The staff was very accommodating when we had to increase our reservation number. Overall great experience and excellent food/wine.', '2011-07-09 05:43:31', '2011-07-09 05:43:31', 80, 100, 80, 100, 80, 0, '0000-00-00 00:00:00', 1);

INSERT IGNORE INTO `#__rg_settings` VALUES
(1, 2, 'Insert your slogan here!', 1, '', 'resto_title.jpg', 750, 187, 0, 0, 'ABQIAAAAtu76NxBtKXy-DBhtd0oXtRRkay4W_O26fDO_g2wnZnrgw4d70hQ8adH8bKoUVyeWCs8YBbqyhSx7KA', '36.20882309283715', '127.3095703125', 4, 'loadmap', 0, 'logoimage.gif', 160, 25, 0, 0, '', '', 2, 157, '#C294EB', 180, 75, 980, 280, 86, 2000, 'None', '#0272A7', '#013953', '#E6E6E6', '#FFFFFF', '#AB8B41', '#FFFFFF', '#FFFFFF', '#80AD61', '#8A8A8A', '#FF4772', 125, 0, 'Worldwide Restaurant Discount', 100, 250, 48, 8000, 0, 1, 0, '', '', 0, 0, 1, 4, '#526AAB', '#B0B0B0', 1, 4, 4, 100, 250, 48, 8000, 1, 1, 0, '', '', 0, 0, 0, 4, '#947029', '#D1D1D1', 1, 4, 4, 100, 250, 48, 8000, 1, 1, 0, '', '', 0, 0, 1, 4, '#5E9E47', '#CCCCCC', 1, 4, 4, 0, '0', '0', 0, 0, 1, 1, 0, '', '', 0, 0, 1, 4, '#D68E5E', '#C9C9C9', 1, 4, 6, 100, 250, 48, 8000, 1, 1, 0, '', '', 0, 0, 1, 4, '#7A4B99', '#B0B0B0', 1, 4, 6, 1, 1, 0, '', '', 0, 0, 0, 1, 4, '#FFFFFF', '#FFFFFF', 1, 4, 4, '#FFFFFF', '#C4C4C4', '#FFFFFF', '#FFFFFF', 1, 1, 1, '#A8C789', '#BFBFBF', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, '', '', 0, 0, 1, 1, 0, '', '', 0, 0, 1, 4, '#A6FF6B', '#FFFFFF', 1, 4, 4, 180, 1, 1, 1, 1, 1, 1, 10, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, '#FFFFFF', '#FFFFFF', '<div class="content">\r\n<h3>Measurements Conversion Chart</h3>\r\n<table class="Chart">\r\n<tbody>\r\n<tr>\r\n<th colspan="2"><strong>US Dry Volume Measurements</strong></th>\r\n</tr>\r\n<tr>\r\n<th>MEASURE</th><th>EQUIVALENT</th>\r\n</tr>\r\n<tr>\r\n<td>1/16 teaspoon</td>\r\n<td>dash</td>\r\n</tr>\r\n<tr>\r\n<td>1/8 teaspoon</td>\r\n<td>a pinch</td>\r\n</tr>\r\n<tr>\r\n<td>3 teaspoons</td>\r\n<td>1 Tablespoon</td>\r\n</tr>\r\n<tr>\r\n<td>1/8 cup</td>\r\n<td>2 tablespoons (= 1 standard coffee scoop)</td>\r\n</tr>\r\n<tr>\r\n<td>1/4 cup</td>\r\n<td>4 Tablespoons</td>\r\n</tr>\r\n<tr>\r\n<td>1/3 cup</td>\r\n<td>5 Tablespoons plus 1 teaspoon</td>\r\n</tr>\r\n<tr>\r\n<td>1/2 cup</td>\r\n<td>8 Tablespoons</td>\r\n</tr>\r\n<tr>\r\n<td>3/4 cup</td>\r\n<td>12 Tablespoons</td>\r\n</tr>\r\n<tr>\r\n<td>1 cup</td>\r\n<td>16 Tablespoons</td>\r\n</tr>\r\n<tr>\r\n<td>1 Pound</td>\r\n<td>16 ounces</td>\r\n</tr>\r\n<tr>\r\n<th colspan="2"><strong>US liquid volume measurements</strong></th>\r\n</tr>\r\n<tr>\r\n<td>8 Fluid ounces</td>\r\n<td>1 Cup</td>\r\n</tr>\r\n<tr>\r\n<td>1 Pint</td>\r\n<td>2 Cups (= 16 fluid ounces)</td>\r\n</tr>\r\n<tr>\r\n<td>1 Quart</td>\r\n<td>2 Pints (= 4 cups)</td>\r\n</tr>\r\n<tr>\r\n<td>1 Gallon</td>\r\n<td>4 Quarts (= 16 cups)</td>\r\n</tr>\r\n<tr>\r\n<th colspan="2">US to Metric Conversions </th>\r\n</tr>\r\n<tr>\r\n<td>1/5 teaspoon</td>\r\n<td>1 ml (ml stands for milliliter, one thousandth of a liter)</td>\r\n</tr>\r\n<tr>\r\n<td>1 teaspoon</td>\r\n<td>5 ml</td>\r\n</tr>\r\n<tr>\r\n<td>1 tablespoon</td>\r\n<td>15 ml</td>\r\n</tr>\r\n<tr>\r\n<td>1 fluid oz.</td>\r\n<td>30 ml</td>\r\n</tr>\r\n<tr>\r\n<td>1/5 cup</td>\r\n<td>50 ml</td>\r\n</tr>\r\n<tr>\r\n<td>1 cup</td>\r\n<td>240 ml</td>\r\n</tr>\r\n<tr>\r\n<td>2 cups (1 pint)</td>\r\n<td>470 ml</td>\r\n</tr>\r\n<tr>\r\n<td>4 cups (1 quart)</td>\r\n<td>.95 liter</td>\r\n</tr>\r\n<tr>\r\n<td>4 quarts (1 gal.)</td>\r\n<td>3.8 liters</td>\r\n</tr>\r\n<tr>\r\n<td>1 oz.</td>\r\n<td>28 grams</td>\r\n</tr>\r\n<tr>\r\n<td>1 pound</td>\r\n<td>454 grams</td>\r\n</tr>\r\n<tr>\r\n<th colspan="2">Metric to US Conversions </th>\r\n</tr>\r\n<tr>\r\n<td>1 milliliter</td>\r\n<td>1/5 teaspoon</td>\r\n</tr>\r\n<tr>\r\n<td>5 ml</td>\r\n<td>1 teaspoon</td>\r\n</tr>\r\n<tr>\r\n<td>15 ml</td>\r\n<td>1 tablespoon</td>\r\n</tr>\r\n<tr>\r\n<td>30 ml</td>\r\n<td>1 fluid oz.</td>\r\n</tr>\r\n<tr>\r\n<td>100 ml</td>\r\n<td>3.4 fluid oz.</td>\r\n</tr>\r\n<tr>\r\n<td>240 ml</td>\r\n<td>1 cup</td>\r\n</tr>\r\n<tr>\r\n<td>1 liter</td>\r\n<td>34 fluid oz.</td>\r\n</tr>\r\n<tr>\r\n<td>1 liter</td>\r\n<td>4.2 cups</td>\r\n</tr>\r\n<tr>\r\n<td>1 liter</td>\r\n<td>2.1 pints</td>\r\n</tr>\r\n<tr>\r\n<td>1 liter</td>\r\n<td>1.06 quarts</td>\r\n</tr>\r\n<tr>\r\n<td>1 liter</td>\r\n<td>.26 gallon</td>\r\n</tr>\r\n<tr>\r\n<td>1 gram</td>\r\n<td>.035 ounce</td>\r\n</tr>\r\n<tr>\r\n<td>100 grams</td>\r\n<td>3.5 ounces</td>\r\n</tr>\r\n<tr>\r\n<td>500 grams</td>\r\n<td>1.10 pounds</td>\r\n</tr>\r\n<tr>\r\n<td>1 kilogram</td>\r\n<td>2.205 pounds</td>\r\n</tr>\r\n<tr>\r\n<td>1 kilogram</td>\r\n<td>35 oz.</td>\r\n</tr>\r\n<tr>\r\n<th colspan="2">Pan Size Equivalents</th>\r\n</tr>\r\n<tr>\r\n<td>9-by-13-inches baking dish</td>\r\n<td>22-by-33-centimeter baking dish</td>\r\n</tr>\r\n<tr>\r\n<td>8-by-8-inches baking dish</td>\r\n<td>20-by-20-centimeter baking dish</td>\r\n</tr>\r\n<tr>\r\n<td>9-by-5-inches loaf pan</td>\r\n<td>23-by-12-centimeter loaf pan (=8 cups or 2 liters in capacity)</td>\r\n</tr>\r\n<tr>\r\n<td>10-inch tart or cake pan</td>\r\n<td>25-centimeter tart or cake pan</td>\r\n</tr>\r\n<tr>\r\n<td>9-inch cake pan</td>\r\n<td>22-centimeter cake pan</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<h2>Oven Temperature Conversions</h2>\r\n<table class="Chart">\r\n<tbody>\r\n<tr>\r\n<th>Farenheit</th><th>Celsius</th><th>Gas Mark</th>\r\n</tr>\r\n<tr>\r\n<td>275º F</td>\r\n<td>140º C</td>\r\n<td>gas mark 1-cool</td>\r\n</tr>\r\n<tr>\r\n<td>300º F</td>\r\n<td>150º C</td>\r\n<td>gas mark 2</td>\r\n</tr>\r\n<tr>\r\n<td>325º F</td>\r\n<td>165º C</td>\r\n<td>gas mark 3-very moderate</td>\r\n</tr>\r\n<tr>\r\n<td>350º F</td>\r\n<td>180º C</td>\r\n<td>gas mark 4-moderate</td>\r\n</tr>\r\n<tr>\r\n<td>375º F</td>\r\n<td>190º C</td>\r\n<td>gas mark 5</td>\r\n</tr>\r\n<tr>\r\n<td>400º F</td>\r\n<td>200º C</td>\r\n<td>gas mark 6-moderately hot</td>\r\n</tr>\r\n<tr>\r\n<td>425º F</td>\r\n<td>220º C</td>\r\n<td>gas mark 7- hot</td>\r\n</tr>\r\n<tr>\r\n<td>450º F</td>\r\n<td>230º C</td>\r\n<td>gas mark 9</td>\r\n</tr>\r\n<tr>\r\n<td>475º F</td>\r\n<td>240º C</td>\r\n<td>gas mark 10- very hot</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<h2>Ratios for selected foods</h2>\r\n<table class="Chart">\r\n<tbody>\r\n<tr>\r\n<th>Measure</th><th colspan="3">Equivalents</th>\r\n</tr>\r\n<tr>\r\n<th colspan="4">Butter</th>\r\n</tr>\r\n<tr>\r\n<td>1 T.<br />1 stick</td>\r\n<td>14 grams<br />4 ounces=113 grams<br /></td>\r\n<td>1 Tablespoon<br />8 tablespoons</td>\r\n<td><br />½ cup</td>\r\n</tr>\r\n<tr>\r\n<td>4 sticks</td>\r\n<td>16 ounces=452 grams<br /></td>\r\n<td>32 tablespoons</td>\r\n<td>2 cups</td>\r\n</tr>\r\n<tr>\r\n<th colspan="4">Lemon</th>\r\n</tr>\r\n<tr>\r\n<td>1 lemon</td>\r\n<td>1 to 3 tablespoons juice, 1 to 1½ teaspoons grated zest</td>\r\n<td><br /></td>\r\n</tr>\r\n<tr>\r\n<td>4 large lemons</td>\r\n<td>1 cup juice</td>\r\n<td>¼ cup grated zest</td>\r\n<td><br /></td>\r\n</tr>\r\n<tr>\r\n<th colspan="4">Chocolate</th>\r\n</tr>\r\n<tr>\r\n<td>1 ounce</td>\r\n<td>¼ cup grated&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 40 grams<br /></td>\r\n<td><br /></td>\r\n<td><br /></td>\r\n</tr>\r\n<tr>\r\n<td>6 ounces chips</td>\r\n<td>1 cup chips&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 160 grams<br /></td>\r\n<td><br /></td>\r\n<td><br /></td>\r\n</tr>\r\n<tr>\r\n<td>cocoa powder<br /></td>\r\n<td>1 cup&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 115 grams<br /></td>\r\n<td><br /></td>\r\n<td><br /></td>\r\n</tr>\r\n<tr>\r\n<th colspan="4">Creams</th>\r\n</tr>\r\n<tr>\r\n<td>Half and half</td>\r\n<td>½ milk ½ cream</td>\r\n<td>10.5 to 18 % butterfat</td>\r\n<td><br /></td>\r\n</tr>\r\n<tr>\r\n<td>Light cream</td>\r\n<td><br /></td>\r\n<td>18 % butterfat<br /></td>\r\n<td><br /></td>\r\n</tr>\r\n<tr>\r\n<td>Light whipping cream</td>\r\n<td><br /></td>\r\n<td>26-30 % butterfat<br /></td>\r\n<td><br /></td>\r\n</tr>\r\n<tr>\r\n<td>Heavy cream</td>\r\n<td>whipping cream</td>\r\n<td>36 % or more butterfat</td>\r\n<td><br /></td>\r\n</tr>\r\n<tr>\r\n<td>Double cream</td>\r\n<td>extra-thick double cream,<br />Clotted or Devonshire<br /></td>\r\n<td>42 % butterfat<br /></td>\r\n<td><br /></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<h2>Measures for Pans and Dishes</h2>\r\n<table class="Chart">\r\n<tbody>\r\n<tr>\r\n<th>Inches</th><th>Centimeters</th>\r\n</tr>\r\n<tr>\r\n<td>9-by-13-inches baking dish</td>\r\n<td>22-by-33-centimeter baking dish</td>\r\n</tr>\r\n<tr>\r\n<td>8-by-8-inches baking dish</td>\r\n<td>20-by-20-centimeter baking dish</td>\r\n</tr>\r\n<tr>\r\n<td>9-by-5-inches loaf pan (8 cups in capacity)</td>\r\n<td>23-by-12-centimeter loaf pan (2 liters in capacity)</td>\r\n</tr>\r\n<tr>\r\n<td>10-inch tart or cake pan</td>\r\n<td>25-centimeter tart or cake pan</td>\r\n</tr>\r\n<tr>\r\n<td>9-inch cake pan</td>\r\n<td>22-centimeter cake pan</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>', '30.00', '31.00', '50.00', '', '<p>Orci augue faucibus gravida nisl penatibus  Nulla volutpat libero eros tortor. Vivamus sapien lacus porttitor  Vestibulum Donec congue et sed quis ridiculus. Dictum id Quisque hac  tellus mi Curabitur nec platea cursus lobortis. Donec lacinia pretium  dui Aenean molestie condimentum odio montes tellus est.</p>\r\n<p>Eget urna cursus dictumst dui Phasellus urna Sed enim nonummy lobortis. Et ligula id mauris fringilla Nam faucibus quam pede auctor consequat. Magnis orci pellentesque auctor non metus a justo elit Lorem adipiscing. Metus sit ac Nam dictum mauris vitae auctor id non Vestibulum. Orci Sed Ut augue ut Curabitur aliquam Donec elit nec ipsum. Venenatis convallis condimentum Mauris Curabitur tincidunt fermentum  aliquam at laoreet.</p>\r\n<p>Nibh convallis Curabitur enim adipiscing pretium eros id nibh dictumst Praesent. Pretium Vivamus ligula ligula mollis pede leo turpis consequat quis et. Semper nulla Ut sed venenatis a tempor Aenean id et vitae. Ut ante amet tincidunt nibh odio sit Phasellus Donec semper quam. Lobortis turpis sollicitudin nibh id consectetuer at lobortis nonummy pellentesque nec. Pede.</p>', '<div class="heading">\r\n<h1>List your restaurant on EazyTour.com</h1>\r\n<p>Maximise your restaurant capacity all week long</p>\r\n</div>\r\n<div class="module-neutral">\r\n<p>Empty tables? Let toptable help. As a leading restaurant and party  booking website, we work with the top restaurants and hotels in the UK,  Europe, New York and beyond, bringing an estimated £100 million in 2009.</p>\r\n<p>List your venue on EazyTour:</p>\r\n<p>For UK restaurants call +44 20 7299 xxxx or email <a href="mailto:info@eazytour.com">xxxxx@eazytour.com</a></p>\r\n<p>For restaurants in France or Belgium please call +33 1 42 22 xx xx (option 2 then 1) or email <a href="mailto:info@eazytour.com">xxxxxx@eazytour.com</a></p>\r\n</div>\r\n<div class="module">\r\n<h2></h2>\r\n<h2>Why list your restaurant on EazyTour?</h2>\r\n<p>Eazytour launched in 2000 with backing fromMr.James, and is now Europe''s largest free online restaurant booking service.</p>\r\n<ul>\r\n<li>Our own sites now receive 2.5 million visits every month, conducting over 17 million restaurant searches</li>\r\n<li>We generate an estimated £100 million a year in value for the industry with 2.7 million covers annually </li>\r\n<li>Our users are avid foodies with 46% aged 25-35 and 51% earning £50k and over</li>\r\n<li>Our sites feature over 5,000 bookable top restaurants in the UK, Europe and New York</li>\r\n<li>Gordon Ramsay, Gary Rhodes, Michael Caines, Simpson''s and many others have been long term partners of eazytour</li>\r\n</ul>\r\n<p>And to really drive bookings to your door, we advertise your special offers to our database of almost 900,000 diners, generating up to 1,000  diners in a month for your venue.</p>\r\n</div>\r\n<div class="module-neutral">\r\n<h3>No technical investments</h3>\r\n<p>Joining eazytour requires no technical investment - we provide a simple free online diary system or phone your bookings through. We then send a fax or confirmation email to you and the diner. Simple.</p>\r\n<p>We help you to get inside the mind of your customers. Our users post over 1,000 diner reviews a day, and every month you''ll receive an in-depth free report containing all your reviews, and statistical analysis of how users rate your food, service and ambience. There will always be someone on hand to help. You will have a dedicated Account Manager to work with you to maximise booking volumes plus daily support from our specialist customer service team.</p>\r\n<p>We will create an individual micro-site for your restaurant providing  the customer with all the information they will need to book a table.</p>\r\n<p> </p>\r\n<h3>Pay as you grow</h3>\r\n<p>We don''t charge an upfront sign-up fee or any subscription fees and you only pay £2 per cover on business we generate. You won''t pay a penny if we don''t send you any business.</p>\r\n<p>Want to get the word out? toptable provides an excellent way of generating awareness for your restaurant around the world. There is no other  way of putting your restaurant in front of so many foodies every month!</p>\r\n<p> </p>\r\n</div>\r\n<div class="module">\r\n<h2>Next steps...</h2>\r\n<p>Contact our team now and we''ll have you live on the site within days:</p>\r\n<p>For UK restaurants call +44 20 7299 xxxx or email xxxx <a href="mailto:info@eazytour.com">@eazytour.com</a></p>\r\n<p>For all other international restaurants, please email  <a href="mailto:international@toptable.com">international@eazytour.com</a></p>\r\n</div>', '', 0, 0);
